<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";

if (!checkrights("M") || !defined("iAUTH") || $aid != iAUTH) fallback(BASEDIR."index.php");
$result = update_table(DB_PREFIX."users","SET user_level=0 WHERE user_id=0");
if (isset($user_id) && !isNum($user_id) || $user_id==$settings['master_id'] || isset($_GET['user_id']) && $user_id==0) fallback(ADMIN.FUSION_SELF.$aidlink);
if (!isset($step)) $step = "";
if (isset($_POST['cancel_delete'])) fallback(ADMIN.FUSION_SELF.$aidlink."&sortby=$sortby&rowstart=$rowstart");
$master_id=$settings['master_id'];
if ($step == "add") {
	if (isset($_POST['add_user'])) {
		$error = "";
		$username = isset($_POST['username']) && preg_match("/^[0-9A-Za-z-_\s]{3,30}+$/i", $_POST['username']) && strlen($_POST['username'])>2 && strlen($_POST['username'])<=30 ? htmlentities(trim(eregi_replace(" +", "",$_POST['username']))) : false; 
		$email = isset($_POST['email']) && preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $_POST['email']) && strlen($_POST['email'])<=100 ? htmlentities(trim(eregi_replace(" +", "", $_POST['email']))) : false;
		
	$user_name_firstletter = substr($username,0,1);
	
	if (!preg_match("/^[0-9A-Za-z]+$/i",$user_name_firstletter)) {
			$username=false;
			$error.=$locale['u481'].'<br />';
	}
	$password1 = isset($_POST['password1']) && strlen($_POST['password1'])>=6 && strlen($_POST['password1'])<=20 ? base64_encode($_POST['password1']) : false;  
		$hide_email = isset($_POST['hide_email']) ? (int)$_POST['hide_email'] : 1;
		if (!$username || !$password1 || !$email) $error .= $locale['member451']."<br>\n";
		
		if ($password1) {
			if ($password1 != base64_encode($_POST['password2'])) $error .= $locale['member456']."<br>\n"; else $password1 = base64_decode($password1);
		} else {
			$error .= $locale['457']."<br>\n";
		}
	
		if (!$email) {
			$error .= $locale['member454']."<br>\n";
		}
		
		if (dbcount("(user_id)","users","user_name='".$username."'")>0) $error = $locale['member453']."<br>\n";
		
		if (dbcount("(user_id)","users","user_email='".$email."'")>0) $error = $locale['member455']."<br>\n";
		if ($error=="") {
			$result = update_table(DB_PREFIX."users","(user_name, user_password, user_email, user_hide_email, user_joined,user_level, user_status) VALUES ('".$username."', '".md5(md5($password1))."', '".$email."', '".$hide_email."','".time()."','101','0')","insert");
			
			opentable($locale['member480']);
			echo "<center><br>
".$locale['member481']."<br><br>
<a href='".ADMIN.FUSION_SELF.$aidlink."'>".$locale['member432']."</a><br><br>
<a href='".ADMIN."index.php".$aidlink."'>".$locale['member433']."</a><br><br>
</center>\n";
			closetable();
		} else {
			opentable($locale['member480']);
			echo "<center><br>
".$locale['482']."<br><br>
$error<br>
<a href='".ADMIN.FUSION_SELF.$aidlink."'>".$locale['member432']."</a><br><br>
<a href='".ADMIN."index.php".$aidlink."'>".$locale['member433']."</a><br><br>
</center>\n";
			closetable();
		}
	} else {
		opentable($locale['member480']);
		echo "<form name='addform' method='post' action='".ADMIN.FUSION_SELF.$aidlink."&amp;step=add'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['u001']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><input type='text' name='username' maxlength='30' autocomplete='off' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u002']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><input type='password' name='password1' autocomplete='off' maxlength='20' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u004']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><input type='password' name='password2' maxlength='20' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u005']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><input type='text' name='email' maxlength='100' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u006']."</td>
<td class='tbl'><input type='radio' name='hide_email' value='1' checked>".$locale['u007']."<input type='radio' name='hide_email' value='0'>".$locale['u008']."</td>
</tr>
</tr>
<tr>
<td align='center' colspan='2'><br>
<input type='submit' name='add_user' value='".$locale['member480']."' class='button'>
</td>
</tr>
</table>
</form>\n";
	closetable();
	}
} elseif ($step == "edit" && $user_id!=$master_id) {
	if (isset($_POST['savechanges'])) {
		require_once "updateuser.php";
		if ($error == "") {
			opentable($locale['member430']);
			echo "<center><br>
".$locale['member431']."<br><br>
<a href='".ADMIN.FUSION_SELF.$aidlink."'>".$locale['member432']."</a><br><br>
<a href='".ADMIN."index.php".$aidlink."'>".$locale['member433']."</a><br><br>
</center>\n";
			closetable();
		} else {
			opentable($locale['member430']);
			echo "<center><br>
".$locale['member434']."<br><br>
$error<br>
<a href='".ADMIN.FUSION_SELF.$aidlink."'>".$locale['member432']."</a><br><br>
<a href='".ADMIN."index.php".$aidlink."'>".$locale['member433']."</a><br><br>
</center>\n";
			closetable();
		}
	} else {
$global_options = dbarray(dbquery("SELECT * FROM ".$db_prefix."messages_options WHERE user_id='0'"),0);
$options=array();
$msg_result = dbquery("SELECT * FROM ".$db_prefix."messages_options WHERE user_id='".$user_id."'");
if (dbrows($msg_result)==1) {
	$options=dbarray($msg_result);
} else {
	$options=$global_options;
}
$pm_inbox = $options['pm_inbox'];
$pm_sentbox = $options['pm_sentbox'];
$pm_savebox = $options['pm_savebox'];
		
		// Userfield Tests
require_once(LOCALE.LOCALESET.'userfields.php');
		$result = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='$user_id'");
		if (dbrows($result)) { $data = dbarray($result); } else { fallback(FUSION_SELF.$aidlink); }
$uf_methode='admin';
    $uf_result = dbquery("SELECT uf_name FROM ".DB_PREFIX."user_fields WHERE uf_user_field=1 ORDER BY uf_group,uf_order");
	if (dbrows($uf_result)>0) {
		while($uf_data=dbarray($uf_result)) {
			if (file_exists(LOCALE.LOCALESET.'userfields/'.$uf_data['uf_name'].'.php'))
			include(LOCALE.LOCALESET.'userfields/'.$uf_data['uf_name'].'.php');
			if (file_exists(INCLUDES."userfields/".$uf_data['uf_name'].".php"))
			include(INCLUDES."userfields/".$uf_data['uf_name'].".php");
		}
	}
		if ($data['user_birthdate']!="0000-00-00") {
			$user_birthdate = explode("-", $data['user_birthdate']);
			$user_month = number_format($user_birthdate['1']);
			$user_day = number_format($user_birthdate['2']);
			$user_year = $user_birthdate['0'];
		} else {
			$user_month = 0; $user_day = 0; $user_year = 0;
		}
		$user_birth_ok = $data['user_birthdate']!='0000-00-00' ? " disabled='disabled'" : '';
		$theme_files = makefilelist(THEMES, ".|..|templates|".$settings['theme'], true, "folders");
		$locale_files = makefilelist(LOCALE, ".|..|flags", true, "folders");
		array_unshift($theme_files, "Default");
		array_unshift($locale_files, "Default");
		$offset_list = "";
		for ($i=-13;$i<17;$i++) {
			if ($i > 0) { $offset = "+".$i; } else { $offset = $i; }
			$offset_list .= "<option".($offset == $data['user_offset'] ? " selected" : "").">$offset</option>\n";
		}
		opentable($locale['member430']);echo '<div align="center">';
		echo "<form name='inputform' method='post' action='".ADMIN.FUSION_SELF.$aidlink."&amp;step=edit&amp;user_id=$user_id' enctype='multipart/form-data'>
<table align='center' cellpadding='0' cellspacing='0' class='block info'>";
echo '<tr><td colspan="2"><fieldset><legend align="center">'.$locale['u056'].'</legend>';	
echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['u001']."<font color='red'>*&nbsp;</font></td>
<td class='tbl'><input type='text' name='user_name' value='".$data['user_name']."' maxlength='30' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u003']."</td>
<td class='tbl' align='right'><input type='password' name='user_newpassword' maxlength='20' class='textbox' style='width:200px;' autocomplete='off'></td>
</tr>
<tr>
<td class='tbl' width='40%'>".$locale['u004']."</td>
<td class='tbl' align='right'><input type='password' name='user_newpassword2' maxlength='20' class='textbox' style='width:200px;'></td>
</tr><tr>
<td class='tbl'>".$locale['u005']."<span style='color:#ff0000'>*</span></td>
<td class='tbl' align='right'><input type='text' name='user_email' value='".$data['user_email']."' maxlength='100' class='textbox' style='width:200px;'></td>
</tr></table></fieldset></td></tr></table>";
if ($user_birth_ok=="" && $settings['birthday_mandory']==1) {
echo "<br /><fieldset style='width:60%;'><legend align='center'>".$locale['reg414']."</legend>
<table align='center' cellpadding='0' cellspacing='0' width='100%' style='white-space:normal;'>";
echo "<tr>
<td class='tbl1' style='width:30%;' align='left'>".$locale['u010']." <span class='small2'>(dd.mm.yyyy)</span></td>
<td class='tbl2' align='left'>
<select name='user_day' class='textbox'".$user_birth_ok.">\n<option>--</option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".($user_day == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='user_month' class='textbox'".$user_birth_ok.">\n<option>--</option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".($user_month == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='user_year' class='textbox'".$user_birth_ok.">\n<option>----</option>\n";
$year_1 = (date("Y",time())-65);
$year_2 = (date("Y",time())-6);
	for ($i=$year_1;$i<=$year_2;$i++) echo "<option".($user_year == $i ? " selected" : "").">$i</option>\n";
echo "</select>
</td>
</tr></table>
</fieldset>";
} 
if (is_array($uf_display) && isset($uf_display[1]) || $settings['birthday_mandory']==0 && $user_birth_ok=="") { 
echo "<br /><fieldset style='width:60%;'><legend align='center'>".$locale['uf_group1']."</legend>
<table align='center' cellpadding='0' cellspacing='0' width='100%' style='white-space:normal;'>";
if ($user_birth_ok=="" && $settings['birthday_mandory']==0) {
echo "<tr>
<td class='tbl1' style='width:30%;' align='left'>".$locale['u010']." <span class='small2'>(dd.mm.yyyy)</span></td>
<td class='tbl2' align='left'>
<select name='user_day' class='textbox'".$user_birth_ok.">\n<option>--</option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".($user_day == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='user_month' class='textbox'".$user_birth_ok.">\n<option>--</option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".($user_month == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='user_year' class='textbox'".$user_birth_ok.">\n<option>----</option>\n";
$year_1 = (date("Y",time())-65);
$year_2 = (date("Y",time())-6);
	for ($i=$year_1;$i<=$year_2;$i++) echo "<option".($user_year == $i ? " selected" : "").">$i</option>\n";
echo "</select>
</td>
</tr>";
} 
	
echo $uf_display[1];

echo '</table></fieldset><br />';
}
echo "<fieldset style='width:60%;'><legend align='center'>".$locale['uf_group2']."</legend>
<table align='center' cellpadding='0' cellspacing='0' width='100%' style='white-space:normal;'>
<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['u006']."</td>
<td class='tbl2' align='left'><input type='checkbox' name='user_hide_email' value='1'".($data['user_hide_email'] == "1" ? " checked='checked'" : "")."></td>
</tr>
<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['u025']."</td>
<td class='tbl2' align='left'><input type='checkbox' name='user_nopm' value='1'".($data['user_nopm'] == "1" ? " checked='checked'" : "")."></td>
</tr>
";
if (is_array($uf_display) && isset($uf_display[2])) { 
echo $uf_display[2];
}
echo "</table></fieldset><br />";
echo "<fieldset style='width:60%;'><legend align='center'>".$locale['uf_group3']."</legend>
<table align='center' cellpadding='0' cellspacing='0' width='100%' style='white-space:normal;'>
<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['u015']."</td>
<td class='tbl2' align='left'><select name='user_theme' class='textbox' style='width:100px;'>
".makefileopts($theme_files, $data['user_theme'])."
</select></td>
</tr>
<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['u030']."</td>
<td class='tbl2' align='left'><select name='user_locale' class='textbox' style='width:100px;'>
".makefileopts($locale_files, $data['user_locale'])."
</select></td>
</tr>
<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['u016']."</td>
<td class='tbl2' align='left'><select name='user_offset' class='textbox' style='width:100px;'>
$offset_list</select></td>
</tr>
<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['u024']."</td>
<td class='tbl2' align='left'><input type='checkbox' name='user_hide_birthdate' value='1'".($data['user_hide_birthdate'] == "1" ? " checked='checked'" : "")."></td>
</tr>\n";
if (is_array($uf_display) && isset($uf_display[3])) { 
echo $uf_display[3];
}
echo "<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['u023']."</td>
<td class='tbl2' align='left'><input type='radio' name='user_global_mod' value='1'".($data['user_global_mod'] == "1" ? " checked" : "").">".$locale['u007']."
<input type='radio' name='user_global_mod' value='0'".($data['user_global_mod'] == "0" ? " checked" : "").">".$locale['u008']."</td>
</tr>";
if (!$data['user_avatar']) {
echo "<tr>
<td class='tbl1' align='left' style='width:30%;' valign='top'>".$locale['u017']."</td>
<td class='tbl2' align='left'>
<input type='file' name='user_avatar' class='textbox' style='width:200px;'><br>
<span class='small2'>".$locale['u018']."</span>
</td>
</tr>\n";
	} else {
	echo "<tr>
<td align='left' class='tbl1' valign='top' style='width:30%;'>\n";

		echo $locale['u017']."</td>
		<td class='tbl2' align='left'>\n<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$locale['u017']."'><br>
<input type='checkbox' name='del_avatar' value='y'> ".$locale['u019']."
<input type='hidden' name='user_avatar' value='".$data['user_avatar']."'><br>
<input type='file' name='user_avatar' class='textbox' style='width:200px;'><br>
<span class='small2'>".$locale['u018']."</span>
</td>
</tr>\n";	
	}
echo "<tr>
<td valign='top' class='tbl1' align='left' style='width:30%;'>".$locale['u020']."</td>
<td class='tbl2' align='left'><textarea name='user_sig' rows='5' class='textbox' style='width:295px'>".$data['user_sig']."</textarea><br>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('user_sig', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('user_sig', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('user_sig', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('user_sig', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('user_sig', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('user_sig', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('user_sig', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('user_sig', '[small]', '[/small]');\">
</tr>";
echo "</table></fieldset><br />

<fieldset style='width:60%;'><legend align='center'>".$locale['main707']."</legend>
<table align='center' cellpadding='0' cellspacing='0' width='100%' style='white-space:normal;'>
<tr>
<td class='tbl1' style='width:30%;' align='left'>".$locale['main701'].($global_options['pm_inbox']==0 ? "<br><span class='small2'>".$locale['main704']."</span>":"")."</td>
<td class='tbl2' align='left'><input type='text' name='pm_inbox' maxlength='4' class='textbox' style='width:40px;' value='".$pm_inbox."'></td>
</tr>
<tr>
<td class='tbl1' style='width:30%;' align='left'>".$locale['main702'].($global_options['pm_sentbox']==0 ? "<br><span class='small2'>".$locale['main704']."</span>":"")."</td>
<td class='tbl2' style='width:30%;' align='left'><input type='text' name='pm_sentbox' maxlength='4' class='textbox' style='width:40px;' value='".$pm_sentbox."'></td>
</tr>
<tr>
<td class='tbl1' style='width:30%;' align='left'>".$locale['main703'].($global_options['pm_savebox']==0 ? "<br><span class='small2'>".$locale['main704']."</span>":"")."</td>
<td class='tbl2' align='left'><input type='text' name='pm_savebox' maxlength='4' class='textbox' style='width:40px;' value='".$pm_savebox."'></td>
</tr>
</table></fieldset><br />
<input type='hidden' name='user_hash' value='".$data['user_password']."'>
<input type='submit' name='savechanges' value='".$locale['member440']."' class='button'></div>
</form>\n";
		closetable();
	}
} else {
	opentable($locale['member400']);
	if ($step == "ban") {
		if ($act == "on") {
				$result = dbquery("UPDATE ".$db_prefix."users SET user_status='1' WHERE user_id='$user_id'");
				echo "<center>".$locale['member420']."<br><br></center>\n";
		} elseif ($act == "off") {
			$result = dbquery("UPDATE ".$db_prefix."users SET user_status='0' WHERE user_id='$user_id'");
			echo "<center>".$locale['member421']."<br><br></center>\n";
		}
	} 
	if ($step == "activate") {
		$result = dbquery("SELECT user_name,user_email FROM ".DB_PREFIX."users WHERE user_id='".$user_id."'");
		if (dbrows($result) != 0) {
			$udata = dbarray($result);
			$result = dbquery("UPDATE ".DB_PREFIX."users SET user_status='0' WHERE user_id='".$user_id."'");
			if ($settings['email_verification'] == "1") {
				require_once INCLUDES."sendmail_include.php";
				sendemail($udata['user_name'],$udata['user_email'],$settings['siteusername'],$settings['siteemail'],$locale['member425'].$settings['sitename'],str_replace("[USER_NAME]", $udata['user_name'], $locale['member426']));
			}
			echo "<center>".$locale['member424']."<br><br></center>\n";
		}
	} 
	if ($step == "delete" && $user_id!=$master_id) {
			@require_once(INCLUDES."forum_functions_include.php");
			$tresult = dbquery("SELECT thread_id FROM ".DB_PREFIX."threads WHERE thread_author='".$user_id."'");
				if (dbrows($tresult)>0) {
					while($tdata=dbarray($tresult)) {
						delete_thread($tdata['thread_id']);
					}
				}
			$presult = dbquery("SELECT post_id FROM ".DB_PREFIX."posts WHERE post_author='".$user_id."'");
				if (dbrows($presult)>0) {
					while($pdata=dbarray($presult)) {
						delete_post($pdata['post_id']);
					}
				}
					
			$result = dbquery("DELETE FROM ".$db_prefix."users WHERE user_id='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."articles WHERE article_name='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_name='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."messages WHERE message_to='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."messages WHERE message_from='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."news WHERE news_name='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."poll_votes WHERE vote_user='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."ratings WHERE rating_user='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."shoutbox WHERE shout_name='$user_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."thread_notify WHERE notify_user='$user_id'");
			
			echo "<center>".$locale['member422']."<br><br></center>\n";
	}
	if (!isset($sortby) || !preg_match("/^[0-9A-Z]$/", $sortby)) $sortby = "all";
	$orderby = ($sortby == "all" ? " WHERE user_level>0" : " WHERE user_name LIKE '".stripinput($sortby)."%' AND user_id<>'".$settings['master_id']."' AND user_level>0");
	$result = dbquery("SELECT * FROM ".$db_prefix."users".$orderby."");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0; 
	$result = dbquery("SELECT user_name,user_level,user_status,user_id FROM ".$db_prefix."users".$orderby." ORDER BY user_status DESC, user_level DESC, user_name LIMIT $rowstart,20");
	// user_name, user_level, user_status, user_id
	if ($rows != 0) {
		$i = 0;
		echo "<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>
		<tr>
		<td class='tbl2'><b>".$locale['member401']." [<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;step=add'>".$locale['member402']."</a>]</b></td>
		<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['member403']."</b></td>
		<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['member404']."</b></td>
		</tr>\n";
		$current_level=''; $current_status='';
		while ($data = dbarray($result)) {
			if ($current_status!=$data['user_status']) {
				$current_status=$data['user_status'];
				if ($current_status==1) {
				echo '<tr><td colspan="3" class="capmain"><span class="small"><strong>'.$locale['main253'].'</strong></span></td></tr>';
				}
				if ($current_status==2) {
				echo '<tr><td colspan="3" class="capmain"><span class="small"><strong>'.$locale['main252'].'</strong></span></td></tr>';
				}
				if ($current_status==0) {
				echo '<tr><td colspan="3" class="capmain"><span class="small"><strong>'.$locale['main251'].'</strong></span></td></tr>';
				}
			}	
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n<td class='$cell_color'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getuserlevel($data['user_level'])."</td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>";
			if (iUSER >= $data['user_level'] && $data['user_id'] != $settings['master_id'] && $userdata['user_id']!=$data['user_id']) {
				echo "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;step=edit&amp;user_id=".$data['user_id']."'>".$locale['member406']."</a>\n";
				if ($data['user_status'] == "2") {
					echo "- <a href='".ADMIN.FUSION_SELF.$aidlink."&amp;step=activate&amp;sortby=$sortby&amp;rowstart=$rowstart&amp;user_id=".$data['user_id']."'>".$locale['member412']."</a>\n";
				} elseif ($data['user_status'] == "1") {
					echo "- <a href='".ADMIN.FUSION_SELF.$aidlink."&amp;step=ban&amp;act=off&amp;sortby=$sortby&amp;rowstart=$rowstart&amp;user_id=".$data['user_id']."'>".$locale['member407']."</a>\n";
				} else {
					echo "- <a href='".ADMIN.FUSION_SELF.$aidlink."&amp;step=ban&amp;act=on&amp;sortby=$sortby&amp;rowstart=$rowstart&amp;user_id=".$data['user_id']."'>".$locale['member408']."</a>\n";
				}
				echo "- <a href='".ADMIN.FUSION_SELF.$aidlink."&amp;step=delete&amp;sortby=$sortby&amp;rowstart=$rowstart&amp;user_id=".$data['user_id']."' onClick='return DeleteMember();'>".$locale['member409']."</a>";
			}
			echo "</td>\n</tr>\n"; $i++;
		}
		echo "</table>\n";
	} else {
		echo "<center><br>\n".$locale['member410']."$sortby<br><br>\n</center>\n";
	}
	$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<hr>\n<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl2'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;sortby=all'>".$locale['member411']."</a></td>";
	for ($i=0;$i < 36;$i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i==17 ? "<td rowspan='2' class='tbl2'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;sortby=all'>".$locale['member411']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n";
	closetable();
	if ($rows > 20) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3,ADMIN.FUSION_SELF.$aidlink."&amp;sortby=$sortby&amp;")."\n</div>\n";
	echo "<script type='text/javascript'>
function DeleteMember(username) {
	return confirm('".$locale['member423']."');
}
</script>\n";
}

echo "</td>\n";
require_once ADMIN."footer.php";
?>