<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";

if (!checkrights("P") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
if (isset($panel_id) && !isNum($panel_id)) fallback(ADMIN.FUSION_SELF.$aidlink);
$panel_list = makefilelist(PANELS,".|..|.htaccess|index.php");
$locale_files = makefilelist(LOCALE, ".|..|flags", true, "folders");
	array_unshift($locale_files, "all");

$temp = opendir(INFUSIONS);
while ($folder = readdir($temp)) {
	if (!in_array($folder, array(".","..")) && strstr($folder, "_panel")) {
		if (is_dir(INFUSIONS.$folder)) $panel_list[] = $folder;
	}
}
closedir($temp);
$panel_list=array_unique($panel_list);
sort($panel_list); array_unshift($panel_list, "none");
$panel_count=count($panel_list);

if (isset($_POST['save'])) {
	$error = "";
	$panel_name = stripinput($_POST['panel_name']);
	$panel_locale = isset($_POST['panel_locale']) ? stripinput($_POST['panel_locale']) : 'all';
	if ($panel_name == "") $error .= $locale['pan470']."<br>";
	if ($_POST['panel_filename'] == "none") {
		$panel_filename = "";
		$panel_content = addslash($_POST['panel_content']);
		$panel_type = "php";
	} else {
		$panel_filename = stripinput($_POST['panel_filename']);
		$panel_type = "file";
		$panel_content = "";
	}
	$panel_side = isNum($_POST['panel_side']) ? $_POST['panel_side'] : "1";
	$panel_access = isNum($_POST['panel_access']) ? $_POST['panel_access'] : "0";
	if ($panel_side == "1" || $panel_side == "4") {
		$panel_display = "0";
	} else {
		$panel_display = isset($_POST['panel_display']) ? "1" : "0";
	}
	if (isset($panel_id)) {
		if ($panel_name != "") {
			$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_id='$panel_id'"));
			if ($panel_name != $data['panel_name']) {
				$result = dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_name='$panel_name'");
				if (dbrows($result) != 0) $error .= $locale['pan471']."<br>";
			}
		}
		if ($panel_type == "php" && $panel_content == "") $error .= $locale['pan472']."<br>";
		if ($error == "") {
			$result = dbquery("UPDATE ".$db_prefix."panels SET panel_name='$panel_name', panel_filename='$panel_filename', panel_content='$panel_content', panel_access='$panel_access', panel_display='$panel_display',panel_locale='".$panel_locale."' WHERE panel_id='$panel_id'");
		}
		opentable($locale['pan480']);
		echo "<center><br>\n";
		if ($error != "") {
			echo $locale['pan481']."<br><br>\n".$error."<br>\n";
		} else {
			echo $locale['pan482']."<br><br>\n";
		}
		echo "<a href='panels.php".$aidlink."'>".$locale['pan486']."</a><br><br>
<a href='index.php".$aidlink."'>".$locale['pan487']."</a><br><br>
</center>\n";
		closetable();
	} else {
		if ($panel_name != "") {
			$result = dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_name='$panel_name'");
			if (dbrows($result) != 0) $error .= $locale['pan471']."<br>";
		}
		if ($panel_type == "php" && $panel_content == "") $error .= $locale['pan472']."<br>";
		if ($panel_type == "file" && $panel_filename == "none") $error .= $locale['pan473']."<br>";
		if ($error == "") {
			$result = dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_side='$panel_side' ORDER BY panel_order DESC LIMIT 1");
			if (dbrows($result) != 0) { $data = dbarray($result); $neworder = $data['panel_order'] + 1; } else { $neworder = 1; }
			$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_locale) VALUES ('$panel_name', '$panel_filename', '$panel_content', '$panel_side', '$neworder', '$panel_type', '$panel_access', '$panel_display', '0','$panel_locale')");
		}
		opentable($locale['pan483']);
		echo "<center><br>\n";
		if ($error != "") {
			echo $locale['pan484']."<br><br>
".$error."<br>\n";
		} else {
			echo $locale['pan485']."<br><br>\n";
		}
		echo "<a href='panels.php".$aidlink."'>".$locale['pan486']."</a><br><br>
<a href='index.php".$aidlink."'>".$locale['pan487']."</a><br><br>
</center>\n";
		closetable();
	}
} else {
	if (isset($_POST['preview'])) {
		$panel_name = stripinput($_POST['panel_name']);
		$panel_filename = $_POST['panel_filename'];
		$panel_content = isset($_POST['panel_content']) ? $_POST['panel_content'] : "";
		$panel_access = $_POST['panel_access'];
		$panel_side = $_POST['panel_side'];
		$panel_locale = stripinput($_POST['panel_locale']);
		$panelon = isset($_POST['panel_display']) ? " checked" : "";
		
		$panelopts = $_POST['panel_side'] == "1" || $_POST['panel_side'] == "4" ? " style='display:none'" : " style='display:block'";
		$panel_content = stripslash($panel_content);
		opentable($panel_name);
		if ($panel_filename != "none") {
			if (file_exists(PANELS.$panel_filename.".php"))	@include PANELS.$panel_filename.".php";
			elseif (file_exists(INFUSIONS.$panel_filename."/".$panel_filename.".php")) @include INFUSIONS.$panel_filename."/".$panel_filename.".php";
			$panel_type = "file";
		} else {
			eval($panel_content);
			$panel_type = "php";
		}
		$panel_content = phpentities($panel_content);
		closetable();
		tablebreak();
	}
	if (isset($step) && $step == "edit") {
		$result = dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_id='$panel_id'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$panel_name = $data['panel_name'];
			$panel_filename = $data['panel_filename'];
			$panel_content = phpentities(stripslashes($data['panel_content']));
			$panel_type = $data['panel_type'];
			$panel_access = $data['panel_access'];
			$panel_side = $data['panel_side'];
			$panelon = $data['panel_display'] == "1" ? " checked" : "";
			$panel_locale = $data['panel_locale'];
			$panelopts = $panel_side == "1" || $panel_side == "4" ? " style='display:none'" : " style='display:block'";
		}
	}
	if (isset($panel_id)) {
		$action = ADMIN.FUSION_SELF.$aidlink."&amp;panel_id=$panel_id";
		opentable($locale['pan450']);
	} else {
		if (!isset($_POST['preview'])) {
			$panel_name = "";
			$panel_filename = "";
			$panel_content = "openside(\"name\");\n"."  echo \"content\";\n"."closeside();";
			$panel_type = "";
			$panel_access = "";
			$panel_side = "";
			$panelon = "";
			$panelopts = " style='display:none'";
			$panel_locale = "all";
		}
		$action = ADMIN.FUSION_SELF.$aidlink;
		opentable($locale['pan451']);
	}
	$user_groups = getusergroups(); $access_opts = "";
	$locale_list = makefileopts($locale_files,$panel_locale);
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($panel_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='editform' method='post' action='$action'>
<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td class='tbl1'>".$locale['pan452']."</td>
<td class='tbl2'><input type='text' name='panel_name' value='$panel_name' class='textbox' style='width:200px;'></td>
</tr>\n";
	if (isset($panel_id)) {
		if ($panel_type == "file") {
			echo "<tr>
<td class='tbl1'>".$locale['pan453']."</td>
<td class='tbl2'><select name='panel_filename' class='textbox' style='width:200px;'>\n";
			for ($i=0;$i<$panel_count;$i++) {
				echo "<option".($panel_filename == str_replace(".php","",$panel_list[$i]) ? " selected" : "").">".str_replace(".php","",$panel_list[$i])."</option>\n";
			}
			echo "</select></td>\n</tr>\n";
			
			
		}
	} else {
		echo "<tr>
<td class='tbl1'>".$locale['pan453']."</td>
<td class='tbl2'><select name='panel_filename' class='textbox' style='width:200px;'>\n";
			for ($i=0;$i<$panel_count;$i++) {
				echo "<option".($panel_filename == str_replace(".php","",$panel_list[$i]) ? " selected" : "").">".str_replace(".php","",$panel_list[$i])."</option>\n";
			}
		echo "</select>&nbsp;&nbsp;<span class='small2'>".$locale['pan454']."</span></td>\n</tr>\n";
	}
	
	if (isset($panel_id)) {
		if ($panel_type == "php") {
			echo "<tr>
<td valign='top' class='tbl1'>".$locale['pan455']."</td>
<td class='tbl2'><textarea name='panel_content' cols='95' rows='15' class='textbox'>$panel_content</textarea></td>
</tr>\n";
		}
	} else {
		echo "<tr>
<td valign='top' class='tbl1'>".$locale['pan455']."</td>
<td class='tbl2'><textarea name='panel_content' cols='95' rows='15' class='textbox'>$panel_content</textarea></td>
</tr>\n";
	}
	if (!isset($panel_id)) {
		echo "<tr>
<td class='tbl1'>".$locale['pan456']."</td>
<td class='tbl2'><select name='panel_side' class='textbox' style='width:150px;' onchange=\"showopts(this.options[this.selectedIndex].value);\">
<option value='1'".($panel_side == "1" ? " selected" : "").">".$locale['pan420']."</option>
<option value='2'".($panel_side == "2" ? " selected" : "").">".$locale['pan421']."</option>
<option value='3'".($panel_side == "3" ? " selected" : "").">".$locale['pan425']."</option>
<option value='4'".($panel_side == "4" ? " selected" : "").">".$locale['pan422']."</option>
</select></td>
</tr>\n";
	}
echo "<tr>
<td class='tbl1'>".$locale['pan457']."</td>
<td class='tbl2'><select name='panel_access' class='textbox' style='width:150px;'>
$access_opts</select></td>
</tr>";
if ((bool)$settings['locale_switcher']) {
echo "<tr>
<td class='tbl1'>".$locale['main510']."</td>
<td class='tbl2'><select name='panel_locale' class='textbox'>
$locale_list</select></td>
</tr>";	
}
echo "<tr>
<td align='center' colspan='2' class='tbl1'>
<div id='panelopts'".$panelopts."><input type='checkbox' name='panel_display' value='1'$panelon>".$locale['pan460']."</div>
<br>\n";
	if (isset($panel_id)) {
		if ($panel_type == "php") echo "<input type='hidden' name='panel_filename' value='none'>\n";
		echo "<input type='hidden' name='panel_side' value='$panel_side'>\n";
	}
	echo "<input type='submit' name='preview' value='".$locale['pan458']."' class='button'>
<input type='submit' name='save' value='".$locale['pan459']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
}

echo "<script type='text/javascript'>
	function showopts(panelside) {
		if (panelside == 1 || panelside == 4) {
			panelopts.style.display = 'none';
		} else {
			panelopts.style.display = 'block';
		}
	}
</script>\n";

echo "</td>\n";
require_once ADMIN."footer.php";
?>