<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
if (!checkrights("PI") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
$info = isset($_GET['info']) ? stripinput($_GET['info']) : '';
switch ($info) {
	case 'general':
	@phpinfo(INFO_GENERAL);
	break;
	case 'config':
	@phpinfo(INFO_CONFIGURATION);
	break;
	case 'modules':
	@phpinfo(INFO_MODULES);
	break;
	case 'vars':
	@phpinfo(INFO_VARIABLES);
	break;
	case 'env':
	@phpinfo(INFO_ENVIRONMENT);
	break;
	case 'license':
	@phpinfo(INFO_LICENSE);
	break;
	default:
	@phpinfo(INFO_GENERAL);
	break;
} 
$phpinfo = ob_get_clean();
ob_start();		
		$phpinfo = trim($phpinfo);

		// Here we play around a little with the PHP Info HTML to try and stylise
		// it along phpBB's lines ... hopefully without breaking anything. The idea
		// for this was nabbed from the PHP annotated manual
		preg_match_all('#<body[^>]*>(.*)</body>#si', $phpinfo, $output);
		$output = $output[1][0];

		// expose_php can make the image not exist
		if (preg_match('#<a[^>]*><img[^>]*></a>#', $output))
		{
			$output = preg_replace('#<tr class="v"><td>(.*?<a[^>]*><img[^>]*></a>)(.*?)</td></tr>#s', '<tr><td width="100%" class="tbl1" style="font-size:10px;">\2</td></tr>', $output);
		}
		else
		{
		$output = preg_replace('#<tr class="v"><td>(.*?)</td></tr>#s', '<tr><td width="100%" class="tbl1" style="font-size:10px;">\1</td></tr>', $output);
		}
		if (!eregi("Gecko",$_SERVER['HTTP_USER_AGENT']))
		$output = preg_replace('#<td class="v">(.*?)</td>#sie', "'<td width=\"40%\" class=\"tbl1\" style=\"font-size:10px;\">'.wordwrap('\\1',90,'<br />\n',true).'</td>'", $output);

		$output = preg_replace('#<table[^>]+>#i', '<table>', $output);
		$output = preg_replace('#<img border="0"#i', '<img', $output);
		$output = str_replace(array('class="e"', 'class="v"', 'class="h"', '<hr />', '<font', '</font>','<table>',',',' class="p"',"<td>","<th>",'<th colspan="2">'), array('class="tbl1" style="white-space:normal;width:40%;font-size:11px;"', 'class="tbl2" style="font-size:10px;"', '', '', '<span', '</span>','<table width="100%" class="tbl-border" cellspacing="1" cellpadding="0">',', ','','<td class="tbl1">','<th class="side-label">','<th colspan="2" class="side-label">'), $output);

		$orig_output = $output;
		preg_match_all('#<div class="center">(.*)</div>#siU', $output, $output);
		$output = (!empty($output[1][0])) ? $output[1][0] : $orig_output;


@include(ADMIN."subheader.php");
@include(ADMIN."navigation.php");
opentable("PHP Informationen");
echo '<div style="text-align:right;margin-right:4px;"><a href="'.ADMIN.FUSION_SELF.$aidlink.'&info=general">General</a> | <a href="'.ADMIN.FUSION_SELF.$aidlink.'&info=modules">Module</a> | <a href="'.ADMIN.FUSION_SELF.$aidlink.'&info=config">Konfiguration</a> | <a href="'.ADMIN.FUSION_SELF.$aidlink.'&info=env">Enviroments</a> | <a href="'.ADMIN.FUSION_SELF.$aidlink.'&info=vars">Variable</a> | <a href="'.ADMIN.FUSION_SELF.$aidlink.'&info=license">License</a></div>';
echo $output;
closetable();
@require_once(ADMIN."footer.php");
?>