<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";


if (!checkrights("S1") || !defined("iAUTH") || $aid != iAUTH) fallback(BASEDIR."index.php");

if (isset($_POST['savesettings'])) {
	if (!iSUPERADMIN) $siteintro = descript(stripslash($_POST['intro']));
	else $siteintro = stripslash($_POST['intro']);
	if (!iSUPERADMIN) $sitefooter = descript(stripslash($_POST['footer']));
	else $sitefooter = stripslash($_POST['footer']);
	$localeset = stripinput($_POST['localeset']);
	$locale_switcher = isset($_POST['locale_switcher']) ? '1' : '0';
	$master_id = isset($_POST['master_id']) && (int)$_POST['master_id']>0 ? (int)$_POST['master_id'] : '1';
	$result = dbquery("UPDATE ".$db_prefix."settings SET
		sitename='".stripinput($_POST['sitename'])."',
		siteurl='".stripinput($_POST['siteurl']).(strrchr($_POST['siteurl'],"/") != "/" ? "/" : "")."',
		sitebanner='".stripinput($_POST['sitebanner'])."',
		siteemail='".stripinput($_POST['siteemail'])."',
		siteusername='".stripinput($_POST['username'])."',
		siteintro='".addslashes(addslashes($siteintro))."',
		description='".stripinput($_POST['description'])."',
		keywords='".stripinput($_POST['keywords'])."',
		footer='".addslashes(addslashes($sitefooter))."',
		opening_page='".(isset($_POST['opening_page']) && $_POST['opening_page']!="" ? stripinput($_POST['opening_page']) : "news.php")."',
		news_style='".(isNum($_POST['news_style']) ? $_POST['news_style'] : "0")."',
		locale='$localeset',
		theme='".stripinput($_POST['theme'])."',
		template='".stripinput($_POST['template'])."',
		locale_switcher='".$locale_switcher."',
		master_id='".$master_id."'
	");
	redirect(ADMIN.FUSION_SELF.$aidlink);
}

$theme_files = makefilelist(THEMES, ".|..|templates", true, "folders");
$locale_files = makefilelist(LOCALE, ".|..|flags", true, "folders");
$template_files = makefilelist(THEMES."templates/", ".|..", true, "folders");
$super_admins = dbquery("SELECT user_id,user_name FROM ".DB_PREFIX."users WHERE user_level='103'");
opentable($locale['main400']);
require_once ADMIN."settings_links.php";
echo "<form name='settingsform' method='post' action='".ADMIN.FUSION_SELF.$aidlink."'>
<table align='center' cellpadding='0' cellspacing='1' class='tbl-border' width='500'>
<tr>
<td width='50%' class='tbl1'>".$locale['main402']."</td>
<td width='50%' class='tbl2'><input type='text' name='sitename' value='".phpentities($settings['sitename'])."' maxlength='255' class='textbox' style='width:230px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main403']."</td>
<td width='50%' class='tbl2'><input type='text' name='siteurl' value='".$settings['siteurl']."' maxlength='255' class='textbox' style='width:230px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main404']."</td>
<td width='50%' class='tbl2'><input type='text' name='sitebanner' value='".$settings['sitebanner']."' maxlength='255' class='textbox' style='width:230px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main405']."</td>
<td width='50%' class='tbl2'><input type='text' name='siteemail' value='".$settings['siteemail']."' maxlength='128' class='textbox' style='width:230px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main406']."</td>
<td width='50%' class='tbl2'><input type='text' name='username' value='".$settings['siteusername']."' maxlength='32' class='textbox' style='width:230px;'></td>
</tr>
<tr>
<td valign='top' width='50%' class='tbl1'>".$locale['main407']."<br>
<span class='small2'>".$locale['main408']."</span></td>
<td width='50%' class='tbl2'><textarea name='intro' rows='12' cols='50' class='textbox'>".phpentities(stripslashes($settings['siteintro']))."</textarea></td>
</tr>
<tr>
<td valign='top' width='50%' class='tbl1'>".$locale['main409']."</td>
<td width='50%' class='tbl2'><textarea name='description' rows='5' cols='50' class='textbox'>".$settings['description']."</textarea></td>
</tr>
<tr>
<td valign='top' width='50%' class='tbl1'>".$locale['main410']."<br>
<span class='small2'>".$locale['main411']."</span></td>
<td width='50%' class='tbl2'><textarea name='keywords' rows='5' cols='50' class='textbox'>".$settings['keywords']."</textarea></td>
</tr>
<tr><td valign='top' width='50%' class='tbl1'>".$locale['main412']."</td>
<td width='50%' class='tbl1'><textarea name='footer' rows='5' cols='50' class='textbox'>".phpentities(stripslashes($settings['footer']))."</textarea></td>
</tr>
<tr>
<td valign='top' class='tbl1'>".$locale['main413']."</td>
<td width='50%' class='tbl2'><input type='text' name='opening_page' value='".$settings['opening_page']."' maxlength='100' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main416']."</td>
<td width='50%' class='tbl2'>
<select name='news_style' class='textbox'>
<option value='0'".($settings['news_style'] == 0 ? " selected" : "").">".$locale['main417']."</option>
<option value='1'".($settings['news_style'] == 1 ? " selected" : "").">".$locale['main418']."</option>
</select>
</td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main510']."</td>
<td width='50%' class='tbl2'><select name='localeset' class='textbox'>
".makefileopts($locale_files, $settings['locale'])."
</select></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main415']."</td>
<td width='50%' class='tbl2'><select name='theme' class='textbox'>
".makefileopts($theme_files, $settings['theme'])."
</select></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main414']."</td>
<td width='50%' class='tbl2'><select name='master_id' class='textbox'>";
if (dbrows($super_admins)>0) {
	while($srow=dbarray($super_admins)) {
	echo "<option value='".$srow['user_id']."'".($settings['master_id']==$srow['user_id'] ? ' selected' : '').">".$srow['user_name']."</option>";
	}
}	
echo "</select></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main419']."</td>
<td width='50%' class='tbl2'><select name='template' class='textbox'>
".makefileopts($template_files, $settings['template'])."
</select></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main420']."</td>
<td width='50%' class='tbl2'><input name='locale_switcher' class='textbox' type='checkbox'".( $settings['locale_switcher']=='1' ? " checked='checked'" : "")." /></td>
</tr>
<tr><td align='center' colspan='2' class='tbl1'><input type='submit' name='savesettings' value='".$locale['main750']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();

echo "</td>\n";
require_once ADMIN."footer.php";
?>