<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";

if (!checkrights("S6") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".$db_prefix."settings SET
		mod_rewrite='".(isNum($_POST['mod_rewrite']) ? $_POST['mod_rewrite'] : "0")."',
		smtp_host='".stripinput($_POST['smtp_host'])."',
		smtp_username='".stripinput($_POST['smtp_username'])."',
		smtp_password='".stripinput($_POST['smtp_password'])."',
		bad_words_enabled='".(isNum($_POST['bad_words_enabled']) ? $_POST['bad_words_enabled'] : "0")."',
		bad_words='".addslash($_POST['bad_words'])."',
		bad_word_replace='".stripinput($_POST['bad_word_replace'])."',
		guestposts='".(isNum($_POST['guestposts']) ? $_POST['guestposts'] : "0")."',
		numofshouts='".(isNum($_POST['numofshouts']) ? $_POST['numofshouts'] : "10")."',
		maintenance='".(isNum($_POST['maintenance']) ? $_POST['maintenance'] : "0")."',
		maintenance_message='".addslash(descript($_POST['maintenance_message']))."'
	");
	redirect(ADMIN.FUSION_SELF.$aidlink);
}

$settings2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."settings"));

opentable($locale['main400']);
require_once ADMIN."settings_links.php";
echo "<form name='settingsform' method='post' action='".ADMIN.FUSION_SELF.$aidlink."'>
<table align='center' cellpadding='0' cellspacing='1' class='tbl-border' width='500'>
<tr>
<td width='50%' class='tbl1'>".$locale['main662']."</td>
<td width='50%' class='tbl2'><select name='mod_rewrite' class='textbox'>
<option value='1'".($settings2['mod_rewrite'] == "1" ? " selected" : "").">".$locale['main508']."</option>
<option value='0'".($settings2['mod_rewrite'] == "0" ? " selected" : "").">".$locale['main509']."</option>
</select></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main664']."<br>
<span class='small2'>".$locale['main665']."</span></td>
<td width='50%' class='tbl2'><input type='text' name='smtp_host' value='".$settings2['smtp_host']."' maxlength='200' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main666']."</td>
<td width='50%' class='tbl2'><input type='text' name='smtp_username' value='".$settings2['smtp_username']."' maxlength='100' autocomplete='off' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main667']."</td>
<td width='50%' class='tbl2'><input type='password' name='smtp_password' value='".$settings2['smtp_password']."' autocomplete='off' maxlength='100' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main659']."</td>
<td width='50%' class='tbl2'><select name='bad_words_enabled' class='textbox'>
<option value='1'".($settings2['bad_words_enabled'] == "1" ? " selected" : "").">".$locale['main508']."</option>
<option value='0'".($settings2['bad_words_enabled'] == "0" ? " selected" : "").">".$locale['main509']."</option>
</select></td>
</tr>
<tr><td valign='top' width='50%' class='tbl1'>".$locale['main651']."<br>
<span class='small2'>".$locale['main652']."<br>
".$locale['main653']."</span></td>
<td width='50%' class='tbl2'><textarea name='bad_words' rows='5' cols='44' class='textbox'>".$settings2['bad_words']."</textarea></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main654']."</td>
<td width='50%' class='tbl2'><input type='text' name='bad_word_replace' value='".$settings2['bad_word_replace']."' maxlength='128' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main655']."</td>
<td width='50%' class='tbl2'><select name='guestposts' class='textbox'>
<option value='1'".($settings2['guestposts'] == "1" ? " selected" : "").">".$locale['main508']."</option>
<option value='0'".($settings2['guestposts'] == "0" ? " selected" : "").">".$locale['main509']."</option>
</select></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main656']."</td>
<td width='50%' class='tbl2'>
<select name='numofshouts' class='textbox' style='width:50px;'>
<option".($settings2['numofshouts'] == 5 ? " selected" : "").">5</option>
<option".($settings2['numofshouts'] == 10 ? " selected" : "").">10</option>
<option".($settings2['numofshouts'] == 15 ? " selected" : "").">15</option>
<option".($settings2['numofshouts'] == 20 ? " selected" : "").">20</option>
</select>
</td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main657']."</td>
<td width='50%' class='tbl2'><select name='maintenance' class='textbox' style='width:50px;'>
<option value='1'".($settings2['maintenance'] == "1" ? " selected" : "").">".$locale['main502']."</option>
<option value='0'".($settings2['maintenance'] == "0" ? " selected" : "").">".$locale['main503']."</option>
</select></td>
</tr>
<tr><td valign='top' width='50%' class='tbl1'>".$locale['main658']."</td>
<td width='50%' class='tbl2'><textarea name='maintenance_message' rows='5' cols='44' class='textbox'>".stripslashes($settings2['maintenance_message'])."</textarea></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl1'><input type='submit' name='savesettings' value='".$locale['main750']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();

echo "</td>\n";
require_once ADMIN."footer.php";
?>