<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";

if (!checkrights("S5") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".$db_prefix."settings SET
		thumb_w='".(isNum($_POST['thumb_w']) ? $_POST['thumb_w'] : "100")."',
		thumb_h='".(isNum($_POST['thumb_h']) ? $_POST['thumb_h'] : "100")."',
		photo_w='".(isNum($_POST['photo_w']) ? $_POST['photo_w'] : "400")."',
		photo_h='".(isNum($_POST['photo_h']) ? $_POST['photo_h'] : "300")."',
		photo_max_w='".(isNum($_POST['photo_max_w']) ? $_POST['photo_max_w'] : "1800")."',
		photo_max_h='".(isNum($_POST['photo_max_h']) ? $_POST['photo_max_h'] : "1600")."',
		photo_max_b='".(isNum($_POST['photo_max_b']) ? $_POST['photo_max_b'] : "150000")."',
		thumb_compression='".$_POST['thumb_compression']."',
		thumbs_per_row='".(isNum($_POST['thumbs_per_row']) ? $_POST['thumbs_per_row'] : "4")."',
		thumbs_per_page='".(isNum($_POST['thumbs_per_page']) ? $_POST['thumbs_per_page'] : "12")."'
	");
	redirect(ADMIN.FUSION_SELF.$aidlink);
}

$settings2 = dbarray(dbquery("SELECT * FROM ".$db_prefix."settings"));

opentable($locale['main400']);
require_once ADMIN."settings_links.php";
echo "<form name='settingsform' method='post' action='".ADMIN.FUSION_SELF.$aidlink."'>
<table align='center' cellpadding='0' cellspacing='1' class='tbl-border' width='500'>
<tr>
<td width='50%' class='tbl1'>".$locale['main601']."<br>
<span class='small2'>".$locale['main604']."</span></td>
<td width='50%' class='tbl2'><input type='text' name='thumb_w' value='".$settings2['thumb_w']."' maxlength='3' class='textbox' style='width:40px;'> x
<input type='text' name='thumb_h' value='".$settings2['thumb_h']."' maxlength='3' class='textbox' style='width:40px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main602']."<br>
<span class='small2'>".$locale['main604']."</span></td>
<td width='50%' class='tbl2'><input type='text' name='photo_w' value='".$settings2['photo_w']."' maxlength='3' class='textbox' style='width:40px;'> x
<input type='text' name='photo_h' value='".$settings2['photo_h']."' maxlength='3' class='textbox' style='width:40px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main603']."<br>
<span class='small2'>".$locale['main604']."</span></td>
<td width='50%' class='tbl2'><input type='text' name='photo_max_w' value='".$settings2['photo_max_w']."' maxlength='4' class='textbox' style='width:40px;'> x
<input type='text' name='photo_max_h' value='".$settings2['photo_max_h']."' maxlength='4' class='textbox' style='width:40px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main605']."</td>
<td width='50%' class='tbl2'><input type='text' name='photo_max_b' value='".$settings2['photo_max_b']."' maxlength='10' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main606']."</td>
<td width='50%' class='tbl2'><select name='thumb_compression' class='textbox'>
<option value='gd2'".($settings2['thumb_compression'] == "gd2" ? " selected" : "").">".$locale['main608']."</option>
</select></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main609']."</td>
<td width='50%' class='tbl2'><input type='text' name='thumbs_per_row' value='".$settings2['thumbs_per_row']."' maxlength='2' class='textbox' style='width:40px;'></td>
</tr>
<tr>
<td width='50%' class='tbl1'>".$locale['main610']."</td>
<td width='50%' class='tbl2'><input type='text' name='thumbs_per_page' value='".$settings2['thumbs_per_page']."' maxlength='2' class='textbox' style='width:40px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl1'><input type='submit' name='savesettings' value='".$locale['main750']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();

echo "</td>\n";
require_once ADMIN."footer.php";
?>