<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin.php";

if (!checkrights("S") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
if (isset($shout_id) && !isNum($shout_id)) fallback(ADMIN.FUSION_SELF.$aidlink);
if (!isset($action)) $action = "";

if (isset($status)) {
	if ($status == "delall") {
		$title = $locale['shouts400'];
		$message = "<b>".$numr." ".$locale['shouts401']."</b>";
	} elseif ($status == "del") {
		$title = $locale['shouts404'];
		$message = "<b>".$locale['shouts405']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if ($action == "deleteshouts") {
	$deletetime = time() - ($_POST['num_days'] * 86400);
	$result = dbquery("SELECT * FROM ".$db_prefix."shoutbox WHERE shout_datestamp < '$deletetime'");
	$numrows = dbrows($result);
	$result = update_table(DB_PREFIX."shoutbox","WHERE shout_datestamp < '$deletetime'","delete");
	redirect(ADMIN.FUSION_SELF.$aidlink."&status=delall&numr=$numrows");
} else if ($action == "delete") {
	$result = update_table(DB_PREFIX."shoutbox","WHERE shout_id='$shout_id'","delete");
	redirect(ADMIN.FUSION_SELF.$aidlink."&status=del");
} else {
	if (isset($_POST['saveshout'])) {
		if ($action == "edit") {
			$shout_message = preg_replace("/^(.{255}).*$/", "$1", $shout_message);
			$shout_message = stripinput($shout_message);
			$result = update_table(DB_PREFIX."shoutbox","SET shout_message='$shout_message' WHERE shout_id='$shout_id'","update");
			redirect(ADMIN.FUSION_SELF.$aidlink);
		}
	}
	if ($action == "edit") {
		$result = dbquery("SELECT * FROM ".$db_prefix."shoutbox WHERE shout_id='$shout_id'");
		$data = dbarray($result);
		opentable($locale['shouts420']);
		echo "<form name='editform' method='post' action='".ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;shout_id=".$data['shout_id']."'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['shouts421']."</td>
</tr>
<tr>
<td class='tbl'><textarea name='shout_message' rows='3' cols='44' class='textbox'>".str_replace("<br>", "", $data['shout_message'])."</textarea></td>
</tr>
<tr>
<td align='center' class='tbl'><input type='submit' name='saveshout' value='".$locale['shouts422']."' class='button'></td>
</tr>
</table>
</form>\n";
		closetable();
		tablebreak();
	}
	opentable($locale['shouts440']);
	$result = dbquery("SELECT * FROM ".$db_prefix."shoutbox");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	echo "<form name='deleteform' method='post' action='".ADMIN.FUSION_SELF.$aidlink."&amp;action=deleteshouts'>\n<div align='center'>\n";
	if ($rows != 0) {
		if ($rowstart == 0) {
			$opts = "<option value='90'>90</option>
<option value='60'>60</option>
<option value='30'>30</option>
<option value='20'>20</option>
<option value='10'>10</option>
<option value='5'>5</option>\n";
			echo $locale['shouts430']." <select name='num_days' class='textbox' style='width:50px'>$opts</select>".$locale['shouts431']."<br><br>
<input type='submit' name='deleteshouts' value='".$locale['shouts432']."' class='button'><br><hr>
</div>
</form>\n";
		}
		$i = 0;
		$result = dbquery(
			"SELECT * FROM ".$db_prefix."shoutbox LEFT JOIN ".$db_prefix."users
			ON ".$db_prefix."shoutbox.shout_name=".$db_prefix."users.user_id
			ORDER BY shout_datestamp DESC LIMIT $rowstart,20"
		);
		echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
		while ($data = dbarray($result)) {
			echo "<tr>\n<td class='".($i % 2 == 0 ? "tbl1" : "tbl2")."'><span class='comment-name'>";
			if ($data['user_name']) {
				echo "<a href='".BASEDIR."profile.php?lookup=".$data['shout_name']."' class='slink'>".$data['user_name']."</a>";
			} else {
				echo $data['shout_name'];
			}
			echo "</span>
<span class='small'>".$locale['041'].showdate("longdate", $data['shout_datestamp'])."</span><br>
".str_replace("<br>", "", parsesmileys($data['shout_message']))."<br>
<span class='small'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;shout_id=".$data['shout_id']."'>".$locale['shouts441']."</a> -
<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=delete&amp;shout_id=".$data['shout_id']."'>".$locale['shouts442']."</a> -
<b>".$locale['shouts443'].$data['shout_ip']."</b></span>
</td>\n</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<center><br>\n".$locale['shouts444']."<br><br>\n</center>\n";
	}
	closetable();
	echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3,ADMIN.FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
}

echo "</td>\n";
require_once ADMIN."footer.php";
?>