<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";
$link_pos = !isset($_GET['pos']) ? '' : " link_position='".(int)$_GET['pos']."'";
if (!checkrights("SL") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
if (isset($link_id) && !isNum($link_id)) fallback(ADMIN.FUSION_SELF.$aidlink);
if (!isset($action)) $action = "";

if (isset($status)) {
	if ($status == "del") {
		$title = $locale['slinks400'];
		$message = "<b>".$locale['slinks401']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if ($action == "refresh") {
	$i = 1;
	$result = dbquery("SELECT link_id FROM ".$db_prefix."site_links ORDER BY link_order");
	while ($data = dbarray($result)) {
		$result2 = update_table(DB_PREFIX."site_links","SET link_order='$i' WHERE link_id='".$data['link_id']."'","update");
		$i++;
	}
	redirect(ADMIN.FUSION_SELF.$aidlink);
} elseif ($action == "moveup") {
	$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."site_links WHERE link_order='$order'"));
	$result = update_table(DB_PREFIX."site_links","SET link_order=link_order+1 WHERE link_id='".$data['link_id']."'","update");
	$result = update_table(DB_PREFIX."site_links","SET link_order=link_order-1 WHERE link_id='$link_id'","update");
	redirect(ADMIN.FUSION_SELF.$aidlink);
} elseif ($action == "movedown") {
	$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."site_links WHERE link_order='$order'"));
	$result = update_table(DB_PREFIX."site_links","SET link_order=link_order-1 WHERE link_id='".$data['link_id']."'","update");
	$result = update_table(DB_PREFIX."site_links","SET link_order=link_order+1 WHERE link_id='$link_id'","update");
	redirect(ADMIN.FUSION_SELF.$aidlink);
} elseif ($action == "delete") {
	$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."site_links WHERE link_id='$link_id'"));
	$result = update_table(DB_PREFIX."site_links","SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."'","update");
	$result = update_table(DB_PREFIX."site_links","WHERE link_id='$link_id'","delete");
	redirect(ADMIN.FUSION_SELF.$aidlink."&status=del");
} else {
	if (isset($_POST['savelink'])) {
		$link_name = stripinput($_POST['link_name']);
		$link_url = stripinput($_POST['link_url']);
		$link_icon = isset($_POST['link_icon']) ? stripinput($_POST['link_icon']) :"";
		$link_visibility = isNum($_POST['link_visibility']) ? $_POST['link_visibility'] : "0";
		$link_position = isset($_POST['link_position']) ? $_POST['link_position'] : "0";
		$link_window = isset($_POST['link_window']) ? $_POST['link_window'] : "0";
		$link_locale = isset($_POST['link_locale']) ? stripinput($_POST['link_locale']) : "all";
		$link_order = isset($_POST['link_order']) ? stripinput($_POST['link_order']) : null;
		if ($action == "edit") {
			if (isset($link_order)) {
			$found_same_order = dbcount("(link_id)","site_links","link_id!='$link_id' AND link_order='$link_order'");
			$found_first_order = dbcount("(link_id)","site_links","link_id!='$link_id' AND link_order='1'");
			if ((bool)$found_same_order) {
				if ($link_order==1) {
					$link = 'link_order+1';
				} else {
					if (!(bool)$found_first_order) $link = 'link_order-1'; else $link = 'link_order+1';
				}	
			$result = update_table(DB_PREFIX."site_links","SET link_order=$link WHERE link_id!='$link_id' AND link_order>='$link_order'","update");	
			}
			}
			$result = update_table(DB_PREFIX."site_links","SET link_icon='$link_icon', link_name='$link_name', link_url='$link_url', link_visibility='$link_visibility', link_position='$link_position', link_window='$link_window', link_locale='$link_locale'".(isset($link_order) && $link_order!=''? ",link_order='".$link_order."'":'')." WHERE link_id='$link_id'","update");
			if ((bool)$result);
			$result = dbquery("SELECT link_id FROM ".$db_prefix."site_links ORDER BY link_order");
			$i=1;
	while ($data = dbarray($result)) {
		$result2 = update_table(DB_PREFIX."site_links","SET link_order='$i' WHERE link_id='".$data['link_id']."'","update");
		$i++;
	}
			redirect(ADMIN.FUSION_SELF.$aidlink.'&action=refresh');
		} else {
			if(!$link_order) $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."site_links"),0)+1;
			$result = update_table(DB_PREFIX."site_links","SET link_order=link_order+1 WHERE link_order>='$link_order'","update");	
			$result = update_table(DB_PREFIX."site_links","(link_icon,link_name, link_url, link_visibility, link_position, link_window, link_order,link_locale) VALUES ('$link_icon','$link_name', '$link_url', '$link_visibility', '$link_position', '$link_window', '$link_order','$link_locale')","insert");
			redirect(ADMIN.FUSION_SELF.$aidlink.'&action=refresh');
		}
	}
	if ($action == "edit") {
		$result = dbquery("SELECT * FROM ".$db_prefix."site_links WHERE link_id='$link_id'");
		$data = dbarray($result);
		$link_icon = $data['link_icon'];
		$link_name = $data['link_name'];
		$link_url = $data['link_url'];
		$link_visibility = $data['link_visibility'];
		$link_order = $data['link_order'];
		$pos1_check = ($data['link_position']=="1" ? " checked" : "");
		$pos2_check = ($data['link_position']=="2" ? " checked" : "");
		$pos3_check = ($data['link_position']=="3" ? " checked" : "");
		$window_check = ($data['link_window']=="1" ? " checked" : "");
		$formaction = ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;link_id=".$data['link_id'];
		$link_locale = $data['link_locale'];
		opentable($locale['slinks410']);
	} else {
		$link_name = "";
		$link_url = "";
		$link_icon = "";
		$link_visibility = "";
		$link_order = "";
		$pos1_check = " checked";
		$pos2_check = "";
		$pos3_check = "";
		$window_check = "";
		$formaction = ADMIN.FUSION_SELF.$aidlink;
		$link_locale = 'all';
		opentable($locale['slinks411']);
	}
	$locale_files = makefilelist(LOCALE, ".|..|flags", true, "folders");
	$image_files = makefilelist(IMAGES."icons/", ".|..|index.php", true);
array_unshift($image_files,"");
$image_list = makefileopts($image_files,$link_icon);
	array_unshift($locale_files, "all");
	$visibility_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($link_visibility == $user_group['0'] ? " selected" : "");
		$visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='layoutform' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0' class='tbl-border'>
<tr>
<td class='tbl1'>".$locale['slinks420']."</td>
<td class='tbl2'><input type='text' name='link_name' value='$link_name' maxlength='100' class='textbox' style='width:240px;'></td>
</tr>
<tr>
<td class='tbl1'>".$locale['slinks421']."</td>
<td class='tbl2'><input type='text' name='link_url' value='$link_url' maxlength='200' class='textbox' style='width:240px;'></td>
</tr>
<tr>
<td class='tbl1'>".$locale['slinks422']."</td>
<td class='tbl2'><select name='link_visibility' class='textbox'>
$visibility_opts</select>\n";
	//if ($action != "edit") {
		echo $locale['slinks423']."
<input type='text' name='link_order'  value='$link_order' maxlength='2' class='textbox' style='width:40px;'>";
	//}
	echo "</td>
</tr>
<tr>
<td valign='top' class='tbl1'>".$locale['slinks424']."</td>
<td class='tbl2'><input type='radio' name='link_position' value='1'$pos1_check> ".$locale['slinks425']."<br>
<input type='radio' name='link_position' value='2'$pos2_check> ".$locale['slinks426']."<br>
<input type='radio' name='link_position' value='3'$pos3_check> ".$locale['slinks427']."<hr>
<input type='checkbox' name='link_window' value='1'$window_check> ".$locale['slinks428']."</td>
</tr>";
echo '<tr><td class="tbl1">'.$locale['slinks437'].':</td>
<td class="tbl2">';
echo "<select name='link_icon' class='textbox' onChange=\"document.images['link_icons'].src = '".IMAGES."icons/' + this.value;\">";
echo $image_list;
echo "</select> <img src=\"".(!empty($link_icon) ? IMAGES.'icons/'.$link_icon : IMAGES."blank.gif")."\" name=\"link_icons\" />
</td></tr>";
if ((bool)$settings['locale_switcher']) {
echo "<tr>
<td class='tbl1'>".$locale['main510']."</td>
<td class='tbl2'><select name='link_locale' class='textbox' style='width:100px;'>
".makefileopts($locale_files, $link_locale)."
</select></td>
</tr>";
}
echo "<tr>
<td align='center' colspan='2' class='tbl1'>
<input type='submit' name='savelink' value='".$locale['slinks429']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	opentable($locale['slinks412']);
	echo "<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>
<tr>
<td class='tbl2'><b>".$locale['slinks430']."</b></td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['slinks431']."</b></td>
<td align='center' colspan='2' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['slinks432']."</b></td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['slinks433']."</b></td>
</tr>\n";
	$result = dbquery("SELECT * FROM ".$db_prefix."site_links".(empty($link_pos) ? "" : " WHERE ".$link_pos)." ORDER BY link_locale,link_order");
	if (dbrows($result) != 0) {
		$i = 0; $k = 1;$current_locale='';
		while($data = dbarray($result)) {
			if ($current_locale!=$data['link_locale'] && $data['link_locale']!='all') {
				$current_locale=$data['link_locale'];
				echo "<tr><th colspan='5' class='side-label'><img src='".LOCALE."flags/flag-".strtolower($data['link_locale']).".png' alt='".$data['link_locale']."' title='".$data['link_locale']."' style='vertical-align:middle'> ".$data['link_locale']."</th></tr>";
			}
			$data['link_url']=str_replace($folder_level,"",$data['link_url']);
			echo "<tr>\n<td class='tbl1'>";
			if ($data['link_position'] == 3) echo "<i>";
			if ($data['link_name'] != "---" && $data['link_url'] == "---") {
				echo '<strong>'.(empty($data['link_icon']) || !empty($data['link_icon']) && !file_exists(IMAGES."icons/".$data['link_icon']) ? '' : '<img src="'.IMAGES.'icons/'.$data['link_icon'].'" alt="" /> '). $data['link_name'].'</strong>'."\n";
			} else if ($data['link_name'] == "---" && $data['link_url'] == "---") {
				echo "<hr>\n";
			} else {
				if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
					echo (empty($data['link_icon']) || !empty($data['link_icon']) && !file_exists(IMAGES."icons/".$data['link_icon']) ? '<img src="'.THEME.'images/bullet.gif" alt="" /> ' : '<img src="'.IMAGES.'icons/'.$data['link_icon'].'" alt="" /> '); echo " <a href='".$data['link_url']."'>".$data['link_name']."</a>\n";
				} else {
					echo (empty($data['link_icon']) || !empty($data['link_icon']) && !file_exists(IMAGES."icons/".$data['link_icon']) ? '<img src="'.THEME.'images/bullet.gif" alt="" /> ' : '<img src="'.IMAGES.'icons/'.$data['link_icon'].'" alt="" /> '); echo " <a href='".BASEURL.$data['link_url']."'>".$data['link_name']."</a>\n";
				}
			}
			if ($data['link_position'] == 3) echo "</i>";
			echo "</td>
<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>".getgroupname($data['link_visibility'])."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$data['link_order']."</td>
<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>\n";
			if (dbrows($result) != 1) {
				$up = $data['link_order'] - 1;
				$down = $data['link_order'] + 1;
				if ($k == 1) {
					echo "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=$down&amp;link_id=".$data['link_id']."'><img src='".THEME."images/down.gif' alt='".$locale['slinks441']."' title='".$locale['slinks443']."' style='border:0px;'></a>\n";
				} elseif ($k < dbrows($result)) {
					echo "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=$up&amp;link_id=".$data['link_id']."'><img src='".THEME."images/up.gif' alt='".$locale['slinks440']."' title='".$locale['slinks442']."' style='border:0px;'></a>\n";
					echo "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=$down&amp;link_id=".$data['link_id']."'><img src='".THEME."images/down.gif' alt='".$locale['slinks441']."' title='".$locale['slinks443']."' style='border:0px;'></a>\n";
				} else {
					echo "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=$up&amp;link_id=".$data['link_id']."'><img src='".THEME."images/up.gif' alt='".$locale['slinks440']."' title='".$locale['slinks442']."' style='border:0px;'></a>\n";
				}
			}
			$k++;
echo "</td>
<td align='center' width='1%' class='tbl1' style='white-space:nowrap'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;link_id=".$data['link_id']."'>".$locale['slinks434']."</a> -
<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=delete&amp;link_id=".$data['link_id']."'>".$locale['slinks435']."</a></td>
</tr>\n";
		}
	} else {
		echo "<tr>\n<td align='center' colspan='4' class='tbl1'>".$locale['slinks436']."</td>\n</tr>\n";
	}
	if (dbrows($result)) echo "<tr>\n<td align='center' colspan='5' class='tbl1'>[ <a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=refresh'>".$locale['slinks444']."</a> ]</td>\n</tr>\n";
	echo "</table>\n";
	closetable();
}

echo "</td>\n";
require_once ADMIN."footer.php";
?>