<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
require_once "../maincore.php";
$forum_id = isset($_GET['forum_id']) ? (int)$_GET['forum_id'] : (isset($_POST['forum_id']) ? (int)$_POST['forum_id'] : "0");
$rowstart = (int)@$_GET['rowstart'];
$step=isset($_GET['step']) ? stripinput($_GET['step']) : null;
require_once INCLUDES."forum_functions_include.php";
require_once BASEDIR."subheader.php";
include_once LOCALE.LOCALESET."forum.php";

if ($forum_settings['panel_l']) require_once BASEDIR."side_left.php"; else echo "<td valign='top' class='main-bg'>\n";

define("iMOD",view_forum_mods($forum_id,true) ? true : false);
if (!iMOD) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
$data = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."forums WHERE forum_id='".$forum_id."'")); 
$threads=marked_threads();

echo "<script type='text/javascript'>
<!--
function setChecked(frmName,chkName,val) {
	dml=document.forms[frmName];
	len=dml.elements.length;

	for(i=0;i < len;i++) {
		if(dml.elements[i].name == chkName) {
			dml.elements[i].checked = val;
		}
	}
}
//-->
</script>\n";

if(isset($_POST['canceldelete'])) {
	redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id);
}

if (isset($_POST['delete'])) {
	opentable($locale['MOD521']);
	echo "<div align='center'><br>\n";
	if (isset($_POST['deletethread'])) {
		if(!isset($_POST['thread_id_list'])) {
		redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id);
	}
		foreach($_POST['thread_id_list'] as $thread_id) {
		delete_thread($thread_id);
		}
		fu_f_update_forum($forum_id);
		optimize_tables();
		echo $locale['OPTION401']."<br><br>
		<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['OPTION402']."</a><br><br>
		<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>\n";

	} else {
		if(!$threads) {
		fallback(FUSION_SELF."?forum_id=".$forum_id);
		}
		$del_threads = "";
		$thread_id_list = explode(",",$threads);
		foreach($thread_id_list as $thread_id) {
			$del_threads .= "<input type='hidden' name='thread_id_list[]' value='".$thread_id."'>\n";
		}
		echo "<p>
<form method='post' action='".FORUM.FUSION_SELF."?forum_id=$forum_id'>
".$locale['OPTION404']."<br><br>
<input type='hidden' name='delete' value='1'>
$del_threads
<input type='submit' name='deletethread' value='".$locale['OPTION405']."' class='button' style='width:75px'>
<input type='submit' name='canceldelete' value='".$locale['OPTION406']."' class='button' style='width:75px'><br><br>
</form>\n";
	}
	echo "</div>\n";
	closetable();

} elseif (isset($_POST['move'])) {
	opentable($locale['MOD526']);
	if (isset($_POST['move_thread'])) {
		if(!isset($_POST['thread_id_list'])) {
		redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id);
		}
		if (!isset($_POST['new_forum_id']) || !isNum($_POST['new_forum_id'])) {
			redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		}
		$new_forum_id = $_POST['new_forum_id'];
		if (!dbcount("(forum_id)", "forums",
			"forum_id='".$new_forum_id."'")) {
			redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		}
		if($new_forum_id==$forum_id) {
			redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		}

		foreach($_POST['thread_id_list'] as $thread_id) {
			$result = dbquery("UPDATE ".$db_prefix."threads SET forum_id='$new_forum_id' WHERE thread_id = '$thread_id'");
			$result = dbquery("UPDATE ".$db_prefix."posts SET forum_id='$new_forum_id' WHERE thread_id = '$thread_id'");
		}

		fu_f_update_forum($forum_id);
		fu_f_update_forum($new_forum_id);
		optimize_tables();
		echo $locale['OPTION450']."<br><br>
		<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['OPTION452']."</a><br><br>
		<a href=".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>\n";

	} else {
		if(!$threads) {
		fallback(FUSION_SELF."?forum_id=".$forum_id);
		}
		$move_list = list_foren($forum_id);
		$move_threads="";
		$threads_array = explode(",",$threads);
		foreach($threads_array as $thread_id) {
			$move_threads.= "<input type='hidden' name='thread_id_list[]' value='".$thread_id."'>\n";
		}
		echo "
<form method='post' action='".FORUM.FUSION_SELF."?forum_id=$forum_id'>
$move_threads
<input type='hidden' name='move' value='1'>
<table cellpadding='0' cellspacing='0' width='100%' class='full-header'>
<tr>
	<td>
		<table cellpadding='0' cellspacing='1' width='100%'>
		<tr>
		<td class='tbl2' width='150'>".$locale['OPTION451']."</td>
		<td class='tbl2'><select name='new_forum_id' class='textbox' style='width:250px;'>
		$move_list</select></td>
		</tr>
		<tr>
		<td colspan='2' class='tbl2' style='text-align:center;'><input type='submit' name='move_thread' value='".$locale['OPTION450']."' class='button'></td>
		</tr>
		</table>
	</td>
</tr>
</table>
</form>\n";
	} 
	closetable();

} elseif (isset($_POST['lock'])) {
	if ($threads != "")
	{
		$result = dbquery("UPDATE ".$db_prefix."threads SET thread_locked='1' WHERE thread_id IN($threads)");
		opentable($locale['MOD522']);
		echo "<div align='center'><br>".$locale['OPTION411']."<br><br>
		<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['OPTION402']."</a><br><br>
		<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>\n</div>\n";
		closetable();
	}
	else
	{
		opentable($locale['MOD522']);
		echo "<div align='center'><br>".$locale['OPTION476']."<br><br>
		<a href='mod_options.php?forum_id=$forum_id'>".$locale['OPTION477']."</a>\n</div>\n";
		closetable();
	}
} elseif (isset($_POST['unlock'])) {
	if ($threads != "")
	{
		$result = dbquery("UPDATE ".$db_prefix."threads SET thread_locked='0' WHERE thread_id IN($threads)");
		opentable($locale['MOD523']);
		echo "<div align='center'><br>".$locale['OPTION421']."<br><br>
		<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['OPTION402']."</a><br><br>
		<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>\n</div>\n";
		closetable();
	}
	else
	{
		opentable($locale['MOD523']);
		echo "<div align='center'><br>".$locale['OPTION476']."<br><br>
		<a href='".FORUM.FUSION_SELF."?forum_id=$forum_id'>".$locale['OPTION477']."</a>\n</div>\n";
		closetable();
	}
} elseif (isset($_POST['update'])) {
	if ($threads) {
		$thread_list = explode(",",$threads);		
		foreach($thread_list as $thread_id) {
		fu_f_update_thread($thread_id,"mod_update");
		}
		// neu, zoc
		opentable($locale['MOD527']);
		echo "<div align='center'><br>".$locale['OPTION459']."<br><br>
		<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['OPTION402']."</a><br><br>
		<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>\n</div>\n";
		closetable();
	} else redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id);	
}

/*------------------------------------------------------------+
| Thread Merging Mod
| (c) 2008 by MK-Websolution
| http://www.mk-websolution.de
+-------------------------------------------------------------+
| This script code is copyright by MK-Websolution.
| To change, copy and paste in other projects or print of this 
| code is forbidden. It`s only allowed to use this tool 
| in the ExtBoard.
+-------------------------------------------------------------*/ 
elseif (isset($_POST['merge_threads'])) {
	if(!@include_once(INCLUDES."ubbparser.class.php")) {die("Parser not found!");}	
$ubb = new ubbParser(INCLUDES.'plugins/');
$ubb->ubbcode_allowed=array('b','i','u','s','size','color','colorize','geshi','code','quote','img','url','mail','center','sub','sup','googlevideo','myvideo','youtube','flash','list','ulist','iurl','small','li','spoiler'); 
$ubb->get_image_size=true;
		opentable($locale['MERGE_000']);	
		if($threads=="") {
		fallback(FORUM.FUSION_SELF."?forum_id=".$forum_id);
		}
		if (!isset($forum_id) || !isNum($forum_id)) fallback(FORUM."mod_options.php?forum_id=".$forum_id);
		if (!dbcount("(forum_id)", "forums", "forum_id='$forum_id'")) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
	if ($threads!="") {
			$thread_id_list = explode(",",$threads);
			$tids = "";
			for($i = 0; $i < count($thread_id_list); $i++) {
				if (isNum($thread_id_list[$i])) {
					$tids .= ($tids != "" ? ", " : "")."'".$thread_id_list[$i]."'";
				}
			}
		// Start Auflistung der gewhlten Threads
		$forum_list = list_foren($forum_id); $sel = "";
		
		$result = dbquery("SELECT t.*,u.*,p.* FROM ".$db_prefix."threads t 
				LEFT OUTER JOIN ".DB_PREFIX."users u ON t.thread_author=u.user_id
				LEFT OUTER JOIN ".DB_PREFIX."posts p ON t.thread_id=p.thread_id
				WHERE t.forum_id='$forum_id' AND t.thread_id IN ($tids) GROUP BY p.thread_id ORDER BY t.thread_sticky DESC,t.thread_id ASC"
			);
			$i = 0;
			$j = 1;
			
			$ubbvideo = $forum_settings['ubb_videos'];
			$ubbgeshi = $forum_settings['ubb_geshi'];	
			$thread_count = dbrows($result);
			$max_length = 300;
			$polls_count = dbcount("(poll_id)","forum_polls","thread_id IN ($tids)");
			
						
			if ($thread_count<=1) {fallback(FORUM."mod_options.php?forum_id=$forum_id");}
			if ($polls_count == $thread_count) {
			echo "<div align='center'>".$locale['MERGE_008'];
			echo "<br><br>
<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br>
<a href='".FORUM.FUSION_SELF."?forum_id=$forum_id'>".$locale['TOOL_007']."</a><br>
<br>\n</div>\n";
			closetable();
			break;
			}
		$rows = dbcount("(thread_id)", "threads", "thread_id IN ($tids)");
		if ($rows != 0) {
			echo "<script type='text/javascript'>
function st_check(value) {
	var i = 0;
	while (document.getElementById('box' + i)) {
		if (value != '') { 
		document.getElementById('box' + i).checked = true; 
		document.getElementById('dontmark').style.display = 'inline';
		document.getElementById('mark').style.display = 'none';
		document.getElementById('dot').style.display = 'none';
		}
		else { 
		document.getElementById('box' + i).checked = false; 
		document.getElementById('dontmark').style.display = 'none';
		document.getElementById('mark').style.display = 'inline';
		document.getElementById('dot').style.display = 'none';
		}
		i++;
	}
}
function box_check(value) {
		if (value != '') {
			document.getElementById('dontmark').style.display = 'inline';
			document.getElementById('mark').style.display = 'inline';
			document.getElementById('dot').style.display = 'inline';
		}
		
}
function startSubmit() {
			document.getElementById('sendbtn').style.display = 'inline';
}
function ConfirmMerge() {
	return confirm('".$locale['MERGE_010']."');
}
function loadForm() {
document.getElementById('form').style.display = 'inline';	
}
</script>
<form name='mergeform' style='display' method='post' action='".FORUM.FUSION_SELF."?step=merge&amp;forum_id=$forum_id'>
<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
<tr>
<td>
<table cellpadding='0' cellspacing='1' width='100%'>
<tr>
<td colspan='2' class='tbl2' width='150'>".$locale['MERGE_002']."</td>
<td class='tbl1'>
<select name='merge_forum_id' class='textbox' style='width:250px;'>
$forum_list
</select>
</td>
</tr>
<tr>
<td colspan='2' class='tbl2' width='150'>".$locale['TOOL_002']."</td>
<td class='tbl1'><input type='text' name='merge_subject' class='textbox' style='width:250px;'></td>
</tr>
</table>
</td>
</tr>
</table>";
tablebreak();
echo "<table cellpadding='0' cellspacing='1' width='100%'>
<tr>
<td class='tbl1'><span style='font-weight:bold;font-size:11px;'>".$locale['MERGE_003']."</span></td>
<td align='right' class='tbl1'><span style='display:none;' id='mark'><a href='javascript:void(0)' onClick=\"st_check('1');\">".$locale['TOOL_000']."</a></span><span style='display:inline;' id='dontmark'> <span style='display:none;' id='dot'>/</span> <a href='javascript:void(0)' onClick=\"st_check('');\">".$locale['TOOL_001']."</a></span></td>
</tr>
</table>
<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
<tr>
<td>
<table cellpadding='0' cellspacing='1' width='100%'>\n";
			
			while ($data = dbarray($result)) {
					$message = (int)$data['post_smileys']>0 ? parsesmileys($data['post_message']) : $data['post_message'];
   				$message = descript($ubb->getHTML(nl2br($message)),false);
				echo "<tr>
<td width='50' align='center' class='tbl2'><input onclick='startSubmit();' type='radio' name='main_thread' value='".$data['thread_id']."' class='textbox' ";
echo  wztool(wztooltip($locale['MERGE_005']),wztooltip($locale['MERGE_004'])).');" onMouseOut="UnTip();"></td>';
echo "<td width='145' class='tbl2'>".$locale['TOOL_008']."</td>
<td class='tbl2'><table border='0' width='100%'><tr><td>".$data['thread_subject'].(!dbcount("(poll_id)","forum_polls","thread_id='".$data['thread_id']."'") ? "</td><td align='right'><input type='checkbox' name='thread_id_list[]' id='box{$i}' onClick=\"box_check('{$i}');\" value='".$data['thread_id']."' class='textbox' title=\"".$locale['MERGE_000']." - ".$locale['MERGE_006']."\"".(in_array($data['thread_id'],$thread_id_list) ? " checked" : "")."></td>" : "</td><td align='right'><img hspace='2' src='".FORUMIMAGE."nocheck.gif' alt='".$locale['MERGE_000']." - ".$locale['MERGE_007']."' title=\"".$locale['MERGE_000']." - ".$locale['MERGE_007']."\"></td>")."</tr></table></td>
</tr>
<tr>
<td width='50' align='center' rowspan='2' class='tbl2' valign='top'></td>
<td valign='top' width='145' rowspan='2' class='tbl1'>
<a href='".$tpl->url("profil","profile.php","lookup=",$data['user_id'],null,null,$data['user_name'],null,"_")."'>".$data['user_name']."</a><br>
<span class='alt'>".getuserlevel($data['user_level'])."</span><br><br>\n";
				if ($data['user_avatar'] != "") {
					echo "<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$locale['TOOL_005']."'><br><br>\n";
					$height = "185";
				} else {
					$height = "70";
				}
				echo "</td>
<td class='tbl1' colspan='2'>".sprintf($locale['TOOL_003'],showdate("forumdate", $data['post_datestamp']))."</td>
</tr>
<tr>
<td valign='top' height='140' class='tbl1' colspan='2'>
$message";
				
				echo "
</td>
</tr>\n";
$j++;
if (!dbcount("(poll_id)","forum_polls","thread_id='".$data['thread_id']."'")) $i++;
$thread_sticky .= $data['thread_sticky'] ? " checked" : "";				
			} @mysql_free_result($result);
			echo "<tr>
<td colspan='4' class='tbl2' style='text-align:center;'>
<div  id='sendbtn' style='display:none;'>
<input type='checkbox' name='thread_sticky' value='1'".$thread_sticky.">".$locale['OPTION430']." 
<input type='checkbox' name='thread_locked' value='1'>".$locale['OPTION410']." <input type='checkbox' name='thread_renew' value='1'>".$locale['OPTION458']."<br>
<input type='submit' name='merge_thread' value='".$locale['MERGE_000']."' class='button'>
</div>
</td>
</tr>
</table>
</td>
</tr>
</table>
</form>";
		}
	}

	closetable();

} else if ($step == "merge") {
	opentable($locale['MERGE_000']);
	
	if (isset($_POST['merge_thread'])) {
		$fid = isset($_POST['merge_forum_id']) ? (int)$_POST['merge_forum_id'] : $forum_id;
		if (!isset($fid) || !isNum($fid)) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		if (!dbcount("(forum_id)", "forums", "forum_id='$fid'")) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		if (isset($_POST['thread_id_list']) && is_array($_POST['thread_id_list'])) {
			$pids = "";$tid=isset($_POST['main_thread']) ? (int)$_POST['main_thread'] : "";
			if ($tid) {
			for($i = 0; $i < count($_POST['thread_id_list']); $i ++) {
				if (isNum($_POST['thread_id_list'][$i])) {
					if (!$tid && $i==0) {$tid = $_POST['thread_id_list'][0];}
					if ($_POST['thread_id_list'][$i]!=$tid) {
					$pids .= ($pids != "" ? ", " : "")."'".$_POST['thread_id_list'][$i]."'";
					}
				}
			}
		} else { fallback(FORUM."viewthread.php?thread_id=".$thread_id);}
		$new = dbcount("(post_id)", "posts", "thread_id IN (".$pids.")");
		$old = dbcount("(post_id)", "posts", "forum_id='".$forum_id."'");
		if ($new <= $old && $new != 0) {
			$thread_id=$tid;
			if (!$thread_id) { redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));}
			$pdata = dbarray(dbquery("SELECT forum_id,post_id,post_subject,post_datestamp FROM ".DB_PREFIX."posts WHERE thread_id='".$thread_id."' ORDER BY post_datestamp ASC"));
			$fpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE thread_id IN (".$pids.") ORDER BY post_datestamp ASC LIMIT 1"));
			$lpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE thread_id IN (".$pids.") ORDER BY post_datestamp DESC LIMIT 1"));
			$tpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."threads WHERE thread_id='".$thread_id."' LIMIT 1"));
			$subject = (isset($_POST['merge_subject']) && !empty($_POST['merge_subject']) ? stripinput($_POST['merge_subject']) : $tpdata['thread_subject']);

			$thread_sticky = isset($_POST['thread_sticky']) ? 1 : 0;
			$thread_locked = isset($_POST['thread_locked']) ? 1 : 0;
			$thread_renew = isset($_POST['thread_renew']) ? 1 : 0;
			$result = dbquery("UPDATE ".$db_prefix."threads
				SET forum_id='".$fid."',thread_subject='".$subject."', thread_sticky='".$thread_sticky."', thread_locked='".$thread_locked."' WHERE thread_id='".$thread_id."'");
			$result = dbquery("UPDATE ".$db_prefix."posts
				SET forum_id='".$fid."', thread_id='".$thread_id."', post_subject='".$subject."' WHERE thread_id IN (".$pids.")");
				
			if (dbcount("(thread_id)","forum_attachments","thread_id IN (".$pids.")")) {
			$result = dbquery("UPDATE ".$db_prefix."forum_attachments
				SET thread_id='".$thread_id."' WHERE thread_id IN (".$pids.")");
			}
			if (dbcount("(thread_id)","thread_notify","thread_id IN (".$pids.")")) {
			$result = dbquery("DELETE FROM ".$db_prefix."thread_notify WHERE thread_id IN (".$pids.")");
			}
			if (dbcount("(rating_id)","ratings","rating_item_id IN(".$pids.") AND rating_type='M'")) {
			$result = dbquery("UPDATE ".$db_prefix."ratings
				SET thread_id='".$thread_id."' WHERE rating_item_id IN (".$pids.") AND rating_type='M'");
			}
			$result = dbquery("DELETE FROM ".$db_prefix."threads WHERE thread_id IN (".$pids.")");
			
			$poll_result = dbquery("SELECT poll_id FROM ".$db_prefix."forum_polls WHERE thread_id = '".$thread_id."'");
				if (dbrows($poll_result)) {
				$id_for_poll = ($pdata['post_datestamp'])>$fpdata['post_datestamp'] ? $fpdata['post_id'] : $pdata['post_id'];
				$poll_update = dbquery("UPDATE ".DB_PREFIX."forum_polls SET post_id='".$id_for_poll."' WHERE thread_id='".$thread_id."'");	
				}
		
			if ($thread_renew) {
			fu_f_update_thread($thread_id,"mod_update");
			fu_f_update_forum($forum_id);
			} else {
			fu_f_update_thread($thread_id);
			}
			fu_f_update_forum($fid);
			fu_f_update_forum($forum_id);
			optimize_tables();
		} else { redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id); }
		}
		echo "<div align='center'><br><b>".$locale['MERGE_001']."</b><br><br>
<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>
<a href='".FORUM."viewforum.php?forum_id=".$forum_id."'>".$locale['TOOL_010']."</a><br><br>
<a href='".FORUM."viewthread.php?thread_id=".$thread_id."'>".$locale['TOOL_006']."</a><br><br>
<a href='".FORUM."mod_options.php?forum_id=".$forum_id."'>".$locale['TOOL_007']."</a>\n</div>\n";
}
}
/** END OF THE MERGE MOD **/

else
{
	if (isset($_POST['next'])) {
		$search	= strstr("-",$_POST['next']);
		$next = str_replace($search,"",$_POST['next']);
	 	$rowstart=(int)$next-1;
	 	}
	$thread_list = isset($_POST['thread_id_list']) ? $_POST['thread_id_list'] : array();
	
	$trows = dbcount("(thread_id)","threads","forum_id='".$forum_id."'");
	$max_cnt = $forum_settings['threadspage'];
	echo "<form method='post' name='threadform' action='".FORUM.FUSION_SELF."?forum_id=$forum_id'><input type='hidden' name='threads' value='$threads'>
	<table width='100%' cellspacing='2' cellpadding='2' border='0' align='center'>
	<tr>
	<td align='left'><span class='small'><-	<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."' class='small'>".$locale['OPTION403']."</a><br>
	<- <a href='".FORUM."viewforum.php?forum_id=$forum_id' class='small'>".$locale['OPTION402']."</a></span>
	</td>
	<td align='left' height='28'><span class='tbl'><b>".$locale['MOD470']."</b>&nbsp;(<i>".$data['forum_name']."</i>)</span></td>
	</tr>
	</table>";
	if ($max_cnt<$trows) {
	echo makenav($rowstart,$max_cnt,$trows,4);
	}
	
echo "<table width='100%' cellpadding='2' cellspacing='2' border='1'>
	<tr><td>
	<table width='100%' cellpadding='4' cellspacing='1' border='0' class='small'>

	<tr>
	<th width='4%' class='tbl2' nowrap='nowrap'>&nbsp;</th>
	<th class='tbl2' nowrap='nowrap' align='left'>&nbsp;&nbsp;&nbsp;&nbsp;".$locale['MOD471']."&nbsp;</th>
	<th class='tbl2' width='8%' nowrap='nowrap'>&nbsp;".$locale['MOD472']."&nbsp;</th>
	<th class='tbl2' width='17%' nowrap='nowrap'>&nbsp;".$locale['MOD473']."&nbsp;</th>
	<th width='5%' class='tbl2' nowrap='nowrap'>&nbsp;".$locale['MOD474']."&nbsp;</th>
	</tr>";
	$result2 = dbquery("SELECT t.*, u.*, COUNT(p.post_id)-1 AS thread_replies FROM ".$db_prefix."threads t
	LEFT OUTER JOIN ".$db_prefix."posts p USING(thread_id)
    LEFT OUTER JOIN ".$db_prefix."users u ON u.user_id=t.thread_author
	WHERE t.forum_id='".$forum_id."' GROUP BY t.thread_id ORDER BY t.thread_sticky DESC, t.thread_lastpost DESC LIMIT ".$rowstart.",".$max_cnt);
	if (dbrows($result2) != 0)
	{
		$thread_ids = "";
		while($data2 = dbarray($result2))
		{
			$fim = ($data2['thread_locked'] ? "<img src='".FORUMIMAGE."folderlock.gif' alt='' />" : "<img src='".FORUMIMAGE."folder.gif' alt='' />");
			$sim = ($data2['thread_sticky'] ? "<img src='".FORUMIMAGE."stickythread.gif' alt=''>" : "");
			echo "<tr><td class='tbl2' align='center' valign='middle'>".$fim."</td>
			<td class='tbl1'>&nbsp;".$sim."&nbsp;&nbsp;".$data2['thread_subject']."</td>
			<td class='tbl1' align='center' valign='middle'>".$data2['thread_replies']."</td>
			<td class='tbl1' align='center' valign='middle'>".showdate("forumdate", $data2['thread_lastpost'])."</td>
			<td class='tbl2' align='center' valign='middle'>";
			if (iMOD && $userdata['user_level']>=$data2['user_level'] || checkrights("F")) { 
			echo "
			<input type='checkbox' name='thread_id_list[]' value='".$data2['thread_id']."'".($threads && in_array($data2['thread_id'],explode(",",$threads)) ? " checked" : "")." />";
			} else {
				echo "<img src='".FORUMIMAGE."cross.gif' alt='' title=''>";	
			}
			echo "</td>
			</tr>";
		$thread_ids.=($thread_ids ? "," : "").$data2['thread_id'];
		}
		echo "<tr><td colspan='5' align='right'>".$locale['MOD482']."<a href='javascript:setChecked(\"threadform\",\"thread_id_list[]\",1);'><b>".$locale['MOD480']."</b></a> | <a href='javascript:setChecked(\"threadform\",\"thread_id_list[]\",0);'><b>".$locale['MOD481']."</b></a></td></tr>";
		echo "<tr align='center'><td class='tbl1' colspan='5' height='30'>\n";
		echo "<input type='hidden' name='threads_all_this' value='$thread_ids'>";
		echo "<input type='submit' name='merge_threads' class='button' value='".$locale['MERGE_000']."' />&nbsp;";
		echo "<input type='submit' name='update' class='button' value='".$locale['MOD483']."' />&nbsp;";
		echo "<input type='submit' name='delete' class='button' value='".$locale['OPTION400']."' />&nbsp;
		<input type='submit' name='move' class='button' value='".$locale['OPTION450']."' />&nbsp;
		<input type='submit' name='lock' class='button' value='".$locale['OPTION410']."' />&nbsp;
		<input type='submit' name='unlock' class='button' value='".$locale['OPTION420']."' />
		</td>
		</tr>";
	}
	else
	{
		echo "<tr><td class='tbl1' colspan='5' align='center'>".$locale['MOD475']."</td></tr>";
	}
	echo "</table></td></tr></table></form>\n";
}
if ($forum_settings['panel_r']) require_once BASEDIR."side_right.php"; else echo "</td>";
require_once BASEDIR."footer.php";

?>