<?php
/*********************************************************************
 *   awForumPanel											*
 *													*
 *   Copyright (C) 2006 Artur Wiebe								*
 *   wibix@gmx.de											*
 *													*
 *   This program is free software; you can redistribute it and/or modify 		*
 *   it under the terms of the GNU General Public License as published by 		*
 *   the Free Software Foundation; either version 2 of the License, or 		*
 *   (at your option) any later version.								*
*********************************************************************/
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once("../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");
if (!iMEMBER) {redirect(BASEDIR."index.php");exit;}
require_once INCLUDES."forum_functions_include.php";

/*
 * ACTION
 */
if(isset($_GET['unsubscribe']) && isNum($_GET['unsubscribe'])) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."thread_notify"
		." WHERE thread_id='".$_GET['unsubscribe']."'"
			." AND notify_user='".$userdata['user_id']."'");
	if($ok) {
		fallback(FUSION_SELF);
	}
}

/*
 * GUI
 */
opentable($locale['AWF200']);
echo $awf_menu;

if($settings['thread_notify']==0) {
	echo "<p><div style='text-align:center;'><strong>"
		.$locale['AWF203']."</strong></div></p>\n";
}

$query_id = dbquery("SELECT thread_subject, t.thread_id, t.forum_id,"
	." f.forum_name, thread_lastpost, thread_lastuser, user_name"
	." FROM ".DB_PREFIX."thread_notify AS n"
	." LEFT OUTER JOIN ".DB_PREFIX."threads AS t USING(thread_id)"
	." LEFT OUTER JOIN ".DB_PREFIX."users AS fu"
		." ON thread_lastuser=fu.user_id"
//	." LEFT OUTER JOIN ".DB_PREFIX."posts AS p USING(thread_id)"
	." LEFT OUTER JOIN ".DB_PREFIX."forums AS f"
		." ON t.forum_id=f.forum_id"
	." WHERE n.notify_user='".$userdata['user_id']."'"
//	." GROUP BY thread_id"
	);
if(!dbrows($query_id)) {
	echo "<p>".$locale['AWF202']."</p>";
} else {
	echo "<table cellspacing='1' width='100%' class='tbl-border'>
	<tr>
	<td class='tbl2' width='55%'><b>".$locale['AWF005']."</b></td>
	<td class='tbl2' width='45%'><b>".$locale['AWF004']."</b></td>
	<td class='tbl2' align='center' colspan='2' width='1%' style='white-space:nowrap'><b>".$locale['AWF007']."</b></td>
	<td class='tbl2' width='1%'></td>
	</tr>\n";

$count = 1;
while($data = dbarray($query_id)) {
	$fid = $data['forum_id'];
	$tid = $data['thread_id'];
	$tbl = "tbl".(1 + ++$count%2);

echo "<tr>
	<td class='$tbl'><a href='".$tpl->url(SEO_THREAD,"viewthread.php","thread_id=",$tid,null,null,$data['thread_subject'],'forum')."'>".$data['thread_subject']."</a></td>
	<td class='$tbl'><a href='".$tpl->url(SEO_FORUM,"viewforum.php","forum_id=",$data['forum_id'],null,null,$data['forum_name'],'forum')."'>".$data['forum_name']."</a></td>
	<td align='center' width='1%' class='$tbl' style='white-space:nowrap'><a href='".$tpl->url(SEO_UPROFILE,"profile.php","lookup=",$data['thread_lastuser'],null,null,$data['user_name'])."'>".$data['user_name']."</a></td>
	<td align='center' width='1%' class='$tbl' style='white-space:nowrap'>".showdate("forumdate", $data['thread_lastpost'])."</td>
	<td class='$tbl'><a href='".$PHP_SELF."?unsubscribe=$tid'>".$locale['AWF201']."</a></td>
</tr>\n";
}@mysql_free_result($result);@clearstatcache();
//echo "</table>\n";
}

if(dbrows($query_id)) echo "</table>\n";
closetable();

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");

?>