<?php
/*********************************************************************
 *   awForumPanel											*
 *													*
 *   Copyright (C) 2006 Artur Wiebe								*
 *   wibix@gmx.de											*
 *													*
 *   This program is free software; you can redistribute it and/or modify 		*
 *   it under the terms of the GNU General Public License as published by 		*
 *   the Free Software Foundation; either version 2 of the License, or 		*
 *   (at your option) any later version.								*
*********************************************************************/
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once("../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");
if (!iMEMBER) {redirect(BASEDIR."index.php");exit;}
require_once INCLUDES."forum_functions_include.php";

if(!isset($lastvisited) || !isNum($lastvisited)) {
	$lastvisited = time();
}
/*
 * GUI
 */
opentable($locale['AWF350']);
echo $awf_menu;

$result = dbquery("SELECT p.*, f.*,fg.group_id, fu.user_id, user_name"
		." FROM ".DB_PREFIX."posts p"
		." INNER JOIN ".DB_PREFIX."forums f USING(forum_id)"
		." LEFT OUTER JOIN ".DB_PREFIX."users fu ON p.post_author=fu.user_id"
		." LEFT OUTER JOIN ".DB_PREFIX."forum_groups fg ON f.forum_id=fg.forum_id AND fg.auth_read='1'"
		." WHERE (".forum_groupaccess('f.forum_access')." OR ".forum_groupaccess('fg.group_id').") AND
p.post_datestamp>'$lastvisited' AND p.post_author!='".$userdata['user_id']."'"
        ." GROUP BY thread_id"
		." ORDER BY post_datestamp DESC");
$rows = dbrows($result);

if($rows != 0) {
	$query_id = dbquery("SELECT p.*, f.*,fg.group_id, fu.user_id, user_name"
		." FROM ".DB_PREFIX."posts p"
		." INNER JOIN ".DB_PREFIX."forums f USING(forum_id)"
		." LEFT OUTER JOIN ".DB_PREFIX."users fu ON p.post_author=fu.user_id"
		." LEFT OUTER JOIN ".DB_PREFIX."forum_groups fg ON f.forum_id=fg.forum_id AND fg.auth_read='1'"
		." WHERE (".forum_groupaccess('f.forum_access')." OR ".forum_groupaccess('fg.group_id').") AND
p.post_datestamp>'$lastvisited' AND p.post_author!='".$userdata['user_id']."'"
        ." GROUP BY thread_id"
		." ORDER BY post_datestamp DESC"
		." LIMIT ".$rowstart.",20");

	echo "<p>".sprintf($locale['AWF351'], $rows)."</p>
<table cellspacing='1' cellpadding='0' width='100%' class='tbl-border'>
<tr>
	<td class='tbl2' width='55%'><b>".$locale['AWF005']."</b></td>
	<td class='tbl2' width='45%'><b>".$locale['AWF004']."</b></td>
	<td class='tbl2' align='center' colspan='2' width='1%' style='white-space:nowrap'><b>".$locale['AWF007']."</b></td>
</tr>\n";
	$count = 1;
	$i=$rowstart;
	while($data = dbarray($query_id)) {
		$tbl = "tbl".(1 + ++$count%2);
		echo "<tr>
	<td class='".$tbl."'><a href='".$tpl->url(SEO_POST,"viewthread.php","thread_id=",$data['thread_id'],"pid=",$data['post_id'],$data['post_subject'],'forum',"_",'post_')."'>".$data['post_subject']."</a></td>
	<td class='".$tbl."'><a href='".$tpl->url(SEO_FORUM,"viewforum.php","forum_id=",$data['forum_id'],null,null,$data['forum_name'],'forum')."'>".$data['forum_name']."</a></td>
	<td align='center' width='1%' class='".$tbl."' style='white-space:nowrap'><a href='".$tpl->url(SEO_UPROFILE,"profile.php","lookup=",$data['post_author'],null,null,$data['user_name'])."'>".$data['user_name']."</a></td>
	<td align='center' width='1%' class='".$tbl."' style='white-space:nowrap'>".showdate("forumdate", $data['post_datestamp'])."</td>
</tr>\n";
	$i++;
	}@mysql_free_result($query_id);@clearstatcache();	
	echo "</table>\n";
} else {
	echo "<p>".sprintf($locale['AWF351'], $rows);
}

if($i >= 20) {
	echo "<p><div align='center'>"
		.makePageNav($rowstart, 20, $rows, 3)."</div>\n";
}

closetable();

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>