<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once LOCALE.LOCALESET."forum.php";
require_once INCLUDES."forum_functions_include.php";
$tpl->more_javascript(JSCRIPTS.'multifile.js','file');
require_once BASEDIR."subheader.php";

if ($forum_settings['panel_l']) require_once BASEDIR."side_left.php"; else echo "<td valign='top' class='main-bg'>\n";

echo "<table cellpadding='0' cellspacing='0' border='0' width='100%'><tr>
<td><a href='index.php'>".$settings['sitename']."</a>".extboard_navi($forum_id,"thread")."</td></tr></table><br>";

if (!FUSION_QUERY || !isset($forum_id) || !isNum($forum_id)) fallback("index.php");
// Parameters
//MULTI UPLOAD FILES
$wd = $forum_settings['uploads'];
// posts on a site
echo "<script type='text/javascript'>
function AddRowsToTable() { 
 var tbl = document.getElementById('dateiupload'); 
 var lastRow = tbl.rows.length; 
 var iteration = lastRow;    
 if (iteration < $wd) {    
   var row = tbl.insertRow(lastRow); 
  
   var cellRight = row.insertCell(0); 
   var el = document.createElement('input'); 
   el.setAttribute('type', 'file'); 
   el.setAttribute('name', 'attach[]'); 
   el.setAttribute('class', 'textbox'); 
   
   cellRight.setAttribute('id',iteration) 
   cellRight.appendChild(el); 
   var aa = document.createElement(\"a\"); 
   aa.setAttribute('href', '#'); 
   var clickName = new Function(\"DeleteRow(this)\"); 
   aa.onclick = clickName; 
   aa.innerHTML = \"&nbsp;(Entfernen/Remove) \"; 
   cellRight.appendChild(aa); 
 } else { 
   alert('No more than $wd; Files ...'); 
 } 
} 
function DeleteRow(x) 
{ 
     while (x.tagName.toLowerCase() !='tr') 
     { 
          if(x.parentElement) 
             x=x.parentElement; 
        else if(x.parentNode) 
             x=x.parentNode; 
        else 
             return; 
     } 
     var rowNum=x.rowIndex; 
     while (x.tagName.toLowerCase() !='table') 
     { 
          if(x.parentElement) 
             x=x.parentElement; 
        else if(x.parentNode) 
             x=x.parentNode; 
        else 
             return; 
     } 
     x.deleteRow(rowNum);  
} 
</script>";

$result = dbquery(
	"SELECT f.*, f2.forum_name AS forum_cat_name
	FROM ".$db_prefix."forums f
	LEFT OUTER JOIN ".$db_prefix."forums f2 ON f.forum_cat=f2.forum_id
	WHERE f.forum_id='".$forum_id."'"
);

if (dbrows($result)>0) {	$fdata = dbarray($result);} else {	fallback("index.php");
}
$can_view = forum_accesscontrol($userdata['user_id'],$fdata['forum_access'],$fdata['forum_id'], "auth_read");
if (!$can_view) fallback("index.php");
// rechte ermitteln
$can_post = $can_view && forum_accesscontrol($userdata['user_id'],$fdata['forum_posting'],$fdata['forum_id'], "auth_post") ? true : false;
$can_reply = $can_view && forum_accesscontrol($userdata['user_id'],$fdata['forum_reply'],$fdata['forum_id'], "auth_reply") ? true : false;
$can_download = $can_view && forum_accesscontrol($userdata['user_id'],$fdata['forum_download'],$fdata['forum_id'], "auth_download") ? true : false;
$can_mod = view_forum_mods($fdata['forum_id'],true) ? true : false;
$can_edit = ($can_post || $can_reply) && $fdata['forum_edit']==1 || $can_mod ? true : false;
$can_delete = ($can_post || $can_reply) && $fdata['forum_delete']==1 || $can_mod ? true : false;
$can_attach = ($can_post || $can_reply) && forum_accesscontrol($userdata['user_id'],$fdata['forum_attach'],$fdata['forum_id'], "auth_attach") ? true : false;
define ("iMOD", iMEMBER && $can_mod ? true : false);
$caption = $fdata['forum_cat_name']." | ".$fdata['forum_name'];

if ($action == "newthread" && $can_post) {include "postnewthread.php";} elseif ($action == "reply" && $can_reply) {
	if (!isset($thread_id) || !isNum($thread_id)) fallback("index.php");
	$result = dbquery("SELECT * FROM ".$db_prefix."threads WHERE thread_id='".$thread_id."' AND forum_id='".$fdata['forum_id']."'");
	if (dbrows($result)) { $tdata = dbarray($result); } else { fallback("index.php"); }
	
	if (!$tdata['thread_locked'] && $can_reply) { include "postreply.php"; } else { fallback("index.php"); }
} elseif ($action == "edit" || $action == "delete") {
	if (!isset($thread_id) || !isNum($thread_id) || !isset($post_id) || !isNum($post_id)) { fallback("index.php"); exit; }

	$result = dbquery("SELECT * FROM ".$db_prefix."threads WHERE thread_id='".$thread_id."' AND forum_id='".$fdata['forum_id']."'");
	if (dbrows($result)) { $tdata = dbarray($result); } else { fallback("index.php"); }

	$result = dbquery("SELECT p.*, u.user_level FROM ".$db_prefix."posts p, ".$db_prefix."users u WHERE p.post_id='".$post_id."' AND p.thread_id='".$tdata['thread_id']."' AND p.forum_id='".$fdata['forum_id']."' AND p.post_author = u.user_id");
	
	if (dbrows($result)) { $pdata = dbarray($result); } else { fallback("index.php"); }
	$modify_user=false;
	if (iSUPERADMIN || iMOD || $userdata['user_id'] == $pdata['post_author']) $modify_user=true;
	if (!$modify_user) {fallback("index.php");} 
	$can_delete = (iMOD || iSUPERADMIN) ? 1 : $fdata['forum_delete'];

	if($action == "delete" && $can_delete)
	{
		if($pdata['user_level'] == '103')
		{
			$can_really_delete = iSUPERADMIN ? 1 : 0;
		}
		elseif($pdata['user_level'] == '102')
		{
			$can_really_delete = iADMIN ? 1 : 0;
		}
		else 
		{
			$can_really_delete = 1;
		}

		if (dbcount("(post_id)","posts","post_id>'$post_id' AND thread_id='$thread_id'")>0 && dbcount("(post_id)","posts","post_id<'$post_id' AND thread_id='$thread_id'")==0)
		{
			$can_really_delete = 0;
		}
		
	if($can_really_delete) {
		$result = dbquery("DELETE FROM ".$db_prefix."posts WHERE post_id='$post_id' AND thread_id='$thread_id'");
		$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE post_id='$post_id'");
		if (dbrows($result) != 0) {
			$attach = dbarray($result);
			@unlink(FORUM."attachments/".$attach['attach_name']);
			$result2 = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE post_id='$post_id'");
		}
		$posts = dbcount("(post_id)", "posts", "thread_id='$thread_id'");

		if (!$posts) {
		$result = dbquery("DELETE FROM ".$db_prefix."threads WHERE thread_id='$thread_id'");
		$result = dbquery("DELETE FROM ".$db_prefix."thread_notify WHERE thread_id='$thread_id'");
		$result = dbquery("DELETE FROM ".$db_prefix."ratings WHERE rating_item_id='$thread_id' AND rating_type='M'"); // zoc
		$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE thread_id='$thread_id'");
        if (dbrows($result) != 0) {
			while ($attach = dbarray($result)) {
				@unlink(FORUM."attachments/".$attach['attach_name']);
			}
		}
		$result = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE thread_id='$thread_id'");
		$poll_result = dbquery("SELECT poll_id FROM ".$db_prefix."forum_polls WHERE thread_id = '".$thread_id."'");
				if (dbrows($poll_result)) {
				$poll_data=dbarray($poll_result);
				$options_del = dbquery("DELETE FROM ".DB_PREFIX."forum_poll_options WHERE poll_id='".$poll_data['poll_id']."'");	
				$votes_del = dbquery("DELETE FROM ".DB_PREFIX."forum_poll_votes WHERE poll_id='".$poll_data['poll_id']."'");
				
				$poll_del = dbquery("DELETE FROM ".DB_PREFIX."forum_polls WHERE thread_id='".$thread_id."'");
				}
		fu_f_update_forum($forum_id);
		optimize_tables();
		} else {
		// update forum_lastpost and forum_lastuser if post_datestamp matches	
		fu_f_update_forum($forum_id);	
        fu_f_update_thread($thread_id);		
		}

		if ($posts > 0) {
		redirect(FORUM."viewthread.php?thread_id=$thread_id");
		} else {
		redirect(FORUM."viewforum.php?forum_id=$forum_id");
		} 
	}
  }	
	if($action == "edit")
	{
		if (!$fdata['forum_edit'] && !iMOD && !iSUPERADMIN) fallback("index.php");
		if (!$tdata['thread_locked']) {
			if($pdata['user_level'] == '103')
			{
				if(iSUPERADMIN) { include "postedit.php"; } else { fallback("index.php"); }
			}
			elseif($pdata['user_level'] == '102')
			{
				if(iADMIN) { include "postedit.php"; } else { fallback("index.php"); }
			}
			else
			{
				include "postedit.php";
			}
		} else {
			if (iMOD || iSUPERADMIN)
			{
				if($pdata['user_level'] == '103')
				{
					if(iSUPERADMIN) { include "postedit.php"; } else { fallback("index.php"); }
				}
				elseif($pdata['user_level'] == '102')
				{
					if(iADMIN) {include "postedit.php"; } else { fallback("index.php"); }
				}
				else
				{
					include "postedit.php";
				}
			}
		}
	}
} else header("Location: index.php");

if ($forum_settings['panel_r']) require_once BASEDIR."side_right.php"; else echo "</td>";
require_once BASEDIR."footer.php";

?>
