<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../index.php"); exit; }
include INFUSIONS."forum_polls/includes/post.php"; // Forum Polls Mod
$ubbvideo = $forum_settings['ubb_videos'];
$ubbgeshi = $forum_settings['ubb_geshi'];

// PREVIEW START
if (isset($_POST['previewchanges']) && $can_edit) {
if(!@include_once(INCLUDES."ubbparser.class.php")) {die("Parser not found!");}	
	$disable_smileys_check = isset($_POST['disable_smileys']) ? " checked" : "";
	$sig_checked = isset($_POST['show_sig']) ? " checked" : "";
	$del_check = isset($_POST['delete']) ? " checked" : "";
	$del_attach_check = isset($_POST['delete_attach']) ? " checked" : "";
	if (iADMIN) {
		$noedit_check = isset($_POST['silent_edit']) ? " checked" : "";
	}
	echo "<div id='preview#1' style='display:inline;'>";
	opentable($locale['POST405']);
	$udata = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$pdata['post_author']."'"));
	$subject = trim(stripinput(censorwords($_POST['subject'])));
	$message = trim(stripinput(censorwords($_POST['message'])));
	if ($subject == "") $subject = $pdata['post_subject'];
	if ($message == "") {
		$previewmessage = $locale['POST421'];
	} else {
		$previewmessage = !isset($_POST['disable_smileys']) ? parsesmileys($message) : $message;
		$ubb = new ubbParser(INCLUDES.'plugins/');
		$ubb->ubbcode_allowed=array('b','i','u','s','size','color','colorize','geshi','code','quote','img','url','mail','center','sub','sup','googlevideo','myvideo','youtube','flash','list','ulist','iurl','small','li','spoiler');
		$previewmessage = descript($ubb->getHTML(nl2br($previewmessage)),false);
		
		if ($sig_checked && $forum_settings['allowsig']) { 
			$user_sig = parsesmileys($udata['user_sig']);
				$ubb2 = new ubbParser(INCLUDES.'plugins/');
				$ubb2->ubbcode_allowed=array('b','i','u','s','size','color','colorize','img','url','mail','center','sub','sup','small');	
				$user_sig = descript($ubb2->getHTML(nl2br($user_sig)),false);
			$previewmessage = $previewmessage."<br><br><hr>".$user_sig; 
		}
	}
	if (function_exists("fpm_preview")) fpm_preview(); // Forum Polls Mod
	echo "<table cellspacing='0' cellpadding='0' border='0' width='100%' class='tbl-border'>
	<tr>
	<td>
	<table cellpadding='0' cellspacing='1' border='0' width='100%' class='tbl-border'>
	<tr>
	<td width='145' class='tbl2'>".$locale['POST422']."</td>
	<td class='tbl2'>$subject</td>
	</tr>
	<tr>
	<td valign='top' rowspan='2' width='145' class='tbl1'>".$udata['user_name']."<br>
	<span class='alt'>".ShowRank($udata['user_posts'],$udata['user_rank'])."</span><br><br>\n";
	if ($udata['user_avatar']) {
		echo "<img src='".IMAGES."avatars/".$udata['user_avatar']."'><br><br>\n";
		$height = "200";
	} else {
		$height = "60";
	}
	echo "<span class='alt'>".$locale['POST423']."</span> ".$udata['user_posts']."<br>\n";
	if ($udata['user_location']) echo "<span class='alt'>".$locale['POST424']."</span> ".$udata['user_location']."<br>\n";
	echo "<span class='alt'>".$locale['POST425']."</span> ".showdate("%d.%m.%y", $udata['user_joined'])."</td>
<td class='tbl1' height='2%'><span class='small'>".$locale['POST426'].showdate("forumdate", $pdata['post_datestamp'])."</span></td>
</tr>
<tr>
<td height='50' valign='bottom' class='tbl1'>$previewmessage<br>\n";
if (iADMIN && !isset($_POST['silent_edit'])) 
{
echo "<br<span class='small'>".$locale['POST427'].$userdata['user_name'].$locale['POST428'].showdate("forumdate", time())."</span>\n";
}
echo "</td>
</tr>
</table>
</td>
</tr>
</table>\n";
	closetable();
	tablebreak();
	echo "</div>";
}
// PREVIEW END

// cancel
if (isset($_POST['cancel'])) fallback("viewthread.php?thread_id=$thread_id&pid=$post_id#post_$post_id"); // zoc

// IF REPLIES IN THREAD, THAN NOT DELETE FIRST POST
if (dbcount("(post_id)","posts","post_id>'$post_id' AND thread_id='$thread_id'") && !dbcount("(post_id)","posts","post_id<'$post_id' AND thread_id='$thread_id'")) {$can_delete=0;} 
// ENDIF

// POST DELETE START
if (isset($_POST['delete']) && $can_delete) {
redirect(FORUM."post.php?action=delete&forum_id=".$forum_id."&thread_id=".$thread_id."&post_id=".$post_id);
exit;
}
// POST DELETE END

// POST SAVE	
if (isset($_POST['savechanges']) && $can_edit) {
		$error = 0;
		$sig = isset($_POST['show_sig']) ? "1" : "0";
		$smileys = isset($_POST['disable_smileys']) ? "0" : "1";
		$subject = trim(stripinput(censorwords(spam_control($_POST['subject']))));
		$message = trim(stripinput(censorwords(spam_control($_POST['message']))));
		if (iMEMBER) {
			if ($subject != "" && $message != "") 
			{
				// spezial for edit tip				
				$silent_sql = ", post_edituser='".$userdata['user_id']."', post_edittime='".time()."'";
				if (iADMIN && isset($_POST['silent_edit']) && $_POST['silent_edit'] == 1) 
				{
				$silent_sql = ", post_edituser='0', post_edittime='0'";
				}
			$result = dbquery("UPDATE ".$db_prefix."posts SET post_subject='$subject', post_message='$message', post_showsig='$sig', post_smileys='$smileys'".$silent_sql." WHERE post_id='$post_id'");
			
			$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE thread_id='$thread_id' ORDER BY post_id ASC LIMIT 1"));
					if ($data['post_id'] == $post_id) {
					$result = dbquery("UPDATE ".$db_prefix."threads SET thread_subject='$subject' WHERE thread_id='$thread_id'");
					}
				fu_f_update_thread($thread_id);	
				fu_f_update_forum($forum_id);	
				fpm_save($post_id); // Forum Polls Mod
				
				/** ATTACHMENT MANAGEMENT **/
				if (isset($_POST['delete_attach'])) {
					
					foreach($_POST['delete_attach'] as $attach_id){ 
					$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE attach_id='$attach_id'");
					if (dbrows($result) != 0) {
						$adata = dbarray($result);
						unlink(FORUM."attachments/".$adata['attach_name']);
						$result = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE attach_id='$attach_id'");
					}
					}
				}
				
				// Die Abfrage noch zur sicherheit hinzugefgt....
				if (isset($_FILES['attach']) && (bool)$settings['attachments'] && (bool)$can_attach &&  count($_FILES['attach'])<=$forum_settings['uploads']) {
				
				
				//MULTI UPLOAD START 
				$_FILES['attach'] = array_reverse($_FILES['attach']);
				for ($k = 0 ; $k < count($_FILES['attach']['tmp_name']); $k++) { // ANFANG DER SCHLEIFE
					
					$attach['name'] = $_FILES['attach']['name'][$k];
					$attach['error'] = $_FILES['attach']['error'][$k];
					$attach['tmp_name'] = $_FILES['attach']['tmp_name'][$k];
					$attach['size'] = $_FILES['attach']['size'][$k];
					
				if ($attach['name'] != "" && !empty($attach['name']) && is_uploaded_file($attach['tmp_name'])) {
					$attachname = substr($attach['name'], 0, strrpos($attach['name'], "."));
					$attachname = str_replace (' ', '_', $attachname); // change spaces
					$attachname = str_replace (array('','','','','','',''), array('ae','oe','ue','Ae','Oe','Ue','ss'), $attachname); // change german chars
					$attachext = strtolower(strrchr($attach['name'],"."));
					if (preg_match("/^[-0-9A-Z_\[\]]+$/i", $attachname) && $attach['size'] <= $settings['attachmax']) {
						$attachtypes = explode(",", $settings['attachtypes']);
						if (in_array($attachext, $attachtypes)) {
							$attachname = attach_exists(strtolower($attach['name']));
							$attachname = str_replace (' ', '_', $attachname); // change spaces
							$attachname = str_replace (array('','','','','','',''), array('ae','oe','ue','Ae','Oe','Ue','ss'), $attachname); // change german chars
							move_uploaded_file($attach['tmp_name'], FORUM."attachments/".$attachname);
							chmod(FORUM."attachments/".$attachname,0777);
							if (in_array($attachext, $imagetypes) && (!@getimagesize(FORUM."attachments/".$attachname) || !@verify_image(FORUM."attachments/".$attachname))) {
								unlink(FORUM."attachments/".$attachname);
								//MULTI UPLOAD START 
								$error = 1;
							//MULTI UPLOAD ENDE
							}
							if (!$error) $result = dbquery("INSERT INTO ".$db_prefix."forum_attachments (thread_id, post_id, attach_name, attach_ext, attach_size) VALUES ('$thread_id', '$post_id', '$attachname', '$attachext', '".$attach['size']."')");
							} else {
							@unlink($attach['tmp_name']);
							//MULTI UPLOAD START 
							$error = 1;
							//MULTI UPLOAD ENDE
						}
					} else {
						@unlink($attach['tmp_name']);
						//MULTI UPLOAD START 
						$error = 2;
						//MULTI UPLOAD ENDE
					}
				}
			  } //MULTI UPLOAD FOR SCHLEIFE ENDE 
			 }//Sicherheitsabfrage fr die Downloads
			} else {
				$error = 3;
			}
		} else {
			$error = 4;
		}
		redirect(FORUM."postify.php?post=edit&error=$error&forum_id=$forum_id&thread_id=$thread_id&post_id=$post_id");
} 

// DIREKTES LOESCHEN VON EINEM ATTACHMENT
if (isset($_GET['method']) && $_GET['method']=='del_attach') {
					$attach_id = $_GET['attach_id'];
					$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE attach_id='".(int)$attach_id."'");
					if (dbrows($result) != 0) {
						$adata = dbarray($result);
						unlink(FORUM."attachments/".$adata['attach_name']);
						$result = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE attach_id='$attach_id'");
					}
redirect(FORUM."post.php?action=edit&forum_id=$forum_id&thread_id=$thread_id&post_id=$post_id&jp=attach#attach");
}
					
	if (!isset($_POST['previewchanges']) && !isset($_POST['fpm']['add_options'])) {
		if ($pdata['post_showsig'] == 1){
			$sig_checked = " checked";
		}else{
			$sig_checked = " ";
		}
		$subject = $pdata['post_subject'];
		$message = $pdata['post_message'];
		$disable_smileys_check = ($pdata['post_smileys'] == "0" ? " checked" : "");
		$del_check = "";
		if (iADMIN) $noedit_check = '';
	}

// START DES FORMULARS
opentable($locale['POST408']);
$enctype = $settings['attachments'] == "1" && $can_attach ? " enctype='multipart/form-data'" : "";
echo "<form name='inputform' method='post' action='".FORUM.FUSION_SELF."?action=edit&amp;forum_id=".$forum_id."&amp;thread_id=".$thread_id."&amp;post_id=".$post_id."'".$enctype.">

<table cellpadding='0' cellspacing='0' width='100%'>
<tr><td>
			<table width='100%' border='0' cellspacing='1' cellpadding='0' class='tbl-border'>
			<tr>
			<td width='145' class='tbl2'>".$locale['POST460']."</td>
			<td class='tbl2'><input type='text' name='subject' value='".$subject."' class='textbox' maxlength='50' style='width:250px'></td>
			</tr><tr>
			<td valign='top' width='145' class='tbl2'>".$locale['POST461']."</td>
			<td class='tbl1'><textarea name='message' cols='80' rows='15' class='textbox'>".$message."</textarea></td>
			</tr><tr>
			<td width='145' class='tbl2'>&nbsp;</td>
			<td class='tbl1'>\n";
			@require_once(INCLUDES."bbcode_forum.php");
			echo "</td></tr>
	<tr><td valign='top' width='145' class='tbl2'>".$locale['POST463']."</td>
	<td class='tbl1'>";

	echo "<input type='checkbox' id='disable_smileys' name='disable_smileys' value='1'$disable_smileys_check>".$locale['POST483']."<br>\n";
	if ($userdata['user_sig'] && $forum_settings['allowsig']) {
	echo "\n<input type='checkbox' name='show_sig' value='1' $sig_checked>".$locale['POST481']."<br>";
	}
	if (iADMIN) echo "<input type='checkbox' id='silent_edit' name='silent_edit' value='1'".$noedit_check." />
".$locale['POST490']."<br>\n";
	if($can_delete) echo "<input type='checkbox' name='delete' value='1'$del_check>".$locale['POST482'];

	echo "</td>
	</tr></table>\n";

if ($settings['attachments'] == "1" && $can_attach && is_dir(FORUM."attachments") && is_writeable(FORUM."attachments")) {
		echo "<div id='area#2' style='display:inside;'><script type='text/javascript' src='".JSCRIPTS."multifile.js'></script><a name='attach'></a>";
		echo "<table cellpadding='1' cellspacing='1' width='100%' class='tbl-border'>";
		echo "<tr>\n<td valign='top' width='145' class='tbl2'>".$locale['POST464']."</td>\n<td class='tbl1'>\n";
		$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE post_id='$post_id'");
		$max = $forum_settings['uploads'] - dbrows($result);	
		if (dbrows($result)) {
			while($adata = dbarray($result)) {
			echo "<input type='checkbox' name='delete_attach[]' value='".$adata['attach_id']."' title=\"header=[".$locale['POST464']."] body=[".$locale['POST487']."] delay=[0] fade=[off]\">\n";
			echo "<a href='".FORUM."attachments/".$adata['attach_name']."'>".$adata['attach_name']."</a> <a href='".FORUM.FUSION_SELF."?action=edit&amp;method=del_attach&amp;attach_id=".$adata['attach_id']."&amp;forum_id=$forum_id&amp;thread_id=$thread_id&amp;post_id=$post_id&amp;attach=".$adata['attach_id']."'><img src='".FORUMIMAGE."cross.gif' border='0' alt='".$locale['POST484']."' title=\"header=[".$locale['POST464']."] body=[".$locale['POST484']."] delay=[0] fade=[off]\"></a><br>\n";
			}
		} 
			echo "<table border='0' cellspacing='1' cellpadding='1'>
			<tr id='row'>
			<td class='tbl1'>";
			if ($max>0) {
			echo "<input type='file' id='file' onchange='addFileInput(this,".$max.");' class='textbox'>
			<div id='file_div' style='visibility:hidden;width:40%;'><div id='file_list' class='textbox'></div></div>\n";
			}		
			echo "</td></tr></table>";
			echo "<span class='small'>".sprintf($locale['POST466'], parsebytesize($settings['attachmax']), $forum_settings['uploads'], str_replace(',', ' ', $settings['attachtypes']))."</span>";
			echo "</td>\n</tr>\n";
			echo "</table>\n";
			echo "</div>";
		}

fpm_form(); // Forum Polls Mod
echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>"; 
echo "<td align='center' colspan='2' class='tbl1'>";
if (fpm_poll_exists()) fpm_add();
echo "<input type='submit' name='previewchanges' value='".$locale['POST405']."' class='button'>
<input type='submit' name='savechanges' value='".$locale['POST409']."' class='button'>&nbsp;&nbsp;
<input type='submit' name='cancel' value='".$locale['POST435']."' class='button'>
</td>
</tr></table></td></tr></table></form>\n";
closetable();

?>