<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once LOCALE.LOCALESET."forum.php";
require_once INCLUDES."forum_functions_include.php";
require_once BASEDIR."subheader.php";

if ($forum_settings['panel_l']) require_once BASEDIR."side_left.php"; else echo "<td valign='top' class='main-bg'>\n";

if (!FUSION_QUERY || !isset($forum_id) || !isNum($forum_id)) fallback(FORUM);
if (!isset($post)) fallback(FORUM);
if (!isset($error) || !isNum($error) || $error == 0 || $error > 4) { $errorb = ""; }
else if ($error == 1) { $errorb = $locale['POST430']; } // Typ Fehler
else if ($error == 2) { $errorb = $locale['POST440']; } // Name, Groesse
else if ($error == 3) { $errorb = $locale['POST441']; } // Text/Titel
else if ($error == 4) { $errorb = $locale['POST450']; } // Cookie

if (($post == "on" || $post == "off") && $settings['thread_notify']) {
	$output = false;
	if (!isset($thread_id) || !isNum($thread_id)) fallback("index.php");
	$result = dbquery(
		"SELECT tt.*, tf.* FROM ".$db_prefix."threads tt
		INNER JOIN ".$db_prefix."forums tf ON tt.forum_id=tf.forum_id
		WHERE tt.thread_id='$thread_id'"
	);
	if (dbrows($result)) {
		$data = dbarray($result);
		if (forum_accesscontrol($userdata['user_id'],$data['forum_posting'],$forum_id,"auth_post",true)) {
		$output = true;
		opentable($locale['POST451']);
		echo "<center><br>\n";
		if ($post == "on" && !dbcount("(thread_id)", "thread_notify", "thread_id='$thread_id' AND notify_user='".$userdata['user_id']."'")) {
			$result = dbquery("INSERT INTO ".$db_prefix."thread_notify (thread_id, notify_datestamp, notify_user, notify_status) VALUES('$thread_id', '".time()."', '".$userdata['user_id']."', '1')");
			echo $locale['POST452']."<br><br>\n";
			} elseif ($post == "off") {
				$result = dbquery("DELETE FROM ".$db_prefix."thread_notify WHERE thread_id='$thread_id' AND notify_user='".$userdata['user_id']."'");
				echo $locale['POST453']."<br><br>\n";
			}
		// automatische Weiterleitung	
		echo"<script language='javascript'>
		<!--
		var site = '".FORUM."viewthread.php?&thread_id=".$thread_id."';
		function redirect() {
		window.location = site ;
		}
		setTimeout('redirect()', 3000);
		// -->
		</script>";
		echo "</center>";
		closetable();
		}
	}
	if (!$output) fallback(FORUM);
} elseif ($post == "new") {
	opentable($locale['POST401']);
	echo "<div align='center'>\n";
	if ($errorb) {
		echo "<br>$errorb<br><br>\n";
		echo"<script language='javascript'>
		<!--
		var site = '".FORUM."viewforum.php?forum_id=".$forum_id."';
		function redirect() {
		window.location = site ;
		}
		setTimeout('redirect()', 3000);
		// -->
		</script>";
	closetable();	
	} else {redirect(FORUM."viewthread.php?thread_id=$thread_id");}
	
} elseif ($post == "reply") {
	if (!isset($thread_id) || !isNum($thread_id)) fallback("index.php");
	opentable($locale['POST403']);
	echo "<center><br>\n";
	if ($errorb) {
		echo "$errorb<br><br>\n";
		echo"<script language='javascript'>
		<!--
		var site = '".FORUM."viewthread.php?thread_id=$thread_id&pid=$post_id#post_$post_id';
		function redirect() {
		window.location = site ;
		}
		setTimeout('redirect()', 3000);
		// -->
		</script>";
	closetable();			
	} 
	if ($error < "3") {
		if (!isset($post_id) || !isNum($post_id)) fallback("index.php");
		if ($settings['thread_notify']) {
			$result = dbquery(
				"SELECT tn.*, tu.user_id,user_name,user_email FROM ".$db_prefix."thread_notify tn
				LEFT OUTER JOIN ".$db_prefix."users tu ON tn.notify_user=tu.user_id
				WHERE thread_id='$thread_id' AND notify_user!='".$userdata['user_id']."' AND notify_status='1'
			");
			if (dbrows($result)) {
				require_once INCLUDES."sendmail_include.php";
				$data2 = dbarray(dbquery("SELECT thread_subject FROM ".$db_prefix."threads WHERE thread_id='$thread_id'"));
				$link = $settings['siteurl']."forum/viewthread.php?thread_id=$thread_id&pid=$post_id#post_$post_id";
				while ($data = dbarray($result)) {
					$message_el1 = array("{USERNAME}", "{THREAD_SUBJECT}", "{THREAD_URL}");
					$message_el2 = array($data['user_name'], $data2['thread_subject'], $link);
					$message_subject = str_replace("{THREAD_SUBJECT}", $data2['thread_subject'], $locale['EMAIL550']);
					$message_content = str_replace($message_el1, $message_el2, $locale['EMAIL551']);
					sendemail($data['user_name'],$data['user_email'],$settings['siteusername'],$settings['siteemail'],$message_subject,$message_content);
				}
				$result = dbquery("UPDATE ".$db_prefix."thread_notify SET notify_status='0' WHERE thread_id='$thread_id' AND notify_user!='".$userdata['user_id']."'");
			}
		}
		redirect(FORUM."viewthread.php?thread_id=$thread_id&pid=$post_id#post_$post_id");
		
	} else {
	$data = dbarray(dbquery("SELECT post_id FROM ".$db_prefix."posts WHERE thread_id='$thread_id' ORDER BY post_id DESC"));
	}
	echo "<br></center>\n";
	closetable();

} elseif ($post == "edit") {
	if (!isset($thread_id) || !isNum($thread_id)) fallback("index.php");
	opentable($locale['POST409']);
	echo "<center><br>\n";
	if ($errorb) {
		echo "$errorb<br><br>\n";
		echo"<script language='javascript'>
		<!--
		var site = '".FORUM."viewthread.php?thread_id=".$thread_id."&pid=".$post_id."#post_".$post_id."';
		function redirect() {
		window.location = site ;
		}
		setTimeout('redirect()', 3000);
		// -->
		</script>";
	closetable();	
	} else {redirect(FORUM."viewthread.php?thread_id=$thread_id&pid=$post_id#post_$post_id");
	}
}

if ($forum_settings['panel_r']) require_once BASEDIR."side_right.php"; else echo "</td>";
require_once BASEDIR."footer.php";
?>