<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../index.php"); exit; }
include INFUSIONS."forum_polls/includes/post.php"; // Forum Polls Mod
$ubbvideo = $forum_settings['ubb_videos'];
$ubbgeshi = $forum_settings['ubb_geshi'];

if (isset($_POST['previewpost']) && ($can_post || iMOD || iSUPERADMIN)) {
if(!@include_once(INCLUDES."ubbparser.class.php")) {die("Parser not found!");}	
	$sticky_check = isset($_POST['sticky']) ? " checked" : "";
	$lock_check = isset($_POST['lock']) ? " checked" : ""; // ZOC
	$sig_checked = isset($_POST['show_sig']) ? " checked" : "";
	$disable_smileys_check = isset($_POST['disable_smileys']) ? " checked" : "";
	if ($settings['thread_notify']) $notify_checked = isset($_POST['notify_me']) ? " checked" : "";

	opentable($locale['POST400']);
	$subject = trim(stripinput(censorwords($_POST['subject'])));
	$message = trim(stripinput(censorwords($_POST['message'])));
	if (strlen($message)<10) $message2=""; else $message2=$message;
	if (strlen($subject)<5 || strlen($subject)>150) $subject2=""; else $subject2=$subject;
	if ($subject2 == "" && $subject=="") $subject = '';
	
	if ($message2 == "" && $message=="") {
		$previewmessage = "[color=#CC0000][b]".$locale['POST441']."\n\n".($subject2!='' ? $locale['POST432'] : $locale['POST431']); // zuwenig Zeichen
		$previewmessage.="[/b][/color]";
	} elseif ($message2 == "" && $message!="") {
		$previewmessage = "[color=#CC0000][b]".$locale['POST441']."\n\n".($subject2!='' ? $locale['POST432'] : $locale['POST431']); // zuwenig Zeichen
		$previewmessage.="[/b][/color]";
		
	} else {
		$previewmessage = $message2;
		if ($subject2=="") {
		$previewmessage.="\n\n[color=#990000][b]".$locale['POST441']."\n\n".$locale['POST433']."[/b][/color]"; // betreff zuwenig zeichen
		}
	}
	
		$previewmessage = !isset($_POST['disable_smileys']) ? parsesmileys($previewmessage) : $previewmessage;
		$ubb = new ubbParser(INCLUDES.'plugins/');
		$ubb->ubbcode_allowed=array('b','i','u','s','size','color','colorize','geshi','code','quote','img','url','mail','center','sub','sup','googlevideo','myvideo','youtube','flash','list','ulist','iurl','small','li','spoiler');
		$previewmessage = descript($ubb->getHTML(nl2br($previewmessage)),false);
		
		if ($sig_checked && $forum_settings['allowsig']) {
			$user_sig = parsesmileys($userdata['user_sig']);
			$ubb2 = new ubbParser(INCLUDES.'plugins/');
			$ubb2->ubbcode_allowed=array('b','i','u','s','size','color','colorize','img','url','mail','center','sub','sup','small');	
			$user_sig = descript($ubb2->getHTML(nl2br($user_sig)),false);
			$previewmessage = $previewmessage."\n<br><br><hr>".$user_sig; 
		}

if (function_exists("fpm_preview")) fpm_preview(); // Forum Polls Mod
echo "<table cellspacing='0' cellpadding='0' border='0' width='100%' class='tbl-border'>
<tr>
<td>
<table cellpadding='0' cellspacing='1' width='100%'>
<tr>
<td width='145' class='tbl2'>".$locale['VIEW501']."</td>
<td class='tbl2'>$subject</td>
</tr>
<tr>
<td valign='top' rowspan='2' width='145' class='tbl1'>".colorize_user($userdata['user_name'])."<br>
<span class='alt'>".ShowRank($userdata['user_posts'],$userdata['user_rank'])."</span><br><br>\n";
	if ($userdata['user_avatar']) {
		echo "<img src='".IMAGES."avatars/".$userdata['user_avatar']."'><br><br>\n";
		$height = "200";
	} else {
		$height = "60";
	}
	echo "<span class='alt'>".$locale['POST423']."</span> ".$userdata['user_posts']."<br>\n";
	if ($userdata['user_location']) echo "<span class='alt'>".$locale['POST424']."</span> ".$userdata['user_location']."<br>\n";
	echo "<span class='alt'>".$locale['POST425']."</span> ".showdate("%d.%m.%y", $userdata['user_joined'])."</td>
<td class='tbl1'><span class='small'>".$locale['POST426'].showdate("forumdate", time())."</span></td>
</tr>
<tr>
<td height='$height' valign='top' class='tbl1'>$previewmessage</td>
</tr>
</table>
</tr>
</td>
</table>\n";
closetable();
tablebreak();
include(INCLUDES."st_functions.php");
# output
if ($subject2!="") pd_getSimilarThreads(0, $subject, 5, 0, FALSE, FALSE, TRUE);

}
// cancel
if (isset($_POST['cancel'])) redirect(FORUM."viewforum.php?forum_id=$forum_id");
if (isset($_POST['postnewthread']) &&  ($can_post || iMOD || iSUPERADMIN)) {
	$flood = false; $error = 0;
	$sticky = isset($_POST['sticky']) ? "1" : "0";
	$locked = isset($_POST['lock']) ? "1" : "0"; // ZOC
	$sig = isset($_POST['show_sig']) ? "1" : "0";
	$smileys = isset($_POST['disable_smileys']) ? "0" : "1";
	$subject = trim(stripinput(censorwords(spam_control($_POST['subject']))));
	$message = trim(stripinput(censorwords(spam_control($_POST['message']))));
	if (strlen($message)<10) $message="";
	if (strlen($subject)<5 || strlen($subject)>150) $subject="";
	
	if (iMEMBER) {
		if ($subject != "" && $message != "") {
		if (preg_match("#\[code\](.*?)\[/code\]#si", $message)) { $smileys = 0; } // code->smilie off
			if (!iMOD) {
			$flood = flood_control('posts','post_ip','post_datestamp');	
			}
			if (!$flood) {
				$result = update_table(DB_PREFIX."threads","(forum_id, thread_subject, thread_author, thread_views, thread_lastpost, thread_lastuser, thread_sticky, thread_locked) VALUES('".(int)$forum_id."', '".mysql_escape_string($subject)."', '".(int)$userdata['user_id']."', '0', '".time()."', '".(int)$userdata['user_id']."', '".$sticky."', '".$locked."')","insert");
				$thread_id = mysql_insert_id();
				$result = update_table(DB_PREFIX."posts","(forum_id, thread_id, post_subject, post_message, post_showsig, post_smileys, post_author, post_datestamp, post_ip, post_edituser, post_edittime) VALUES ('".$forum_id."', '".$thread_id."', '".$subject."', '".$message."', '".$sig."', '".$smileys."', '".$userdata['user_id']."', '".time()."', '".USER_IP."', '0', '0')","insert");
				$post_id = mysql_insert_id();
				$ok = update_table(DB_PREFIX."users","SET user_posts=user_posts+1 WHERE user_id='".$userdata['user_id']."'","update");
				fu_f_update_forum($forum_id); // wibix
				fu_f_update_thread($thread_id);
				fpm_save($post_id); // Forum Polls Mod
				
				// Die Abfrage noch zur sicherheit hinzugefgt....
				if (isset($_FILES['attach']) && (bool)$settings['attachments'] && (bool)$can_attach &&  count($_FILES['attach'])<=$forum_settings['uploads']) {

				//MULTI UPLOAD START 
				$_FILES['attach'] = array_reverse($_FILES['attach']);
				for ($k = 0 ; $k < count($_FILES['attach']['tmp_name']); $k++) { // ANFANG DER SCHLEIFE
					
					$attach['name'] = $_FILES['attach']['name'][$k];
					$attach['error'] = $_FILES['attach']['error'][$k];
					$attach['tmp_name'] = $_FILES['attach']['tmp_name'][$k];
					$attach['size'] = $_FILES['attach']['size'][$k];
					
				if ($attach['name'] != "" && !empty($attach['name']) && is_uploaded_file($attach['tmp_name'])) {
					$attachname = substr($attach['name'], 0, strrpos($attach['name'], "."));
					$attachname = str_replace (' ', '_', $attachname); // change spaces
					$attachname = str_replace (array('','','','','','',''), array('ae','oe','ue','Ae','Oe','Ue','ss'), $attachname); // change german chars
					$attachext = strtolower(strrchr($attach['name'],"."));
					if (preg_match("/^[-0-9A-Z_\[\]]+$/i", $attachname) && $attach['size'] <= $settings['attachmax']) {
						$attachtypes = explode(",", $settings['attachtypes']);
						if (in_array($attachext, $attachtypes)) {
							$attachname = attach_exists(strtolower($attach['name']));
							$attachname = str_replace (' ', '_', $attachname); // change spaces
							$attachname = str_replace (array('','','','','','',''), array('ae','oe','ue','Ae','Oe','Ue','ss'), $attachname); // change german chars
							move_uploaded_file($attach['tmp_name'], FORUM."attachments/".$attachname);
							chmod(FORUM."attachments/".$attachname,0777);
							if (in_array($attachext, $imagetypes) && (!@getimagesize(FORUM."attachments/".$attachname) || !@verify_image(FORUM."attachments/".$attachname))) {
								unlink(FORUM."attachments/".$attachname);
								//MULTI UPLOAD START 
								$error = 1;
								//MULTI UPLOAD ENDE
							}
							if (!$error) $result = update_table(DB_PREFIX."forum_attachments","(thread_id, post_id, attach_name, attach_ext, attach_size) VALUES ('".$thread_id."', '".$post_id."', '".$attachname."', '".$attachext."', '".$attach['size']."')","insert");
						} else {
							@unlink($attach['tmp_name']);
							//MULTI UPLOAD START 
							$error = 1;
							//MULTI UPLOAD ENDE
						}
					} else {
						@unlink($attach['tmp_name']);
						//MULTI UPLOAD START 
						$error = 2;
						//MULTI UPLOAD ENDE
					}
				}
			  } //MULTI UPLOAD FOR SCHLEIFE ENDE 
			 }//Sicherheitsabfrage fr die Downloads
			}
		} else {
			$error = 3;
		}
	} else {
		$error = 4;
	}
	if ($error > 2) { redirect(FORUM."postify.php?post=new&error=$error&forum_id=$forum_id"); }
	else { redirect(FORUM."postify.php?post=new&error=$error&forum_id=$forum_id&thread_id=$thread_id"); }
} else {
	if (!isset($_POST['previewpost']) && !isset($_POST['fpm']['add_options'])) {
		$subject = "";
		$message = "";
		$sticky_check = "";
		$lock_check = "";
		$disable_smileys_check = "";
		$sig_checked = " checked";
		$notify_checked = "";
	}

opentable($locale['POST401']);

echo "<form name='inputform' method='post' action='".FORUM.FUSION_SELF."?action=newthread&amp;forum_id=$forum_id' enctype='multipart/form-data'>
<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
<tr>
<td>
<table width='100%' border='0' cellspacing='1' cellpadding='0'>";
echo "<tr>
<td width='145' class='tbl2'>".$locale['POST460']."</td>
<td class='tbl2'><input type='text' name='subject' value='$subject' class='textbox' maxlength='50' style='width: 250px'></td>
</tr>
<tr>
<td valign='top' width='145' class='tbl2'>".$locale['POST461']."</td>
<td class='tbl1'><textarea name='message' cols='80' rows='15' class='textbox'>$message</textarea></td>
</tr>
<tr>
<td width='145' class='tbl2'>&nbsp;</td>
<td class='tbl1'>";
@require_once(INCLUDES."bbcode_forum.php");
echo "</td>
</tr>
<tr>
<td valign='top' width='145' class='tbl2'>".$locale['POST463']."</td>
<td class='tbl1'>\n";
	if (iMOD || iSUPERADMIN) {
		echo "<input type='checkbox' name='sticky' value='1'$sticky_check>".$locale['POST480']."<br>\n";
		echo "<input type='checkbox' name='lock' value='0'$lock_check>".$locale['POST486']."<br>\n";
	}
	echo "<input type='checkbox' name='disable_smileys' value='1' $disable_smileys_check>".$locale['POST483'];
	if ($userdata['user_sig'] && $forum_settings['allowsig']) {
		echo "<br>\n<input type='checkbox' name='show_sig' value='1' $sig_checked>".$locale['POST481'];
	}
	if ($settings['thread_notify']) echo "<br>\n<input type='checkbox' name='notify_me' value='1' $notify_checked>".$locale['POST485'];
	echo "</td>
</tr>\n";

// uploads
	if ($settings['attachments'] == "1" && $can_attach && is_dir(FORUM."attachments") && is_writeable(FORUM."attachments")) {
		echo "<tr>
<td valign='top' width='145' class='tbl2'>".$locale['POST464']."</td>
<td class='tbl1'>";

echo "<table border='0' cellspacing='1' cellpadding='1' id='dateiupload'>
	<tr id='row'>
		 <td class='tbl1'><input type='file' id='file' onchange='addFileInput(this,".$forum_settings['uploads'].");' class='textbox'>
			<div id='file_div' style='visibility:hidden;width:40%;'><div id='file_list' class='textbox'></div></div>\n</td>
	</tr> 
</table>";

echo "&nbsp;<span class='small'>".sprintf($locale['POST466'], parsebytesize($settings['attachmax']), $forum_settings['uploads'], str_replace(',', ' ', $settings['attachtypes']))."</span></td>
</tr>\n";
	}
	echo "</table>
</td>
</tr>
</table>";

if (function_exists("fpm_form")) fpm_form(); // Forum Polls Mod

echo "<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td align='center' colspan='2' class='tbl1'>";
if (function_exists("fpm_add")) fpm_add(); // Forum Polls Mod
echo "<input type='submit' name='previewpost' value='".$locale['POST400']."' class='button'> ";
echo " <input type='submit' name='postnewthread' value='".$locale['POST401']."' class='button'>&nbsp;&nbsp;";
echo "<input type='submit' name='cancel' value='".$locale['POST435']."' class='button'>
</td>
</tr>
</table>
</form>\n";
	closetable();
}

?>