<?php
/*********************************************************************
 *   awForumPanel											*
 *													*
 *   Copyright (C) 2006 Artur Wiebe								*
 *   wibix@gmx.de											*
 *													*
 *   This program is free software; you can redistribute it and/or modify 		*
 *   it under the terms of the GNU General Public License as published by 		*
 *   the Free Software Foundation; either version 2 of the License, or 		*
 *   (at your option) any later version.								*
*********************************************************************/
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once("../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");
if (!iMEMBER) {redirect(BASEDIR."index.php");exit;}
require_once INCLUDES."forum_functions_include.php";

opentable($locale['AWF400']);
echo $awf_menu;

$result = dbquery("SELECT t.*,f.forum_name,f.forum_access,u.user_name,p.post_datestamp, fg.group_id"
		." FROM ".DB_PREFIX."threads t "
		." LEFT OUTER JOIN ".DB_PREFIX."forums f ON t.forum_id=f.forum_id"
		." LEFT OUTER JOIN ".DB_PREFIX."posts p ON t.thread_id=p.thread_id"
		." LEFT OUTER JOIN ".DB_PREFIX."users u ON t.thread_lastuser=u.user_id"
		." LEFT OUTER JOIN ".DB_PREFIX."forum_groups fg ON t.forum_id=fg.forum_id AND fg.auth_read='1'"
		." WHERE (".forum_groupaccess('f.forum_access')." OR ".forum_groupaccess('fg.group_id').")"
		." AND thread_replies='0' GROUP BY t.thread_id ORDER BY thread_lastpost DESC");
$rows=dbrows($result);

if($rows != 0) {
	$query_id = dbquery("SELECT t.*,f.forum_name,f.forum_access,u.user_name,p.post_datestamp, fg.group_id"
		." FROM ".DB_PREFIX."threads t "
		." LEFT OUTER JOIN ".DB_PREFIX."forums f ON t.forum_id=f.forum_id"
		." LEFT OUTER JOIN ".DB_PREFIX."posts p ON t.thread_id=p.thread_id"
		." LEFT OUTER JOIN ".DB_PREFIX."users u ON t.thread_lastuser=u.user_id"
		." LEFT OUTER JOIN ".DB_PREFIX."forum_groups fg ON t.forum_id=fg.forum_id AND fg.auth_read='1'"
		." WHERE (".forum_groupaccess('f.forum_access')." OR ".forum_groupaccess('fg.group_id').")"
		." AND thread_replies='0' GROUP BY t.thread_id ORDER BY thread_lastpost DESC"
		." LIMIT ".$rowstart.", 20");

	echo "<p>
<table class='tbl-border' border='0' cellspacing='1' width='100%'>
<tr>
	<td align='center' class='tbl2' width='1%'></td>
	<td class='tbl2'><b>".$locale['AWF005']."</b></td>
	<td class='tbl2'><b>".$locale['AWF004']."</b></td>
	<td align='center' class='tbl2' width='100'><b>"
		.$locale['AWF008']."</b></td>
	<td align='center' class='tbl2' width='120'><b>"
		.$locale['AWF003']."</b></td>
</tr>\n";

	$count = 1;
	$i=0;
	while($data = dbarray($query_id)) {
		++$i;	
		$tbl = "tbl".(++$count%2 + 1);
		echo "<tr>
	<td class='$tbl'><img border='0' src='".FORUMIMAGE."folder.gif' alt=''></td>
	<td class='$tbl'><a href='".$tpl->url(SEO_THREAD,"viewthread.php","thread_id=",$data['thread_id'],null,null,$data['thread_subject'],'forum')."'>".$data['thread_subject']."</a></td>
	<td class='$tbl'><a href='".$tpl->url(SEO_FORUM,"viewforum.php","forum_id=",$data['forum_id'],null,null,$data['forum_name'],'forum',"_",'post_')."'>".$data['forum_name']."</a></td>
	<td align='center' class='$tbl'><a href='".$tpl->url(SEO_UPROFILE,"profile.php","lookup=",$data['thread_lastuser'],null,null,$data['user_name'])."'>".$data['user_name']."</a></td>
	<td align='center' class='$tbl'>".showdate("forumdate",
		$data['post_datestamp'])."</td>
</tr>\n";
	}@mysql_free_result($query_id);@clearstatcache();
	echo "</table>\n";
}else {
	echo "<p><div>".$locale['AWF401']."</div>\n";
}
if($rowstart > $rows || !$i) {
	fallback(FUSION_SELF);
}
if($rows > 20) {
	echo "<p><div align='center'>"
		.makePageNav($rowstart, 20, $rows, 3)."</div>\n";
}
closetable();

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>