<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| ########################################################### || 
\*=============================================================*/
if (!defined("IN_FUSION")) exit;

// Laden des Encoders
include(SECURITY."bs_encoder.inc.php");

// Einbinden der Session Klasse
include(INCLUDES.'Session.php');

// Starten der Session
$bs_session=new Session();


// Portal visits
function upgrade_visits($db,$session) {
	if (!iMAINTENANCE) {
		if (!$session->get('visited') || $session->get('visited')<(time()-3600)) 		 {
            $session->set('visited',time());
            $usr_online = dbcount("(online_ip)","online","online_ip='".USER_IP."'");
			if ($usr_online==0) {
            $result=$db->query("UPDATE ".DB_PREFIX."settings SET counter=counter+1 WHERE site_id=1");
			}
		}
	}
}

// Gastdaten ermitteln
function guests($db,$session) {	
$guests=array();
$session->set('user_lastvisit',0);
$session->set('user_level',0);
$session->set('user_groups',"");
$session->set('user_rights',"");
$session->set('user_id',0);	
if (isset($_COOKIE[COOKIE_PREFIX.'user'])) {
header("P3P: CP='NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM'");
setcookie(COOKIE_PREFIX."user", "", (time()-7200), COOKIE_PATH, "", SSL_COOKIE);
}

	$res=$db->query("SHOW COLUMNS FROM ".DB_PREFIX."users");
	if($res->size()>0) {
		while($guest_flags=$res->fetch()) {
$guests[$guest_flags['Field']]=eregi("int",$guest_flags['Type']) ? 0 : "";
    	}
	}
$upgrade = upgrade_online($db,$session);	
return $guests;	
}

function upgrade_online($db,$session) {
	// Onlinestatus ermitteln
if (!iMAINTENANCE) {
	
	$delete = $db->query("DELETE FROM ".DB_PREFIX."online WHERE online_lastactive<".(time()-60));
	
	$cond = ($session->get('user_level') != 0 ? "'".$session->get('user_id')."' AND online_ip='".USER_IP."'" : "'0' AND online_ip='".USER_IP."'");
	$res = $db->query("SELECT online_ip FROM ".DB_PREFIX."online WHERE online_user=".$cond." LIMIT 1");
	if ($res->size() != 0) {
		$update = $db->query("UPDATE ".DB_PREFIX."online SET online_lastactive='".time()."' WHERE online_user=".$cond);
	} else {
		
		$insert = $db->query("INSERT INTO ".DB_PREFIX."online (online_user, online_ip, online_lastactive) VALUES ('".(int)$session->get('user_id')."','".USER_IP."', '".time()."')");
	}
	
}
// ende
}

function auth($db,$session) {
global $settings;	
upgrade_visits($db,$session);
if (!isset($_COOKIE[COOKIE_PREFIX.'user'])) {
	if (!isset($_POST['login'])) {
		$data=guests($db,$session);
	} else {
		##############  User login ######################
		if (isset($_POST['user_pass']) && isset($_POST['user_name'])) {
		$user_pass = md5($_POST['user_pass']);
		$user_name = preg_replace(array("/\=/","/\#/","/\sOR\s/"), "", htmlentities($_POST['user_name']));
		$res = $db->query("SELECT * FROM ".DB_PREFIX."users WHERE user_name='".mysql_escape_string($user_name)."' AND (user_password='".md5($user_pass)."' OR user_password='".$user_pass."')");
		
	$urows=$res->size();
	if ($urows!=1) {redirect(BASEURL."setuser.php?error=3");} 
	else {
		$data = $res->fetch();
		
		if ($data['user_password'] == $user_pass) {
			$upgr_pass = $db->query("UPDATE ".DB_PREFIX."users SET user_password='".md5($user_pass)."' WHERE user_id='".$data['user_id']."'");
		}

		
		if ($data['user_status'] == 0) {
			$cookie_value = $data['user_id'].".".$user_pass;
			$cookie_crypt = bs_encoder($cookie_value,BS_GLOBAL_KEY);
			$cookie_exp = isset($_POST['remember_me']) ? time() + 3600*24*30 : time() + 3600*3;
		$session->set('user_id',$data['user_id']);
		$session->set('user_name',$data['user_name']);
		$session->set('user_level',$data['user_level']);
		$session->set('user_groups',$data['user_groups']);
		$session->set('user_rights',$data['user_rights']);
		$session->set('user_lastvisit',$data['user_lastvisit']);
		$session->del('locale');$session->del('theme');
		if (!preg_match("/default/i",$data['user_locale']) && iMULTILANG) {
			$session->set('user_locale',$data['user_locale']);
		} else {
			$session->set('user_locale',$settings['locale']);
		}
		if (!preg_match("/default/i",$data['user_theme'])) {
			$session->set('user_theme',$data['user_theme']);
		} else {
			$session->set('user_theme',$settings['theme']);
		}
			header("P3P: CP='NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM'");
			setcookie(COOKIE_PREFIX."user", $cookie_crypt, $cookie_exp, COOKIE_PATH, "", SSL_COOKIE);
			$result = $db->query("UPDATE ".DB_PREFIX."users SET user_lastvisit='".time()."', user_ip='".USER_IP."' WHERE user_id='".$data['user_id']."'");
			$upgrade = upgrade_online($db,$session);	
			redirect(BASEURL."setuser.php?user=".$data['user_name']);
		} elseif ($data['user_status'] == 1) {
			redirect(BASEURL."setuser.php?error=1", "script");
		} elseif ($data['user_status'] == 2) {
			redirect(BASEURL."setuser.php?error=2", "script");
		}
	}
	} else {
		$data=guests($db,$session);
	}
	} // Ende Login
} else {
$cookie_vars = explode(".", bs_encoder($_COOKIE[COOKIE_PREFIX.'user'],BS_GLOBAL_KEY,false));
	$cookie_1 = isNum($cookie_vars['0']) ? $cookie_vars['0'] : "0";
	$cookie_2 = (preg_match("/^[0-9a-z]{32}$/", $cookie_vars['1']) ? $cookie_vars['1'] : "");
	if ($cookie_1==0) {$data=guests($db,$session);unset($cookie_vars,$cookie_1,$cookie_2);}
	else {	
	$res = $db->query("SELECT * FROM ".DB_PREFIX."users WHERE user_id='".(int)$cookie_1."' AND user_password='".md5($cookie_2)."'");
	unset($cookie_vars,$cookie_1,$cookie_2);
	
	if ($res->size()==1) {
		$data = $res->fetch();
			if ($data['user_status']!=0) {
			$data=guests($db,$session);
			redirect(BASEURL."setuser.php?error=".$data['user_status']);	
			} else {
			$session->set('user_id',$data['user_id']);
		$session->set('user_name',$data['user_name']);
		$session->set('user_level',$data['user_level']);
		$session->set('user_groups',$data['user_groups']);
		$session->set('user_rights',$data['user_rights']);	
		if ($session->get('locale')=="") {
			if (!preg_match("/default/i",$data['user_locale']) && iMULTILANG) {
			$session->set('user_locale',$data['user_locale']);
			} else {
			$session->set('user_locale',$settings['locale']);
			}
		}
		if ($session->get('theme')=="") {	
			if (!preg_match("/default/i",$data['user_theme'])) {
			$session->set('user_theme',$data['user_theme']);
			} else {
			$session->set('user_theme',$settings['theme']);
			}
		}	
			if ((int)$session->get('user_lastvisit')==0) $session->set('user_lastvisit',$data['user_lastvisit']);
			$result = $db->query("UPDATE ".DB_PREFIX."users SET user_lastvisit='".time()."', user_ip='".USER_IP."' WHERE user_id='".$data['user_id']."'");
			upgrade_online($db,$session);
			}
	} else {
			$data=guests($db,$session);
		}

}
 
} // Ende Cookie Prfung
return $data;
}


$userdata=auth($db,$bs_session);
if (!$bs_session->get('user_level') && isset($_COOKIE[COOKIE_PREFIX.'user']))
$userdata=guests($db,$bs_session);


$lastvisited = (int)$bs_session->get('user_lastvisit')==0 ? time() : (int)$bs_session->get('user_lastvisit');
$settings['timeoffset'] = $settings['timeoffset'] + $userdata['user_offset'];

// special function for userdata
function userdata($data) {
global $userdata;
$userdata[$data] = isset($userdata[$data]) ? htmlentities($userdata[$data]) : '';
return $userdata[$data]; 	
}

// User level, Admin Rights & User Group definitions
define("iGUEST",(int)$bs_session->get('user_level')==0 ? 1 : 0);
define("iMEMBER", (int)$bs_session->get('user_level')>=101 ? 1 : 0);
define("iADMIN", (int)$bs_session->get('user_level')>=102 ? 1 : 0);
define("iSUPERADMIN", (int)$bs_session->get('user_level')==103 ? 1 : 0);
define("iUSER", (int)$bs_session->get('user_level'));
define("iUSER_RIGHTS", $bs_session->get('user_rights'));
define("iUSER_GROUPS", substr($bs_session->get('user_groups'),1));

$aid='';
################# Special password protection ################# 
if (iADMIN) {
	//if (!eregi(ADMIN,FUSION_REQUEST)) unset($_SESSION["adm_page"]);
	define("iAUTH", md(substr(userdata('user_password'),16,32).session_id().USER_IP.FIP.HEX_IP.DOMAIN,BS_GLOBAL_KEY,true));
	$aid = isset($_GET['aid']) ? stripinput($_GET['aid']) : '';
	$aidlink = "?aid=".iAUTH;
	if (!eregi("edit_profile.php",$_SERVER['PHP_SELF']) AND $userdata['user_admin_password']=="") redirect(BASEURL."edit_profile.php");
}
if (iMEMBER) {$userdata['user_password']=bs_encoder(userdata('user_password'));
}
###############################################################

// Check if Administrator has correct rights assigned
function checkrights($rights='') {
	if (iGUEST) return false;
	elseif (iMEMBER && !iADMIN) return false;
	else{
	if (iUSER_RIGHTS=="" && !iSUPERADMIN) return false;
	elseif (iSUPERADMIN) return true;	
	else {
		$rights=explode(',',$rights);
		$myrights=explode('.',iUSER_RIGHTS);
		$right=array_intersect($rights,$myrights);
		$allow = count($right)==0 ? false : true;
		return $allow;
		
	}	
	}
}

// Check if user is assigned to the specified user group
function checkgroup($group) {
	if (iSUPERADMIN) { return true; }
	elseif (iADMIN && ($group == "0" || $group == "101" || $group == "102")) { return true; }
	elseif (iMEMBER && ($group == "0" || $group == "101")) { return true; }
	elseif (iGUEST && $group == "0") { return true; }
	elseif (iMEMBER && in_array($group, explode(".", iUSER_GROUPS))) {
		return true;
	} else {
		return false;
	}
}

function groupaccess($field) {
	if (iSUPERADMIN) { $res = "($field>='-1'";
	} elseif (iADMIN) {	$res = "($field='0' OR $field='101' OR $field='102'";
	} elseif (iMEMBER) { $res = "($field='0' OR $field='101'";
	} elseif (iGUEST) { $res = "($field='0'";}
	if (!iGUEST && iUSER_GROUPS != "") $res .= " OR $field='".str_replace(".", "' OR $field='", iUSER_GROUPS)."'";
	$res .= ")";
	return $res;
}

// Compile access levels & user group array
function getusergroups() {
	global $locale,$db;
	$groups_array = array(
		array("0", $locale['user0']),
		array("101", $locale['user1']),
		array("102", $locale['user2']),
		array("103", $locale['user3'])
	);
	$gsql = $db->query("SELECT group_id,group_name FROM ".DB_PREFIX."user_groups");
	if ($gsql->size()>0) {
	while ($gdata = $gsql->fetch()) {
		array_push($groups_array, array($gdata['group_id'], $gdata['group_name']));
	}
	}
	return $groups_array;
}

// Get the name of the access level or user group
function getgroupname($group) {
	global $locale,$db;
	if ($group == "0") { return $locale['user0']; }
	elseif ($group == "101") { return $locale['user1']; }
	elseif ($group == "102") { return $locale['user2']; }
	elseif ($group == "103") { return $locale['user3'];
	} else {
		$gsql = $db->query("SELECT group_id,group_name FROM ".DB_PREFIX."user_groups WHERE group_id='".$group."'");
		if ($gsql->size()!=0) {
			$gdata = $gsql->fetch();
			return $gdata['group_name'];
		} else {
			return "N/A";
		}
	}
}

function locale_switcher($session) {
if (!iMULTILANG) {$lang=SITELOCALE;}
else {	
if (!isset($_GET['loc'])) {
  if (!$session->get('locale') || $session->get('locale')=="") {	
	if (iGUEST) {
		$lang=SITELOCALE;
	} else {
		if ($session->get('user_locale')!="") {
			$lang=$session->get('user_locale');
		} else {
			$lang=SITELOCALE;
		}
	}
	} else {
		$lang=$session->get('locale');
	}
} else {
	$lang = htmlentities($_GET['loc']);unset($_GET['loc']);
	$_SERVER['QUERY_STRING']=str_replace(array("&amp;loc=".$lang,"&loc=".$lang,"loc=".$lang."&amp;","loc=".$lang."&","loc=".$lang),"",$_SERVER['QUERY_STRING']);
}		
}
// Checken der Themedatei
if (file_exists(LOCALE.$lang.'/global.php')) {
	$session->set('locale',$lang);
}elseif(file_exists(LOCALE.SITELOCALE.'/global.php')){
	$session->set('locale',SITELOCALE);
}else{$session->set('locale',false);} 

if ($session->get('locale')) {
	define("LOCALESET",$session->get('locale').'/');
	define("LANGUAGE",$session->get('locale'));
} else {
	define("LOCALESET",false);
	define("LANGUAGE",false);
}
}

function theme_switcher($session) {
if (!isset($_GET['theme'])) {
  if (!$session->get('theme') || $session->get('theme')=="") {	
	if (iGUEST) {
		$theme=SITETHEME;
	} else {
		if ($session->get('user_theme')!="") {
			$theme=$session->get('user_theme');
		} else {
			$theme=SITETHEME;
		}
	}
	} else {
		$theme=$session->get('theme');
	}
} else {
	$theme = htmlentities($_GET['theme']);
	unset($_GET['theme']);
}		

// Checken der Themedatei
if (file_exists(THEMES.$theme.'/theme.php')) {
	$session->set('theme',$theme);
}elseif(file_exists(THEMES.SITETHEME.'/theme.php')){
	$session->set('theme',SITETHEME);
}else{$session->set('theme',false);} 

if ($session->get('theme')) {
	define("THEME",THEMES.$session->get('theme')."/");
} else {
	define("THEME",false);
}
}
?>