<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| ########################################################### || 
\*=============================================================*/ 
if (!defined("IN_FUSION") || !IN_FUSION) die("Access denied!");
// microtime ZOC
$querycounts = 0; $starttimesql = ""; 
function get_mtime_counter() {
	$mtime = explode(" ",microtime());
	return $mtime[1] + $mtime[0];
}

// MySQL DB Funktionen
// spezial ZOC
function dbquery($query=null)
{
	global $querycounts,$starttimesql;
	$mtime_counter = get_mtime_counter();
	
	$result = @mysql_query($query);
	if (!(bool)$result)
	{
		if (isset($_SESSION['user_level']) && $_SESSION['user_level']>=102) {
		echo "<span style='9px;'>".($query!=''?"DB Error:".htmlspecialchars($query).'<hr />'.mysql_error():'DB-Error: '.mysql_error()).'<br ></span>';
		}
		return false;
	}
	else
	{
	$querycounts++;$starttimesql += get_mtime_counter()-$mtime_counter;
	return $result;
	}
}

function dbcount($field,$table,$conditions="") {
global $db;
	$cond = ($conditions ? " WHERE ".$conditions : "");
	$result=$db->query("SELECT count".$field." FROM ".DB_PREFIX.$table.$cond);
		$rows = $result->rows();
		return (int)$rows;
}

function dbresult($query,$row) {
	if ($rows=mysql_result($query,$row)) {
            return $rows;
        } else {
            return false;
        }
}

function dbrows($query) {
	if ($rows=mysql_num_rows($query)) {
            return (int)$rows;
        } else {
            return (int)false;
        }
}

function dbarray($query) {
	if ($row=mysql_fetch_assoc($query)) {
            return $row;
        } else if (dbrows($query) > 0) {
            mysql_data_seek($query,0);
            return false;
        } else {
            return false;
        }
}

function dbarraynum($query) {
	if ($row=mysql_fetch_row($query)) {
            return $row;
        } else if (dbrows($query) > 0) {
            mysql_data_seek($query,0);
            return false;
        } else {
            return false;
        }
}

// Silvermoon


function update_table($table,$sql=null,$act='update') {
global $db;
$table = $table;
$sql = isset($sql) ? $sql : null;
$act = stripinput($act);
$result = false;	
	switch($act) {
		case "insert": 
		if (isset($sql) && $table!='') {
			$result = $db->query("INSERT INTO ".$table." ".$sql);
			}
		break;
		case "update": 
		if (isset($sql) && $table!='') {
			$result = $db->query("UPDATE ".$table." ".$sql);
			}
		break;
		case "delete": 
		if (isset($sql) && $table!='') {
			$result = $db->query("DELETE FROM ".$table." ".$sql);
		}
		break;
		case "alter": 
		if (isset($sql) && $table!='') {
			$result = $db->query("ALTER TABLE ".$table." ".$sql);
		}
		break;
		case "drop": 
		if ($table!='') {
			$result = $db->query("DROP TABLE ".$table);
		}
		break;
		case "create": 
		if ($table!='') {
			$result = $db->query("CREATE TABLE IF NOT EXISTS ".$table);
		}
		break;
		case "truncate": 
		if ($table!='') {
			$result = $db->query("TRUNCATE ".$table);
		}
		break;
		default:
		$result=false;
		break;
	}
return $result;
}


// Nutzung der header Funktion fr einen Rcksprung zu einer bestimmten Seite
function redirect($location,$type="header") {
	$url = str_replace(BASEDIR,BASEURL,$location);	
	if ($type == "header") {
		header("Location: ".$url);
		exit;
	} else {
		echo "<script type='text/javascript'>document.location.href='".$url."'</script>\n";
	}
}
// Die alte Variante in der v6
function fallback($location) {
	redirect($location);exit;
}


// Clean URL Function, prevents entities in server globals
function cleanurl($url) {
	$bad_entities = array("&", "\"", "'", '\"', "\'", "<", ">", "(", ")", "*");
	$safe_entities = array("&amp;", "", "", "", "", "", "", "", "", "");
	$url = str_replace($bad_entities, $safe_entities, $url);
	return $url;
}

// Umwandung von html Tags
function stripinput($text) {
	if (QUOTES_GPC) $text = stripslashes($text);
	$search = array("&","\"", "'", "\\", '\"', "\'", "<", ">", "&nbsp;");
	$replace = array("&amp;","&quot;", "&#39;", "&#92;", "&quot;", "&#39;", "&lt;", "&gt;", " ");
	$text = str_replace($search, $replace, $text);
	return $text;
}

// Bei einigeschalteten magic_quotes_gpc wird die stripslashes Funktion genutzt 
function stripslash($text) {
	if (QUOTES_GPC) $text = stripslashes($text);
	return $text;
}

// UMWANDLER VON UMLAUTE IN JAVASCRIPTE
function js_umlaut_changer($text) {
$search = array("&auml;","&ouml;","&uuml;","&Auml;","&Ouml;","&Uuml;","&szlig","","","","","","");
$replace = array("%E4","%F6","%FC","%C4","%D6","%DC","%DF","%E4","%F6","%FC","%C4","%D6","%DC",);
return 'unescape(\''.str_replace($search,$replace,$text).'\')';	
}

// Setzt die korrekte Anzahl an Slashes
function addslash($text) {
	if (!QUOTES_GPC) {
		$text = addslashes(addslashes($text));
	} else {
		$text = addslashes($text);
	}
	return $text;
}

// Eine einfache Funktion ersetzt die htmlentites Funktion
function phpentities($text) {
	$search = array("&", "\"", "'", "\\", "<", ">");
	$replace = array("&amp;", "&quot;", "&#39;", "&#92;", "&lt;", "&gt;");
	$text = str_replace($search, $replace, $text);
	return $text;
}

// Einen Text auf eine bestimmte Lnge verkrzen
function trimlink($text, $length) {
	$dec = array("\"", "'", "\\", '\"', "\'", "<", ">");
	$enc = array("&quot;", "&#39;", "&#92;", "&quot;", "&#39;", "&lt;", "&gt;");
	$text = str_replace($enc, $dec, $text);
	if (strlen($text) > $length) $text = substr($text, 0, ($length-3))."...";
	$text = str_replace($dec, $enc, $text);
	return $text;
}

// Prfung einer Variable auf einen nummerischen Wert
function isNum($value) {
	return (is_numeric($value));
}

// This function sanitises news & article submissions
function descript($text,$striptags=true) {
	// Convert problematic ascii characters to their true values
	$search = array("40","41","58","65","66","67","68","69","70",
		"71","72","73","74","75","76","77","78","79","80","81",
		"82","83","84","85","86","87","88","89","90","97","98",
		"99","100","101","102","103","104","105","106","107",
		"108","109","110","111","112","113","114","115","116",
		"117","118","119","120","121","122"
		);
	$replace = array("(",")",":","a","b","c","d","e","f","g","h",
		"i","j","k","l","m","n","o","p","q","r","s","t","u",
		"v","w","x","y","z","a","b","c","d","e","f","g","h",
		"i","j","k","l","m","n","o","p","q","r","s","t","u",
		"v","w","x","y","z"
		);
	$entities = count($search);
	for ($i=0;$i < $entities;$i++) $text = preg_replace("#(&\#)(0*".$search[$i]."+);*#si", $replace[$i], $text);
	// the following is based on code from bitflux (http://blog.bitflux.ch/wiki/)
	// Kill hexadecimal characters completely
	$text = preg_replace('#(&\#x)([0-9A-F]+);*#si', "", $text);
	// remove any attribute starting with "on" or xmlns
	$text = preg_replace('#(<[^>]+[\\"\'\s])(onmouseover|onmousedown|onmouseup|onmouseout|onmousemove|ondblclick|onload|xmlns)[^>]*>#iU', ">", $text);
	// remove javascript: and vbscript: protocol
	$text = preg_replace('#([a-z]*)=([\`\'\"]*)script:#iU', '$1=$2nojscript...', $text);
	$text = preg_replace('#([a-z]*)=([\`\'\"]*)javascript:#iU', '$1=$2nojavascript...', $text);
	$text = preg_replace('#([a-z]*)=([\'\"]*)vbscript:#iU', '$1=$2novbscript...', $text);
        //<span style="width: expression(alert('Ping!'));"></span> (only affects ie...)
	$text = preg_replace('#(<[^>]+)style=([\`\'\"]*).*expression\([^>]*>#iU', "$1>", $text);
	$text = preg_replace('#(<[^>]+)style=([\`\'\"]*).*behaviour\([^>]*>#iU', "$1>", $text);
	if ($striptags) {
		do {
	        	$thistext = $text;
			$text = preg_replace('#</*(applet|meta|xml|blink|link|style|script|embed|object|iframe|frame|frameset|ilayer|layer|bgsound|title|base)[^>]*>#i', "", $text);
		} while ($thistext != $text);
	}
	return $text;
}

// Scan image files for malicious code
function verify_image($file) {
	$txt = @file_get_contents($file);
	$image_safe = true;
	
	if (preg_match('#&(quot|lt|gt|nbsp);#i', $txt)) { $image_safe = false; }
	elseif (preg_match("#&\#x([0-9a-f]+);#i", $txt)) { $image_safe = false; }
	elseif (preg_match('#&\#([0-9]+);#i', $txt)) { $image_safe = false; }
	elseif (preg_match("#([a-z]*)=([\`\'\"]*)script:#iU", $txt)) { $image_safe = false; }
	elseif (preg_match("#([a-z]*)=([\`\'\"]*)javascript:#iU", $txt)) { $image_safe = false; }
	elseif (preg_match("#([a-z]*)=([\'\"]*)vbscript:#iU", $txt)) { $image_safe = false; }
	elseif (preg_match("#(<[^>]+)style=([\`\'\"]*).*expression\([^>]*>#iU", $txt)) { $image_safe = false; }
	elseif (preg_match("#(<[^>]+)style=([\`\'\"]*).*behaviour\([^>]*>#iU", $txt)) { $image_safe = false; }
	elseif (preg_match("#</*(applet|link|style|script|iframe|frame|frameset)[^>]*>#i", $txt)) { $image_safe = false; }
	return $image_safe;
}

// captcha routines
function make_captcha() {
	$temp_num = sha1(rand(10,999999).base64_encode(md5(rand(0,999999999999))));
	$captcha_string = substr($temp_num, rand(0,25),rand(5,7));
	$captcha_encode = md5($temp_num);
	$count = dbcount("(captcha_ip)","captcha","captcha_ip='".USER_IP."'");
	$clear = update_table(DB_PREFIX."captcha","WHERE captcha_ip='".USER_IP."' AND captcha_datestamp<='".(time()-2)."'","delete"); 
	$result = update_table(DB_PREFIX."captcha","(captcha_datestamp, captcha_ip, captcha_encode, captcha_string) VALUES('".time()."', '".USER_IP."', '$captcha_encode', '".mysql_escape_string($captcha_string)."')","insert");
	
		return "<input type='hidden' name='captcha_encode' value='".$captcha_encode."'><img src='".SECURITY."captcha_include.php?captcha_code=".$captcha_encode."' alt='' style='vertical-align:middle;' />\n";
	
}

function check_captcha($captcha_encode, $captcha_string) {
	if (preg_match("/^[0-9a-z]+$/", $captcha_encode) && preg_match("/^[0-9a-z]+$/", $captcha_string)) {
		$result = dbquery("SELECT captcha_ip FROM ".DB_PREFIX."captcha WHERE captcha_ip='".USER_IP."' AND captcha_encode='".$captcha_encode."' AND captcha_string='".$captcha_string."'");
		if (dbrows($result)) {
			$result = update_table(DB_PREFIX."captcha","WHERE captcha_ip='".USER_IP."'","delete");
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

// Replace offensive words with the defined replacement word
function censorwords($text) {
	global $settings;
	if ($settings['bad_words_enabled'] == "1" && $settings['bad_words'] != "" ) {
		$word_list = explode("\r\n", $settings['bad_words']);
		for ($i=0;$i < count($word_list);$i++) {
			if ($word_list[$i] != "") $text = preg_replace("/".$word_list[$i]."/si", $settings['bad_word_replace'], $text);
		}
	}
	return $text;
}

// Display the user's level
function getuserlevel($userlevel) {
	global $locale;
	if ($userlevel==101) { return $locale['user1']; }
	elseif ($userlevel==102) { return $locale['user2']; }
	elseif ($userlevel==103) { return $locale['user3']; }
}

// Create a list of files or folders and store them in an array
function makefilelist($folder, $filter, $sort=true, $type="files") {
	$res = array();
	$filter = explode("|", $filter); 
	$temp = opendir($folder);
	while ($file = readdir($temp)) {
		if ($type == "files" && !in_array($file, $filter)) {
			if (!is_dir($folder.$file)) $res[] = $file;
		} elseif ($type == "folders" && !in_array($file, $filter)) {
			if (is_dir($folder.$file)) $res[] = $file;
		}
	}
	closedir($temp);
	if ($sort) sort($res);
	return $res;
}

// Create a selection list from an array created by makefilelist()
function makefileopts($files, $selected="") {
	$res = "";
	for ($i=0;$i < count($files);$i++) {
		$sel = ($selected == $files[$i] ? " selected" : "");
		$res .= "<option value='".$files[$i]."'$sel>".$files[$i]."</option>\n";
	}
	return $res;
}

//Seiten Navigation Sascha
function makepagenav($start,$count,$total,$range=0,$link="",$op="rowstart"){
global $locale;
if ($link == "") $link = FUSION_SELF."?";
$res="";
$pg_cnt=ceil($total / $count);
if ($pg_cnt > 1) {
$idx_back = $start - $count;
$idx_next = $start + $count;
$cur_page=ceil(($start + 1) / $count);
$res.='<div class="pagination">';
if ($idx_back >= 0) {
$res.='<a class="pagination" href="'.$link.$op.'='.$idx_back.'">'.$locale['006'].'</a>';
if ($cur_page > ($range + 1)) $res.='<a class="pagination" href="'.$link.$op.'=0">1</a>...';
}
$idx_fst=max($cur_page - $range, 1);
$idx_lst=min($cur_page + $range, $pg_cnt);
if ($range==0) {
$idx_fst = 1;
$idx_lst=$pg_cnt;
}
for($i=$idx_fst;$i<=$idx_lst;$i++) {
$offset_page=($i - 1) * $count;
if ($i==$cur_page) {
$res.='<a class="current"><strong>'.$i.'</strong></a>';
} else {
$res.='<a class="pagination" href="'.$link.$op.'='.$offset_page.'">'.$i.'</a>';
}
}
if ($idx_next < $total) {
if ($cur_page < ($pg_cnt - $range)) $res.='... <a class="pagination" href="'.$link.$op.'='.($pg_cnt-1)*$count.'">'.$pg_cnt.'</a>';
$res.='<a class="pagination" href="'.$link.$op.'='.$idx_next.'">'.$locale['005'].'</a>';
}
$res.='</div>';
}
return $res;
}

// Format the date & time accordingly
function showdate($format, $val) {
	global $settings;
	if ($format == "shortdate" || $format == "longdate" || $format == "forumdate") {
		return strftime($settings[$format], $val+($settings['timeoffset']*3600));
	} else {
		return strftime($format, $val+($settings['timeoffset']*3600));
	}
}

// Translate bytes into kb, mb, gb or tb by CrappoMan
function parsebytesize($size,$digits=2,$dir=false) {
	$kb=1024; $mb=1024*$kb; $gb=1024*$mb; $tb=1024*$gb;
	if (($size==0)&&($dir)) { return "Empty"; }
	elseif ($size<$kb) { return $size." bytes"; }
	elseif ($size<$mb) { return round($size/$kb,$digits)." KB"; }
	elseif ($size<$gb) { return round($size/$mb,$digits)." MB"; }
	elseif ($size<$tb) { return round($size/$gb,$digits)." GB"; }
	else { return round($size/$tb,$digits)." TB"; }
}

// zusatz silvermoon
function strip_umlaute ($text) {
	$search = array("","","","","","","","");
	$replace = array("&auml;","&ouml;","&uuml;","&Auml;","&Ouml;","&Uuml;","&szlig;","&euro;");
	$text = str_replace($search, $replace, $text);
	return $text;
}

// function for the wztool
function wztooltip($string=null,$trim=null,$strip_tags=null,$class=null,$type='span') {
$class = !isset($class) ? null : (!preg_match("/^[0-9a-zA-Z-_@\#]{3,50}+$/i",$class)	? null : $class);
	if (isset($string)) {
		$string = str_replace(array("\n","\r","\n\r","\t"),"",stripslashes($string));
		$string = str_replace(array("\"","'",'\'','[',']','(',')','{','}'),array("&quot;","'","'",'&#91;','&#93;','&#40;','&#41;','&#123;','&#125;'),$string);
		if (isset($trim) && isNum($trim) && strlen($string)>$trim) {
			$string = substr($string,0,$trim)."...";
		}  
		if (isset($strip_tags)) {
			$string = strip_tags($string,$strip_tags);
		}
		switch($type) {
			case 'span':
			$string = !isset($class) ? $string : '<span class=&quot;'.$class.'&quot;>'.$string.'</span>';
			break;
			case 'div':
			$string = !isset($class) ? $string : '<div class=&quot;'.$class.'&quot;>'.$string.'</div>';
			break;
			default:
			$string = !isset($class) ? $string : '<span class=&quot;'.$class.'&quot;>'.$string.'</span>';
			break;
		}
		return addslashes($string);
	} else {
		return false;
	}
}

function wztool($tip,$title,$width=null,$func='onmouseover') {
	global $wztool;
	$bgcolor = isset($wztool['bgcolor']) ? $wztool['bgcolor'] : '#E7E7E7';
	$width = !isset($width) && isset($wztool['width']) ? $wztool['width'] : (!isNum($width) ? '0' : $width);
	$borderc = isset($wztool['border_color']) ? $wztool['border_color'] : '#333333';
	$padding = isset($wztool['padding']) ? $wztool['padding'] : '2';
	$titlepadding = isset($wztool['title_padding']) ? $wztool['title_padding'] : '2';
	$border = isset($wztool['border_width']) ? $wztool['border_width'] : 1;
	$fcolor = isset($wztool['fcolor']) ? $wztool['fcolor'] : '#ffffff';
	
	switch($func) {
	case "onmouseover":	
	return 'onmouseover="Tip(\''.$tip.'\',TITLE,\''.stripinput($title).'\',BGCOLOR,\''.$bgcolor.'\',BORDERCOLOR,\''.$borderc.'\',WIDTH,'.$width.',TITLEPADDING,'.$titlepadding.',PADDING,'.$padding.',BORDERWIDTH,'.$border.',FONTCOLOR,\''.$fcolor.'\'';
	break;
	case "onclick":	
	return 'onclick="Tip(\''.$tip.'\',TITLE,\''.stripinput($title).'\',BGCOLOR,\''.$bgcolor.'\',BORDERCOLOR,\''.$borderc.'\',WIDTH,'.$width.',TITLEPADDING,'.$titlepadding.',PADDING,'.$padding.',BORDERWIDTH,'.$border.',FONTCOLOR,\''.$fcolor.'\'';
	break;
	default:
	return 'onmouseover="Tip(\''.$tip.'\',TITLE,\''.stripinput($title).'\',BGCOLOR,\''.$bgcolor.'\',BORDERCOLOR,\''.$borderc.'\',WIDTH,'.$width.',TITLEPADDING,'.$titlepadding.',PADDING,'.$padding.',BORDERWIDTH,'.$border.',FONTCOLOR,\''.$fcolor.'\'';
	break;
	}
}

// alter ermitteln
function alter($gebd,$gebm,$gebj){
	return checkdate($gebm,$gebd,$gebj) ? (((date("m")-$gebm) < 0) || ((date("d")-$gebd == 0) && (date("d")-$gebd < 0)) ? date("Y")-$gebj-1 : date("Y")-$gebj): false;
}

function alters($userbirth) {
	$birthdate = explode("-", $userbirth);
	$gebm=number_format($birthdate['2']);$gebd=number_format($birthdate['1']);$gebj=number_format($birthdate['0']);
	return checkdate($gebm,$gebd,$gebj) ? (((date("m")-$gebm) < 0) || ((date("d")-$gebd == 0) && (date("d")-$gebd < 0)) ? date("Y")-$gebj-1 : date("Y")-$gebj): false;
}

function cache_smileys() {
	global $db;

$smileys=array();
	$result=$db->query("SELECT smile_url,code FROM ".DB_PREFIX."smilies WHERE view=1 LIMIT 0,99");
		while($row=$result->fetch()) {
			$smileys[]=array($row['smile_url'],$row['code']);
		}
return $smileys;
}



// Parse smiley bbcode into HTML images
function parsesmileys($message,$reverse=false) 
{
	global $smiley_cache;
	$i=0;
	if (!isset($smiley_cache) || !is_array($smiley_cache)) { $smiley_cache=cache_smileys();
	}
	foreach($smiley_cache as $value) 
	{
		$img="<img src='".IMAGES."smiley/".$value[0]."' alt=''>";
		if(!$reverse) {
		$message =str_replace($value[1],$img,$message);
		} else {
		$message =str_replace($img,$value[1],$message);	
		$message =str_replace($value[1],$value[1],$message);	
		}
	}
	return $message;
}

// Show smiley icons in comments, forum and other post pages
function displaysmileys($textarea,$formname="inputform")
{
	global $db,$smiley_cache;
	if (!isset($smiley_cache) || !is_array($smiley_cache)) { $smiley_cache=cache_smileys();
	}
	$smileys_count=count($smiley_cache);
	if ($smileys_count>0) {
	$i=0;	
	$imax=($smileys_count<=10 ? ($smileys_count-1) : 9); 
;
	$smiles="";
	for($i=0;$i<=$imax;$i++) 
	{
		$smiles.='<img src="'.IMAGES.'smiley/'.$smiley_cache[$i][0].'" onClick="insertText(\''.$textarea.'\', \''.$smiley_cache[$i][1].'\',\''.$formname.'\');overlayclose(\'smiley\');" alt="">';
	}
	return $smiles;
	} else {
	return false;	
	}
}

// Show more smiley icons
function displaysmileys_more($textarea,$formname='inputform')
{
global $db,$smiley_cache;
	if (!isset($smiley_cache) || !is_array($smiley_cache)) { $smiley_cache=cache_smileys();
	}
	$smileys_count=count($smiley_cache);
	if ($smileys_count>10) {
	$i=10;	
	$imax=($smileys_count<=99 ? ($smileys_count-1) : 99); 
	$smiles="";
	for($i=10;$i<=$imax;$i++) 
	{
		$smiles.='<img src="'.IMAGES.'smiley/'.$smiley_cache[$i][0].'" onClick="insertText(\''.$textarea.'\', \''.$smiley_cache[$i][1].'\',\''.$formname.'\');overlayclose(\'smiley\');" alt="">';
	}
	return $smiles;
	} else {
	return false;	
	}
}


// Parse bbcode into HTML code
function parseubb($text) {
	$text = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $text);
	
	$text = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $text);
	$text = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $text);
	$text = preg_replace('#\[center\](.*?)\[/center\]#si', '<center>\1</center>', $text);
	
	$text = preg_replace('#\[url\]([\r\n]*)(http://|ftp://|https://|ftps://)([^\s\'\";\+]*?)([\r\n]*)\[/url\]#si', '<a href=\'\2\3\' target=\'_blank\'>\2\3</a>', $text);
	$text = preg_replace('#\[url\]([\r\n]*)([^\s\'\";\+]*?)([\r\n]*)\[/url\]#si', '<a href=\'http://\2\' target=\'_blank\'>\2</a>', $text);
	$text = preg_replace('#\[url=([\r\n]*)(http://|ftp://|https://|ftps://)([^\s\'\";\+]*?)\](.*?)([\r\n]*)\[/url\]#si', '<a href=\'\2\3\' target=\'_blank\'>\4</a>', $text);
	$text = preg_replace('#\[url=([\r\n]*)([^\s\'\";\+]*?)\](.*?)([\r\n]*)\[/url\]#si', '<a href=\'http://\2\' target=\'_blank\'>\3</a>', $text);
	
	$text = preg_replace('#\[mail\]([\r\n]*)([^\s\'\";:\+]*?)([\r\n]*)\[/mail\]#si', '<a href=\'mailto:\2\'>\2</a>', $text);
	$text = preg_replace('#\[mail=([\r\n]*)([^\s\'\";:\+]*?)\](.*?)([\r\n]*)\[/mail\]#si', '<a href=\'mailto:\2\'>\3</a>', $text);
	
	$text = preg_replace('#\[small\](.*?)\[/small\]#si', '<span class=\'small\'>\1</span>', $text);
	$text = preg_replace('#\[color=(black|blue|brown|cyan|gray|green|lime|maroon|navy|olive|orange|purple|red|silver|violet|white|yellow)\](.*?)\[/color\]#si', '<span style=\'color:\1\'>\2</span>', $text);
	
	$text = preg_replace('#\[flash width=([0-9]*?) height=([0-9]*?)\]([^\s\'\";:\+]*?)(\.swf)\[/flash\]#si', '<object classid=\'clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\' codebase=\'http://active.macromedia.com/flash6/cabs/swflash.cab#version=6,0,0,0\' id=\'\3\4\' width=\'\1\' height=\'\2\'><param name=movie value=\'\3\4\'><param name=\'quality\' value=\'high\'><param name=\'bgcolor\' value=\'#ffffff\'><embed src=\'\3\4\' quality=\'high\' bgcolor=\'#ffffff\' width=\'\1\' height=\'\2\' type=\'application/x-shockwave-flash\' pluginspage=\'http://www.macromedia.com/go/getflashplayer\'></embed></object>', $text);
	$text = preg_replace("#\[img\]((http|ftp|https|ftps)://)(.*?)(\.(jpg|jpeg|gif|png|JPG|JPEG|GIF|PNG))\[/img\]#sie","'<img src=\'\\1'.str_replace(array('.php','?','&','='),'','\\3').'\\4\' style=\'border:0px\'>'",$text);

	$qcount = substr_count($text, "[quote]"); $ccount = substr_count($text, "[code]");
	for ($i=0;$i < $qcount;$i++) $text = preg_replace('#\[quote\](.*?)\[/quote\]#si', '<div class=\'quote\'>\1</div>', $text);
	for ($i=0;$i < $ccount;$i++) $text = preg_replace('#\[code\](.*?)\[/code\]#si', '<div class=\'quote\' style=\'width:400px;white-space:nowrap;overflow:auto\'><code style=\'white-space:nowrap\'>\1<br><br><br></code></div>', $text);

	$text = descript($text,false);

	return $text;
}

// Entfernt leere Elemente aus einem Array und sortiert das Array
function array_clean($arr) 
{
		$count=count($arr);
		$i=0;$j=0; 
			for($i=0;$i<$count;$i++) {
				if (!isset($arr[$i]) || isset($arr[$i]) && empty($arr[$i]))
				{
					unset($arr[$i]);
				} else {
					$arr[$j]=$arr[$i];
					$j++;
				}
		}
	// maskieren von html-tags	
	$arr=array_map('htmlentities',$arr);
	ksort($arr);
	return $arr;	
}

function all_overlayclose($notfor=NULL) {
$all_overlayclose = "overlayclose('smiley');overlayclose('bbcode_geshi');overlayclose('bbcode_video');overlayclose('bbcode_size');overlayclose('bbcode_color');";
if (isset($notfor)) {
	$all_overlayclose=str_replace("overlayclose('".$notfor."');","",$all_overlayclose);
}
return $all_overlayclose;
}

function getlocale($localepath=NULL,$localefile=NULL) {
global $locale,$settings;
if (isset($localepath) && $localefile) {
if(!@include_once($localepath.$localefile)) die($localefile." not found!");
}	
return $locale;
}

	
?>