<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org\
+----------------------------------------------------+
| EXIF-MOD V2.0
| By F.Schrder (Duke of Darkness)
| http://www.darklyrics.de/
| modded by ZOC, 01.2010
+----------------------------------------------------*/
if (file_exists(BASEDIR."locale/".LANGUAGE."/exif.php")) {
	include BASEDIR."locale/".LANGUAGE."/exif.php";
} else {
	include BASEDIR."locale/German/exif.php";
}

global $exif;

//$exif = exif_read_data(PHOTODIR.$data['photo_filename'], 0, true);

//Tabelle
echo "<table border='0' width='80%'>";
echo "<tr>";
echo "<td><b>".$locale['data']."</b> (v".($exif['EXIF']['ExifVersion']/100).")</td>"; // Ueberschrift
echo "<td>&nbsp;</td>";
echo "</tr>";


// Datenkonvertierung DateTimeOriginal
if(isset($exif['EXIF']['DateTimeOriginal'])) {
$Aufnahmejahr = substr($exif['EXIF']['DateTimeOriginal'],0,4);
$Aufnahmemonat = substr($exif['EXIF']['DateTimeOriginal'],5,2);
$Aufnahmetag = substr($exif['EXIF']['DateTimeOriginal'],8,2);
$Aufnahmeuhrzeit = substr($exif['EXIF']['DateTimeOriginal'],11,8);
echo "<tr>";
echo "<td>".$locale['date'].":</td>";
echo "<td>";
echo $Aufnahmetag.".".$Aufnahmemonat.".".$Aufnahmejahr."  ".$Aufnahmeuhrzeit ;
echo "</td>";
echo "</tr>";
//Ende Datenkonvertierung Datum
}

//Datenkonvertierung Belichtungszeit
$BelichtungsZeit2 = substr(stristr($exif['EXIF']['ExposureTime'],'/'),1);
$pos = strpos($exif['EXIF']['ExposureTime'],"/");
$BelichtungsZeit1 = substr($exif['EXIF']['ExposureTime'],0,$pos);

//Berechnung Belichtungszeit
$BelichtungsZeitZahl1 = (int)$BelichtungsZeit1;
$BelichtungsZeitZahl2 = (int)$BelichtungsZeit2;
$BelichtungsZeit_Ergebnis = round(($BelichtungsZeitZahl2 / $BelichtungsZeitZahl1),0);

//Berechnung und Datenkonvertierung Belichtungszeit Ende

//------------------------------------------------------------------------

//Datenkonvertierung Blende
$Blende2 = substr(stristr($exif['EXIF']['FNumber'],'/'),1);
$pos = strpos($exif['EXIF']['FNumber'],"/");
$Blende1 = substr($exif['EXIF']['FNumber'],0,$pos);

//Berechnung Blende
$BlendeZahl1 = (int)$Blende1;
$BlendeZahl2 = (int)$Blende2;
$Blende_Ergebnis = $BlendeZahl1 / $BlendeZahl2;

//Berechnung und Datenkonvertierung Blende Ende

//-----------------------------------------------------------------------------

//Datenkonvertierung Brennweite
$Brennweite2 = substr(stristr($exif['EXIF']['FocalLength'],'/'),1);
$pos = strpos($exif['EXIF']['FocalLength'],"/");
$Brennweite1 = substr($exif['EXIF']['FocalLength'],0,$pos);

//Berechnung Brennweite
$BrennweiteZahl1 = (int)$Brennweite1;
$BrennweiteZahl2 = (int)$Brennweite2;
$Brennweite_Ergebnis = $BrennweiteZahl1 / $BrennweiteZahl2;

//Berechnung und Datenkonvertierung Brennweite Ende

//-------------------------------------------------------------------------------
echo "<tr>";
echo "<td>".$locale['size'].":</td>";
echo "<td>"; echo $exif['COMPUTED']['Width'] . " x " . $exif['COMPUTED']['Height']; "</td>";
echo "</tr>";

/*
if(isset($exif['EXIF']['UserComment'])) {
echo "<tr>";
echo "<td>".$locale['comment'].":</td>";
echo "<td>"; 
echo substr($exif['EXIF']['UserComment'],5,50); 
echo "</td>";
echo "</tr>";
}
*/

echo "<tr>";
echo "<td>".$locale['exposure'].":</td>";
echo "<td>"; echo "1/"; 
echo $BelichtungsZeit_Ergebnis." sec.</td>";
echo "</tr>";

if(isset($exif['EXIF']['ExposureMode'])) {
echo "<tr>";
echo "<td>".$locale['expmode'].":</td>";
echo "<td>"; 
if($exif['EXIF']['ExposureMode'] == '0') {$exposuremode="Auto";} else {$exposuremode="manuell";}
echo $exposuremode; echo "</td>";
echo "</tr>";
}

echo "<tr>";
echo "<td>".$locale['aperture'].":</td>";
echo "<td>F/"; echo $Blende_Ergebnis; echo "</td>";
echo "</tr>";


echo "<tr>";
echo "<td>".$locale['focal'].":</td>";
echo "<td>"; echo $Brennweite_Ergebnis ; echo " mm</td>";
echo "</tr>";

if(isset($exif['EXIF']['ISOSpeedRatings'])) {
echo "<tr>";
echo "<td>".$locale['iso']."</td>";
echo "<td>" ; echo $exif['EXIF']['ISOSpeedRatings']; echo "</td>";
echo "</tr>";
}

/*
echo "<tr>";
echo "<td>".$locale['producer'].":</td>";
echo "<td>" ; echo $exif['IFD0']['Make'] ; echo "</td>";
echo "</tr>";
*/

if(isset($exif['IFD0']['Model'])) {
echo "<tr>";
echo "<td>".$locale['camera'].":</td>";
echo "<td>" ; echo $exif['IFD0']['Model'] ; echo "</td>";
echo "</tr>";

}

echo "</table>";

?>