<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location:../index.php"); exit; }

function createthumbnail($filetype, $origfile, $thumbfile, $new_w, $new_h) {
global $settings;
	
	if ($filetype == 1) { $origimage = imagecreatefromgif($origfile); }
	elseif ($filetype == 2) { $origimage = imagecreatefromjpeg($origfile); }
	elseif ($filetype == 3) { $origimage = imagecreatefrompng($origfile); }

// height and width recalculate
$org_x = ImageSX($origimage);
$org_y = ImageSY($origimage);
if($org_x >= $org_y) {
$new_image_x_size = $new_w;
$new_image_y_size = $org_y / ($org_x / $new_w);
$new_image_y_size = floor($new_image_y_size);
}
if($org_x < $org_y) {
$new_image_y_size = $new_h;
$new_image_x_size = $org_x / ($org_y / $new_h);
$new_image_x_size = floor($new_image_x_size);
}
// end calculation

	$imgB = imagecreatetruecolor($new_image_x_size,$new_image_y_size);
	imagecopyresampled($imgB,$origimage,0,0,0,0, $new_image_x_size, $new_image_y_size, $org_x ,$org_y);
	touch($thumbfile);
	if ($filetype == 1) imagegif($imgB, $thumbfile);
	elseif ($filetype == 2) imagejpeg($imgB, $thumbfile, 90); // only JPG
	elseif ($filetype == 3) imagepng($imgB, $thumbfile);
	chmod($thumbfile,0777);
}


function image_exists($dir, $image) {
	$i = 1;
	$image_name = substr($image, 0, strrpos($image, "."));
	$image_ext = strrchr($image,".");
	while (file_exists($dir.$image)) {
		$image = $image_name."_".$i.$image_ext;
		$i++;
	}
	return $image;
}
?>