<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location:../index.php"); exit; }

function showsublinks($sep="&middot;",$class="") {
	global $settings,$tpl,$folder_level,$db;
	$i = 0; $res = "";
	$sres = $db->query("SELECT link_id,link_name,link_url,link_icon,link_window FROM ".DB_PREFIX."site_links WHERE (link_position>='2') AND (".groupaccess('link_visibility').(!iMULTILANG ? '' : " AND (link_locale='all' OR link_locale='".LANGUAGE."')").") ORDER BY link_order");
	if ($sres->size() != 0) {
		while($sdata = $sres->fetch()) {
			$sdata['link_url']=str_replace($folder_level,"",$sdata['link_url']);
				if ($sdata['link_url']!="---") {
					if ($i != 0) { $res .= " ".$sep."\n"; } else { $res .= "\n"; }
					$link_target = $sdata['link_window'] == "1" ? " target='_blank'" : "";
					$link_class = $class ? " class='$class'" : "";
					if (strstr($sdata['link_url'], "http://") || strstr($sdata['link_url'], "https://")) {
						$res .= '<a href="'.$sdata['link_url'].'"'.$link_target.$link_class.' title="'.$sdata['link_name'].'">'.$sdata['link_name'].'</a>';
					} else {
					$link_folder = substr($sdata['link_url'],0,strlen($sdata['link_url'])-strlen(strrchr($sdata['link_url'],"/")));
					$link_file = str_replace($link_folder."/","",substr($sdata['link_url'],0,strlen($sdata['link_url'])-strlen(strrchr($sdata['link_url'],"?"))));
					$link_query = str_replace(array($link_folder."/",$link_file,"?"),"",$sdata['link_url']);
					$first_query = substr($link_query,0,strlen($link_query)-strlen(strstr($link_query,"&")));	
						$res .= '<a href="'.$tpl->link_change($link_folder,$link_file,$first_query,$sdata['link_name'],$sdata['link_url']).'"'.$link_target.$link_class.' title="'.$sdata['link_name'].'">'.$sdata['link_name'].'</a>';
					}
				}
				$i++;
		}
	}
	if ($i != 0) { return $res; } else { return "&nbsp;"; }
}

function showsubdate() {
	global $settings;
	return ucwords(showdate($settings['subheaderdate'], time()));
}

function showcopyright($class="",$type="text",$padding="0px;") {
	global $settings;
	$link_class = $class ? " class='$class' " : " ";
	$copyright='Powered by BS-Fusion CMS v'.$settings['version'].' &copy; 2009 - '.date('Y',time()).' by Manuel Kurz - Based on PHP-Fusion v6 - Released as open source software under the GNU Affero General Public License v3 (AGPL v3)';
	switch($type) {
		case 'image':
		$res= '<a'.$link_class.'href="http://www.bs-fusion.de" target="_blank" title="'.$copyright.'"><img src="'.IMAGES.'powered-by-bs-fusion-cms.png" width="90" height="17" alt="'.$copyright.'" title="'.$copyright.'" border="0" style="padding:'.$padding.'" /></a>';
		break;
		default:
	$res = '<a'.$link_class.'href="http://www.bs-fusion.de" target="_blank" title="'.$copyright.'" style="border:0px;text-decoration:none;">&copy; BS-Fusion CMS</a>';
		break;
	}	
	return $res;
}

function showcounter() {
	global $locale,$settings;
	return number_format($settings['counter'])." ".($settings['counter'] == 1 ? $locale['140'] : $locale['141']);
}

function panelbutton($state,$bname) {
	return "<img src='".THEME."images/panel_".($state == "on" ? "off" : "on").".gif' name='b_$bname' alt='' onclick=\"javascript:flipBox('$bname')\" style='text-align:left;vertical-align:middle;' />";
}
function panelbutton_div($state,$bname) {
	return "<img src='".THEME."images/panel_".($state == "on" ? "off" : "on").".gif' name='b_$bname' alt='' style='vertical-align:middle;' />";
}

?>