<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;

// Admindaten
$uf_name=$locale['uf_user_msn'];
$uf_desc=$locale['uf_user_msn_desc'];

// Tabellenfeldname
$uf_dbfield="user_msn";
// Eigenschaften des Tabellenfeld
$uf_dbdata="VARCHAR(100) NOT NULL DEFAULT ''"; 
// Leer lassen wenn kein Tabellenfeld erstellt werden muss

// Wo soll das Feld eingebunden werden?
$uf_group=2;
// 1 = Information, 2=Kontakt, 3=Sonstige Informationen

$uf_user_msn_mandory=0; // Pflichtfeld? 0=Nein, 1=Ja

 
switch($uf_methode) {
	case 'display':
	if ($data['user_msn']!='') {
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe	
	$uf_display[$uf_group].='<tr><td width="35%">'.$locale['uf_user_msn'].':</td><td><a href="http://members.msn.com/'.$data['user_msn'].'" target="_blank">'.$data['user_msn'].'</a></td></tr>';
	}
	break;
	case 'admin':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_msn'].(!$uf_user_msn_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_msn' class='textbox' value='".$data['user_msn']."' style='width:200px;'></td>
</tr>";
	break;
	case 'input':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_msn'].(!$uf_user_msn_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_msn' class='textbox' value='".$userdata['user_msn']."' style='width:200px;'></td>
</tr>";
	break;
	case 'register':
	// Wenn Pflichtfeld
	if ($uf_user_msn_mandory) {
	$uf_display[0].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_msn'].(!$uf_user_msn_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_msn' class='textbox' style='width:200px;'></td>
</tr>";	
	} else {
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_msn'].":</td>
<td class='tbl2' align='left'><input type='text' name='user_msn' class='textbox' style='width:200px;'></td>
</tr>";
	}
$javascript.=$uf_user_msn_mandory?"if(frm.user_msn.value=='') {alert('".$locale['uf_user_msn_mandory']."');
		return false;}":"";
	break;
	case 'validate_update':
	$user_msn = isset($_POST['user_msn']) && preg_match("/^[0-9A-Za-z-_@\.\s]{3,100}+$/i",$_POST['user_msn']) && strlen($_POST['user_msn'])<=100 ? stripinput(trim($_POST['user_msn'])) : '';
		if ($uf_user_msn_mandory && $user_msn=='' && !iADMIN) {
			$error.=$locale['uf_user_msn_mandory'];
		}   
	$usr_db_values.=",user_msn='".$user_msn."'";	 
	break;
	case 'validate_insert':
	$user_msn = isset($_POST['user_msn']) && preg_match("/^[0-9A-Za-z-_@\.\s]{3,100}+$/i",$_POST['user_msn']) && strlen($_POST['user_msn'])<=100 ? stripinput(trim($_POST['user_msn'])) : '';
		if ($uf_user_msn_mandory && $user_msn=='') {
			$error.=$locale['uf_user_msn_mandory'];
		}   
	$usr_db_fields.= ',user_msn';
	$usr_db_values.= ",'".$user_msn."'";
	$usr_register[] = array("user_msn"=>$user_msn);
	break;
	default:
	break;
}
?>