<?php
// Readme
$readme = array(
######### License ###############
'license' => 'Licence conditions',
'license_text' => 'BS-Fusion is a simple Opensource Content Management System (CMS), written in PHP. It is based on the software php-Fusion v6 and uses a mySQL database.
                <br>
                BS-Fusion has an easy administration system and contains all important functions found in other CMS systems.
                <br>
                <br>
                BS-Fusion is released as open source software under the AGPL v3 conditions.
                <br>
                You can find more information at <a href="http://www.gnu.org" target="_blank">www.gnu.org</a> or in the agpl-3.0.txt file, found inside the archiv.
                <br>
                You may change the code as you wish. You are not allowed removing all visible and invisible copyrights and their links. In the own themes to be used in the render_footer function the function showcopyright(). This feature controls the display of the copyright from the BS-Fusion CMS. The text contained there in can not be changed.<br>
                The removal of copyright will be prosecuted.
                <br>
                <br>
                <strong>Info:</strong> The propagation of this software is only allowed its original state and as open source.
                <br>
                <br>
                By starting the installation you agree to all licensing conditions.',
######### Installation #############
'install' => 'Installation',
'install_text' => '<ol>
<li>Load the entire content of the &quot;upload-files&quot;-folder on your server.</li>
<li>The following files and folders are to be placed in the chmod 777:
	      <ul>
	      <li>.htaccess</li>
	      <li>config.inc.php</li>
	      <li>administration/.htaccess</li>
	      <li>administration/.httpasswd</li>
	      <li>administration/db_backup/config.php
		  <li>administration/db_backup/work/  &nbsp;&nbsp;<u>incl. all subfolders</u></li>
		  <li>downloads/</li>
		  <li>downloads/screens/</li>
		  <li>forum/attachments/</li>
		  <li>jscripts/tiny_mce/plugins/ajaxfilemanager/session/ &nbsp;&nbsp;<u>incl. all files</u></li>
          <li>images/ &nbsp;&nbsp;<u>incl. all subfolders and files (except index.php)</u></li>
          <li>security/logs/</li>
		  <li>security/config/</li>
          </ul><br />
<li>Select &quot;New Installation&quot; and follow the instructions.</li>
<li>Change the <i>config.inc.php</i> file into chmod 644, and delete the <i>setup.php</i> file!</li>
<li>Please login as superadmin.</li>
<li>mysql-dumper: run the install.php in administration/db_backup/ and delete the <i>install.php</i> file after this installation.</li>
</ol>',

######### PHP-Fusion zu BS-Fusion ########
'phpf2bsf' => 'Convert PHP-Fusion v6 to BS-Fusion',
'phpf2bsf_text' => 'If you have PHP-Fusion v6 (min. 6.01.12) without modifications, follow the next instructions.<br />
<ol>
<li>Create a complete backup of all files and database tables.</li>
<li>All files, except the <strong>config.php</strong>, from the prior PHP-Fusion version must be deleted.</li>
<li>All folders and their contents, except the folder images/, themes/ and forum/attachments/, must be deleted.
<li>Should you already have installed other infusions, which are not a component of the stardard package,<br />than you may delete the directory /infusions/ !</li>
<li>Upload all new files from the directory &quot;upload_files&quot;</li>
<li>Follow step 2 from the Installation</li>
<li>By selecting &quot;Konvert PHP-Fusion to BS-Fusion&quot; you start the conversion process.
Follow all steps carefully.</li>
<li>If no error messages are displayed the update process will end with the message &quot;Successfully concluded&quot;.<br />BS-Fusion is now ready. The <i>setup.php</i>, the old config.php files are to be deleted and chmod the <i>config.inc.php</i> to 0644.</li>
<li>Afterwards follow point 6 in the new installation.</li>
</ol>',

######## Upgrade #######################
'upgrade' => 'Upgrade/Convert',
'upgrade_text' => 'Only a new installation or conversion is possible!'
);
?>