<?php
/*---------------------------------------------------------+
| BS-Fusion 1.00 - Content Management System
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!include_once("maincore.php")) die("System Error: mainfile not found!");
$cat_id = isset($_GET['cat_id']) && (int)$_GET['cat_id']>0 ? (int)$_GET['cat_id'] : NULL;
if (isset($cat_id) && !isNum($cat_id)) fallback(FUSION_SELF);
$cols=0;
$tpl->includeTemplateFile("news.tpl.php");
$news_per_page = defined("ITEMS_PER_PAGE") && (int)ITEMS_PER_PAGE>0 ? (int)ITEMS_PER_PAGE : 15;
if (!isset($cat_id)) {
$tpl->add_to_title($locale['newscats400']);
if (!include_once("subheader.php")) die("System Error: subheader not found!");	
include_once("side_left.php");		
$mdata=array();
$ndata=array();
$tndata=array();

$all_news=dbresult(dbquery(
			"SELECT count(tn.news_id) FROM ".DB_PREFIX."news tn
			LEFT OUTER JOIN ".DB_PREFIX."news_cats tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('tn.news_visibility')." AND tn.news_cat>0 AND (tn.news_start='0'||tn.news_start<=".time().") AND (tn.news_end='0'||tn.news_end>=".time().") AND tn.news_published='1'".(!(bool)$settings['locale_switcher'] ? '':" AND (tc.news_cat_locale='all' OR tc.news_cat_locale='".LANGUAGE."')")),0);
	$tnresult = dbquery(
			"SELECT tc.news_cat_id, tc.news_cat_name,tc.news_cat_description, tc.news_cat_image, count(tn.news_id) as news FROM ".DB_PREFIX."news_cats AS tc
			LEFT OUTER JOIN ".DB_PREFIX."news AS tn ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('tn.news_visibility')." AND tn.news_cat>0 AND (tn.news_start='0'||tn.news_start<=".time().") AND (tn.news_end='0'||tn.news_end>=".time().") AND tn.news_published='1'".(!(bool)$settings['locale_switcher'] ? '':" AND (tc.news_cat_locale='all' OR tc.news_cat_locale='".LANGUAGE."')")." GROUP BY tc.news_cat_id ORDER BY news_cat_name");
	$rows = dbrows($tnresult);
		if ((bool)$rows) {
		$tnresult_most = dbquery(
			"SELECT tn.news_id,tn.news_subject,tn.news_reads FROM ".DB_PREFIX."news AS tn
			LEFT OUTER JOIN ".DB_PREFIX."news_cats AS tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('tn.news_visibility')." AND tn.news_cat>0 AND (tn.news_start='0'||tn.news_start<=".time().") AND (tn.news_end='0'||tn.news_end>=".time().") AND tn.news_published='1'".(!(bool)$settings['locale_switcher'] ? '':" AND (tc.news_cat_locale='all' OR tc.news_cat_locale='".LANGUAGE."')")." GROUP BY tn.news_id ORDER BY tn.news_reads DESC LIMIT 0,1");
		$tnresult_newest = dbquery(
			"SELECT tn.news_id,tn.news_subject,tn.news_reads FROM ".DB_PREFIX."news AS tn
			LEFT OUTER JOIN ".DB_PREFIX."news_cats AS tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('tn.news_visibility')." AND tn.news_cat>0 AND (tn.news_start='0'||tn.news_start<=".time().") AND (tn.news_end='0'||tn.news_end>=".time().") AND tn.news_published='1'".(!(bool)$settings['locale_switcher'] ? '':" AND (tc.news_cat_locale='all' OR tc.news_cat_locale='".LANGUAGE."')")." GROUP BY tn.news_id ORDER BY tn.news_datestamp DESC LIMIT 0,1");	
		$most_rows = dbrows($tnresult_most);
		$newest_rows = dbrows($tnresult_newest);
		if((bool)$most_rows) {
			$mdata=dbarray($tnresult_most);
		}
		if ((bool)$newest_rows) {	
			$ndata=dbarray($tnresult_newest);
		}
}
all_news_cat_header($mdata,$ndata,$all_news);
if ($all_news>0) {
	$i=0;
	while($tndata=dbarray($tnresult)) {
				if ($tndata['news']>0 && isset($tndata['news_cat_id'])) {
					$news_result=dbquery("SELECT tn.news_id,tn.news_subject,tn.news_news,tn.news_breaks,tn.news_datestamp FROM ".DB_PREFIX."news AS tn
			LEFT OUTER JOIN ".DB_PREFIX."news_cats AS tc ON tc.news_cat_id=tn.news_cat
			WHERE ".groupaccess('tn.news_visibility')." AND tn.news_cat>0 AND (tn.news_start='0'||tn.news_start<=".time().") AND (tn.news_end='0'||tn.news_end>=".time().") AND tn.news_published='1'".(!(bool)$settings['locale_switcher'] ? '':" AND (tc.news_cat_locale='all' OR tc.news_cat_locale='".LANGUAGE."')")." AND tn.news_cat='".$tndata['news_cat_id']."' ORDER BY tn.news_sticky DESC,tn.news_datestamp DESC LIMIT 0,".$news_per_page);
					$news_rows=dbrows($news_result);
						while($news=dbarray($news_result)) {
							
							$newslists[$tndata['news_cat_id']].=news_news($news);
						}
				$fArray['NEWS']=$newslists[$tndata['news_cat_id']];    
				news_content($tndata,$fArray);
				}
	}	
}
all_news_cat_footer($all_news);		
include_once(BASEDIR."side_right.php");
if (!include_once("footer.php")) {@ob_get_clean(); die("System Error: footerfile not found!");}
exit;
}

if (isset($cat_id)) {
		$res = 0;
		$i=0;
		$cdata=dbarray(dbquery("SELECT tc.news_cat_id, tc.news_cat_name,tc.news_cat_description, tc.news_cat_image, count(tn.news_id) as news FROM ".DB_PREFIX."news_cats AS tc
			LEFT OUTER JOIN ".DB_PREFIX."news AS tn ON tc.news_cat_id=tn.news_cat
			".(!(bool)$settings['locale_switcher'] ? "WHERE tc.news_cat_id='$cat_id'":" WHERE tc.news_cat_id='$cat_id' AND (tc.news_cat_locale='all' OR tc.news_cat_locale='".LANGUAGE."')")." GROUP BY tc.news_cat_id")) or redirect($settings['siteurl'].FUSION_SELF);
		$rows=$cdata['news'];
		if ($rows) {
$res = 1;
$tpl->add_to_title($locale['007'].": ".$cdata['news_cat_name']);
if (!include_once("subheader.php")) die("System Error: subheader not found!");	
include_once("side_left.php");	
news_cat_header($cdata);
$result2 = dbquery("SELECT *,count(c.comment_id) AS news_comments FROM ".$db_prefix."news LEFT OUTER JOIN ".DB_PREFIX."comments AS c ON (c.comment_type='N' AND c.comment_item_id=news_id) WHERE news_cat='$cat_id' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_published='1' GROUP BY news_id ORDER BY news_datestamp DESC");
			while ($data2 = dbarray($result2)) {
			news_cat_news($data2);	
			}
news_cat_footer($cdata,$rows);
include_once(BASEDIR."side_right.php");
if (!include_once("footer.php")) {@ob_get_clean(); die("System Error: footerfile not found!");}
exit;
		}
	if (!$res) redirect(FUSION_SELF); 

}
?>