<?php
/***************************************************************************
 *   awForumPanel                                                          *
 *                                                                         *
 *   Copyright  2002 - 2005 Nick Jones                                    *
 *   http://www.php-fusion.co.uk/                                          *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 /*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if(!defined("IN_FUSION")) {	exit;}
require_once INCLUDES."forum_functions_include.php";
require_once INFUSIONS."forum_polls/includes/view.php"; // Forum Polls Mod
//getlocale(LOCALE.LOCALESET,"forum.php"); // NEU

$lastvisited = isset($lastvisited) && (int)$lastvisited>0 ? $lastvisited : time();

$aw_result = dbquery("SELECT t.thread_subject, t.thread_lastpost_id as last_id,t.thread_views,t.thread_lastuser AS user_id, f.forum_name,"
	." t.thread_lastpost,t.thread_lastpost_snippet as post_message,"
	." t.thread_replies as count_posts, f.forum_id, t.thread_id, f.forum_access,"
	." fu.user_name AS last_user, t.thread_locked"
	." FROM ".DB_PREFIX."forums AS f"
	." INNER JOIN ".DB_PREFIX."threads AS t USING(forum_id)"
	." LEFT OUTER JOIN ".DB_PREFIX."users AS fu ON fu.user_id=t.thread_lastuser"
	." LEFT OUTER JOIN ".DB_PREFIX."forum_groups fg ON (fg.forum_id=t.forum_id AND fg.auth_read='1')"
	." WHERE (".forum_groupaccess('f.forum_access')." OR ".forum_groupaccess('fg.group_id').") AND f.forum_cat>0"
	." GROUP BY t.thread_id"
	." ORDER BY t.thread_lastpost"
	." DESC LIMIT ".$settings['numofthreads']);
	
$aw_nums = dbrows($aw_result);	

if($aw_nums>0) {
opentable($locale['025']);
echo "<table cellspacing='1' width='100%' class='tbl-border'>
<thead>
<tr>
	<th class='tbl2' width='1%'></th>
	<th class='tbl2' align='left' width='70%'>".$locale['AWF005']."</th>
	<th class='tbl2' align='center' width='14%' nowrap='nowrap'>".$locale['AWF006']."</th>
	<th class='tbl2' align='center' width='15%' nowrap='nowrap'>".$locale['AWF007']."</th>
</tr>
</thead>
<tbody>\n";
$aw_count = 0;
$viewed=true;
while($aw_data = dbarray($aw_result)) {
	$tbl = "tbl".(($aw_count++ % 2)+1);
	$post_message = search_striphtmlbbcodes($aw_data['post_message']);
	$post_message = nl2br(parsesmileys(phpentities($post_message)));
	if($aw_data['thread_locked']) {
			$img = "folderlock.gif";
			} else{ 
				if ($aw_data['thread_lastpost'] > $lastvisited) {
				$thread_match = $aw_data['thread_id']."\|".$aw_data['thread_lastpost']."\|".$aw_data['forum_id'];
				if (iMEMBER && !viewed_thread($aw_data['forum_id'],$aw_data['thread_lastpost'],$aw_data['thread_id']) && $aw_data['user_id']!=$userdata['user_id']) 	{
				$img = "foldernew.gif";
			  	} else {
				$img = "folder.gif";
				}
				} else {
				$img = "folder.gif";	
				}
			}
	
	echo '<tr>
	<td class="'.$tbl.'" width="1%"><img src="'.FORUMIMAGE.$img.'" alt="" /></td>
	<td class="'.$tbl.'">';
	$threadsubject = fpm_poll_exists(); //poll
	echo '<a href="'.$tpl->url(SEO_POST,'viewthread.php','thread_id=',$aw_data['thread_id'],'pid=',$aw_data['last_id'],$aw_data['thread_subject'],'forum','_','post_').'" style="cursor:pointer;" '.wztool(wztooltip($post_message,120,"<br>,<br /><img>"),wztooltip($aw_data['thread_subject'],40),300).')" onmouseout="UnTip()"><b>'.trimlink($aw_data['thread_subject'], 40).'</b></a>&nbsp;
	<a href="'.$tpl->url(SEO_THREAD,'viewthread.php','thread_id=',$aw_data['thread_id'],null,null,$aw_data['thread_subject'],'forum').'" title="'.$locale['VIEW488'].'">&gt;&gt;</a>
	<br/>--> <a href="'.$tpl->url(SEO_FORUM,'viewforum.php','forum_id=',$aw_data['forum_id'],null,null,$aw_data['forum_name'],'forum').'">'.$aw_data['forum_name'].'</a></td> 

	<td align="center" class="'.$tbl.'" nowrap="nowrap">'.($aw_data['count_posts']).'<br/><small>('.$aw_data['thread_views'].' '.($aw_data['thread_views']==1 ? "Hit" : $locale['VIEW453']).')</small></td>
	<td class="'.$tbl.'" align="right" nowrap="nowrap">'.showdate("forumdate", $aw_data['thread_lastpost']).'<br />'.$locale['AWF009'].'<a href="'.$tpl->url(SEO_UPROFILE,'profile.php','lookup=',$aw_data['user_id'],null,null,$aw_data['last_user']).'">'.$aw_data['last_user'].'</a></td>
</tr>'."\n";
}@mysql_free_result($aw_result);

echo '</tbody>
</table>'."\n";
echo '<div align="center">'.$awf_menu.'</div>'."\n";
closetable();
}

?>