<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
require_once "maincore.php";
define("SAFEMODE", @ini_get("safe_mode") ? true : false);

echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
<html>
<head>
<title>".$settings['sitename']."</title>
<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."'>
<meta name='description' content='".$settings['description']."'>
<meta name='keywords' content='".$settings['keywords']."'>
<link rel='stylesheet' href='".THEME."styles.css' type='text/css'>
<script type='text/javascript' src='".JSCRIPTS."jscript.js'></script>
</head>
<body style='margin:0px'>\n";

if (!isset($photo_id) || !isNum($photo_id)) {
	fallback("photogallery.php");
} else {
	$result = dbquery(
		"SELECT tp.*, ta.* FROM ".$db_prefix."photos tp
		LEFT JOIN ".$db_prefix."photo_albums ta USING (album_id)
		WHERE photo_id='$photo_id' GROUP BY tp.photo_id
	");
	if (dbrows($result)) {
		$data = dbarray($result);
		if (!checkgroup($data['album_access'])) {
			fallback(FUSION_SELF);
		} else {
			define("PHOTODIR", PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : ""));
			$photo_file = PHOTODIR.$data['photo_filename'];
			echo "<a href=\"javascript:;\" onclick=\"window.close();\"><img src='$photo_file' alt='".$data['photo_filename']."' title='".$locale['photo458']."' border='0'></a>\n";
		}
	} else {
		echo "<script language='text/javascript'>window.close();</script>\n";
	}
}

echo "</body>\n</html>\n";
?>