<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!@include_once("maincore.php")) die("System Error: mainfile not found!");
$page_id = intval(@$_GET['page_id']);
if (!$page_id) {redirect(BASEDIR."index.php");exit;}
$tpl->includeTemplateFile("viewpage.tpl.php");

if (checkrights('CP')) {
	$published = '';
} else {
	$published = " AND ".groupaccess('page_access')." AND page_published='1' ".((bool)$settings['locale_switcher']? "AND (page_locale='all' OR page_locale='".LANGUAGE."')":"");
}
$cp_sql = dbquery("SELECT * FROM ".$db_prefix."custom_pages WHERE page_id='$page_id'".$published."LIMIT 0,1");

if (dbrows($cp_sql)>0) {
	$cp_data = dbarray($cp_sql);
} else {
	unset($page_id);
	redirect(BASEURL."index.php");	
	exit;
}
function cp($data) {
	global $cp_data;
	$cp = isset($cp_data["page_".$data]) ? $cp_data["page_".$data] : "";
return $cp;
}
function cpagenav($start,$total,$range=0) {
	global $locale,$page_id,$tpl,$cp_data;
	$slink = $tpl->url(SEO_PAGE,'viewpage.php',"page_id=",$page_id,null,null,$cp_data['page_title']);
	$res="";
	$pg_cnt=$total;
	if ($pg_cnt > 1) {
		$idx_back = $start - 1;
		$idx_next = $start + 1;
		$cur_page=$start;
		$res.='<div class="pagination">';
		if ($idx_back > 0) {
			if ($cur_page > ($range + 1)) $res.="<a class='pagination' href='$slink'>&lt;&lt;</a>\n";
			$res.="<a class='pagination' href='$slink"."&amp;page=".$idx_back."'>".$locale['006']."</a>\n";
		}
		$idx_fst=max($cur_page - $range, 1);
		$idx_lst=min($cur_page + $range, $pg_cnt);
		if ($range==0) {
			$idx_fst = 1;
			$idx_lst=$pg_cnt;
		}
		for($i=$idx_fst;$i<=$idx_lst;$i++) {
			$offset_page=($i);
			if ($i==$cur_page) {
				$res.='<a class="current"><strong>'.$i.'</strong></a>';
			} else {
				$res.="<a class='pagination' href='$slink"."&amp;page=".$offset_page."'>$i</a>";
			}
		}
		if ($idx_next < $total+1) {
			$res.="<a class='pagination' href='".$slink."&amp;page=".$idx_next."'>".$locale['005']."</a>\n";
			if ($cur_page < ($pg_cnt - $range)) {
				$res.="<a class='pagination' href='".$slink."&amp;page=".$pg_cnt."'>&gt;&gt;</a></td>\n";
				}
		}
		$res.="</div>";

	}
	return $res;
}

// Start der Ausgabe 
$subkeyw = cp('keywords');
$subdesc = cp('description');
$subtitle = cp('title');
$tpl->add_to_header($subtitle,$subdesc,$subkeyw);
@include_once(BASEDIR."subheader.php");
if (!(bool)cp('left')) define("LEFT_OFF",true); 
@require_once(BASEDIR."side_left.php"); 

if ((bool)cp('allow_comments')) require_once INCLUDES."comments_include.php";
if ((bool)cp('allow_ratings')) require_once INCLUDES."ratings_include.php";
			
$mytext = stripslashes(cp('content'));
if (cp('type')=="html") {
			if (cp('nlbr')) {
			$mytext= nl2br($mytext);
			}
}
$page = isset($_GET['page']) ? intval($_GET['page']) : 1;
	$contentpages = explode("<!-- pagebreak -->", $mytext);
	$pageno = count($contentpages);
	if ($page=="" || $page < 1 )
	    $page = 1;
	if ( $page > $pageno )
	    $page = $pageno;
	$arrayelement = (int)$page;
	$arrayelement --;
show_page();
if (!(bool)cp('right')) define("RIGHT_OFF",true); 
@require_once(BASEDIR."side_right.php");
unset($cp_data);
require_once "footer.php";
?>