<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../maincore.php";
if (!iADMIN || !defined("iAUTH") || $aid != iAUTH) redirect(BASEDIR."index.php");

getlocale(LOCALE.LOCALESET,"admin.php");
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
$status = isset($_GET['status']) ? substr(stripinput($_GET['status']),0,4) : null;
$article_id = isset($_GET['article_id']) && isNum($_GET['article_id']) ? (int)$_GET['article_id'] : (isset($_POST['article_id']) && isNum($_POST['article_id']) ? (int)$_POST['article_id'] : null);
$cat_id = isset($_GET['cat_id']) && isNum($_GET['cat_id']) ? (int)$_GET['cat_id'] : (isset($_POST['cat_id']) && isNum($_POST['cat_id']) ? (int)$_POST['cat_id'] : null);
$rowstart = (int)@$_GET['rowstart'];
$action = isset($_GET['action']) ? stripinput($_GET['action']) : null; 
$article_per_page=15;
$backlink=$settings['siteurl']."administration/".FUSION_SELF.$aidlink.(isset($article_id) ? "&action=edit&article_id=$article_id" : "");

$apage = !isset($_GET['page']) ? 'a' : 'ac'; 
if (!checkrights("A")) {$apage='ac'; if(!checkrights("AC")) {redirect(BASEDIR."index.php");}}
$searchword="";
$search_link="";
$fields=2;
$method="OR";
$search = isset($_POST['search']) || isset($_GET['search']) ? 1 : 0;
$text_or_id = isset($_POST['text_or_id']) ? intval($_POST['text_or_id']) : 0;
$stext = isset($_POST['q']) ? stripinput($_POST['q']) : (isset($_GET['q']) ? stripinput($_GET['q']) : null); 
$swhere = "";
if ($search && !empty($stext)) {
   if (!$text_or_id) {
   $stext=str_replace(","," ",$stext);
   $fswords = explode(' ', $stext);
   $swords = array();
   for ($i=0;$i<sizeof($fswords);$i++) {
   	if (strlen($fswords[$i])>=3) {
   		$swords[] = $fswords[$i];
   	}
   }
   unset($fswords);
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "a.article_subject LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "a.article_snippet LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
    if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") OR (".$smessage."))";
		}
	}	
	if ($text_or_id) {
	$swhere = intval($stext)>0 ? "(a.article_id='".intval($stext)."')" : $swhere;	
	} else {
		if(strlen($stext)>3) {
		$swhere = $swhere!="" ? $swhere.' AND ('.$fieldsvar.')' : $fieldsvar;
		}
	}
 	$search_link="&amp;search=1&amp;q=".urlencode($stext);
} 	

if (isset($_POST['article_id']) && is_array($_POST['article_id'])) {
	if (count($_POST['article_id'])==1)	{
		$article_id = (int)$_POST['article_id'][0];
	}
}

if (isset($_GET['status'])) {
switch($status) {
	case "su":
		$title = $locale['newart500'];
		$message = "<b>".$locale['newart501']."</b>";
	break;	
	case "sn":
		$title = $locale['newart504'];
		$message = "<b>".$locale['newart505']."</b>";
	break;	
	case "del":
		$title = $locale['newart506'];
		$message = "<b>".$locale['newart507']."</b>";
	break;
	case "deln": 
		$title = $locale['newart450'];
		$message = "<b>".$locale['newart451']."</b><br>\n".$locale['newart452'];
	break;
	case "dely":
		$title = $locale['newart450'];
		$message = "<b>".$locale['newart454']."</b>";
	break;
	default:
		$title = $message = '';
	break;	
}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (checkrights("A") && checkrights("AC")) {
opentable($locale['ac01']." :: ".$locale['main203']." &amp; ".$locale['main202']);
echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
echo "<td align='center' width='25%' class='".($apage!='a' ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($apage == 'a' ? "<b>".$locale['main203']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."'>".$locale['main203']."</a>")."</span></td>\n";
echo "<td align='center' width='25%' class='".($apage!='ac' ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($apage == 'ac' ? "<b>".$locale['main202']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=ac'>".$locale['main202']."</a>")."</span></td>\n";
echo "</tr></table>";
closetable();
tablebreak();
}

if ($apage!="ac" && checkrights("A")) {
if ($settings['tinymce_enabled'] == 1 || TINY_EDITOR_ON) echo "<script type='text/javascript'>advanced();</script>\n";	
// Verfgbare Artikel
$rows = dbcount("(article_cat_id)","article_cats");
$result = dbquery("SELECT ac.article_cat_name,a.* FROM ".DB_PREFIX."articles a 
LEFT OUTER JOIN ".DB_PREFIX."article_cats ac ON a.article_cat=ac.article_cat_id".($swhere!="" ? " WHERE ".$swhere :"")." ORDER BY ac.article_cat_name");
$allrows = dbrows($result);

if ($rows > 0) {
	$result2 = dbquery("SELECT ac.article_cat_name,a.* FROM ".DB_PREFIX."articles a 
LEFT OUTER JOIN ".DB_PREFIX."article_cats ac ON a.article_cat=ac.article_cat_id".($swhere!="" ? " WHERE ".$swhere :"")." ORDER BY ac.article_cat_name,ac.article_cat_locale,a.article_subject LIMIT ".$rowstart.",".$article_per_page);
	$current_cat='';$i=0;
	$arows=dbrows($result2);
	if (function_exists("opentablex")) opentablex($locale['newart508'],(isset($_POST['preview']) || $action=='edit' || isset($article_id) && $article_id>0 ? 'off' : 'on')); else opensidex($locale['newart508'],(isset($_POST['preview']) || $action=='edit' || isset($article_id) && $article_id>0 ? 'off' : 'on'));
	
	echo "<table border='0' cellspacing='0' cellpadding='0' width='100%'><form action='".ADMIN.FUSION_SELF.$aidlink."' method='post'><tr><td align='right'><input type='text' name='q' class='textbox' style='width:150px;' value='$stext'><input type='hidden' name='search' value='search'> <input type='submit' value='".$locale['cp132']."' class='button'><br /><input type='radio' name='text_or_id' value='0'".($text_or_id==0 ? " checked" : "").">".$locale['cp137']." <input type='radio' name='text_or_id' value='1'".($text_or_id==1 ? " checked" : "").">".$locale['cp138']."</td></tr></form></table>\n";
	
	echo '<table border="0" cellspacing="1" cellpadding="0" class="tbl-border" width="100%"><form action="'.ADMIN.FUSION_SELF.$aidlink.'" method="post">';	
	echo "<tr height='20'>
	<td width='1%' class='tbl1'>&nbsp;</td>
	<td width='5%' align='center' class='tbl1'><b>".$locale['cp138']."</b></td>
	<td width='71%' class='tbl1'><b>".$locale['main203']."</b></td>
	<td width='5%' align='center' class='tbl1'><b>".$locale['cp125']."</b></td>
	<td width='8%' align='center' class='tbl1'><b>".$locale['cp126']."</b></td>
	</tr>\n"; 
	if ($allrows>0) {
		while($data=dbarray($result2)) {
			if ($current_cat!=$data['article_cat']) {
				$current_cat=$data['article_cat'];
				echo '<tr><th class="side-label" colspan="5">'.$data['article_cat_name'].'</th></tr>';			$i=0;		
			}
			$tbl_class = $i%2==0 ? 'tbl1' : 'tbl2';
			echo '<tr><td width="1%" class="'.$tbl_class.'"><input type="checkbox" name="article_id[]" id="article_id" value="'.$data['article_id'].'" /></td><td width="1%" align="center" class="'.$tbl_class.'"><a href="'.BASEDIR.'articles.php?id='.$data['article_id'].'">'.$data['article_id'].'</a></td><td class="'.$tbl_class.'">'.$data['article_subject'].'</td><td align="center" class="'.$tbl_class.'"><a href="'.ADMIN.FUSION_SELF.$aidlink.'&pub='.($data['article_published']==1 ? '0' : '1').'&amp;article_id='.$data['article_id'].'"><img src="'.IMAGES.($data['article_published']=='1' ? 'yes.gif" alt="'.sprintf($locale['newart523'],$locale['newart524']).'" title="'.sprintf($locale['newart523'],$locale['newart524']).'"' : 'no.gif" alt="'.sprintf($locale['newart523'],'').'" title="'.sprintf($locale['newart523'],'').'"').' border="0"></td><td align="center" class="'.$tbl_class.'"><nobr><a href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;action=edit&article_id='.$data['article_id'].'"><img src="'.IMAGES.'edit.gif" alt="'.$locale['newart409'].'" title="'.$locale['newart409'].'" border="0"></a> <a href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;action=delete&article_id='.$data['article_id'].'" onClick="return DeleteArticle();"><img src="'.IMAGES.'delete.gif" alt="'.$locale['newart410'].'" title="'.$locale['newart410'].'" border="0"></nobr></td></tr>';
		$i++;
		}
	if ($allrows>1)
	echo "<tr><td colspan='5'><table cellspacing='0' cellpadding='0' class='tbl2' width='100%'><tr>
	<td><input type='button' onClick='AllActivate(this.form.article_id)' value='".$locale['cp152']."' class='button' style='vertical-align:middle;'><input style='vertical-align:middle;' type='image' name='delete' value='1' src='".IMAGES."delete.gif' alt='".$locale['newart410']."' title='".$locale['newart410']."' onClick='return DeleteArticle();'> <input style='vertical-align:middle;' type='image' name='pub' value='1' src='".IMAGES."yes.gif' alt='".sprintf($locale['newart523'],"")."' title='".sprintf($locale['newart523'],"")."'> <input style='vertical-align:middle;' type='image' name='pub' value='0' src='".IMAGES."no.gif' alt='".sprintf($locale['newart523'],$locale['newart524'])."' title='".sprintf($locale['newart523'],$locale['newart524'])."'></td></tr></table></td></tr>";
	} else {
	echo '<tr><td colspan="5" padding="2" spacing="2" class="tbl1">'.$locale['newart522'].'</td></tr>';	
	}
		
	echo '</form></table>';	
	if ($allrows>$arows) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$article_per_page,$allrows,3,ADMIN.FUSION_SELF.$aidlink.$search_link."&amp;")."\n</div>";
	if (function_exists("closetablex")) closetablex(); else closesidex();

	if (isset($_POST['save'])) {
		$subject = stripinput($_POST['subject']);
		$body = addslash(str_replace(array("<!-- pagebreak -->","&lt;!-- pagebreak --&gt;","&amp;lt;!-- pagebreak --&amp;gt;"),"",$_POST['body']));
		$body2 = addslash(str_replace(array("<--PAGEBREAK-->","&lt;--PAGEBREAK--&gt;","&amp;lt;--PAGEBREAK--&amp;gt;","&lt;!-- pagebreak --&gt;\n&lt;br /&gt;","&lt;!-- pagebreak --&gt; \n&lt;br /&gt;","<!-- pagebreak --> \n<br />","<!-- pagebreak -->\n<br />","<!-- pagebreak --><br />"),"<!-- pagebreak -->",$_POST['body2']));
		if (!(bool)TINY_EDITOR_ON) {$breaks = isset($_POST['line_breaks']) ? "y" : "n"; } else { $breaks = "n"; }
		
		$body = isset($breaks) && $breaks=='y' ? str_replace(array("<br />","<br>","<br/>"),"",$body):$body;
		$body2 = isset($breaks) && $breaks=='y' ? str_replace(array("<br />","<br>","<br/>"),"",$body2):$body2;  		
		$comments = isset($_POST['article_comments']) ? "1" : "0";
		$ratings = isset($_POST['article_ratings']) ? "1" : "0";
		$published = isset($_POST['article_published']) ? "1" : "0";
		$article_is_new = isset($_POST['article_is_new']) ? "1" : "0";
	
		if (isset($article_id) && $article_is_new==0) {
			$result = update_table(DB_PREFIX."articles","SET article_cat='".mysql_escape_string($_POST['article_cat'])."', article_subject='$subject', article_snippet='$body', article_article='$body2', article_breaks='$breaks', article_allow_comments='$comments', article_allow_ratings='$ratings', article_published='$published' WHERE article_id='$article_id'","update");
			redirect(ADMIN.FUSION_SELF.$aidlink."&status=su");
		} else {
			$result = update_table(DB_PREFIX."articles","(article_cat, article_subject, article_snippet, article_article, article_breaks, article_name, article_datestamp, article_reads, article_allow_comments, article_allow_ratings,article_published) VALUES ('".$_POST['article_cat']."', '$subject', '$body', '$body2', '$breaks', '".$userdata['user_id']."', '".time()."', '0', '$comments', '$ratings','$published')","insert");
			redirect(ADMIN.FUSION_SELF.$aidlink."&status=sn");
		}
	} 
	
	elseif (isset($_POST['delete']) || isset($action) && $action=='delete') {
		if (isset($_POST['article_id'])) {
		foreach($_POST['article_id'] as $article_id) {			
			
		$result = update_table(DB_PREFIX."articles","WHERE article_id='".(int)$article_id."'","delete");
		$result = update_table(DB_PREFIX."comments","WHERE comment_item_id='".(int)$article_id."' and comment_type='A'","delete");
		$result = update_table(DB_PREFIX."ratings","WHERE rating_item_id='".(int)$article_id."' and rating_type='A'","delete");
		}
		redirect(ADMIN.FUSION_SELF.$aidlink."&status=del");
		}
		elseif (isset($article_id)) {
			$result = update_table(DB_PREFIX."articles","WHERE article_id='".(int)$article_id."'","delete");
			$result = update_table(DB_PREFIX."comments","WHERE comment_item_id='".(int)$article_id."' and comment_type='A'","delete");
			$result = update_table(DB_PREFIX."ratings","WHERE rating_item_id='".(int)$article_id."' and rating_type='A'","delete");
		redirect(ADMIN.FUSION_SELF.$aidlink."&status=del");	
		}
		
	} 
	elseif (isset($_POST['pub']) || isset($_GET['pub'])) {
		$published = isset($_POST['pub']) ? (int)$_POST['pub'] : (isset($_GET['pub']) ? (int)$_GET['pub'] : "1");
		if (isset($_POST['article_id'])) {
		foreach($_POST['article_id'] as $article_id) {			
		$result = update_table(DB_PREFIX."articles","SET article_published='".$published."' WHERE article_id='".(int)$article_id."'","update");
		}
		}
		elseif (isset($article_id)) {
			$result = update_table(DB_PREFIX."articles","SET article_published='".$published."' WHERE article_id='".(int)$article_id."'","update");
		}
		redirect(ADMIN.FUSION_SELF.$aidlink);
	} 
	elseif (isset($_POST['abort'])) {
		redirect(ADMIN.FUSION_SELF.$aidlink);
		 } else {
		if (isset($_POST['preview'])) {
			$article_cat = $_POST['article_cat'];
			$subject = stripinput($_POST['subject']);
			$body = phpentities(stripslashes(str_replace(array("<!-- pagebreak -->","&lt;!-- pagebreak --&gt;","&amp;lt;!-- pagebreak --&amp;gt;"),"",$_POST['body'])));
			$body2 = phpentities(stripslashes(str_replace(array("<--PAGEBREAK-->","&lt;--PAGEBREAK--&gt;","&amp;lt;--PAGEBREAK--&amp;gt;","&lt;!-- pagebreak --&gt;\n&lt;br /&gt;","&lt;!-- pagebreak --&gt; \n&lt;br /&gt;","<!-- pagebreak -->\n<br />","<!-- pagebreak -->\n<br />","<!-- pagebreak -->  \n<br />"),"<!-- pagebreak -->",$_POST['body2'])));
			 
			$bodypreview = str_replace(array("src='images/",'src="images/'),array("src='".IMAGES,'src="'.IMAGES),stripslashes($_POST['body']));
			$body2preview = str_replace(array("src='images/",'src="images/'),array("src='".IMAGES,'src="'.IMAGES),stripslashes($_POST['body2']));
			if (isset($_POST['line_breaks'])) {
				$body = str_replace(array("&lt;br /&gt;","&lt;br&gt;","&lt;br/&gt;"),"",$body);
				$body2 = str_replace(array("&lt;br /&gt;","&lt;br&gt;","&lt;br/&gt;"),"",$body2);
				$bodypreview = str_replace(array("<br />","<br>","<br/>"),"",$bodypreview);
				$body2preview = str_replace(array("<br />","<br>","<br/>"),"",$body2preview);
				$breaks = " checked";
				$bodypreview = nl2br($bodypreview);
				$body2preview = nl2br($body2preview);
			}
			$comments = isset($_POST['article_comments']) ? " checked" : "";
			$ratings = isset($_POST['article_ratings']) ? " checked" : "";
			$subject = stripinput($_POST['subject']);
			$published = isset($_POST['article_published']) ? "1" : "0";
			$article_is_new = isset($_POST['article_is_new']) ? "1" : "0";
			$publisheds = ($published == "1" ? " checked" : "");
			if (isset($article_id)) {
			$save_asnew = isset($_POST['article_is_new']) ? " checked" : "";	
			}
			opentable($subject);
			echo "$bodypreview\n";
			closetable();
			tablebreak();
			if ($body2preview!="") {
			opentable($subject);
			echo "$body2preview\n";
			closetable();
			tablebreak();
		 	}
		}

		
		if (isset($_POST['edit']) && isset($article_id) && $article_id>0 || isset($action) && $action=='edit' && isset($article_id) && $article_id>0) {
			if (!isset($_POST['preview'])) {
			$result = dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_id='$article_id'");
			if (dbrows($result) != 0) {
				$data = dbarray($result);
				$article_cat = $data['article_cat'];
				$subject = $data['article_subject'];
				$body = phpentities(stripslashes($data['article_snippet']));
				$body2 = phpentities(stripslashes($data['article_article']));
				$breaks = (strtolower($data['article_breaks']) == "y" ? " checked" : "");
				$comments = ($data['article_allow_comments'] == "1" ? " checked" : "");
				$ratings = ($data['article_allow_ratings'] == "1" ? " checked" : "");
				$publisheds = ($data['article_published'] == "1" ? " checked" : "");
				$alocales = $data['article_locale'];
				$save_asnew = "";		
			}
			}
			$formaction = ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;article_id=$article_id";
			if (function_exists("opentablex")) opentablex($locale['newart500'],(isset($_POST['preview']) || $action=='edit' || isset($article_id) && $article_id>0 ? 'on' : 'off')); else opensidex($locale['newart500'],(isset($_POST['preview']) || $action=='edit' || isset($article_id) && $article_id>0 ? 'on' : 'off'));
		} else {
			if (!isset($_POST['preview'])) {
				$subject = "";
				$body = "";
				$body2 = "";
				$breaks = " checked";
				$comments = " checked";
				$ratings = " checked";
				$publisheds = " checked";
				$alocales = "all";	
				if (isset($article_id)) $save_asnew = "";
			}
			$formaction = ADMIN.FUSION_SELF.$aidlink;
			if (function_exists("opentablex")) opentablex($locale['newart504'],(isset($_POST['preview']) || $action=='edit' || isset($article_id) && $article_id>0 ? 'on' : 'off')); else opensidex($locale['newart504'],(isset($_POST['preview']) || $action=='edit' || isset($article_id) && $article_id>0 ? 'on' : 'off'));
		}
		$result = dbquery("SELECT * FROM ".$db_prefix."article_cats ORDER BY article_cat_name DESC");
		$catlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($article_cat)) $sel = ($article_cat == $data['article_cat_id'] ? " selected" : "");
			$catlist .= "<option value='".$data['article_cat_id']."'$sel>".$data['article_cat_name']."</option>\n";
		}
		$image_files = makefilelist(IMAGES_A, ".|..|index.php", true);
		$image_list = makefileopts($image_files);
if ($breaks!='' && TINY_EDITOR_ON) {
	if($body!='') {
	$body=str_replace("\n","<br />",$body);
	}
	if ($body2!="") {	
	$body2=str_replace("\n","<br />",$body2);
	} 
}




echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr><td width='100%' class='tbl' align='right'>\n";
		echo "<input type='button' id='tinymce_switch' name='tinymce_switch' value='".(TINY_EDITOR_ON ? $locale['cp143'] : $locale['cp144'])."' class='button' style='font-weight:bolder;' onclick=\"TinyMCEChanger(".(!TINY_EDITOR_ON ? 1 : "").");\"/>";
	echo "</td></tr></table>";	
			
		echo "<form name='inputform' method='post' action='$formaction' onSubmit='return ValidateForm(this)'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td width='100' class='tbl'>".$locale['newart511']."</td>
<td class='tbl'><select name='article_cat' class='textbox'>
$catlist</select></td>
</tr>
<tr>
<td width='100' class='tbl'>".$locale['newart512']."</td>
<td class='tbl'><input type='text' name='subject' value='$subject' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>".$locale['newart513']."</td>
<td class='tbl'><textarea name='body' id='body' cols='95' rows='5' class='textbox'>$body</textarea></td>
</tr>\n";
		if (!TINY_EDITOR_ON) {
			echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('body', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('body', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('body', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('body', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px;' onClick=\"addText('body', '<img src=\'".str_replace("../","",IMAGES_A)."', '\' style=\'margin:5px;\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('body', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('body', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('body', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('body', '<span class=\'alt\'>', '</span>');\"><br>
<select name='setcolor' class='textbox' style='margin-top:5px;' onChange=\"addText('body', '<span style=\'color:' + this.options[this.selectedIndex].value + ';\'>', '</span>');this.selectedIndex=0;\">
<option value=''>".$locale['newart420']."</option>
<option value='maroon' style='color:maroon;'>Maroon</option>
<option value='red' style='color:red;'>Red</option>
<option value='orange' style='color:orange;'>Orange</option>
<option value='brown' style='color:brown;'>Brown</option>
<option value='yellow' style='color:yellow;'>Yellow</option>
<option value='green' style='color:green;'>Green</option>
<option value='lime' style='color:lime;'>Lime</option>
<option value='olive' style='color:olive;'>Olive</option>
<option value='cyan' style='color:cyan;'>Cyan</option>
<option value='blue' style='color:blue;'>Blue</option>
<option value='navy' style='color:navy;'>Navy Blue</option>
<option value='purple' style='color:purple;'>Purple</option>
<option value='violet' style='color:violet;'>Violet</option>
<option value='black' style='color:black;'>Black</option>
<option value='gray' style='color:gray;'>Gray</option>
<option value='silver' style='color:silver;'>Silver</option>
<option value='white' style='color:white;'>White</option>
</select>
<select name='insertimage' class='textbox' style='margin-top:5px;' onChange=\"insertText('body', '<img src=\'".str_replace("../","",IMAGES_A)."' + this.options[this.selectedIndex].value + '\' style=\'margin:5px;\' align=\'left\'>');this.selectedIndex=0;\">
<option value=''>".$locale['newart421']."</option>
$image_list</select>
</td>
</tr>\n";
		}
		echo "<tr>\n<td valign='top' width='100' class='tbl'>".$locale['newart514']."</td>
<td class='tbl'><textarea name='body2' cols='95' rows='10' class='textbox'>$body2</textarea></td>
</tr>\n";
		if (!TINY_EDITOR_ON) {
			echo "<tr>\n<td class='tbl'></td><td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('body2', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('body2', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('body2', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('body2', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px;' onClick=\"addText('body2', '<img src=\'".str_replace("../","",IMAGES_A)."', '\' style=\'margin:5px;\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('body2', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('body2', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('body2', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('body2', '<span class=\'alt\'>', '</span>');\">
<input type='button' value='new page' class='button' style='width:60px;' onClick=\"insertText('body2', '<! --pagebreak -->');\"><br>
<select name='setcolor' class='textbox' style='margin-top:5px;' onChange=\"addText('body2', '<span style=\'color:' + this.options[this.selectedIndex].value + ';\'>', '</span>');this.selectedIndex=0;\">
<option value=''>".$locale['newart420']."</option>
<option value='maroon' style='color:maroon;'>Maroon</option>
<option value='red' style='color:red;'>Red</option>
<option value='orange' style='color:orange;'>Orange</option>
<option value='brown' style='color:brown;'>Brown</option>
<option value='yellow' style='color:yellow;'>Yellow</option>
<option value='green' style='color:green;'>Green</option>
<option value='lime' style='color:lime;'>Lime</option>
<option value='olive' style='color:olive;'>Olive</option>
<option value='cyan' style='color:cyan;'>Cyan</option>
<option value='blue' style='color:blue;'>Blue</option>
<option value='navy' style='color:navy;'>Navy Blue</option>
<option value='purple' style='color:purple;'>Purple</option>
<option value='violet' style='color:violet;'>Violet</option>
<option value='black' style='color:black;'>Black</option>
<option value='gray' style='color:gray;'>Gray</option>
<option value='silver' style='color:silver;'>Silver</option>
<option value='white' style='color:white;'>White</option>
</select>
<select name='insertimage' class='textbox' style='margin-top:5px;' onChange=\"insertText('body2', '<img src=\'".str_replace("../","",IMAGES_A)."' + this.options[this.selectedIndex].value + '\' style=\'margin:5px;\' align=\'left\'>');this.selectedIndex=0;\">
<option value=''>".$locale['newart421']."</option>
$image_list</select>
</td>
</tr>\n";
		}
		echo "<tr>
<td class='tbl'></td><td class='tbl'>";
if (!TINY_EDITOR_ON) echo "<input type='checkbox' name='line_breaks' value='yes'$breaks> ".$locale['newart417']."<br>\n";
echo "<input type='checkbox' name='article_comments' value='yes'$comments> ".$locale['newart423']."<br>
<input type='checkbox' name='article_ratings' value='yes'$ratings> ".$locale['newart424']."<br><input type='checkbox' name='article_published' value='1'$publisheds> ".sprintf($locale['newart523'],"");
if (isset($article_id)) {
echo "<br><input type='checkbox' name='article_is_new' value='1'$save_asnew> ".$locale['newart528'];
}
echo "</td>
</tr>";
echo "<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='preview' value='".$locale['newart515']."' class='button'>
<input type='submit' name='save' value='".$locale['newart516']."' class='button'>".(isset($article_id) ? " <input type='submit' name='abort' value='".$locale['album446']."' class='button'>" : "")."</td>
</tr>
</table>
</form>\n";
		if (function_exists("closetablex")) closetablex(); else closesidex();
		echo "<script type='text/javascript'>
function DeleteArticle() {
	return confirm(".js_umlaut_changer($locale['newart552']).");
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert(".js_umlaut_changer($locale['newart550']).");
		return false;
	}
}
function TinyMCEChanger(val) {
now=new Date();\n"."now.setTime(now.getTime()+1000*60*60*24*365);
expire=(now.toGMTString());\n"."document.cookie=\"".COOKIE_PREFIX."tinyon=\"+escape(val)+\";expires=\"+expire;
location.href='".$backlink."';\n"."}
</script>\n";
	}
} else {
	opentable($locale['newart517']);
	echo "<center>".$locale['newart518']."</center>\n";
	closetable();
}
} 
if ($apage=="ac" && checkrights("AC")) {
if (isset($action) && $action == "delete") {
	$result = dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_cat='$cat_id'");
	if (dbrows($result) != 0) {
		redirect(ADMIN.FUSION_SELF.$aidlink."&page=ac&status=deln");
	} else {
		$result = update_table(DB_PREFIX."article_cats","WHERE article_cat_id='$cat_id'","delete");
		redirect(ADMIN.FUSION_SELF.$aidlink."&page=ac&status=dely");
	}
} else {
	if (isset($_POST['save_cat'])) {
		$cat_name = isset($_POST['cat_name']) ? stripinput($_POST['cat_name']) : '';
		$cat_description = isset($_POST['cat_description']) ? stripinput($_POST['cat_description']) : '';
		$cat_access = isNum($_POST['cat_access']) ? $_POST['cat_access'] : "0";		
		
		$cat_locale = !isset($_POST['cat_locale']) ? 'all' : stripinput($_POST['cat_locale']);
		$cat_image = isset($_POST['cat_image']) ? stripinput($_POST['cat_image']) : '';
		
		if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "1") {
			$cat_sorting = "article_id ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "2") {
			$cat_sorting = "article_subject ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "3") {
			$cat_sorting = "article_datestamp ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else {
			$cat_sorting = "article_subject ASC";
		}
		if ($action == "edit") {
			$result = update_table(DB_PREFIX."article_cats","SET article_cat_image='$cat_image',article_cat_name='$cat_name', article_cat_description='$cat_description', article_cat_sorting='$cat_sorting', article_cat_access='$cat_access',article_cat_locale='$cat_locale' WHERE article_cat_id='$cat_id'","update");
		} else {
			$result = update_table(DB_PREFIX."article_cats","(article_cat_image,article_cat_name, article_cat_description, article_cat_sorting, article_cat_access,article_cat_locale) VALUES ('$cat_image','$cat_name', '$cat_description', '$cat_sorting', '$cat_access','$cat_locale')","insert");
		}
		redirect(ADMIN.FUSION_SELF.$aidlink."&page=ac");
	}
	if (isset($action) && $action == "edit") {
		$result = dbquery("SELECT * FROM ".$db_prefix."article_cats WHERE article_cat_id='$cat_id'");
		$data = dbarray($result);
		$cat_name = $data['article_cat_name'];
		$cat_description = $data['article_cat_description'];
		$cat_sorting = explode(" ", $data['article_cat_sorting']);
		$cat_image = $data['article_cat_image'];
		if ($cat_sorting[0] == "article_id") { $cat_sort_by = "1"; }
		if ($cat_sorting[0] == "article_subject") { $cat_sort_by = "2"; }
		if ($cat_sorting[0] == "article_datestamp") { $cat_sort_by = "3"; }
		$cat_sort_order = $cat_sorting[1];
		$cat_access = $data['article_cat_access'];
		$cat_locale = $data['article_cat_locale'];
		$formaction = ADMIN.FUSION_SELF.$aidlink."&amp;page=ac&amp;action=edit&amp;cat_id=".$data['article_cat_id'];
		opentable($locale['newart455']);
	} else {
		$cat_name = "";
		$cat_description = "";
		$cat_sort_by = "2";
		$cat_sort_order = "ASC";
		$cat_access = "";
		$cat_locale = 'all';
		$cat_image = '';
		$formaction = ADMIN.FUSION_SELF.$aidlink."&amp;page=ac";
		opentable($locale['newart456']);
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	$image_files = makefilelist(IMAGES_AC, ".|..|index.php", true);
	array_unshift($image_files, "");
	$image_list = makefileopts($image_files,$cat_image);
	$locale_files = makefilelist(LOCALE, ".|..|flags", true, "folders");
	array_unshift($locale_files, "all");
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='addcat' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>
<tr>
<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['newart457']."</td>
<td class='tbl2'><input type='text' name='cat_name' value='$cat_name' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='1%' class='tbl1' style='white-space:nowrap' valign='top'>".$locale['newart458']."</td>
<td class='tbl2'><textarea name='cat_description' class='textbox' style='width:250px;height:60px;'>$cat_description</textarea></td>
</tr>
<tr>
<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['newart467']."</td>
<td class='tbl2'><select name='cat_sort_by' class='textbox'>
<option value='1'".($cat_sort_by == "1" ? " selected" : "").">".$locale['newart468']."</option>
<option value='2'".($cat_sort_by == "2" ? " selected" : "").">".$locale['newart469']."</option>
<option value='3'".($cat_sort_by == "3" ? " selected" : "").">".$locale['newart470']."</option>
</select> - 
<select name='cat_sort_order' class='textbox'>
<option value='ASC'".($cat_sort_order == "ASC" ? " selected" : "").">".$locale['newart471']."</option>
<option value='DESC'".($cat_sort_order == "DESC" ? " selected" : "").">".$locale['newart472']."</option>
</select></td>
</tr>
<tr>
<td class='tbl1' style='white-space:nowrap'>".$locale['newart465']."</td>
<td class='tbl2'><select name='cat_access' class='textbox'>
$access_opts</select></td>
</tr>
<tr>
<td class='tbl1'>".$locale['newart437']."</td>
<td class='tbl2'><select name='cat_image' class='textbox' onChange=\"document.images['articles_images'].src = '".IMAGES_AC."' + this.value;\" >
$image_list</select><br /><img src=\"".(!empty($cat_image) ? IMAGES_AC.$cat_image : IMAGES."blank.gif")."\" name=\"articles_images\" /></td>
</tr>
";
if ((bool)$settings['locale_switcher']) {
echo "<tr><td class='tbl1'>".$locale['main510']."</td>
<td class='tbl2'><select name='cat_locale' class='textbox'>
".makefileopts($locale_files, $cat_locale)."
</select></td></tr>";
}
echo "<tr>
<td align='center' colspan='2' class='tbl1'>
<input type='submit' name='save_cat' value='".$locale['newart459']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	opentable($locale['newart460']);
	echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>\n";
	$result = dbquery("SELECT * FROM ".$db_prefix."article_cats ORDER BY article_cat_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['newart437']."</td>		
<td class='tbl2'>".$locale['newart461']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['newart466']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['newart462']."</td>
</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
echo "<tr><td class='$cell_color' align='center'>";
if ($data['article_cat_image']!='' && file_exists(IMAGES_AC.$data['article_cat_image'])) {
			echo "<img src='".IMAGES_AC.$data['article_cat_image']."' alt='".$data['article_cat_name']."'>\n";
		} else {
			echo "<img src='".IMAGES."imagenotfound.jpg' alt='".$data['article_cat_name']."'>\n";
		}			
echo "</td><td class='$cell_color'><b>".$data['article_cat_name']."</b>";
if ($data['article_cat_description']!='') {
echo "<br>
<span class='small'>".trimlink($data['article_cat_description'], 45)."</span>";
}
echo "</td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['article_cat_access'])."</td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=ac&amp;action=edit&amp;cat_id=".$data['article_cat_id']."'>".$locale['newart509']."</a> -
<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=ac&amp;action=delete&amp;cat_id=".$data['article_cat_id']."'>".$locale['newart510']."</a></td>
</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['newart518']."</td></tr>\n</table>\n";
	}
	if (checkrights("IM"))
echo "<center><br>\n<a href='".ADMIN."images.php".$aidlink."&amp;ifolder=imagesac'>".$locale['newart439']."</a><br><br>\n</center>\n";
	closetable();
}
}

echo "</td>\n";
require_once ADMIN."footer.php";
?>