<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";

if (!checkrights("B") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
if (isset($blacklist_id) && !isNum($blacklist_id)) fallback("index.php");
if (!isset($step)) $step = "";

if (isset($status)) {
	if ($status == "del") {
		$title = $locale['black400'];
		$message = "<b>".$locale['black401']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if ($step == "delete") {
	$result = dbquery("DELETE FROM ".$db_prefix."blacklist WHERE blacklist_id='$blacklist_id'");
	redirect(ADMIN.FUSION_SELF.$aidlink."&status=del");
} else {
	if (isset($_POST['blacklist_user'])) {
		$blacklist_ip = isset($_POST['blacklist_ip']) && strlen($_POST['blacklist_ip'])<=15 ? stripinput($_POST['blacklist_ip']) : "";
		$blacklist_email = isset($_POST['blacklist_email']) ? stripinput($_POST['blacklist_email']) : "";
		$blacklist_username = isset($_POST['blacklist_username']) ? stripinput($_POST['blacklist_username']) : "";
		$blacklist_reason = isset($_POST['blacklist_ip']) ? stripinput($_POST['blacklist_reason']) : "";
		if ($blacklist_ip || $blacklist_email || $blacklist_username) {
			if ($step == "edit") {
				$result = dbquery("UPDATE ".$db_prefix."blacklist SET blacklist_ip='$blacklist_ip', blacklist_email='$blacklist_email',blacklist_username='$blacklist_username',blacklist_reason='$blacklist_reason' WHERE blacklist_id='$blacklist_id'");
			} else {
					$result = dbquery("INSERT INTO ".$db_prefix."blacklist (blacklist_ip, blacklist_email, blacklist_username, blacklist_reason) VALUES ('$blacklist_ip', '$blacklist_email','$blacklist_username', '$blacklist_reason')");
			}
		}
		redirect(ADMIN.FUSION_SELF.$aidlink);
	}
	if ($step == "edit") {
		$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."blacklist WHERE blacklist_id='$blacklist_id'"));
		$blacklist_ip = $data['blacklist_ip'];
		$blacklist_email = $data['blacklist_email'];
		$blacklist_username = $data['blacklist_username'];
		$blacklist_reason = $data['blacklist_reason'];
		$form_title = $locale['black421'];
		$form_action = ADMIN.FUSION_SELF.$aidlink."&amp;step=edit&amp;blacklist_id=".$data['blacklist_id'];
	} else {
		$blacklist_ip = "";
		$blacklist_email = "";
		$blacklist_username = $data['blacklist_username'];
		$blacklist_reason = "";
		$form_title = $locale['black420'];
		$form_action = ADMIN.FUSION_SELF.$aidlink;
	}
	opentable($form_title);
	echo "<table align='center' cellpadding='0' cellspacing='0' width='450'>
<tr>
<td colspan='2' class='tbl'>".$locale['black440']."
<hr></td>
</tr>
</table>
<form name='blacklist_form' method='post' action='$form_action'>
<table align='center' width='450' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['black441']."</td>
<td class='tbl'><input type='text' name='blacklist_ip' value='$blacklist_ip' class='textbox' style='width:150px'></td>
</tr>
<tr>
<td class='tbl'>".$locale['black442']."</td>
<td class='tbl'><input type='text' name='blacklist_email' value='$blacklist_email' class='textbox' style='width:250px'></td>
</tr>
<td class='tbl'>".$locale['black445']."</td>
<td class='tbl'><input type='text' name='blacklist_username' value='$blacklist_username' class='textbox' style='width:250px'></td>
</tr>
<tr>
<td valign='top' class='tbl'>".$locale['black443']."</td>
<td class='tbl'><textarea name='blacklist_reason' cols='46' rows='3' class='textbox'>$blacklist_reason</textarea></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='blacklist_user' value='".$locale['black466']."' class='button'></td>
</tr>
</table>
</form>";
	closetable();
	tablebreak();
	opentable($locale['black460']);
	$result = dbquery("SELECT * FROM ".$db_prefix."blacklist");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>
<tr>
<td class='tbl2'>".$locale['black461']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['black462']."</td>
</tr>\n";
		while ($data = dbarray($result)) {
			$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>
<td class='$row_color'>".($data['blacklist_ip']!="" ? $data['blacklist_ip']." (IP)" : ($data['blacklist_email']!="" ? $data['blacklist_email']." (Email)" : ($data['blacklist_username']!="" ? $data['blacklist_username']." (Username)" : ""))).($data['blacklist_reason']=="" ? "" : "<br>
<span class='small2'>".$data['blacklist_reason']."</span>")."</td>
<td align='center' width='1%' class='$row_color' style='white-space:nowrap'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;step=edit&amp;blacklist_id=".$data['blacklist_id']."'>".$locale['black463']."</a> -
<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;step=delete&amp;blacklist_id=".$data['blacklist_id']."'>".$locale['black464']."</a></td>
</tr>\n";
		}
		echo "</table>\n";
	} else {
		echo "<center><br>\n".$locale['black465']."<br><br>\n</center>\n";
	}
	closetable();
}

echo "</td>\n";
require_once ADMIN."footer.php";
?>