<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.x
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
if (!iADMIN || iADMIN && !checkrights("CP") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
getlocale(LOCALE.LOCALESET,"admin.php");
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
$edit = isset($_GET['edit']) || isset($_POST['edit']) ? true : false;
$delete = isset($_GET['delete']) || isset($_POST['delete']) ? true : false;
$add = isset($_GET['add']) || isset($_POST['add']) ? true : false;
$save = isset($_GET['save']) || isset($_POST['save']) ? true : false;
$preview = isset($_GET['preview']) || isset($_POST['preview']) ? true : false;
$status = isset($_GET['status']) ? cleanurl($status) : "";
$rowstart = isset($_GET['rowstart']) ? intval($_GET['rowstart']) : 0;
$pid = isset($_GET['pid']) ? intval($_GET['pid']) : 0;
$pub = isset($_GET['pub']) ? intval($_GET['pub']) : "";
$page_id = isset($_GET['page_id']) && intval($_GET['page_id'])>0 ? intval($_GET['page_id']) : (isset($_POST['page_id']) && intval($_POST['page_id'])>0 ? intval($_POST['page_id']) : intval(page('id')));
$backlink=$settings['siteurl']."administration/".FUSION_SELF.$aidlink.($edit && (bool)(int)$page_id ? "&edit=1&page_id=$page_id" : "&pg=new");
$forma=ADMIN.FUSION_SELF.$aidlink.($edit && (bool)$page_id ? "&amp;edit=1&amp;page_id=$page_id" : "&pg=new");

function php_replace($content,$type="") {
$array1=array("<?php","<?","?>","&lt;?php","?&gt;","&lt;?","<Files","</Files>","&lt;Files","&lt;/Files&gt;");
$array2=array("[php]","[php]","[/php]","[php]","[/php]","[php]","[Files]","[/Files]","[Files]","[/Files]");
$array3=array("[php]","[/php]","[Files]","[/Files]"); 
$array4=array("&lt;?php","?&gt;","&lt;Files","&lt;/Files&gt;");
$array5=array("<?php","?>","&lt;Files","&lt;/Files&gt;");
if (empty($type)) {
$content = str_replace($array1,$array2,$content);
}
if ($type=="html") {
$content = str_replace($array3,$array4,$content);	
}
if ($type=="php") {
$content = str_replace($array3,$array5,$content);		
}	
return $content;
}

function page_array($page) {
global $userdata, $db_prefix;	
$page_data=array();
$pageid=isset($page) ? intval($page) : 0;
if ($pageid>0) {
$pagecount=dbcount("(page_id)","custom_pages","page_id='$pageid' LIMIT 1");	

if ($pagecount>0) {
$page_data=dbarray(dbquery("SELECT * FROM ".DB_PREFIX."custom_pages WHERE page_id='$pageid' LIMIT 1"));	
}
}
return $page_data;
}
$cp_data=array();
$cp_list="";
$page_data=array();
$list_nums=0;
$searchword="";
$search_link="";
$fields=2;
$method="OR";
$search = isset($_POST['search']) ? 1 : 0;
$text_or_id = isset($_POST['text_or_id']) ? intval($_POST['text_or_id']) : 0;
$stext = isset($_POST['q']) ? stripinput($_POST['q']) : (isset($_GET['q']) ? cleanurl($_GET['q']) : ""); 
	
$title="";$message="";

if (isset($status) && !empty($status)) {
	if ($status == "su") {
		$title = $locale['cp100'];
		$message = "<b>".$locale['cp101']."</b>".(isset($_GET['pid']) ? "<br>\n".$locale['cp102']."<a href='".BASEDIR."viewpage.php?page_id=$pid'>viewpage.php?page_id=$pid</a>\n" : "")."\n";
	} elseif ($status == "sn") {
		$title = $locale['cp105'];
		$message = "<b>".$locale['cp106']."</b>".(isset($_GET['pid']) ? "<br>\n".$locale['cp102']."<a href='".BASEDIR."viewpage.php?page_id=$pid'>viewpage.php?page_id=$pid</a>\n" : "")."\n";
	} elseif ($status == "del") {
		$title = $locale['cp107'];
		$message = "<b>".$locale['cp108']."</b>";
	} elseif ($status == "sup") {
		$title = $locale['cp139'];
		$message = $locale['cp140'];	
	} elseif ($status == 'sp') {
		$title = $locale['cp141'];
		$message = "<b>".$locale['cp142']."</b>".(isset($_GET['pid']) ? "<br>\n".$locale['cp102']."<a href='".BASEDIR."viewpage.php?page_id=$pid'>viewpage.php?page_id=$pid</a>\n" : "")."\n";		
	}	
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();

}


$page_where = "";
if (isset($_GET['type'])) {
	$page_where="page_type='".mysql_real_escape_string($_GET['type'])."'";
}
$pages_per_page = 10;
$pdata = array();

if ($page_id>0 && $edit && (!$preview || !$save)) {
	$pdata = page_array($page_id);	
}

if (isset($_POST['cpid'])) {
	     if ($delete) {
   		 foreach($_POST['cpid'] as $page=>$page_value) {
		    $pdata=page_array($page_value); 
			$result = update_table(DB_PREFIX."custom_pages","WHERE page_id='".$pdata['page_id']."'","delete");
			$result = update_table(DB_PREFIX."site_links","WHERE link_url='viewpage.php?page_id=".$pdata['page_id']."'","delete");	
		    }
		 }
		 if (isset($_POST['pub']) ) {
		 foreach($_POST['cpid'] as $page=>$page_value) {
		 $pdata=page_array($page_value); 	
		 $result = update_table(DB_PREFIX."custom_pages","SET page_published='".intval($_POST['pub'])."' WHERE page_id='".$pdata['page_id']."'","update");	
		 }
		 }   
}

function page($data) {
	global $pdata;
	return is_array($pdata) && !empty($pdata) && isset($pdata["page_".$data]) ? $pdata["page_".$data] : "";
}
$link_id = null;
if ($page_id) {
$result = dbquery("SELECT link_id FROM ".$db_prefix."site_links WHERE (link_url='viewpage.php?page_id=$page_id' OR link_url='seite".$page_id.".html' OR link_url='page".$page_id.".html') ORDER BY link_order DESC LIMIT 1");	
	if (dbrows($result)==0) {
	$site_not_in_link=true;
	} else {
		$link_id = dbresult($result,0);
	}
}

if (isset($_POST['abort'])) {redirect(ADMIN.FUSION_SELF.$aidlink);}
if ($save) {
	$page_type = isset($_POST['page_type']) ? stripinput($_POST['page_type']) : "html";
	$page_content = php_replace(addslash($_POST['page_content']),$page_type);
	$page_title = isset($_POST['page_title']) ? stripinput($_POST['page_title']) : "";
	$page_keywords = isset($_POST['page_keywords']) ? stripinput($_POST['page_keywords']) : "";
	$page_description = isset($_POST['page_description']) ? stripinput($_POST['page_description']) : "";
	$page_access = isset($_POST['page_access']) ? intval($_POST['page_access']) : 0;
	$page_comments = isset($_POST['page_comments']) ? 1 : 0;
	$page_ratings = isset($_POST['page_ratings']) ? 1 : 0;
	$page_nl2br = isset($_POST['page_nlbr']) ? 1 : 0;
	$page_published = isset($_POST['page_published']) ? 1 : 0;
	$page_leftside = isset($_POST['page_leftside']) ? 1 : 0;
	$page_rightside = isset($_POST['page_rightside']) ? 1 : 0;
	$page_as_new = isset($_POST['page_as_new']) ? 1 : 0;
	$addlink = isset($_POST['add_link']) ? 1 : 0;
	$page_as_new = isset($_POST['page_as_new']) ? 1 : 0;
	$site_not_in_link=false;
	$page_locale = isset($_POST['page_locale']) ? stripinput($_POST['page_locale']) : 'all';
	if (!$page_id) {
	$sql = dbquery("INSERT INTO ".DB_PREFIX."custom_pages (page_title,page_access,page_content,page_keywords,page_description,page_allow_comments,page_allow_ratings,page_published,page_type,page_nlbr,page_left,page_right,page_locale) VALUES ('$page_title','$page_access','$page_content','$page_keywords','$page_description','$page_comments','$page_ratings','$page_published','$page_type','$page_nl2br','$page_leftside','$page_rightside','$page_locale')");	
	
	} elseif ($page_as_new) {
	$sql = dbquery("INSERT INTO ".DB_PREFIX."custom_pages (page_title,page_access,page_content,page_keywords,page_description,page_allow_comments,page_allow_ratings,page_published,page_type,page_nlbr,page_left,page_right,page_locale) VALUES ('$page_title','$page_access','$page_content','$page_keywords','$page_description','$page_comments','$page_ratings','$page_published','$page_type','$page_nl2br','$page_leftside','$page_rightside','$page_locale')");	
	}else {
	$pageid=$page_id;	
	$sql = dbquery("UPDATE ".DB_PREFIX."custom_pages SET page_title='$page_title',page_access='$page_access',page_content='$page_content',page_keywords='$page_keywords',page_description='$page_description',page_allow_comments='$page_comments',page_allow_ratings='$page_ratings',page_published='$page_published',page_type='$page_type',page_nlbr='$page_nl2br',page_left='$page_leftside',page_right='$page_rightside',page_locale='$page_locale' WHERE page_id = '$pageid'");
	if (!$sql) die(mysql_error());
	
	if (isset($link_id) && $link_id>0) {	
	$result = update_table(DB_PREFIX."site_links","SET link_visibility='$page_access', link_locale='$page_locale' WHERE link_id='$link_id'","update");
	}
	}
	$result = dbquery("OPTIMIZE TABLE ".DB_PREFIX."custom_pages");
		if ($page_as_new || !$page_id){
	$pageid = mysql_insert_id();
		}
	
	if ($addlink && $page_published){
	
	$result = dbquery("SELECT * FROM ".$db_prefix."site_links ORDER BY link_order DESC LIMIT 1");
			$data = dbarray($result);
			$link_order = $data['link_order'] + 1;
			$result = update_table(DB_PREFIX."site_links","(link_name, link_url, link_visibility, link_position, link_window, link_order,link_locale) VALUES ('$page_title', 'viewpage.php?page_id=$pageid', '$page_access', '1', '0', '$link_order','$page_locale')","insert");	
	}
	redirect(ADMIN.FUSION_SELF.$aidlink."&status=".($page_as_new || !$page_id ? "sn" : "su")."&pid=$pageid");
}			

if ($page_id && isset($_GET['pub'])) {
$result = update_table(DB_PREFIX."custom_pages","SET page_published='".intval($_GET['pub'])."' WHERE page_id='".$page_id."'","update");
		redirect(ADMIN.FUSION_SELF.$aidlink."&status=".(intval($_GET['pub'])==0 ? "sup" : "sp")."&pid=$page_id");	
}

if ($preview) {
	$page_type = isset($_POST['page_type']) ? stripinput($_POST['page_type']) : "html";
	$page_content = phpentities(php_replace(stripslashes($_POST['page_content']),$page_type));
	$page_title = isset($_POST['page_title']) ? stripinput($_POST['page_title']) : "";
	$page_keywords = isset($_POST['page_keywords']) ? stripinput($_POST['page_keywords']) : "";
	$page_description = isset($_POST['page_description']) ? stripinput($_POST['page_description']) : "";
	$page_access = isset($_POST['page_access']) ? intval($_POST['page_access']) : 0;
	$page_comments = isset($_POST['page_comments']) ? 1 : 0;
	$page_ratings = isset($_POST['page_ratings']) ? 1 : 0;
	$page_nl2br = isset($_POST['page_nlbr']) ? 1 : 0;
	$page_published = isset($_POST['page_published']) ? 1 : 0;
	$page_leftside = isset($_POST['page_leftside']) ? 1 : 0;
	$page_rightside = isset($_POST['page_rightside']) ? 1 : 0;
	$page_as_new = isset($_POST['page_as_new']) ? 1 : 0;
	$addlink = isset($_POST['add_link']) ? 1 : 0;
	$page_locale = isset($_POST['page_locale']) ? stripinput($_POST['page_locale']) : 'all';
	$page_preview = php_replace(stripslashes($_POST['page_content']),$page_type);
	$page_preview2=str_replace(array("%IMAGES%","<!-- pagebreak -->"),array(IMAGES,"<hr noshade><b>pagebreak</b><hr noshade>"),$page_preview);
		if ($page_nl2br && $page_type=="html") {
			$page_preview2 = str_replace(array("<Files","</Files>"),array("&lt;Files","&lt;/Files&gt;"),$page_preview2);
			if (!TINY_EDITOR_ON){
			$page_preview2 = nl2br($page_preview2);
			}
		}
		$page_preview2 = str_replace(array("src='images/",'src="images/',"src='".str_replace("../", "", IMAGES),'src="'.str_replace("../", "", IMAGES)),array("src='".IMAGES,'src="'.IMAGES,"src='".IMAGES,'src="'.IMAGES), $page_preview2);	
		if (function_exists("opentablex")) opentablex($locale['cp120']." :: ".$page_title,"on");
   		else opensidex($locale['cp120']." :: ".$page_title,"on");
		opentable($page_title);
		echo "<div style='width:100%;overflow:auto;'>"; 
		eval("?>".$page_preview2."<?php ");
		echo "</div>";
		closetable();
		if (function_exists("closetablex")) closetablex(); else closesidex();
		tablebreak();
		;	
}
if (!$preview && $edit) {
	$page_type = page('type');
	$page_content = phpentities(php_replace(stripslashes(page('content')),$page_type));
	$page_title = page('title');
	$page_keywords = page('keywords');
	$page_description = page('description');
	$page_access = page('access');
	$page_comments = page('comments');
	$page_ratings = page('ratings');
	$page_nl2br = page('nlbr');
	$page_published = page('published');
	$page_leftside = page('left');
	$page_rightside = page('right');
	$page_locale = page('locale');
	$page_as_new = 0;
	$addlink = 0;
} elseif(!$preview && !$edit && !$save) {
	$page_type = "html";
	$page_content = '';
	$page_title = '';
	$page_keywords = '';
	$page_description = '';
	$page_access = 0;
	$page_comments = 0;
	$page_ratings = 0;
	$page_nl2br = 1;
	$page_published = 1;
	$page_leftside = 1;
	$page_rightside = 1;
	$page_locale = "all";
	$page_as_new = 0;
	$addlink = 0;
}


if ($delete) {
	$result = update_table(DB_PREFIX."custom_pages","WHERE page_id='".$page_id."'","delete");
	$result = update_table(DB_PREFIX."site_links","WHERE link_url='viewpage.php?page_id=$page_id'","delete");
	redirect(ADMIN.FUSION_SELF.$aidlink."&status=del");	
}

   if ($search && !empty($stext)) {
   if (!$text_or_id && strlen($stext)>3) {
   $stext=str_replace(","," ",$stext);
   $fswords = explode(' ', $stext);
   $swords = array();
   for ($i=0;$i<sizeof($fswords);$i++) {
   	if (strlen($fswords[$i])>=3) {
   		$swords[] = $fswords[$i];
   	}
   }
   unset($fswords);
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "page_title LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "page_content LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
    if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") OR (".$smessage."))";
		}
	}	
	if ($text_or_id) {
	$page_where = intval($stext)>0 ? "(page_id='".intval($stext)."')" : $page_where;	
	} else {
		if(strlen($stext)>3) {
		$page_where = $page_where!="" ? "$page_where AND ($fieldsvar)" : "$fieldsvar";
		}
	}
 	$search_link="&search=1&q=".urlencode($stext);
	$cp_result=dbquery("SELECT * FROM ".DB_PREFIX."custom_pages".($page_where!='' ? ' WHERE '.$page_where :'')." ORDER BY page_id ASC LIMIT $rowstart,$pages_per_page");
	$all_pages = dbrows($cp_result);	
	} else {
$all_pages = dbcount("(page_id)","custom_pages","$page_where");
$cp_result=dbquery("SELECT * FROM ".DB_PREFIX."custom_pages".(!empty($page_where) ? " WHERE" : "")." $page_where ORDER BY page_id ASC LIMIT $rowstart,$pages_per_page");	
}

if (function_exists("opentablex")) opentablex($locale['cp111'],($page_id || $preview || isset($_GET['pg']) ? "off" : "on"));	else opensidex($locale['cp111'],($page_id || $preview || isset($_GET['pg']) ? "off" : "on"));	echo "<table border='0' cellspacing='0' cellpadding='0' width='100%'><form action='".ADMIN.FUSION_SELF.$aidlink."' method='post'><tr><td align='right'><input type='text' name='q' class='textbox' style='width:150px;' value='$stext'><input type='hidden' name='search' value='search'> <input type='submit' value='".$locale['cp132']."' class='button'><br /><input type='radio' name='text_or_id' value='0'".($text_or_id==0 ? " checked" : "").">".$locale['cp137']." <input type='radio' name='text_or_id' value='1'".($text_or_id==1 ? " checked" : "").">".$locale['cp138']."</td></tr></form></table>\n";
echo "<table border='0' width='100%' cellspacing='1' cellpadding='3' class='tbl-border'>
	<tr><th class='tbl1'><a href='".ADMIN.FUSION_SELF.$aidlink."'><b>".$locale['cp149']."</b></a></th><th class='tbl1'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;type=html'><b>".$locale['cp150']."</b></a></th><th class='tbl1'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;type=php'><b>".$locale['cp151']."</b></a></td></tr></table>\n";
if ($all_pages>0) {
	$cplistnum=0;
	$cp_list.="<form name='cplist' action='".ADMIN.FUSION_SELF.$aidlink."' method='post'>
	<table border='0' class='tbl-border' cellspacing='1' cellpadding='1' width='100%'>
	<tr class='tbl1' height='20'>
	<td width='1%'>&nbsp;</td>
	<td width='5%' align='center'><b>".$locale['cp138']."</b></td>
	<td width='76%' align='center'><b>".$locale['cp124']."</b></td>
	<td width='5%' align='center'><b>".$locale['cp125']."</b></td>
	<td width='8%' align='center'><b>".$locale['cp126']."</b></td>
	</tr>\n";
	$tbl_bg='tbl1';
	while($cp_data=dbarray($cp_result)) {
	$contentpages = explode("<!-- pagebreak -->", $cp_data['page_content'] );
	$pageno = count($contentpages);
		if ($tbl_bg=='tbl1') { $tbl_bg='tbl2';} else {$tbl_bg='tbl1';}
	    $cp_list.="<tr>
		<td class='$tbl_bg'><input type='checkbox' name='cpid[]' id='cpid' value='".$cp_data['page_id']."'></td>
		<td class='$tbl_bg' align='center'><a href='".BASEDIR."viewpage.php?page_id=".$cp_data['page_id']."'>".$cp_data['page_id']."</a></td>
		<td class='$tbl_bg'><b>".$cp_data['page_title']."</b> ($pageno)<br>".trimlink(stripslashes($cp_data['page_content']),75)."</td>
		<td class='$tbl_bg' align='center'><a href='".ADMIN.FUSION_SELF.$aidlink."&pub=".($cp_data['page_published']==1 ? "0" : "1")."&page_id=".$cp_data['page_id']."'><img src='".IMAGES.($cp_data['page_published']=='1' ? "yes.gif' alt='".sprintf($locale['cp127'],"")."' title='".sprintf($locale['cp127'],"")."'" : "no.gif' alt='".sprintf($locale['cp127'],$locale['cp128'])."' title='".sprintf($locale['cp127'],$locale['cp128'])."'")." border='0'></td>
		<td class='$tbl_bg' align='center'><a href='".ADMIN.FUSION_SELF.$aidlink."&edit=1&page_id=".$cp_data['page_id']."'><img src='".IMAGES."edit.gif' alt='edit' title='edit' border='0'></a>&nbsp;&nbsp;
              <a href='".$backlink."&delete=1&page_id=".$cp_data['page_id']."' onClick='return DeletePage();'><img src='".IMAGES."delete.gif' alt='delete' title='delete' border='0'></td></tr>\n";
	$list_nums++;
	}
	$cp_list.= "</table>";
	if ($all_pages>1) {
      $cp_list.= "<table cellspacing='0' cellpadding='4'><tr>
	<td><input type='button' onClick='AllActivate(this.form.cpid)' value='".$locale['cp152']."' class='button'></td>
	<td><input type='image' name='delete' value='1' src='".IMAGES."delete.gif' alt='delete' title='delete' onClick='return DeletePages();'></td>
       <td><input type='image' name='pub' value='1' src='".IMAGES."yes.gif' alt='".sprintf($locale['cp122'],"")."' title='".sprintf($locale['cp122'],"")."'></td>
	<td><input type='image' name='pub' value='0' src='".IMAGES."no.gif' alt='".sprintf($locale['cp122'],$locale['cp128'])."' title='".sprintf($locale['cp122'],$locale['cp128'])."'></td>
	</tr></table>";
	}
	$cp_list.= "</form>\n";
	if ($all_pages>$pages_per_page) {
	$cp_list.="<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$pages_per_page,$all_pages,3,FUSION_SELF.$aidlink.$search_link."&")."\n</div>\n";

	}
	echo $cp_list;
} else {
	echo $locale['cp136'];
} 
$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($page_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
if (function_exists("closetablex")) closetablex(); else closesidex();
$locale_files = makefilelist(LOCALE, ".|..|flags", true, "folders");
		array_unshift($locale_files, "all");
if (function_exists("opentablex")) opentablex($page_id ? $locale['cp100']." :: ".$page_title : $locale['cp105'],$all_pages=='0' || $page_title!="" || isset($_GET['pg']) ? "on" : "off");
else opensidex($page_id ? $locale['cp100']." :: ".$page_title : $locale['cp105'],$all_pages=='0' || $page_title!="" || isset($_GET['pg']) ? "on" : "off");


echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr><td width='100%' class='tbl' align='right'>\n";
	if ($page_type=='html') {
		echo "<input type='button' id='tinymce_switch' name='tinymce_switch' value='".(TINY_EDITOR_ON ? $locale['cp143'] : $locale['cp144'])."' class='button' style='font-weight:bolder;' onclick=\"TinyMCEChanger(".(!TINY_EDITOR_ON ? 1 : "").");\"/>";
	if (TINY_EDITOR_ON) {
	echo ' <a style="cursor:pointer;" '.wztool(wztooltip($locale['cp145']),'Tiny Notice').',SHADOW, true, STICKY, 1, CLOSEBTN, true, CLICKCLOSE, true, DURATION, 0, EXCLUSIVE, true)" onmouseout="UnTip()"><img src="'.ADMIN.'images/balloons/icon.gif" alt="Tiny Notice" title="Tiny Notice" border="0"></a>';
	}
	}
		echo "</td></tr>\n";
echo "<tr><td class='tbl'>";

if (TINY_EDITOR_ON && $page_type=='html') {
 echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";	
}

echo "</td></tr></table>\n";
echo "<form action='".$forma."' method='post' name='inputform' onSubmit='return ValidateForm(this);'>\n";
if (isset($page_id) && $page_id>0) {echo "<input type='hidden' name='page_id' value='$page_id'>";}
echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'><tr>
<td width='100' class='tbl'>".$locale['cp114']."</td>
<td width='80%' class='tbl'><input type='text' name='page_title' value='$page_title' class='textbox' style='width: 150px;' maxlength='50'>
&nbsp;".$locale['cp115']."<select name='page_access' class='textbox' style='width:150px;'>
$access_opts</select>&nbsp;&nbsp;".$locale['cp154'];
if (!TINY_EDITOR_ON || TINY_EDITOR_ON && $page_type=='php') {
echo "<select name='page_type' class='textbox'>
<option value='html'".($page_type=='html' ? "selected" : "").">HTML</option>
<option value='php'".($page_type=='php' ? "selected" : "").">PHP</option></select>\n";
} else {
echo "<input type='hidden' name='page_type' value='$page_type'><b>".strtoupper($page_type)."</b>\n";	
}
$addlink = (bool)$addlink ? " checked='checked'":"";
$panlink = (bool)$page_as_new ? " checked='checked'":"";
$commentlink = (bool)$page_comments ? " checked='checked'":"";
$ratinglink = (bool)$page_ratings ? " checked='checked'":"";
$leftlink = (bool)$page_leftside ? " checked='checked'":"";
$rightlink = (bool)$page_rightside ? " checked='checked'":"";
$publishedlink = (bool)$page_published ? " checked='checked'":"";
$nlbrlink = (bool)$page_nl2br ? " checked='checked'":"";
if ($page_type=="html") {
	if ($page_nl2br && TINY_EDITOR_ON) {
	$page_content=str_replace("\n","<br>",$page_content);	
	} 
} 
$page_content = php_replace($page_content);
echo "</td></tr>";
echo "<tr>
<td valign='top' width='100' class='tbl'>".$locale['cp147'].":</td>
<td valign='top' width='80%' class='tbl'><input type='text' name='page_keywords' class='textbox' style='width:500px;' value='".$page_keywords."'></td></tr>";
echo "<tr>
<td valign='top' width='100' class='tbl'>".$locale['cp148'].":</td>
<td valign='top' width='80%' class='tbl'><textarea name='page_description' cols='80' rows='3' class='textbox' style='width:500px; height:40px;'>".$page_description."</textarea></td></tr>";
echo "<tr>
<td valign='top' width='100' class='tbl'>".$locale['cp116']."</td>
<td valign='top' width='80%' class='tbl'><textarea name='page_content' id='page_content' cols='80' rows='15' class='textbox' style='width:500px; height:250px;'>".$page_content."</textarea></td></tr>";
if (!TINY_EDITOR_ON || TINY_EDITOR_ON && $page_type=='php') {
echo "<tr><td colspan='2' class='tbl'><center><input type='button' value='<?php?>' class='button' style='width:60px;' onClick=\"addText('page_content', '[php]\\n', '\\n[/php]');\">
<input type='button' value='<p>' class='button' style='width:35px;' onClick=\"addText('page_content', '<p>', '</p>');\">
<input type='button' value='<br>' class='button' style='width:40px;' onClick=\"insertText('page_content', '<br>');\">
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('page_content', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('page_content', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('page_content', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('page_content', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px;' onClick=\"insertText('page_content', '<img src=\'%IMAGES%\' style=\'margin:5px;\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('page_content', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('page_content', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('page_content', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('page_content', '<span class=\'alt\'>', '</span>');\">
<input type='button' value='page' class='button' style='width:40px;' onClick=\"insertText('page_content', '<!-- pagebreak -->');\">
</center></td></tr>\n";
} 
if ((bool)$settings['locale_switcher']) 
echo "<tr><td class='tbl'>".$locale['main510']."</td>
<td class='tbl'><select name='page_locale' class='textbox' style='width:100px;'>
".makefileopts($locale_files, $page_locale)."
</select></td></tr>";

echo "<tr><td class='tbl'></td><td class='tbl'>";
echo "<table border='0' cellspacing='0' cellpadding='1'><tr><td valign='top'>\n";
if (!$page_id || $site_not_in_link) echo "<input type='checkbox' name='add_link' value='1'$addlink>  ".$locale['cp117']."<br>\n";
if (!TINY_EDITOR_ON) {
	if ($page_type=="html") {
	echo "<input type='checkbox' name='page_nlbr' value='1'$nlbrlink> ".$locale['cp130']."<br>\n";
	}
}
if ((bool)$page_id) {
echo "<input type='checkbox' name='page_as_new' value='1'$panlink> ".$locale['cp133']."<br>\n";
}
echo "<input type='checkbox' name='page_published' value='1'$publishedlink> ".sprintf($locale['cp122'],"")."<br>
</td><td valign='top'>
<input type='checkbox' name='page_ratings' value='1'$ratinglink> ".$locale['cp119']."<br>
<input type='checkbox' name='page_comments' value='1'$commentlink> ".$locale['cp118']."<br>
<input type='checkbox' name='page_leftside' value='1'$leftlink> ".$locale['cp134']."<br>
<input type='checkbox' name='page_rightside' value='1'$rightlink> ".$locale['cp135']."<br>\n";
echo "</td></tr></table>";
echo "</td></tr>
<tr>
<td colspan='2' class='tbl' align='center'><br><input type='submit' class='button' name='preview' value='".$locale['cp120']."'>&nbsp;
<input type='submit' class='button' name='save' value='".$locale['cp121']."'>".((bool)$page_id ? " <input type='submit' name='abort' value='".$locale['album446']."' class='button'>" : "")."
</td></tr></table>\n";
echo "</form>\n";

echo '<div id="help"></div>';
echo "<div class='block info' style='white-space:normal;'>".$locale['cp146']."</div>";
if (function_exists("closetablex")) closetablex(); else closesidex();

echo "</td>\n";

echo "<script type='text/javascript' language='javascript'>
<!--
function DeletePage() {
	return confirm('".$locale['cp109']."');
}
function DeletePages() {
	return confirm('Markierte Seite(n) wirklich lschen?');
}
function ValidateForm(frm) {
	if(frm.page_title.value=='') {
		alert('".$locale['cp110']."');
		return false;
	} 

}

function TinyMCEChanger(val) {
now=new Date();\n"."now.setTime(now.getTime()+1000*60*60*24*365);
expire=(now.toGMTString());\n"."document.cookie=\"".COOKIE_PREFIX."tinyon=\"+escape(val)+\";expires=\"+expire;
location.href='".$backlink."';\n"."}

//-->
</script>\n";	
require_once ADMIN."footer.php";
?>