<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
if (!checkrights("FQ") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
$action = !isset($_GET['action']) ? null : stripinput($_GET['action']);
$faq_cat_id = !isset($_GET['faq_cat_id']) ? (!isset($_POST['faq_cat_id']) ? null : (isNum($_POST['faq_cat_id']) ? null : (int)$_POST['faq_cat_id'])) : (!isNum($_GET['faq_cat_id']) ? null : (int)$_GET['faq_cat_id']);
$faq_id = !isset($_GET['faq_id']) ? (!isset($_POST['faq_id']) ? null : (isNum($_POST['faq_id']) ? null : (int)$_POST['faq_id'])) : (!isNum($_GET['faq_id']) ? null : (int)$_GET['faq_id']);
$t = !isset($_GET['t']) ? null : substr(stripinput($_GET['t']),0,3);
$fpage = !isset($t) || $t=='faq' ? 'faq' : 'cat';
if (isset($faq_cat_id) && !isNum($faq_cat_id)) fallback(ADMIN.FUSION_SELF);
if (isset($faq_id) && !isNum($faq_id)) fallback(ADMIN.FUSION_SELF);
if (!isset($action)) $action = "";
if (!isset($t)) $t = "";
$rowstart = (int)@$_GET['rowstart'];
$faq_per_page = 15;
$searchword="";
$search_link="";
$fields=2;
$method="OR";
$search = isset($_POST['search']) || isset($_GET['search']) ? 1 : 0;
$text_or_id = isset($_POST['text_or_id']) ? intval($_POST['text_or_id']) : 0;
$stext = isset($_POST['q']) ? stripinput($_POST['q']) : (isset($_GET['q']) ? stripinput($_GET['q']) : null); 
$swhere = "";
if ($search && !empty($stext)) {
   if (!$text_or_id) {
   $stext=str_replace(","," ",$stext);
   $fswords = explode(' ', $stext);
   $swords = array();
   for ($i=0;$i<sizeof($fswords);$i++) {
   	if (strlen($fswords[$i])>=3) {
   		$swords[] = $fswords[$i];
   	}
   }
   unset($fswords);
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "f.faq_question LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "f.faq_answer LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
    if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") OR (".$smessage."))";
		}
	}	
	if ($text_or_id) {
	$swhere = intval($stext)>0 ? "(f.faq_id='".intval($stext)."')" : $swhere;	
	} else {
		if(strlen($stext)>3) {
		$swhere = $swhere!="" ? $swhere.' AND ('.$fieldsvar.')' : $fieldsvar;
		}
	}
 	$search_link="&amp;search=1&amp;q=".urlencode($stext);
} 

require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";

switch($status)  {
	case "delcn":
		$title = $locale['faq400'];
		$message = "<b>".$locale['faq404']."</b><br>\n".$locale['faq405'];
	break;
	case "delcy":
		$title = $locale['faq400'];
		$message = "<b>".$locale['faq401']."</b>";
	break;
	default:
		$title = $message = '';
	break;	
}
if (isset($status) && $title!='' && $message!="") {	
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if ($action == "delete" && $t == "cat") {
	$result = dbquery("SELECT * FROM ".$db_prefix."faqs WHERE faq_cat_id='$faq_cat_id'");
	if (dbrows($result) != 0) {
		redirect(ADMIN.FUSION_SELF.$aidlink."&t=cat&status=delcn");
	} else {
		$result = update_table(DB_PREFIX."faq_cats","WHERE faq_cat_id='$faq_cat_id'","delete");
		redirect(ADMIN.FUSION_SELF.$aidlink."&t=cat&status=delcy");
	}
	closetable();
} else {
	if ($action == "delete" && $t == "faq") {
		$faq_count = dbcount("(faq_id)", "faqs", "faq_id='$faq_id'");
		$result = update_table(DB_PREFIX."faqs","WHERE faq_id='$faq_id'","delete");
		if ($faq_count != 0) {
			redirect(ADMIN.FUSION_SELF.$aidlink."&faq_cat_id=$faq_cat_id");
		} else {
			redirect(ADMIN.FUSION_SELF.$aidlink);
		}
	}
	if (isset($_POST['save_cat'])) {
		$faq_cat_name = stripinput($_POST['faq_cat_name']);
		$faq_cat_description = stripinput($_POST['faq_cat_description']);
		$faq_cat_locale = !isset($_POST['faq_cat_locale']) ? 'all' : stripinput($_POST['faq_cat_locale']);
		if ($action == "edit" && $t == "cat") {
			$result = update_table(DB_PREFIX."faq_cats","SET faq_cat_name='$faq_cat_name', faq_cat_description='$faq_cat_description',faq_cat_locale='$faq_cat_locale' WHERE faq_cat_id='$faq_cat_id'","update");
		} else {
			if ($faq_cat_name != "") {
				$result = update_table(DB_PREFIX."faq_cats","(faq_cat_name, faq_cat_description,faq_cat_locale) VALUES('$faq_cat_name', '$faq_cat_description','$faq_cat_locale')","insert");
			}
		}
		redirect(ADMIN.FUSION_SELF.$aidlink."&t=cat");
	}
	if (isset($_POST['save_faq'])) {
		$faq_question = stripinput($_POST['faq_question']);
		$faq_answer = addslash($_POST['faq_answer']);
		if ($action == "edit" && $t == "faq") {
			$result = update_table(DB_PREFIX."faqs","SET faq_cat_id='$faq_cat', faq_question='$faq_question', faq_answer='$faq_answer' WHERE faq_id='$faq_id'","update");
		} else {
			if ($faq_question != "" && $faq_answer != "") {
				$result = update_table(DB_PREFIX."faqs","(faq_cat_id, faq_question, faq_answer) VALUES ('$faq_cat', '$faq_question', '$faq_answer')","insert");
			}
		}
		redirect(ADMIN.FUSION_SELF.$aidlink."&faq_cat_id=$faq_cat");
	}
	if ($action == "edit") {
		if ($t == "cat") {
			$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."faq_cats WHERE faq_cat_id='$faq_cat_id'"));
			$faq_cat_id = $data['faq_cat_id'];
			$faq_cat_name = $data['faq_cat_name'];
			$faq_cat_description = $data['faq_cat_description'];
			$faq_cat_locale = $data['faq_cat_locale'];
			$faq_cat_title = $locale['faq421'];
			$faq_cat_action = ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;faq_cat_id=$faq_cat_id&amp;t=cat";
			// --------------------- //
			$faq_question = "";
			$faq_answer = "";
			$faq_title = $locale['faq422'];
			$faq_action = ADMIN.FUSION_SELF.$aidlink;
		} else if ($t == "faq") {
			$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."faqs WHERE faq_id='$faq_id'"));
			$faq_cat_name = "";
			$faq_cat_description = "";
			$faq_cat_locale = 'all';
			$faq_cat_title = $locale['faq420'];
			$faq_cat_action = ADMIN.FUSION_SELF.$aidlink;
			// --------------------- //
			$faq_id = $data['faq_id'];
			$faq_question = $data['faq_question'];
			$faq_answer = stripslashes($data['faq_answer']);
			$faq_title = $locale['faq423'];
			$faq_action = ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;faq_id=$faq_id&amp;t=faq";
		}
	} else {
		$faq_cat_name = "";
		$faq_cat_description = "";
		$faq_cat_title = $locale['faq420'];
		$faq_cat_action = ADMIN.FUSION_SELF.$aidlink;
		$faq_question = "";
		$faq_answer = "";
		$faq_title = $locale['faq422'];
		$faq_action = ADMIN.FUSION_SELF.$aidlink;
	}
	
opentable($locale['ac01']." :: ".$locale['main210']);
echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
echo "<td align='center' width='25%' class='".($fpage!='faq' ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($fpage == 'faq' ? "<b>".$locale['main210']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."'>".$locale['main210']."</a>")."</span></td>\n";
echo "<td align='center' width='25%' class='".($fpage!='cat' ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($fpage == 'cat' ? "<b>".$locale['main210a']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;t=cat'>".$locale['main210a']."</a>")."</span></td>\n";
echo "</tr></table>";
closetable();
tablebreak();	
if ($fpage=="cat") {
$locale_files = makefilelist(LOCALE, ".|..|flags", true, "folders");
		array_unshift($locale_files, "all");	
opentable($faq_cat_title);
echo "<form name='add_faq_cat' method='post' action='$faq_cat_action'>
<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>
<tr>
<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['faq440'].":</td>
<td class='tbl2'><input type='text' name='faq_cat_name' value='$faq_cat_name' class='textbox' style='width:250px'></td>
</tr>
<tr>
<td width='1%' class='tbl1' valign='top' style='white-space:nowrap'>".$locale['faq442'].":</td>
<td class='tbl2'><textarea name='faq_cat_description' class='textbox' style='width:250px;height:60px;'>$faq_cat_description</textarea></td>
</tr>";
if ((bool)$settings['locale_switcher']) {
echo "<tr>
<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['main510']." </td>
<td class='tbl2'><select name='faq_cat_locale' class='textbox'>
".makefileopts($locale_files,$faq_cat_locale)."
</select></td>
</tr>
";	
}
echo "<tr>
<td align='center' colspan='2' class='tbl1'>
<input type='submit' name='save_cat' value='".$locale['faq441']."' class='button'></td>
</tr>
</table>
</form>\n";	
closetable();
tablebreak();
opentable($locale['faq460']);
$result = dbquery("SELECT * FROM ".$db_prefix."faq_cats ORDER BY faq_cat_name");
if (dbrows($result) != 0) {
	echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'><tr>
<td class='tbl2'>".$locale['faq481']."</td>
<td align='right' class='tbl2'>".$locale['faq482']."</td>
</tr>\n";
	while ($data = dbarray($result)) {
		$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		if (!isset($faq_cat_id)) $faq_cat_id = "";
		if ($data['faq_cat_id'] == $faq_cat_id) { $p_img = "off"; $div = ""; } else { $p_img = "on"; $div = "style='display:none'"; }
		echo "<tr>
<td class='$cell_color'><strong>".$data['faq_cat_name']."</strong>".($data['faq_cat_description']!="" ? "<small><br />" .stripslashes($data['faq_cat_description'])."</small>" : "")."</td>
<td class='$cell_color' align='right' style='font-weight:normal;'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;faq_cat_id=".$data['faq_cat_id']."&amp;t=cat'>".$locale['faq483']."</a> -
<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=delete&amp;faq_cat_id=".$data['faq_cat_id']."&amp;t=cat' onClick='return DeleteItem()'>".$locale['faq484']."</a></td>
</tr>\n";
	}
echo "</table>\n";

} else {
	echo "<center>".$locale['faq486']."<br>\n</center>\n";
}
closetable();
}
	
if ($fpage=='faq') {
// Verfgbare Artikel
$rows = dbcount("(faq_cat_id)","faq_cats");
$result = dbquery("SELECT fc.faq_cat_name,f.* FROM ".DB_PREFIX."faqs f 
LEFT OUTER JOIN ".DB_PREFIX."faq_cats fc ON f.faq_cat_id=fc.faq_cat_id".($swhere!="" ? " WHERE ".$swhere :""));
$allrows = dbrows($result);

if ($rows > 0) {
	$result2 = dbquery("SELECT fc.faq_cat_name as cat,f.* FROM ".DB_PREFIX."faqs f 
LEFT OUTER JOIN ".DB_PREFIX."faq_cats fc ON f.faq_cat_id=fc.faq_cat_id".($swhere!="" ? " WHERE ".$swhere :"")." ORDER BY fc.faq_cat_name,f.faq_id LIMIT ".$rowstart.",".$faq_per_page);
	$current_cat='';$i=0;
	$arows=dbrows($result2);
	if (function_exists("opentablex")) opentablex($locale['faq480'],($action=='edit' || isset($faq_id) && $faq_id>0 ? 'off' : 'on')); else opensidex($locale['faq480'],($action=='edit' || isset($faq_id) && $faq_id>0 ? 'off' : 'on'));
	echo "<table border='0' cellspacing='0' cellpadding='0' width='100%'><form action='".ADMIN.FUSION_SELF.$aidlink."' method='post'><tr><td align='right'><input type='text' name='q' class='textbox' style='width:150px;' value='$stext'><input type='hidden' name='search' value='search'> <input type='submit' value='".$locale['cp132']."' class='button'><br /><input type='radio' name='text_or_id' value='0'".($text_or_id==0 ? " checked" : "").">".$locale['cp137']." <input type='radio' name='text_or_id' value='1'".($text_or_id==1 ? " checked" : "").">".$locale['cp138']."</td></tr></form></table>\n";
	
	echo '<table border="0" cellspacing="1" cellpadding="0" class="tbl-border" width="100%"><form action="'.ADMIN.FUSION_SELF.$aidlink.'" method="post">';	
	echo "<tr class='tbl1' height='20'>
	<td width='1%' class='tbl1'>&nbsp;</td>
	<td width='5%' align='center' class='tbl1'><b>".$locale['cp138']."</b></td>
	<td width='71%' class='tbl1'><b>".$locale['main210']."</b></td>
	<td width='8%' align='center' class='tbl1'><b>".$locale['cp126']."</b></td>
	</tr>\n"; 
	if ($allrows>0) {
		while($data=dbarray($result2)) {
			if ($current_cat!=$data['faq_cat_id']) {
				$current_cat=$data['faq_cat_id'];
				echo '<tr><th class="side-label" colspan="4">'.$data['cat'].'</th></tr>';			$i=0;		
			}
			$tbl_class = $i%2==0 ? 'tbl1' : 'tbl2';
			echo '<tr class="'.$tbl_class.'"><td width="1%" class="'.$tbl_class.'"><input type="checkbox" name="faq_id[]" id="faq_id" value="'.$data['faq_id'].'" /></td><td width="1%" align="center" class="'.$tbl_class.'"><a href="'.BASEDIR.'faq.php?id='.$data['faq_cat_id'].'#faq'.$data['faq_id'].'">'.$data['faq_id'].'</a></td><td class="'.$tbl_class.'">'.$data['faq_question'].'</td><td align="center" class="'.$tbl_class.'"><nobr><a href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;action=edit&faq_id='.$data['faq_id'].'&amp;faq_cat_id='.$data['faq_cat_id'].'&amp;t=faq"><img src="'.IMAGES.'edit.gif" alt="'.$locale['newart409'].'" title="'.$locale['newart409'].'" border="0"></a> <a href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;action=delete&faq_id='.$data['faq_id'].'&amp;faq_cat_id='.$data['faq_cat_id'].'&amp;t=faq" onClick="return DeleteItem();"><img src="'.IMAGES.'delete.gif" alt="'.$locale['newart410'].'" title="'.$locale['newart410'].'" border="0"></nobr></td></tr>';
		$i++;
		}
	} else {
	echo '<tr><td colspan="5" class="tbl1">'.$locale['faq485'].'</td></tr>';	
	}
		
	echo '</form></table>';	
	if ($allrows>$arows) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$faq_per_page,$allrows,3,ADMIN.FUSION_SELF.$aidlink.$search_link."&amp;")."\n</div>";
	if (function_exists("closetablex")) closetablex(); else closesidex();
	tablebreak();		
		$cat_opts = ""; $sel = "";
		$result2 = dbquery("SELECT * FROM ".$db_prefix."faq_cats ORDER BY faq_cat_name");
		if (dbrows($result2) != 0) {
			if (!$t) tablebreak();
			while ($data2 = dbarray($result2)) {
				if ($action == "edit" && $t == "faq")  $sel = ($data2['faq_cat_id'] == $faq_cat_id ? " selected" : "");
				$cat_opts .= "<option value='".$data2['faq_cat_id']."'$sel>".$data2['faq_cat_name']."</option>\n";
			}
			opentable($faq_title);
			echo "<form name='inputform' method='post' action='$faq_action'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['faq460'].":&nbsp;</td>
<td class='tbl'><select name='faq_cat' class='textbox' style='width:250px;'>
$cat_opts</select></td>
</tr>
<tr>
<td class='tbl'>".$locale['faq461'].":&nbsp;</td>
<td class='tbl'><input type='text' name='faq_question' value='$faq_question' class='textbox' style='width:335px'></td>
</tr>
<tr>
<td valign='top' class='tbl'>".$locale['faq462'].":&nbsp;</td>
<td class='tbl'><textarea name='faq_answer' rows='5' cols='61' class='textbox'>".phpentities(stripslashes($faq_answer))."</textarea></td>
</tr>
<tr>
<td class='tbl'></td><td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('faq_answer', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('faq_answer', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('faq_answer', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px' onClick=\"addText('faq_answer', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px' onClick=\"addText('faq_answer', '<img src=\'', '\' style=\'margin:5px\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px' onClick=\"addText('faq_answer', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px' onClick=\"addText('faq_answer', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px' onClick=\"addText('faq_answer', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px' onClick=\"addText('faq_answer', '<span class=\'alt\'>', '</span>');\"><br>
</td>
</tr>";

echo "<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='save_faq' value='".$locale['faq463']."' class='button'></td>
</tr>
</table>
</form>\n";	
			closetable();
		}
	} else {
		echo '<center>'.$locale['faq486'].'</center>';
	} 
}
}

echo "<script type='text/javascript'>
function DeleteItem()
{
return confirm('".$locale['faq487']."');
}
</script>\n";

echo "</td>\n";
require_once ADMIN."footer.php";
?>