<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("location: ../index.php"); exit; }
if (!checkrights("S3") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");

opentable($locale['main800']);
$expired = time()-(86400 * $_POST['prune_days']);
$delthreads = dbcount("(thread_id)","threads","thread_lastpost<'".$expired."'");
$delpolls=0;$delattach=0;$delposts=0;
$delnotify=0;$delrating=0;
$thread_id_list = "";$forum_id_list="";
if ($delthreads) {
	$tresult = dbquery("SELECT forum_id,thread_id FROM ".DB_PREFIX."threads WHERE thread_lastpost<'".$expired."'");
	while($tdata=dbarray($tresult))  {
		$thread_id_list .= ($thread_id_list ? "," : "").$tdata['thread_id'];
		$forum_id_list .= ($forum_id_list ? "," : "").$tdata['forum_id'];
	}

$delposts = dbcount("(post_id)","posts","thread_id IN($thread_id_list)");
$delattach = dbcount("(attach_id)","forum_attachments","thread_id IN($thread_id_list)");			
$delpolls = dbcount("(poll_id)","forum_polls","thread_id IN($thread_id_list)");
$delnotify = dbcount("(thread_id)","thread_notify","thread_id IN($thread_id_list)");
$delrating = dbcount("(rating_id)","ratings","rating_item_id IN($thread_id_list) AND rating_type='M'");

			if ($delposts) {
			$result = dbquery("DELETE FROM ".$db_prefix."posts WHERE thread_id IN ($thread_id_list)");
			}
			$result = dbquery("DELETE FROM ".$db_prefix."threads WHERE thread_id IN ($thread_id_list)");
			if ($delnotify) {
			$result = dbquery("DELETE FROM ".$db_prefix."thread_notify WHERE thread_id IN ($thread_id_list)");
			}
			if ($delrating) {
			$result = dbquery("DELETE FROM ".$db_prefix."ratings WHERE rating_item_id IN($thread_id_list) AND rating_type='M'"); // zoc
			}
			if ($delattach) {
			$aresult = dbquery("SELECT attach_name FROM ".$db_prefix."forum_attachments WHERE thread_id IN($thread_id_list)");
			while ($attach = dbarray($aresult)) {
				@unlink(FORUM."attachments/".$attach['attach_name']);
			}
			$result = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE thread_id IN ($thread_id_list)");
			}
			if ($delpolls) {
			$poll_result = dbquery("SELECT poll_id FROM ".$db_prefix."forum_polls WHERE thread_id thread_id IN ($thread_id_list)");
				if (dbrows($poll_result)) {
				$poll_data=dbarray($poll_result);
				$options_del = dbquery("DELETE FROM ".DB_PREFIX."forum_poll_options WHERE poll_id='".$poll_data['poll_id']."'");	
				$votes_del = dbquery("DELETE FROM ".DB_PREFIX."forum_poll_votes WHERE poll_id='".$poll_data['poll_id']."'");
				}
				$poll_del = dbquery("DELETE FROM ".DB_PREFIX."forum_polls WHERE thread_id IN ($thread_id_list)");
			}	
		
$forum_list = explode(",",$forum_id_list);
$forum_list = array_unique($forum_list);
sort($forum_list);
		foreach($forum_list as $forum) {
		fu_f_update_forum($forum);
		}
		optimize_tables();
}		
echo $locale['main801'].$delposts."<br>\n".$locale['main802'].$delthreads."<br>\n".$locale['main803'].$delattach."<br>".$locale['main804'].$delpolls."<br>\n";		
closetable();
tablebreak();
?>