<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";

if (!checkrights("IM") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
elseif(!isset($_GET['ifolder']) || isset($_GET['ifolder']) && !in_array($_GET['ifolder'],array("images",'imagesa','imagesn','imagesnc','imagesac','imagesdc'))) redirect(JSCRIPTS."tiny_mce/plugins/ajaxfilemanager/imagemanager.php".$aidlink);
if (isset($action) && $action = "update") include INCLUDES."buildlist.php";

if ($ifolder == "images") { $afolder = IMAGES; }
elseif ($ifolder == "imagesa") { $afolder = IMAGES_A; $title=$locale['main201'];}
elseif ($ifolder == "imagesn") { $afolder = IMAGES_N; $title=$locale['main216'];}
elseif ($ifolder == "imagesnc") { $afolder = IMAGES_NC; $title=$locale['main235'];}
elseif ($ifolder == "imagesdc") { $afolder = IMAGES_DC; $title=$locale['main208'];}
elseif ($ifolder == "imagesac") { $afolder = IMAGES_AC; $title=$locale['main202'];}
if (isset($status)) {
	if ($status == "del") {
		$title = $locale['imgs400'];
		$message = "<b>".$locale['imgs401']."</b>";
	} elseif ($status == "upn") {
		$title = $locale['imgs420'];
		$message = "<b>".$locale['imgs425']."</b>";
	} elseif ($status == "upy") {
		$title = $locale['imgs420'];
		$message = "<img src='".$afolder.$img."' alt='$img'><br><br>\n<b>".$locale['imgs426']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($del)) {
	unlink($afolder."$del");
	if ($settings['tinymce_enabled'] == 1) include INCLUDES."buildlist.php";
	redirect(FUSION_SELF.$aidlink."&status=del&ifolder=$ifolder");
} else if (isset($_POST['uploadimage'])) {
	$error = "";
	$image_types = array(
		".gif",
		".GIF",
		".jpeg",
		".JPEG",
		".jpg",
		".JPG",
		".png",
		".PNG"
	);
	$imgext = strrchr($_FILES['myfile']['name'], ".");
	$imgname = $_FILES['myfile']['name'];
	$imgsize = $_FILES['myfile']['size'];
	$imgtemp = $_FILES['myfile']['tmp_name'];
	if (!in_array($imgext, $image_types)) {
		redirect(FUSION_SELF.$aidlink."&status=upn&ifolder=$ifolder");
	} elseif (is_uploaded_file($imgtemp)){
		move_uploaded_file($imgtemp, $afolder.$imgname);
		chmod($afolder.$imgname,0777);
		include INCLUDES."buildlist.php";
		redirect(FUSION_SELF.$aidlink."&status=upy&ifolder=$ifolder&img=$imgname");
	}
} else {
	opentable($title.': '.$locale['imgs420']);
	echo "<form name='uploadform' method='post' action='".FUSION_SELF.$aidlink."&amp;ifolder=$ifolder' enctype='multipart/form-data'>
<table align='center' cellpadding='0' cellspacing='0' width='350'>
<tr>
<td width='80' class='tbl'>".$locale['imgs421']."</td>
<td class='tbl'><input type='file' name='myfile' class='textbox' style='width:250px;'>
</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='uploadimage' value='".$locale['imgs420']."' class='button' style='width:100px;'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	if (isset($view)) {
		opentable($title.': '.$locale['imgs440']);
		echo "<center><br>\n";
		$image_ext = strrchr($afolder.$view,".");
		if (in_array($image_ext, array(".gif",".GIF",".jpg",".JPG",".jpeg",".JPEG",".png",".PNG"))) {
			echo "<img src='".$afolder.$view."' alt='$view'><br><br>\n";
		} else {
			echo $locale['imgs441']."<br><br>\n";
		}
		echo "<a href='".FUSION_SELF.$aidlink."&amp;del=$view'>".$locale['imgs442']."</a><br><br>\n<a href='".FUSION_SELF.$aidlink."'>".$locale['imgs402']."</a><br><br>\n</center>\n";
		closetable();
	} else {
		$image_list = makefilelist($afolder, ".|..|imagelist.js|index.php", true);
		if ($image_list) { $image_count = count($image_list); }
		opentable($title.': '.$locale['imgs460']);
		echo "<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>
\n";
		if ($image_list) {
			for ($i=0;$i < $image_count;$i++) {
				if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
				echo "<tr>\n<td class='$row_color'>$image_list[$i]</td>
<td align='right' width='1%' class='$row_color' style='white-space:nowrap'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;ifolder=$ifolder&amp;view=$image_list[$i]'>".$locale['imgs461']."</a> -
<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;ifolder=$ifolder&amp;del=$image_list[$i]'>".$locale['imgs462']."</a></td>
</tr>\n";
			}
			echo "<tr>\n<td align='center' colspan='2' class='tbl1'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;ifolder=$ifolder&amp;action=update'>".$locale['imgs464']."</a></td>\n</tr>\n";
		} else {
			echo "<tr>\n<td align='center' class='tbl1'>".$locale['imgs463']."</td>\n</tr>\n";
		}
		echo "</table>\n";
		closetable();
	}
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>