<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
if (!iADMIN || $userdata['user_rights'] == "" || !defined("iAUTH") || $aid != iAUTH) fallback(BASEDIR.'index.php');
$admin_rights = "'".str_replace(".","','",iUSER_RIGHTS)."'";
$page1 = dbcount("(admin_id)","admin","admin_page='1' AND admin_rights IN(".$admin_rights.") AND admin_link!='reserved'");
$page2 = dbcount("(admin_id)","admin","admin_page='2' AND admin_rights IN(".$admin_rights.") AND admin_link!='reserved'");
$page3 = dbcount("(admin_id)","admin","admin_page='3' AND admin_rights IN(".$admin_rights.") AND admin_link!='reserved'");
$page4 = dbcount("(admin_id)","admin","admin_page='4' AND admin_rights IN(".$admin_rights.") AND admin_link!='reserved'");

// Work out which tab is the active default
if ($page1) {$default = 1;}
elseif ($page2) { $default = 2; }
elseif ($page3) { $default = 3; }
elseif ($page4) { $default = 4; }
else { fallback(BASEDIR.'index.php'); }
$pagenum = (int)@$_GET['pagenum']>0 ? (int)@$_GET['pagenum'] : $default;

// Ensure the admin is allowed to access the selected page
$pageon = true;
if ($pagenum == 1 && !$page1) $pageon = false;
if ($pagenum == 2 && !$page2) $pageon = false;
if ($pagenum == 3 && !$page3) $pageon = false;
if ($pagenum == 4 && !$page4) $pageon = false;
if ($pageon == false) redirect(ADMIN.FUSION_SELF.$aidlink."&pagenum=$default");

// Display admin panels & pages
opentable($locale['main200']." - v".$settings['version']);
echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
if ($page1) {
	echo "<td align='center' width='25%' class='".($pagenum == 1 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 1 ? "<b>".$locale['ac01']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;pagenum=1'>".$locale['ac01']."</a>")."</span></td>\n";
}
if ($page2) {
	echo "<td align='center' width='25%' class='".($pagenum == 2 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 2 ? "<b>".$locale['ac02']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;pagenum=2'>".$locale['ac02']."</a>")."</span></td>\n";
}
if ($page3) {
	echo "<td align='center' width='25%' class='".($pagenum == 3 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 3 ? "<b>".$locale['ac03']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;pagenum=3'>".$locale['ac03']."</a>")."</span></td>\n";
}
if ($page4) {
	echo "<td align='center' width='25%' class='".($pagenum == 4 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 4 ? "<b>".$locale['ac04']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;pagenum=4'>".$locale['ac04']."</a>")."</span></td>\n";
}
echo '</tr>
<tr>
<td colspan="4" class="tbl1">';

$result = dbquery("SELECT admin_title,admin_image,admin_link FROM ".$db_prefix."admin WHERE admin_page='".$pagenum."' AND admin_link!='reserved' AND admin_rights IN(".$admin_rights.") ORDER BY admin_rights,admin_title");
$rows = dbrows($result);
if ($rows != 0) {
	$counter = 0; $columns = 4;
	$align = "center";
	echo '<table cellpadding="0" cellspacing="0" width="100%">
	<tr>';
	while ($data = dbarray($result)) {
		$data['admin_title'] = (!isset($locale[$data['admin_title']]) ? $data['admin_title'] : $locale[$data['admin_title']]);
			if ($counter != 0 && ($counter % $columns == 0)) echo "</tr>\n<tr>\n";
			echo '<td align="'.$align.'" width="25%" class="tbl1">';
			echo '<span class="small"><a href="'.$data['admin_link'].$aidlink.'">';
			echo '<img src="'.ADMIN.'images/'.$data['admin_image'].'" alt="'.$data['admin_title'].'" title="'.$data['admin_title'].'" style="border:0px solid #444444;" /><br />';
			echo $data['admin_title'].'</a></span>';
			echo '</td>';
			$counter++;
	}@mysql_free_result($result);
	echo "</tr>\n</table>\n";
} else {
	echo "<center><br>\n".$locale['main401']."<br><br>\n</center>\n";
}
echo "</td>\n</tr>\n</table>\n";
closetable();
tablebreak();
opentable($locale['main250']);
echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td valign='top' width='33%' class='small'>
".$locale['main251']." ".dbcount("(user_id)", "users", "user_level=101 AND user_status='0'")."<br>
".$locale['main252']." ".dbcount("(user_id)", "users", "user_level>0 AND user_status='2'")."<br>
".$locale['main253']." ".dbcount("(user_id)", "users", "user_level>0 AND user_status='1'")."
</td>
<td valign='top' width='33%' class='small'>
".$locale['main254']." ".dbcount("(submit_id)", "submissions", "submit_type='n'")."<br>
".$locale['main255']." ".dbcount("(submit_id)", "submissions", "submit_type='a'")."<br>
".$locale['main256']." ".dbcount("(submit_id)", "submissions", "submit_type='l'")."<br>
".$locale['main260']." ".dbcount("(submit_id)", "submissions", "submit_type='p'")."
<td valign='top' width='33%' class='small'>
".$locale['main257']." ".dbcount("(comment_id)", "comments")."<br>
".$locale['main258']." ".dbcount("(shout_id)", "shoutbox")."<br>
".$locale['main259']." ".dbcount("(post_id)", "posts")."<br>
".$locale['main261']." ".dbcount("(photo_id)", "photos")."
</td>\n</tr>\n</table>\n";
closetable();

echo "</td>\n";
require_once ADMIN."footer.php";
?>