<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.01.
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";

if (!checkrights("I") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");

$inf_title = ""; $inf_description = ""; $inf_version = ""; $inf_developer = ""; $inf_email = ""; $inf_weburl = ""; 
$inf_folder = ""; $inf_admin_image = ""; $inf_admin_panel = ""; $inf_link_name = ""; $inf_link_url = ""; $inf_link_visibility = "";
$inf_newtables = 0; $inf_insertdbrows = 0; $inf_altertables = 0; $inf_deldbrows = 0;$inf_upgradetables = 0;$inf_insert_upgradedbrows=0;
$inf_admin_rights = "IP";$inf_link_locale = 'all';
$infuse = isset($_POST['infuse']) ? true : (isset($_GET['infuse']) ? true : null);
$infusion = isset($_POST['infusion']) ? htmlentities($_POST['infusion']) : (isset($_GET['infusion']) ? htmlentities($_GET['infusion']) : null);
$defuse = isset($_POST['defuse']) && (int)$_POST['defuse']>0 ? (int)$_POST['defuse'] : (isset($_GET['defuse']) && (int)$_GET['defuse']>0 ? (int)$_GET['defuse'] : null);
if (!isset($infuse) && !isset($infusion) && !isset($defuse)) {
	$temp = opendir(INFUSIONS);
	$file_list = array();
	while ($folder = readdir($temp)) {
		if (!in_array($folder, array("..","."))) {
			if (is_dir(INFUSIONS.$folder) && file_exists(INFUSIONS.$folder."/infusion.php") && ($folder!="forum_polls" && $folder!="forum_ignore")) {
				include INFUSIONS.$folder."/infusion.php";
				$result = dbquery("SELECT * FROM ".$db_prefix."infusions WHERE inf_folder='$inf_folder'");
				if (dbrows($result)) {
					$data = dbarray($result);
					if ($inf_version > $data['inf_version']) {
						$file_list[] = "<option value='".$folder."' style='color:blue;'>".ucwords(str_replace("_"," ",$folder))."</option>\n";
					} else {
						$file_list[] = "<option value='".$folder."' style='color:green;'>".ucwords(str_replace("_"," ",$folder))."</option>\n";
					}
				} else {
					$file_list[] = "<option value='".$folder."' style='color:red;'>".ucwords(str_replace("_"," ",$folder))."</option>\n";
				}
				$inf_title = ""; $inf_description = ""; $inf_version = ""; $inf_developer = ""; $inf_email = ""; $inf_weburl = ""; 
				$inf_folder = ""; $inf_admin_image = ""; $inf_admin_panel = ""; $inf_link_name = ""; $inf_link_url = ""; $inf_link_visibility = "";
				$inf_newtables = 0; $inf_insertdbrows = 0; $inf_altertables = 0; $inf_deldbrows = 0;$inf_admin_rights = "IP";$inf_link_locale='all';
				$inf_upgradetables = 0;
				
			}
		}
	}
	closedir($temp); sort($file_list);
	
	opentable($locale['inf400']);
	echo "<form name='infuseform' method='post' action='".ADMIN.FUSION_SELF.$aidlink."'>
	<center><select name='infusion' class='textbox' style='width:200px;'>\n";
	for ($i=0;$i < count($file_list);$i++) echo $file_list[$i];
	echo "</select> <input type='submit' name='infuse' value='".$locale['inf401']."' class='button'>\n";
	if (isset($error)) echo "<br><br>\n".($error == 1 ? $locale['inf402'] : $locale['inf403'])."<br><br>\n";
	echo "<br><br>
	".$locale['inf413']." <span style='color:red;'>".$locale['inf414']."</span> -
	<span style='color:green;'>".$locale['inf415']."</span> -
	<span style='color:blue;'>".$locale['inf416']."</span>
	</center>\n</form>\n";
	closetable();
}

if (isset($infuse) && isset($infusion)) {
	$stop=false;
	if (file_exists(INFUSIONS.$infusion."/infusion.php")) {
		include INFUSIONS.$infusion."/infusion.php";
		$result = dbquery("SELECT inf_id,inf_version FROM ".$db_prefix."infusions WHERE inf_folder='".$inf_folder."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			if (version_compare($inf_version,$data['inf_version'],">")) {
			if ($inf_upgrade_newtables >= 1) {
					for ($i=1;$i < ($inf_upgrade_newtables+1);$i++) if (update_table($db_prefix.$inf_upgrade_newtable_[$i],null,"create") or die(mysql_error()));
			}
			if ($inf_insert_upgradedbrows >= 1) {
				for ($i=1;$i < ($inf_insert_upgradedbrows+1);$i++) if (dbquery("INSERT INTO ".$db_prefix.$inf_insert_upgradedbrow_[$i]) or die(mysql_error()));
			}
				if ($inf_altertables >= 1) {
					for ($i=1;$i < ($inf_altertables+1);$i++) $result = dbquery("ALTER TABLE ".$db_prefix.$inf_altertable_[$i]);
				}
			
				$result2 = update_table(DB_PREFIX."infusions","SET inf_version='$inf_version' WHERE inf_id='".$data['inf_id']."'","update");
			} else {
				$error = "1";
			}
		} else {
			if ($inf_admin_panel != "") {
				$found=0;
				if ($inf_admin_rights!="IP") {
				$found = dbcount("(admin_rights)","admin","admin_rights='".$inf_admin_rights."'");
				}
				if ($found==0) {
					if ($inf_admin_image == "") $inf_admin_image = "infusion_panel.gif";
					$result = update_table(DB_PREFIX."admin","(admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('".$inf_admin_rights."', '".$inf_admin_image."', '".$inf_title."', '".INFUSIONS.$inf_folder."/".$inf_admin_panel."', '4')","insert");
				
						$result = dbquery("SELECT user_id, user_rights FROM ".DB_PREFIX."users WHERE user_level='103'");
						while ($data = dbarray($result)) {
							$result2 = dbquery("UPDATE ".DB_PREFIX."users SET user_rights='".$data['user_rights'].".".$inf_admin_rights."' WHERE user_id='".$data['user_id']."'");
						}
				} else {
					$stop = true;	
				}
			}
			if (!(bool)$stop) {
			if ($inf_link_name != "") {
				$link_order = dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."site_links"),0)+1;
				$result = update_table(DB_PREFIX."site_links","(link_name, link_url, link_visibility, link_position, link_window, link_order,link_locale) VALUES ('$inf_link_name', '".str_replace($folder_level,'',INFUSIONS).$inf_folder."/".$inf_link_url."', '$inf_link_visibility', '1', '0', '$link_order','$inf_link_locale')","insert");
				}
			if ($inf_newtables >= 1) {
				for ($i=1;$i < ($inf_newtables+1);$i++) if (update_table($db_prefix.$inf_newtable_[$i],null,"create") or die(mysql_error()));
			}
			if ($inf_insertdbrows >= 1) {
				for ($i=1;$i < ($inf_insertdbrows+1);$i++) if (dbquery("INSERT INTO ".$db_prefix.$inf_insertdbrow_[$i]) or die(mysql_error()));
			}
			$result = update_table(DB_PREFIX."infusions","(inf_title, inf_folder, inf_version) VALUES ('$inf_title', '$inf_folder', '$inf_version')","insert");
		    } else {
		    	
		    }
		}
	} else {
		$error = "2";
	}
	redirect(ADMIN.FUSION_SELF.(isset($error) ? $aidlink."&error=".$error : $aidlink));
}


if (isset($defuse)) {
	if (!isNum($defuse)) fallback(ADMIN.FUSION_SELF.$aidlink);
	$result = dbquery("SELECT * FROM ".$db_prefix."infusions WHERE inf_id='$defuse'");
	$data = dbarray($result);
	include INFUSIONS.$data['inf_folder']."/infusion.php";
	if ($inf_admin_panel != "") {
		$result = update_table(DB_PREFIX."admin","WHERE admin_link='".INFUSIONS.$inf_folder."/".$inf_admin_panel."' AND admin_page='4'","delete");
		if (!(bool)$result) die(mysql_error());
		
	}
	
	if ($inf_link_name != "") {
		$result2 = dbquery("SELECT * FROM ".$db_prefix."site_links WHERE link_url='".str_replace($folder_level,"",INFUSIONS).$inf_folder."/".$inf_link_url."'");
		if (dbrows($result2) == "1") {
			$data2 = dbarray($result2);
			$result = update_table(DB_PREFIX."site_links","SET link_order=link_order-1 WHERE link_order>'".$data2['link_order']."'","update");
			$result = update_table(DB_PREFIX."site_links","WHERE link_id='".$data2['link_id']."'","delete");
		}
	}
	if ($inf_newtables >= 1) {
		for ($i=1;$i < ($inf_newtables+1);$i++) $result = update_table($db_prefix.$inf_droptable_[$i],null,"drop");
	}
	if ($inf_deldbrows >= 1) {
		for ($i=1;$i < ($inf_deldbrows+1);$i++) $result = dbquery("DELETE FROM ".$db_prefix.$inf_deldbrow_[$i]);
	}
	
	if ($inf_admin_rights!='IP') {
			$result = dbquery("SELECT user_id, user_rights FROM ".DB_PREFIX."users WHERE user_level>='102'");
				while ($data = dbarray($result)) {
					$user_rights = explode(".", $data['user_rights']);
						if (in_array($inf_admin_rights, $user_rights)) {
							$key = array_search($inf_admin_rights, $user_rights);
							unset($user_rights[$key]);
				}
				$result2 = dbquery("UPDATE ".DB_PREFIX."users SET user_rights='".implode(".", $user_rights)."' WHERE user_id='".$data['user_id']."'");
			}	
	}
	if ($inf_panels!='') {
		$panels = count($inf_panels);
		$i=0;
			for($i=0;$i<$panels;$i++) {
				$result = update_table(DB_PREFIX."panels","WHERE panel_filename='".$inf_panels[$i]."'","delete");
			}
	}
	$result = update_table(DB_PREFIX."infusions","WHERE inf_id='$defuse'","delete");
	redirect(ADMIN.FUSION_SELF.$aidlink);
}

$result = dbquery("SELECT * FROM ".$db_prefix."infusions WHERE inf_folder!='forum_polls' AND inf_folder!='forum_ignore' ORDER BY inf_title");
if (dbrows($result)) {
	$i = 0;
	tablebreak();
	opentable($locale['inf404']);
	echo "<table align='center' cellpadding='0' cellspacing='1' width='95%' class='tbl-border'>
<tr>
<td class='tbl2'><b>".$locale['inf405']."</b></td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['inf406']."</b></td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['inf407']."</b></td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['inf408']."</b></td>
<td align='center' width='1%' class='tbl2'> </td>
</tr>\n";
	while ($data = dbarray($result)) {
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
		if (@include INFUSIONS.$data['inf_folder']."/infusion.php") {
			echo "<tr>
<td class='$row_color'><span title='$inf_description' style='cursor:hand;'>$inf_title</span></td>
<td align='center' width='1%' class='$row_color' style='white-space:nowrap'>{$data['inf_version']}".(version_compare($data['inf_version'],$inf_version,"<") ? "<br /><a href='".ADMIN.FUSION_SELF.$aidlink."&infuse=1&infusion=".$data['inf_folder']."'><small><span style='color:blue;'>".$locale['inf416']."</span></small></a>" : "")."</td>
<td align='center' width='1%' class='$row_color' style='white-space:nowrap'>$inf_developer</td>
<td align='center' width='1%' class='$row_color' style='white-space:nowrap'><a href='mailto:$inf_email'>".$locale['inf409']."</a> / <a href='$inf_weburl'>".$locale['inf410']."</a></td>
<td align='center' width='1%' class='$row_color' style='white-space:nowrap'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;defuse=".$data['inf_id']."' onclick='return Defuse();'>".$locale['inf411']."</a></td>
</tr>\n";
			$i++;
		}
		$inf_title = ""; $inf_description = ""; $inf_version = ""; $inf_developer = ""; $inf_email = ""; $inf_weburl = ""; 
		$inf_folder = ""; $inf_admin_image = ""; $inf_admin_panel = ""; $inf_link_name = ""; $inf_link_url = ""; $inf_link_visibility = "";
		$inf_newtables = 0; $inf_insertdbrows = 0; $inf_altertables = 0; $inf_deldbrows = 0;
	}
	echo "</table>\n";
	closetable();
}
		
echo "<script type='text/javascript'>
function Defuse() {
	return confirm(".js_umlaut_changer($locale['inf412']).");
}
</script>\n";

echo "</td>\n";
require_once ADMIN."footer.php";
?>