<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| ########################################################### || 
\*=============================================================*/ 
if (!defined("IN_FUSION") || !IN_FUSION) { die("Access denied!"); }
@require_once(LOCALE.LOCALESET."admin.php");


if (!function_exists("locale")) {
function locale($loc_var) {
global $locale;
$locale[@$loc_var] = isset($locale[$loc_var]) ? @$locale[@$loc_var] : "";
return @$locale[@$loc_var];	
} 
}
$page_num = isset($_GET['pagenum']) && intval($_GET['pagenum'])>0 ? intval($_GET['pagenum']) : "1";
if (isset($_GET['pagenum']) && intval($page_num)>0) {
	$_SESSION['adm_page'] = $page_num;
} 

function cache_admin_rights() {
	global $locale;
$my_rights = implode("','",explode(".",iUSER_RIGHTS));

$sql="SELECT * FROM ".DB_PREFIX."admin WHERE ".(iSUPERADMIN ? "" : "admin_rights IN('".$my_rights."') AND ")."admin_link!='reserved' ORDER BY admin_page,admin_rights";
$result=dbquery($sql);
$rows=dbrows($result);
$admin_rights=array();
$current_page="";
$i=0;
	if ($rows>0) {
		while($row=dbarray($result)) {
			if ($current_page!=$row['admin_page']) {
				$current_page=$row['admin_page'];
				$i=0;
			} else {
				$i++;
			}
			$admin_rights['page'][$row['admin_page']][$row['admin_id']]=array(
			"right"=>$row['admin_rights'],
			"image"=>$row['admin_image'],
			"title"=>(!isset($locale[$row['admin_title']]) ? $row['admin_title'] : $locale[$row['admin_title']]),
			"link"=>str_replace(array("./../","../"),"",$row['admin_link'])
			);
		}
	}	
return $admin_rights;
}

$cache_rights = cache_admin_rights();

function page_links($page) {
global $locale,$aidlink,$cache_rights;	
if ($_SESSION['adm_page']) {
$fpage = $_SESSION['adm_page'];
} else {
$fpage=1;	
}

	echo "<tr><td class='side-label'>
	<div onclick=\"javascript:flipBox('page".$page."'); return false;\" style='cursor:pointer;'>
	<table width='100%' cellspacing='0' cellpadding='0'><tr><td>
	<img src='".THEME."images/bullet.gif' alt=''>  <a href='".ADMIN."index.php".$aidlink."&amp;pagenum=".$page."'><b>".locale('ac0'.$page)."</b></a></td><td>".panelbutton($fpage<>$page ? "off" : "on","page".$page)."
	</td></tr></table>
	</div>
	</td></tr>
	<tr><td colspan='2' nowrap='nowrap'>\n";
echo "<div id='box_page".$page."'".($fpage<>$page ? " style='display:none'":"").">\n";

foreach($cache_rights['page'][$page] as $key=>$val) {

	if ($page<4) {
	echo "&nbsp;&nbsp;<b>&middot;</b> <a href='".ADMIN.$val['link'].$aidlink.($fpage!=$page ? "&amp;pagenum=".$page : "")."'>".trimlink($val['title'],20)."</a><br />";	
	} else {
	echo "&nbsp;&nbsp;<b>&middot;</b> <a href='".BASEURL.$val['link'].$aidlink."&amp;pagenum=".$page."'>".trimlink($val['title'],20)."</a><br />";
	}
}	
echo "</div>";
echo "</td></tr>";
}

echo '<td class="side-border-left" style="vertical-align:top;width:'.$theme_width_l.';min-width:'.$theme_width_l.';"><img src="'.THEME.'images/blank.gif" width="'.$theme_width_l.'" height="0" alt="" />';
//@require_once(PANELS."user_info_panel.php");

$page1=0;$page2=0;$page3=0;$page4=0;
if (isset($cache_rights['page'][1])) $page1 = count($cache_rights['page'][1]);
if (isset($cache_rights['page'][2])) $page2 = count($cache_rights['page'][2]);
if (isset($cache_rights['page'][3])) $page3 = count($cache_rights['page'][3]);
if (isset($cache_rights['page'][4])) $page4 = count($cache_rights['page'][4]);

if (iADMIN && ($page1>0 || $page2>0 || $page3>0 || $page4>0)) {
openside($locale['001']);
if ((bool)$settings['locale_switcher']) {
$locquery = !isset($_GET['loc']) ? urldecode(rawurldecode(FUSION_QUERY)) : str_replace(array("&amp;amp;loc=".$_GET['loc'],"&amp;loc=".$_GET['loc'],"&loc=".$_GET['loc'],"loc=".$_GET['loc']),"",urldecode(rawurldecode(FUSION_QUERY)));
	$locale_files = makefilelist(LOCALE, ".|..|flags", true, "folders");
	$counter = 0; $columns = 3;
	$count_files = count($locale_files);
	if ($count_files>0) {
	echo "<table align='center' cellpadding='0' cellspacing='3'><tr>\n";
	for ($i=0;$i < $count_files;$i++) {
		if ($counter != 0 && ($counter % $columns == 0)) echo "</tr>\n<tr>\n";
		echo "<td align='center'>";
			echo '<a href="'.$PHP_SELF.($locquery!='' ? '?'.str_replace('&amp;','&',$locquery).'&amp;' : '?').'loc='.$locale_files[$i].'"><img src="'.LOCALE.'flags/flag-'.strtolower($locale_files[$i]).'.png" alt="'.$locale_files[$i].'" title="'.$locale_files[$i].'" border="0"></a>';
		echo "</td>\n";
		$counter++;
	}
	echo "</tr>\n</table>";
	}
}
?>

<table border="0" cellspacing="0" cellpadding="1" width="100%">
<tr><td colspan="2">
<img src="<?php echo THEME;?>images/bullet.gif" alt="" /> <a href="<?php echo BASEURL;?>index.php"><?php echo locale('151');?></a><br />
<img src="<?php echo THEME;?>images/bullet.gif" alt="" /> <a href="<?php echo ADMIN;?>index.php<?php echo $aidlink ?>"><?php echo locale('083');?></a>
</td></tr> 

<?php
if ($page1>0) page_links(1);
if ($page2>0) page_links(2);
if ($page3>0) page_links(3);
if ($page4>0) page_links(4);
?>
	
</table>
<?php
closeside();
} else {
redirect(BASEDIR."index.php");	
exit;
}
?>
</td><td valign="top" class="main-bg">