<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
require_once INCLUDES."photo_functions_include.php";
@require_once LOCALE.LOCALESET."admin.php";
define("SAFEMODE", @ini_get("safe_mode") ? true : false);

if (!checkrights("PH") || !defined("iAUTH") || $aid != iAUTH) fallback(BASEDIR."index.php");
if (isset($album_id) && !isNum($album_id)) fallback(ADMIN.FUSION_SELF.$aidlink);
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
if (!isset($action)) $action = "";

if (isset($_POST['cancel'])) {
	redirect(ADMIN.FUSION_SELF.$aidlink);
}

if ($action=="refresh") {
	$i = 1; $k = 1;
	$result = dbquery("SELECT album_id FROM ".DB_PREFIX."photo_albums ORDER BY album_order");
	while ($data = dbarray($result)) {
		$result2 = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order='$i' WHERE album_id='".$data['album_id']."'");
		$result2 = dbquery("SELECT photo_id FROM ".DB_PREFIX."photos WHERE album_id='".$data['album_id']."' ORDER BY photo_order");
		while ($data2 = dbarray($result2)) {
			$result3 = dbquery("UPDATE ".DB_PREFIX."photos SET photo_order='$k' WHERE photo_id='".$data2['photo_id']."'");
			$k++;
		}
		$i++; $k = 1;
	}
	redirect(ADMIN.FUSION_SELF.$aidlink);
}

if (isset($status)) {
	if ($status == "savean") {
		$title = $locale['album400'];
		$message = "<b>".$locale['album410']."</b>";
	} elseif ($status == "saveau") {
		$title = $locale['album401'];
		$message = "<b>".$locale['album411']."</b>";
	} elseif ($status == "saveae") {
		$title = $locale['album420'];
		$message = "<b>".$locale['album421']."</b><br>\n";
		if ($error == 1) { $message = $locale['album422']; }
		elseif ($error == 2) { $message = sprintf($locale['album425'], parsebytesize($settings['photo_max_b'])); }
		elseif ($error == 3) { $message = $locale['album424']; }
		elseif ($error == 4) { $message = sprintf($locale['album423'], $settings['photo_max_w'], $settings['photo_max_h']); }
	} elseif ($status == "delt") {
		$title = $locale['album402'];
		$message = "<b>".$locale['album412']."</b>";
	} elseif ($status == "dely") {
		$title = $locale['album402'];
		$message = "<b>".$locale['album413']."</b>";
	} elseif ($status == "deln") {
		$title = $locale['album402'];
		$message = "<b>".$locale['album414']."</b><br>\n".$locale['album415'];
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($_POST['cancel'])) {
	redirect(ADMIN.FUSION_SELF.$aidlink);
}


if ($action == "deletethumb") {
	$data = dbarray(dbquery("SELECT album_thumb,album_order FROM ".DB_PREFIX."photo_albums WHERE album_id='$album_id'"));
	$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_thumb='$album_thumb' WHERE album_id='$album_id'");
	@unlink(PHOTOS.$data['album_thumb']);
	redirect(ADMIN.FUSION_SELF.$aidlink."&status=delt&album_id=$album_id");
} elseif ($action == "delete") {
	if (dbcount("(album_id)", "photos", "album_id='$album_id'")) {
		redirect(ADMIN.FUSION_SELF.$aidlink."&status=deln");
	} else {
		$data = dbarray(dbquery("SELECT album_thumb,album_order FROM ".DB_PREFIX."photo_albums WHERE album_id='$album_id'"));
		$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order=(album_order-1) WHERE album_order>'".$data['album_order']."'");
		$result = dbquery("DELETE FROM ".DB_PREFIX."photo_albums WHERE album_id='$album_id'");
		if ($data['album_thumb']) @unlink(PHOTOS.$data['album_thumb']);
		@unlink(PHOTOS."album_".$album_id."/index.php");
		@rmdir(PHOTOS."album_".$album_id);
		redirect(ADMIN.FUSION_SELF.$aidlink."&status=dely");
	}
} elseif ($action == "mup") {
	if (!isNum($order)) fallback(ADMIN.FUSION_SELF.$aidlink);
	$data = dbarray(dbquery("SELECT album_id FROM ".DB_PREFIX."photo_albums WHERE album_order='$order'"));
	$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order=album_order+1 WHERE album_id='".$data['album_id']."'");
	$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order=album_order-1 WHERE album_id='$album_id'");
	$rowstart = $order > $settings['thumbs_per_page'] ? ((ceil($order / $settings['thumbs_per_page'])-1)*$settings['thumbs_per_page']) : "0";
	redirect(ADMIN.FUSION_SELF.$aidlink."&rowstart=$rowstart");
} elseif ($action == "mdown") {
	if (!isNum($order)) fallback(ADMIN.FUSION_SELF.$aidlink);
	$data = dbarray(dbquery("SELECT album_id FROM ".DB_PREFIX."photo_albums WHERE album_order='$order'"));
	$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order=album_order-1 WHERE album_id='".$data['album_id']."'");
	$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order=album_order+1 WHERE album_id='$album_id'");
	$rowstart = $order > $settings['thumbs_per_page'] ? ((ceil($order / $settings['thumbs_per_page'])-1)*$settings['thumbs_per_page']) : "0";
	redirect(ADMIN.FUSION_SELF.$aidlink."&rowstart=$rowstart");
} elseif (isset($_POST['save_album'])) {
	$error = "";
	$album_title = stripinput($_POST['album_title']);
	$album_description = stripinput($_POST['album_description']);
	$album_access = isNum($_POST['album_access']) ? $_POST['album_access'] : "0";
	$album_order = isNum($_POST['album_order']) ? $_POST['album_order'] : "";
	if (!(bool)SAFEMODE && $action != "edit") {
		$result = dbarray(dbquery("SHOW TABLE STATUS LIKE '".DB_PREFIX."photo_albums'"));
		$album_id = $result['Auto_increment'];

		@mkdir(PHOTOS."album_".$album_id);
		@copy(IMAGES."index.php", PHOTOS."album_".$album_id."/index.php");
		@chmod(PHOTOS."album_".$album_id."/index.php",0777);
		@chmod(PHOTOS."album_".$album_id,intval(0777,8));
	}
	if (is_uploaded_file($_FILES['album_pic_file']['tmp_name'])) {
		$album_types = array(".gif",".jpg",".jpeg",".png");
		$album_pic = $_FILES['album_pic_file'];
		$album_ext = strtolower(strrchr($album_pic['name'],"."));
		if (!preg_match("/^[-0-9A-Z_\.\[\]\s]+$/i", $album_pic['name'])) {
			$error = 1;
		} elseif ($album_pic['size'] > $settings['photo_max_b']){
			$error = 2;
		} elseif (!in_array($album_ext, $album_types)) {
			$error = 3;
		} else {
			@unlink(PHOTOS."temp".$album_ext);
			move_uploaded_file($album_pic['tmp_name'], PHOTOS."temp".$album_ext);
			chmod(PHOTOS."temp".$album_ext, 0644);
			$imagefile = @getimagesize(PHOTOS."temp".$album_ext);
			if ($imagefile[0] > $settings['photo_max_w'] || $imagefile[1] > $settings['photo_max_h']) {
				$error = 4;
				@unlink(PHOTOS."temp".$album_ext);
			} else {
				$album_thumb = image_exists(PHOTOS, $album_pic['name']);
				createthumbnail($imagefile[2], PHOTOS."temp".$album_ext, PHOTOS.$album_thumb, $settings['thumb_w'], $settings['thumb_h']);
				@unlink(PHOTOS."temp".$album_ext);
			}
		}
	}
	if (!$error) {
		if ($action == "edit") {
			$old_album_order = dbresult(dbquery("SELECT album_order FROM ".DB_PREFIX."photo_albums WHERE album_id='$album_id'"),0);
			if ($album_order > $old_album_order) {
				$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order=(album_order-1) WHERE album_order>'$old_album_order' AND album_order<='$album_order'");
			} elseif ($album_order < $old_album_order) {
				$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order=(album_order+1) WHERE album_order<'$old_album_order' AND album_order>='$album_order'");
			}
			$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_title='$album_title', album_description='$album_description',".(isset($album_thumb)?" album_thumb='$album_thumb',":"")." album_user='".$userdata['user_id']."', album_access='$album_access', album_order='$album_order' WHERE album_id='$album_id'");
			$rowstart = $album_order > $settings['thumbs_per_page'] ? ((ceil($album_order / $settings['thumbs_per_page'])-1)*$settings['thumbs_per_page']) : "0";
			redirect(ADMIN.FUSION_SELF.$aidlink."&status=saveau&rowstart=$rowstart");
		} else {
			if (!$album_order) $album_order = dbresult(dbquery("SELECT MAX(album_order) FROM ".DB_PREFIX."photo_albums"), 0) + 1;
			$result = dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_order=(album_order+1) WHERE album_order>='$album_order'");
			$result = dbquery("INSERT INTO ".DB_PREFIX."photo_albums (album_title, album_description, album_thumb, album_user, album_access, album_order, album_datestamp) VALUES ('$album_title', '$album_description', '$album_thumb', '".$userdata['user_id']."', '$album_access', '$album_order', '".time()."')");
			$rowstart = $album_order > $settings['thumbs_per_page'] ? ((ceil($album_order / $settings['thumbs_per_page'])-1)*$settings['thumbs_per_page']) : "0";
			redirect(ADMIN.FUSION_SELF.$aidlink."&status=savean&rowstart=$rowstart");
		}
	} else {
		if ($action!='edit') {
		if (!(bool)SAFEMODE) {	
		@unlink(PHOTOS."album_".$album_id."/index.php");
		@rmdir(PHOTOS.'album_'.$album_id);
		}
		}
		redirect(ADMIN.FUSION_SELF.$aidlink."&status=saveae&error=$error");
	}
} else {
	if ($action == "edit"){
		$result = dbquery("SELECT * FROM ".DB_PREFIX."photo_albums WHERE album_id='$album_id'");
		$data = dbarray($result);
		$album_title = $data['album_title'];
		$album_description = $data['album_description'];
		$album_thumb = $data['album_thumb'];
		$album_access = $data['album_access'];
		$album_order = $data['album_order'];
		$formaction = ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;album_id=$album_id";
		opentable($locale['album401']);
	} else {
		$album_id = "";
		$album_title = "";
		$album_description = "";
		$album_thumb = "";
		$album_access = "";
		$album_order = "";
		$formaction = ADMIN.FUSION_SELF.$aidlink;
		opentable($locale['album400']);
	}
	$access_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($album_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='inputform' method='post' action='$formaction' enctype='multipart/form-data'>
<table align='center' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'>".$locale['album440']."</td>
<td class='tbl'><input type='text' name='album_title' value='$album_title' maxlength='100' class='textbox' style='width:330px;'></td>
</tr>
<tr>
<td valign='top' class='tbl'>".$locale['album441']."</td>
<td class='tbl'><textarea name='album_description' rows='5' cols='60' class='textbox'>$album_description</textarea><br>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('album_description', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('album_description', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('album_description', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('album_description', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('album_description', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('album_description', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('album_description', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('album_description', '[small]', '[/small]');\">
<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('album_description', '[quote]', '[/quote]');\">
</td>
</tr>
<tr>
<td class='tbl'>".$locale['album442']."</td>
<td class='tbl'><select name='album_access' class='textbox' style='width:150px;'>
$access_opts</select>
<input type='text' name='album_order' value='$album_order' maxlength='4' class='textbox' style='width:40px;'>
</td>
</tr>
<tr>
<td valign='top' class='tbl'>".$locale['album444'];
	if ($action && $album_thumb && file_exists(PHOTOS.$album_thumb)) {
		echo "<br><br>\n<a class='small' href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=deletethumb&amp;album_id=$album_id'>".$locale['album470']."</a></td>
<td class='tbl'><img src='".PHOTOS.$album_thumb."' alt='album_thumb'>";
	} else {
		echo "</td>\n<td class='tbl'><input type='file' name='album_pic_file' class='textbox' style='width:250px;'>";
	}
	echo "</td>
</tr>
<tr>
<td colspan='2' align='center' class='tbl'><br>
<input type='submit' name='save_album' value='".$locale['album445']."' class='button'>\n";
	if ($action) {
		echo "<input type='submit' name='cancel' value='".$locale['album446']."' class='button'>\n";
	}
	echo "</td>\n</tr>\n</table>\n</form>\n";
	closetable();
}
tablebreak();
opentable($locale['album460']);
$rows = dbcount("(album_id)", "photo_albums");
if ($rows) {
	$result = dbquery(
		"SELECT ta.*, tu.user_id,user_name FROM ".DB_PREFIX."photo_albums ta
		LEFT JOIN ".DB_PREFIX."users tu ON ta.album_user=tu.user_id
		ORDER BY album_order LIMIT $rowstart,".$settings['thumbs_per_page']
	);
	$counter = 0; $k = ($rowstart == 0 ? 1 : $rowstart + 1);
	echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
	while ($data = dbarray($result)) {
		$up = ""; $down = "";
		if ($rows != 1){
			$orderu = $data['album_order'] - 1;
			$orderd = $data['album_order'] + 1;
			if ($k == 1){
				$down = " &middot;\n<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;rowstart=$rowstart&amp;action=mdown&amp;order=$orderd&amp;album_id=".$data['album_id']."'><img src='".THEME."images/right.gif' alt='".$locale['album468']."' title='".$locale['album468']."' border='0' style='vertical-align:middle'></a>\n";
			}elseif ($k < $rows){
				$up = "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;rowstart=$rowstart&amp;action=mup&amp;order=$orderu&amp;album_id=".$data['album_id']."'><img src='".THEME."images/left.gif' alt='".$locale['album467']."' title='".$locale['album467']."' border='0' style='vertical-align:middle'></a> &middot;\n";
				$down = " &middot;\n<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;rowstart=$rowstart&amp;action=mdown&amp;order=$orderd&amp;album_id=".$data['album_id']."'><img src='".THEME."images/right.gif' alt='".$locale['album468']."' title='".$locale['album468']."' border='0' style='vertical-align:middle'></a>\n";
			} else {
				$up = "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;rowstart=$rowstart&amp;action=mup&amp;order=$orderu&amp;album_id=".$data['album_id']."'><img src='".THEME."images/left.gif' alt='".$locale['album467']."' title='".$locale['album467']."' border='0' style='vertical-align:middle'></a> &middot;\n";
			}
		}
		if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) echo "</tr>\n<tr>\n";
		echo "<td align='center' valign='top' class='tbl'>\n";
		echo "<b>".$data['album_title']."</b><br><br>\n<a href='photos.php".$aidlink."&amp;album_id=".$data['album_id']."'>";
		if ($data['album_thumb'] && file_exists(PHOTOS.$data['album_thumb'])){
			echo "<img src='".PHOTOS.$data['album_thumb']."' alt='".$locale['album461']."' border='0'>";
		} else {
			echo $locale['album462'];
		}
		echo "</a><br><br>\n<span class='small'>".$up;
		echo "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=edit&amp;album_id=".$data['album_id']."'>".$locale['album469']."</a> &middot;\n";
		echo "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=delete&amp;album_id=".$data['album_id']."'>".$locale['album470']."</a> ".$down;
		echo "<br><br>\n".$locale['album463'].showdate("shortdate", $data['album_datestamp'])."<br>\n";
		echo $locale['album464']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br>\n";
		echo $locale['album465'].getgroupname($data['album_access'])."<br>\n";
		echo $locale['album466'].dbcount("(photo_id)", "photos", "album_id='".$data['album_id']."'")."</span><br>\n";
		echo "</td>\n";
		$counter++; $k++;
	}
	echo "</tr>\n<tr>\n<td align='center' colspan='".$settings['thumbs_per_row']."' class='tbl2'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;action=refresh'>".$locale['album480']."</a></td>\n</tr>\n</table>\n";
	if ($rows > $settings['thumbs_per_page']) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$settings['thumbs_per_page'],$rows,3,ADMIN.FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
}else{
	echo "<center>".$locale['album481']."</center>\n";
}
closetable();

echo "</td>\n";
require_once ADMIN."footer.php";
?>