<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";
@require_once LOCALE.LOCALESET."admin.php";
if (!checkrights("SP") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
$op = !isset($_GET['op']) ?  null : stripinput($_GET['op']);
$type = !isset($_GET['type']) ?  null : stripinput($_GET['type']);
$page = !isset($_GET['page']) ? 'index' : stripinput($_GET['page']);
$rowstart=(int)@$_GET['rowstart'];
$items_per_page = (int)@$_GET['limit']>0 ? (int)@$_GET['limit'] : 50;
$like = isset($_GET['like']) ? stripinput($_GET['like']) : null;

function letter_searching() {
			global $page,$aidlink,$locale;
			$letters = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<hr>\n<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl2'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=".$page."'>".$locale['member411']."</a></td>";
	for ($i=0;$i < 36;$i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=".$page."&amp;like=".$letters[$i]."'>".$letters[$i]."</a></div></td>";
		echo ($i==17 ? "<td rowspan='2' class='tbl2'><a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=".$page."'>".$locale['member411']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n";
}

opentable($locale['secure_001']);
echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
   echo "<td align='center' width='25%' class='".($page == "index" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo ($page == "index" ? "<b>".$locale['secure_031']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."'>".$locale['secure_031']."</a>")."</span></td>\n";
   echo "<td align='center' width='25%' class='".($page == "spam" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo ($page == "spam" ? "<b>".$locale['secure_400']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=spam'>".$locale['secure_400']."</a>")."</span></td>\n";
   echo "<td align='center' width='25%' class='".($page == "ua" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo ($page == "ua" ? "<b>".$locale['secure_300']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=ua'>".$locale['secure_300']."</a>")."</span></td>\n";
   echo "<td align='center' width='25%' class='".($page == "proxy" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo ($page == "proxy" ? "<b>".$locale['secure_200']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=proxy'>".$locale['secure_200']."</a>")."</span></td>\n";
echo '</tr><tr>';
   echo "<td align='center' width='25%' class='".($page == "set" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo ($page == "set" ? "<b>".$locale['main400']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=set'>".$locale['main400']."</a>")."</span></td>\n";
   echo "<td align='center' width='25%' class='".($page == "htacc" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo ($page == "htacc" ? "<b>.htaccess</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=htacc'>.htaccess</a>")."</span></td>\n";
   echo "<td align='center' width='25%' class='".($page == "safe" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo ($page == "safe" ? "<b>".$locale['secure_500']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=safe'>".$locale['secure_500']."</a>")."</span></td>\n";
   echo "<td align='center' width='25%' class='".($page == "log" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo ($page == "log" ? "<b>".$locale['secure_100']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=log'>".$locale['secure_100']."</a>")."</span></td>\n";
echo '</tr></table>';
closetable();
tablebreak;
switch($page) {
	/** Overview **/
	case 'index':
$proxy_black = dbcount("(proxy_id)","sec_proxy","proxy_is_black='1'");
$proxy_white = dbcount("(proxy_id)","sec_proxy","proxy_is_white='1'");
$proxy_wait = dbcount("(proxy_id)","sec_proxy","proxy_is_white='0' AND proxy_is_black='0'");
$proxy_all = $proxy_black+$proxy_white+$proxy_wait;
$ua_active = dbcount("(ua_id)","sec_ua","ua_active='1'");
$ua_passive = dbcount("(ua_id)","sec_ua","ua_active='0'");
$ua_all = $ua_active+$ua_passive;
$spam_words = dbcount("(spam_id)","sec_spam","spam_word!=''");
$spam_ips = dbcount("(ip_id)","sec_spam_ips","ip_nr!=''");
$sname = LOG_DIR."stats.txt";
if (file_exists($sname)) $stats = explode("|",file_get_contents($sname));
else $stats="";
opentable($locale['secure_030']);
echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";

echo '<tr><td class="tbl1" width="35%">'.$locale['secure_001'].'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['security_system'] ? $locale['secure_021'] : $locale['secure_022']).'</td></tr>';
echo '<tr><td class="tbl1">'.sprintf($locale['secure_006'],$locale['secure_005']).'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['spam_control'] ? $locale['secure_021'] : $locale['secure_022']).'</td></tr>';
echo '<tr><td class="tbl1">'.sprintf($locale['secure_006'],$locale['secure_002']).'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['sql_injector'] ? $locale['secure_021'] : $locale['secure_021']).'</td></tr>';
echo '<tr><td class="tbl1">'.sprintf($locale['secure_006'],$locale['secure_003']).'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['ua_control'] ? $locale['secure_021'] : $locale['secure_022']).'</td></tr>';
echo '<tr><td class="tbl1">'.sprintf($locale['secure_006'],$locale['secure_048']).'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['flood_control'] ? $locale['secure_021'] : $locale['secure_022']).'</td></tr>';
echo '<tr><td class="tbl1">'.sprintf($locale['secure_006'],$locale['secure_004']).'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['proxy_control'] ? $locale['secure_021'] : $locale['secure_022']).'</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_007'].'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['proxy_login'] ? $locale['secure_023'] : $locale['secure_203']).'</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_008'].'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['proxy_register'] ? $locale['secure_023'] : $locale['secure_203']).'</td></tr>';
echo '<tr><td class="tbl1">'.sprintf($locale['secure_009'],'<b>'.$secure_config['user_attempts'].'</b>').'</td>';
echo '<td class="tbl2">'.((bool)$secure_config['user_auto_lock'] ? $locale['secure_021'] : $locale['secure_022']).'</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_010'].'</td>';
echo '<td class="tbl2">'.number_format($secure_config['user_lock_expired']/60,2,':','').' min</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_040'].'</td>';
echo '<td class="tbl2"> '.sprintf($locale['secure_042'],getuserlevel($secure_config['safe_level'])).'</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_041'].'</td>';
echo '<td class="tbl2">';
if ($secure_config['safe_groups']=='') {
	echo '&nbsp;';
} else {
$safe_gr_arr=explode('.',$secure_config['safe_groups']);
$safe_gr='';
foreach($safe_gr_arr as $safeval) {	
	$safe_gr .=($safe_gr==''?'':', ').getgroupname($safeval);
}
echo $safe_gr;
}
echo '</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_406'].'</td>';
echo '<td class="tbl2">'.(int)$secure_config['found_spams'].$locale['secure_025'].'</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_046'].'</td>';
echo '<td class="tbl2">'.$secure_config['max_logs'].'</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_047'].'</td>';
echo '<td class="tbl2">'.$secure_config['logs_expired'].'</td></tr>';
echo '</table>';
closetable();
tablebreak();
	opentable($locale['main250']);
	echo '<table align="center" cellpadding="0" cellspacing="1" width="100%" class="tbl-border"><tr><th class="side-label" colspan="3"><span class="small"><b>'.$locale['secure_018'].'</b></span></th><th class="side-label" style="text-align:left;"><span class="small"><b>'.$locale['secure_017'].'</b></span></th></tr>
	<tr>
	<td valign="top" width="20%" class="tbl1"><span class="small">';
	echo sprintf($locale['secure_207'],$locale['secure_204']).': '.$proxy_black.'<br />'.
	sprintf($locale['secure_207'],$locale['secure_203']).': '.$proxy_white.'<br />'.sprintf($locale['secure_207'],$locale['secure_206']).': '.$proxy_wait.'<br />'.$locale['secure_208'].': '.$proxy_all.'</span></td><td valign="top" width="30%" class="tbl1"><span class="small">'.$locale['secure_019'].': '.$ua_active.'<br />'.$locale['secure_020'].': '.$ua_passive.'<br />'.$locale['secure_209'].': '.$ua_all.'</span></td><td valign="top" width="20%" class="tbl1"><span class="small">'.$locale['secure_401'].': '.$spam_words.'<br />'.$locale['secure_405'].': '.$spam_ips.'</span>';
	echo '</td>';

	if (!empty($stats) && count($stats)==7) {
		echo '<td valign="top" width="25%" class="tbl1"><span class="small">';
		echo $locale['secure_002'].': '.($stats[0]+$stats[1]+$stats[4]);
		echo '<br>';
		echo $locale['secure_003'].': '.$stats[2];
		echo '<br>';
		echo $locale['secure_004'].': '.$stats[3];
		echo '<br>';
		echo $locale['secure_005'].': '.$stats[5];
		echo '<br>';
		echo $locale['secure_027'].': '.$stats[6];
		echo '</span></td>';
	}
	echo '</tr></table>';
	closetable();
	break;
	/** Logfiles **/	
	case 'log':
	switch($op) {
		case 'delete':
		if (isset($_GET['file']) && file_exists(SECURITY."logs/".stripinput($_GET['file']).".txt")) 
		{
		@unlink(SECURITY."logs/".stripinput($_GET['file']).".txt");
		redirect(ADMIN.FUSION_SELF.$aidlink.'&page=log');
		}
		break;
		case 'delete_more':
		$files = isset($_POST['files']) && is_array($_POST['files']) ? $_POST['files'] : array();
			if ($files!='') {
				foreach($files as $file) {
					@unlink(SECURITY."logs/".stripinput($file).".txt");
				}
				redirect(ADMIN.FUSION_SELF.$aidlink.'&page=log');
			}
		break;
		default:
		break;
	}
	opentable($locale['secure_100']);	
	echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=log&amp;op=delete_more" method="post" onsubmit="return DeleteItem();"><table align="center" cellpadding="0" cellspacing="1" width="100%" class="tbl-border"><tr><th width="1%"></th><th class="small"><b>'.$locale['secure_103'].'</b></th><th class="small"><b>'.$locale['secure_108'].'</b></th><th class="small"><b>'.$locale['downs487'].'</b></th><th class="small"><b>'.$locale['secure_109'].'</b></th></tr>';
	$log_files=makefilelist(SECURITY."logs/",'.|..|.htaccess|.index.php|index.php|stats.txt');
	$res = "";
	//sort($log_files);
	$logs_rows = count($log_files);
	if ($logs_rows>0) {
		
	for ($i=0;$i < $logs_rows;$i++) {
		$tbl_class = $i%2==0?'tbl1':'tbl2';
		echo '<tr><td width="1%" class="'.$tbl_class.'"><input type="checkbox" name="files[]" id="files" value="'.str_replace(".txt","",$log_files[$i]).'"></td><td class="'.$tbl_class.'" width="20%"><img src="'.THEME.'images/bullet.gif" alt=""> <a href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=log&openfile='.str_replace(".txt","",$log_files[$i]).'" class="small">'.$log_files[$i].'</a>'.'</td><td align="center" class="'.$tbl_class.'" width="30%"><span class="small">'.date('d.m.Y - H:i:s',filemtime(SECURITY."logs/".$log_files[$i])).'</span></td><td align="center" class="'.$tbl_class.'" width="20%"><span class="small">'.parsebytesize(filesize(SECURITY."logs/".$log_files[$i])).'</span></td><td class="'.$tbl_class.'" align="center"><a href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=log&amp;file='.str_replace(".txt","",$log_files[$i]).'&amp;op=delete" onclick="return DeleteItem();">'.$locale['secure_102'].'</a></td></tr>';
	}
	echo '<tr><td colspan="5" class="tbl1" align="left">'.(count($log_files)>1 ? '<input type="checkbox" onClick="AllActivate(this.form.files);" class="textbox"> '.$locale['cp152'].' ':'').'<input type="submit" name="del_ip" class="button" value="'.$locale['black464'].'"></td></tr>';
	} else {
	echo '<tr><td colspan="5" class="tbl2">'.$locale['secure_110'].'</td></tr>';	
	} 
	echo "</table></form>";
	echo '<script type=\'text/javascript\'>
function DeleteItem() {
	return confirm('.js_umlaut_changer($locale['secure_107']).');
}
</script>';
	closetable();
	tablebreak();
	if (isset($_GET['openfile'])) {
		$i=0;$j=0;
		opentable($locale['secure_101'].': '.stripinput($_GET['openfile']).'.txt');
		if (file_exists(SECURITY."logs/".stripinput($_GET['openfile']).".txt")) {
		$content = trim(file_get_contents(SECURITY."logs/".stripinput($_GET['openfile']).".txt"));
		$arr = explode("\n",$content);
		$lines = count($arr);
		$max = 10;
		$test = $rowstart+$max;
		$maxlimit = ($lines>$test ? $test : $lines);
		for($j=$rowstart;$j<$maxlimit;$j++) {
			$teile = explode("|",$arr[$j]);
			$teilcounter = count($teile);
				echo '<table width="80%" cellspacing="0" cellpadding="0" align="center"><tr><td class="tbl1">'.$teile[0].'</td><td class="tbl1" align="right"><a href="http://ipfander.de/control/'.$teile[1].'" target="ipcheck">'.$teile[1].'</td></tr>';
				echo '<tr><td colspan="2"><table width="100%" class="tbl-border" cellspacing="1" cellpadding="0">';
				echo '<tr><td class="tbl1" width="20%">'.$locale['secure_105'].': </td><td class="tbl2">'.str_replace('&amp;','&',$teile[3]).'</td></tr>';
				echo '<tr><td class="tbl1">'.$locale['secure_103'].': </td><td class="tbl2">'.str_replace('&amp;','&',$teile[2]).'</td></tr>';
				if (trim($teile[4])!='') {
				echo '<tr><td class="tbl1">'.$locale['secure_104'].': </td><td class="tbl2">'.trim(str_replace('&amp;','&',$teile[4])).'</td></tr>';
				}
				if (trim($teile[5])!='') {
				echo '<tr><td class="tbl1">'.$locale['secure_003'].': </td><td class="tbl2">'.trim(str_replace('&amp;','&',$teile[5])).'</td></tr>';
				}
				if (trim($teile[6])!='') {
					$teile[6]=str_replace(" ","",$teile[6]);
					$t=explode(",",$teile[6]);
					$t=array_unique($t);
					$teil[6]='';
					   foreach($t as $v) {
 					   	  if ($v!='unknown') {
					   	  	$teil[6].=($teil[6]!=''?',':'').'<a href="http://ipfander.de/control/'.$v.'" target="ipcheck">'.$v.'</a>';
					   	  }
					   }	
				echo '<tr><td class="tbl1">'.$locale['secure_106'].': </td><td class="tbl2">'.trim(str_replace('&amp;','&',$teil[6])).'</td></tr>';
				}
				echo '</table></td></tr></table>';
				if ($j<$maxlimit) echo '<br />';
		}//ENDFOREACH
		if ($lines>=$test || isset($_GET['rowstart'])) echo makepagenav($rowstart,$max,$lines,3,ADMIN.FUSION_SELF.$aidlink.'&amp;page=log&openfile='.$_GET['openfile'].'&amp;');	
		}
		
	closetable();
	}
	break;
	/** .htaccess files **/
	case 'htacc':
	if (isset($_POST['save_files'])) {
	$htaccess_admin = stripslashes($_POST['htaccess_admin']);
	$htaccess_root = stripslashes($_POST['htaccess_root']);
	$file_htaccess=@fopen(ADMIN.".htaccess","w");
    fputs($file_htaccess,$htaccess_admin);
    fclose($file_htaccess);
    $file_htaccess=@fopen(BASEDIR.".htaccess","w");
    fputs($file_htaccess,$htaccess_root);
    fclose($file_htaccess);
	}
	$htaccess_root = phpentities(file_get_contents(BASEDIR.'.htaccess'));
	$htaccess_admin = phpentities(file_get_contents(ADMIN.'.htaccess'));
	opentable(".htaccess");
	echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=htacc" method="post"><center>';
	echo '<b>'.$locale['secure_600'].'</b><br />
	<textarea name="htaccess_root" cols="100" rows="15" style="width:550px;height:150px;" class="textbox">'.$htaccess_root.'</textarea><br /><br />';
	echo '<b>'.$locale['secure_601'].'</b><br />
	<textarea name="htaccess_admin" cols="100" rows="8" style="width:550px;height:70px;" class="textbox">'.$htaccess_admin.'</textarea><br /><br />';
	echo '<input type="submit" name="save_files" value="'.$locale['black466'].'" class="button"></center>';
	echo '</form>';
	closetable();
	break;
	/** Settings **/
	case 'set':
	if (isset($_POST['save_set'])) {
	$security_system = !isset($_POST['security_system']) ? 1 : $_POST['security_system'];	
	$spam_control = !isset($_POST['spam_control']) ? 1 : (int)$_POST['spam_control'];	
	$sql_injector = !isset($_POST['sql_injector']) ? 1 : (int)$_POST['sql_injector'];	
	$ua_control = !isset($_POST['ua_control']) ? 1 : (int)$_POST['ua_control'];	
	$flood_control = !isset($_POST['flood_control']) ? 1 : (int)$_POST['flood_control'];	
	$proxy_control = !isset($_POST['proxy_control']) ? 1 : (int)$_POST['proxy_control'];	
	$proxy_login = !isset($_POST['proxy_login']) ? 0 : (int)$_POST['proxy_login'];	
	$proxy_register = !isset($_POST['proxy_register']) ? 0 : (int)$_POST['proxy_register'];	
	$user_attempts = !isset($_POST['user_attempts']) ? 3 : (int)$_POST['user_attempts'];	
	$user_auto_lock = !isset($_POST['user_auto_lock']) ? 1 : (int)$_POST['user_auto_lock'];
	$user_lock_expired = !isset($_POST['user_lock_expired']) ? 360 : (int)$_POST['user_lock_expired'];	
	$safe_level = !isset($_POST['safe_level']) ? 102 : (int)$_POST['safe_level'];	
	$safe_groups = !isset($_POST['safe_groups']) ? '' : stripinput($_POST['safe_groups']);
	$found_spams = !isset($_POST['found_spams']) ? 2 : (int)$_POST['found_spams'];
	$flood_interval = !isset($_POST['flood_interval']) ? 15 : (int)$_POST['flood_interval'];
	$max_logs = !isset($_POST['max_logs']) ? 15 : (int)$_POST['max_logs'];
	$logs_expired = !isset($_POST['logs_expired']) ? 60 : (int)$_POST['logs_expired'];
	
	$result = update_table(DB_PREFIX."sec_config","SET security_system='$security_system',spam_control='$spam_control',sql_injector='$sql_injector',ua_control='$ua_control',flood_control='$flood_control',proxy_control='$proxy_control',proxy_login='$proxy_login',proxy_register='$proxy_register',user_attempts='$user_attempts',user_auto_lock='$user_auto_lock',user_lock_expired='$user_lock_expired',safe_level='$safe_level',safe_groups='$safe_groups',found_spams='$found_spams'","update");	
	$result = update_table(DB_PREFIX."settings","SET flood_interval='$flood_interval'","update");
$config='<?php
$secure_config=array(
	"security_system" => '.$security_system.',
	"spam_control" => '.$spam_control.',
	"sql_injector" => '.$sql_injector.',
	"ua_control" => '.$ua_control.',
	"flood_control" => '.$flood_control.',
	"proxy_control" => '.$proxy_control.',
	"proxy_login" => '.$proxy_login.',
	"proxy_register" => '.$proxy_register.',
	"user_attempts" => '.$user_attempts.',
	"user_auto_lock" => '.$user_auto_lock.',
	"user_lock_expired" => '.$user_lock_expired.',
	"safe_level" => '.$safe_level.',
	"safe_groups" => "'.$safe_groups.'",
	"found_spams" => '.$found_spams.',
	"max_logs" => '.$max_logs.',
	"logs_expired" => '.$logs_expired.' 
);
?>'; 
	$fname=SECURITY."config/config.php";
	$fopen=fopen($fname,'w+');
    $fwrite = fwrite($fopen,$config);
chmod($fname,0777);
fclose($fopen); 
	redirect(ADMIN.FUSION_SELF.$aidlink.'&page=set');
	$_POST=array();
	}
	echo '<script type=\'text/javascript\'>
function addGroup(toGroup,fromGroup) {
	var listLength = document.getElementById(toGroup).length;
	var selItem = document.getElementById(fromGroup).selectedIndex;
	var selText = document.getElementById(fromGroup).options[selItem].text;
	var selValue = document.getElementById(fromGroup).options[selItem].value;
	var i; var newItem = true;
	for (i = 0; i < listLength; i++) {
		if (document.getElementById(toGroup).options[i].text == selText) {
			newItem = false; break;
		}
	}
	if (newItem) {
		document.getElementById(toGroup).options[listLength] = new Option(selText, selValue);
		document.getElementById(fromGroup).options[selItem] = null;
	}
}

function saveGroup() {
	var strValues = "";
	var boxLength = document.getElementById(\'sel_group\').length;
	var count = 0;
	if (boxLength != 0) {
		for (i = 0; i < boxLength; i++) {
			if (count == 0) {
				strValues = document.getElementById(\'sel_group\').options[i].value;
			} else {
				strValues = strValues + "." + document.getElementById(\'sel_group\').options[i].value;
			}
			count++;
		}
	}
	if (strValues.length == 0) {
		document.forms[\'setting\'].submit();
	} else {
		document.forms[\'setting\'].safe_groups.value = strValues;
		document.forms[\'setting\'].submit();
	}
}
</script>';
$user_levels = array(array("0", $locale['user0']),array("101", $locale['user1']),array("102",$locale['user2']),	array("103", $locale['user3']));
$sel='';$access_opts="";
while(list($key, $user_level) = each($user_levels)){
		$sel = ($secure_config['safe_level'] == $user_level['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_level['0']."'$sel>".$user_level['1']."</option>\n";
	}
$group_list="";
$safe_group_list="";
$group_arr = $secure_config['safe_groups']==''  ? array() : explode(".",$secure_config['safe_groups']);
$fs1 = $locale['secure_041']."<br><select multiple size='5' name='sel_group' id='sel_group' class='textbox' style='min-width:150px;width:150px;' onChange=\"addGroup('grouplist','sel_group');\">\n";
$fs2 = $locale['main225']."<br><select multiple size='5' name='grouplist' id='grouplist' class='textbox' style='min-with:150px;width:150px;' onChange=\"addGroup('sel_group','grouplist');\">\n";
$result = dbquery("SELECT group_id,group_name FROM ".DB_PREFIX."user_groups ORDER BY group_name");
$found_ugroups = dbrows($result);
		if((bool)$found_ugroups)
		{
			while($data=dbarray($result)) {
				if (!in_array($data['group_id'],$group_arr)) {
				$group_list.= "<option value='".$data['group_id']."'".(isset($_POST['select_group']) && $_POST['sel_group'] == $data['group_id'] ? " selected" : "").">".$data['group_name']."</option>\n"; }
			}@mysql_free_result($result);@clearstatcache();
		}

if (count($group_arr)>0) {
foreach($group_arr as $grpval) $safe_group_list.='<option value="'.$grpval.'" />'.getgroupname($grpval).'</option>'."\n";
}
function on_off($field_val,$val_on='502',$val_off='503') {
	global $locale;
	return '<option value="1"'.($field_val==1 ? ' selected' : '').' />'.$locale['main'.$val_on].'</option>
	<option value="0"'.($field_val==0 ? ' selected' : '').' />'.$locale['main'.$val_off].'</option>';
}
opentable($locale['main400']);
echo '<form name="setting" method="post" action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=set">
<table align="center" cellpadding="0" cellspacing="1" width="100%">';
echo '<tr><td class="tbl1" width="30%">'.$locale['secure_001'].'</td><td class="tbl2"><select name="security_system" class="textbox">'.on_off($secure_config['security_system']).'</select></td></tr>';
echo '<tr><td class="tbl1" width="30%">'.sprintf($locale['secure_006'],$locale['secure_005']).'</td><td class="tbl2"><select name="spam_control" class="textbox">'.on_off($secure_config['spam_control'],'508','509').'</select></td></tr>';
echo '<tr><td class="tbl1" width="30%">'.sprintf($locale['secure_006'],$locale['secure_002']).'</td><td class="tbl2"><select name="sql_injector" class="textbox">'.on_off($secure_config['sql_injector'],'508','509').'</select></td></tr>';
echo '<tr><td class="tbl1" width="30%">'.sprintf($locale['secure_006'],$locale['secure_003']).'</td><td class="tbl2"><select name="ua_control" class="textbox">'.on_off($secure_config['ua_control'],'508','509').'</select></td></tr>';
echo '<tr><td class="tbl1" width="30%">'.sprintf($locale['secure_006'],'Flood').'</td><td class="tbl2"><select name="flood_control" class="textbox">'.on_off($secure_config['flood_control'],'508','509').'</select></td></tr>';
echo '<tr><td class="tbl1" width="30%">'.sprintf($locale['secure_006'],$locale['secure_004']).'</td><td class="tbl2"><select name="proxy_control" class="textbox">'.on_off($secure_config['proxy_control'],'508','509').'</select></td></tr>';
echo '<tr><td class="tbl1" width="30%">'.$locale['secure_007'].'</td><td class="tbl2"><select name="proxy_login" class="textbox">'.on_off($secure_config['proxy_login'],'508','509').'</select></td></tr>';
echo '<tr><td class="tbl1" width="30%">'.$locale['secure_008'].'</td><td class="tbl2"><select name="proxy_register" class="textbox">'.on_off($secure_config['proxy_register'],'508','509').'</select></td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_406'].'</td>';
echo '<td class="tbl2"><input type="text" class="textbox" maxlength="2" style="width:20px;text-align:center;" name="found_spams" value="'.$secure_config['found_spams'].'" /> '.$locale['secure_025'].'</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_043'].'</td>';
echo '<td class="tbl2"><input type="text" class="textbox" maxlength="2" style="width:20px;text-align:center;" name="flood_interval" value="'.$settings['flood_interval'].'" /></td></tr>';
echo '<tr><td class="tbl1" width="30%">'.$locale['secure_044'].'</td><td class="tbl2"><select name="user_auto_lock" class="textbox">'.on_off($secure_config['user_auto_lock']).'</select></td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_045'].'</td>';
echo '<td class="tbl2"><input type="text" class="textbox" name="user_attempts" maxlength="2" style="width:20px;text-align:center;" value="'.$secure_config['user_attempts'].'" /></td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_010'].'</td>';
echo '<td class="tbl2"><input type="text" class="textbox" maxlength="10" style="width:50px;text-align:center;" name="user_lock_expired" value="'.$secure_config['user_lock_expired'].'" /> sec.</td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_046'].'</td>';
echo '<td class="tbl2"><input type="text" class="textbox" maxlength="3" style="width:50px;text-align:center;" name="max_logs" value="'.$secure_config['max_logs'].'" /></td></tr>';
echo '<tr><td class="tbl1">'.$locale['secure_047'].'</td>';
echo '<td class="tbl2"><input type="text" class="textbox" maxlength="3" style="width:50px;text-align:center;" name="logs_expired" value="'.$secure_config['logs_expired'].'" /></td></tr>';

echo '<tr><td class="tbl1" width="30%">'.$locale['secure_040'].'</td><td class="tbl2"><select name="safe_level" class="textbox">'.$access_opts.'</select></td></tr>';
if ((bool)$found_ugroups) {				
echo '<tr><td class="tbl2" align="center" colspan="2">
				<table><tr><td>'.$fs2.$group_list.'</select></td>
				<td>'.$fs1.$safe_group_list.'</select>
				<input type="hidden" name="safe_groups" /></td></tr>
				</table>
</td></tr>';
}
echo '<tr><td class="tbl1" align="center" colspan="2"><input type="submit" name="save_set" value="'.$locale['black466'].'" class="button" onclick="saveGroup();"></td>
</tr></table></form>';
closetable();			
	break;
	/** Spam list */
	case 'spam':
	opentable(sprintf($locale['secure_006'],$locale['secure_005']));
	echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
   echo "<td align='center' width='25%' class='".(!isset($type) || $type == "words" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo (!isset($type) || $type == "words" ? "<b>".$locale['secure_401']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=spam&type=words'>".$locale['secure_401']."</a>")."</span></td>\n";
   echo "<td align='center' width='25%' class='".(isset($type) && $type == "ips" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo (isset($type) && $type == "ips" ? "<b>".$locale['secure_405']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=spam&type=ips'>".$locale['secure_405']."</a>")."</span></td>\n";
  echo '</tr></table>';	
  closetable();
  tablebreak();
	switch($type) {
		/** SPAM IP ADRESSEN DEFINIEREN **/
		case 'ips':
		if (isset($_POST['save_ip'])) {
			$ip1 = ((int)@$_POST['ip1']>0 && (int)@$_POST['ip1']<256 ? $_POST['ip1'] : null);
			$ip2 = ((int)@$_POST['ip2']>=0 && (int)@$_POST['ip2']<256 ? $_POST['ip2'] : null);
			$ip3 = ((int)@$_POST['ip3']>=0 && (int)@$_POST['ip3']<256 ? $_POST['ip3'] : null);
			$ip4 = ((int)@$_POST['ip4']>=0 && (int)@$_POST['ip4']<256 ? $_POST['ip4'] : null);
			$ip5 = ((int)@$_POST['ip5']>=0 && (int)@$_POST['ip5']<256 ? $_POST['ip5'] : null);
			$ip6 = ((int)@$_POST['ip6']>=0 && (int)@$_POST['ip6']<256 ? $_POST['ip6'] : null);
			$ip7 = ((int)@$_POST['ip7']>=0 && (int)@$_POST['ip7']<256 ? $_POST['ip7'] : null);
			$ip8 = ((int)@$_POST['ip8']>=0 && (int)@$_POST['ip8']<256 ? $_POST['ip8'] : null);
			$first_ip='';
			$second_ip='';
			if (isset($ip1) && isset($ip2) && isset($ip3) && isset($ip4)) {
				
					$hex_ip1 = dechex(ip2long($ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4) &0xffffff);
					$first_ip=$ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4;
					
			}
			if (isset($ip5) && $ip5==$ip1) {
				if (isset($ip6) && isset($ip7) && isset($ip8)) {
					if (ip2long($ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4)>ip2long($ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8)) 			  {
					$hex_ip1 = dechex(ip2long($ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8) &0xffffff);
					$first_ip=$ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8;
						
					$hex_ip2 = '/'.dechex(ip2long($ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4) &0xffffff);
					$second_ip='/'.$ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4;	
					} else {
					$hex_ip2 = '/'.dechex(ip2long($ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8) &0xffffff);
					$second_ip='/'.$ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8;
					}
				}
			}
			if ($first_ip!='') {
				if ($first_ip==substr($second_ip,1)) $second_ip = '';
				if ($first_ip==substr($second_ip,1)) $second_ip = '';
					
			$found = dbcount("(ip_id)","sec_spam_ips","ip_nr='".$first_ip.$second_ip."'");
			if (!(bool)$found) {
				$insert = update_table(DB_PREFIX."sec_spam_ips","(ip_fip,ip_nr,ip_hex) VALUES('".$ip1."','".$first_ip.$second_ip."','".$hex_ip1.$hex_ip2."')","insert");
			}
				redirect(ADMIN.FUSION_SELF.$aidlink."&page=spam&type=ips"); 
			} 
		}
		if (isset($_POST['del_ip'])) {
			$ip_numbers = isset($_POST['ip_id']) && is_array($_POST['ip_id']) ? $_POST['ip_id'] : array();
			
				if ($ip_numbers!='') {
					foreach ($ip_numbers as $ip_id) {
						$result = update_table(DB_PREFIX."sec_spam_ips","WHERE ip_id='".$ip_id."'",'delete');
					}
					redirect(ADMIN.FUSION_SELF.$aidlink."&page=spam&type=ips&limit=".$limit);
				} 
		}
		$spam_rows=dbcount('(ip_id)','sec_spam_ips');
		opentable($locale['secure_405']);
echo "<script type='text/javascript'>
	function checkform(frm) {
		if(frm.ip1.value=='' || frm.ip2.value=='' || frm.ip3.value=='' || frm.ip4.value=='') {
			alert(".js_umlaut_changer('1. '.$locale['secure_411']).");
			return false;
		} else {
			if(!isNum(frm.ip1.value) || !isNum(frm.ip2.value) || !isNum(frm.ip3.value) || !isNum(frm.ip4.value)) {
			alert(".js_umlaut_changer('1. '.$locale['secure_413']).");
			return false;
			}
		}
		if(frm.ip5.value!='') {
			if(frm.ip5.value!='' && (frm.ip6.value=='' || frm.ip7.value=='' || frm.ip8.value==''))			{
			alert(".js_umlaut_changer('2. '.$locale['secure_411']).");
			return false;
			}else if(frm.ip5.value!=frm.ip1.value) {
			alert(".js_umlaut_changer($locale['secure_412']).");
			return false;
			}else if(!isNum(frm.ip5.value) || !isNum(frm.ip6.value) || !isNum(frm.ip7.value) || !isNum(frm.ip8.value)) {
			alert(".js_umlaut_changer('2. '.$locale['secure_413']).");
			return false;
			}				
		}
	}
	function isNum(val) 
   { 
      is_num=true;
      if(val.length==0)
         is_num=false;
      else 
         for(n=0;n<val.length;n++)
            {if(val.charAt(n)<\"0\"||val.charAt(n)>\"9\")is_num=false;}
      if (val<0 || val>255) is_num=false;      
   return is_num;
   } 
	function DeleteIps(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_016'],$locale['secure_405'])).");
	}		
	</script>";		
	echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;type=ips" method="post" onsubmit="return checkform(this);">
	<table border="0" cellspacing="1" cellpadding="0" width="100%" class="tbl-border">
	<tr><td class="tbl1">'.$locale['secure_409'].'</td></tr>
	<tr><td class="tbl2" align="center">
	<table><tr><td><b>'.$locale['secure_407'].'</b><br>
	<input type="text" name="ip1" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip2" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip3" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip4" class="textbox" style="width:25px;text-align:center;" maxlength="3"></td>
	<td><br>/</td><td><b>'.$locale['secure_408'].'</b><br>
	<input type="text" name="ip5" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip6" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip7" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip8" class="textbox" style="width:25px;text-align:center;" maxlength="3">
	</td><td><br>
	<input type="submit" name="save_ip" class="button" value="'.$locale['black466'].'"></td></tr></table></td></tr></table></form>';
	tablebreak();
		if ($spam_rows>0) {
	    echo '<div align="right" class="small">'.$locale['secure_024'].'<a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;type=ips&amp;limit=5">5</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;type=ips&amp;limit=10">10</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;type=ips&amp;limit=15">15</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;type=ips&amp;limit=25">25</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;type=ips&amp;limit=50">50</a></div>';
		} 
		echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;type=ips&amp;limit='.$limit.'" method="post" onsubmit="return DeleteIps(this);">';
		echo '<table class="tbl-border" width="100%" cellspacing="1" cellpadding="0">';
		if (!(bool)$spam_rows) {
			echo '<tr><td class="tbl2" align="center">'.$locale['secure_032'].'</td></tr>'; 
		} else {
			$sresult=dbquery("SELECT ip_id as id,ip_fip as fip,ip_nr as number FROM ".DB_PREFIX."sec_spam_ips ORDER BY ip_fip ASC, ip_nr ASC LIMIT ".$rowstart.",".$items_per_page);
			$show_rows = dbrows($sresult);
			$i=0;
			$current_fip='';
			
			while($ip=dbarray($sresult)){
				$ip_type = strpos($ip['number'],'/')===false ? 'ip' : 'ippool';
				$tbl_class=$i%2==0?'tbl1':'tbl2';
				
				if ($current_fip!=$ip['fip']){
					$current_fip=$ip['fip'];
					echo '<tr><td class="'.$tbl_class.'" colspan="2" align="center">'.$locale['secure_414'].'<strong>'.$ip['fip'].'</strong></td></tr>';
					}
				echo '<tr><td class="'.$tbl_class.'" width="1%"><input type="checkbox" name="ip_id[]" id="ip_id" value="'.$ip['id'].'"></td><td class="'.$tbl_class.'"><strong>'.$ip['number'].'</strong> ('.$ip_type.')</td></tr>';
			$i++;
			}@mysql_free_result($sresult);@clearstatcache();						
			echo '<tr><td colspan="2" class="tbl1" align="left">'.($spam_rows>1 ? '<input type="checkbox" onClick="AllActivate(this.form.ip_id);" class="textbox"> '.$locale['cp152'].' ':'').'<input type="submit" name="del_ip" class="button" value="'.$locale['black464'].'"></td></tr>';
		}
		
		echo '</table>';
		if ($spam_rows>$show_rows) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$items_per_page,$spam_rows,3,ADMIN.FUSION_SELF.$aidlink."&amp;page=spam&amp;type=ips&amp;limit=".$limit."&amp;")."\n</div>";
		echo '</form>';
		closetable();
		break;
		default:
		if (isset($_POST['save_words'])) {
			$spam_words = isset($_POST['spam_word']) ? explode(",",stripinput($_POST['spam_word'])) : array();
			if ($spam_words!='') {
					foreach($spam_words as $word) {
						if (dbcount('(spam_id)','sec_spam',"spam_word='".trim($word)."'")==0) {
							$result = update_table(DB_PREFIX."sec_spam","(spam_word) VALUES ('".trim($word)."')","insert");
						}
					}
					redirect(ADMIN.FUSION_SELF.$aidlink.'&page=spam'.(isset($like) ? "&amp;like=".$like : ''));
			}
			
		}
		
		if (isset($_POST['del_words'])) {
			if (isset($_POST['spam_id']) && is_array($_POST['spam_id'])) {
				foreach ($_POST['spam_id'] as $id) {
					$result = update_table(DB_PREFIX."sec_spam","WHERE spam_id='".$id."'",'delete');
				}
				redirect(ADMIN.FUSION_SELF.$aidlink."&page=spam".(isset($like) ? "&like=".$like : ''));
			}
		}
		echo "<script type='text/javascript'>
	function checkform(frm) {
		if(frm.spam_word.value=='') {
			alert(".js_umlaut_changer($locale['secure_032']).");
			return false;
		} 				
	}
	 
	function DeleteWords(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_016'],$locale['secure_401'])).");
	}		
	</script>";	
		$spam_rows=dbcount("(spam_id)","sec_spam","spam_word!=''".(isset($like) ? " AND spam_word LIKE '".$like."%'" : ''));
		opentable($locale['secure_401']);
		echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam'.(isset($like) ? "&amp;like=".$like : '').'" method="post" onsubmit="return checkform(this);">
		<table border="0" cellspacing="1" cellpadding="0" width="100%" class="tbl-border">
		<tr><td class="tbl1">'.$locale['secure_410'].'</td></tr>
		<tr><td class="tbl2" align="center">
		<table><tr><td><b>'.$locale['secure_401'].'</b><br>
		<textarea type="text" name="spam_word" class="textbox" style="width:250px;height:60px;"></textarea><br />
		<input type="submit" name="save_words" class="button" value="'.$locale['black466'].'"></td></tr>
		</table></td>
		</tr></table></form>';
		tablebreak();
		if ($spam_rows>0) {
	    echo '<div align="right" class="small">'.$locale['secure_024'].'<a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;limit=5'.(isset($like) ? "&amp;like=".$like : '').'">5</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;limit=10'.(isset($like) ? "&amp;like=".$like : '').'">10</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;limit=15'.(isset($like) ? "&amp;like=".$like : '').'">15</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;limit=25'.(isset($like) ? "&amp;like=".$like : '').'">25</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;limit=50'.(isset($like) ? "&amp;like=".$like : '').'">50</a></div>';
		}
		echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=spam&amp;limit='.$limit.(isset($like) ? "&amp;like=".$like : '').'" method="post" onsubmit="return DeleteWords(this);">';
		echo '<table class="tbl-border" width="100%" cellspacing="1" cellpadding="0">'; 
		if (!(bool)$spam_rows) {
			echo $locale['secure_033']; 
		} else {
				$sresult=dbquery("SELECT spam_id as id,spam_word as word FROM ".DB_PREFIX."sec_spam WHERE spam_word!=''".(isset($like) ? " AND spam_word LIKE '".$like."%'" : '')." ORDER BY spam_word ASC LIMIT ".$rowstart.",".$items_per_page);
			$show_rows = dbrows($sresult);
			$i=0;
			echo '<tr>';
			while($row=dbarray($sresult)){
				$tbl_class=$i%2==0?'tbl1':'tbl2';
				if ($i==4) {$i=0;echo '</tr><tr>';}
				echo '<td class="'.$tbl_class.'"><input type="checkbox" name="spam_id[]" id="spam_id" value="'.$row['id'].'" style="vertical-align:middle;"> '.$row['word'].'</td>';
			$i++;	
			}@mysql_free_result($sresult);@clearstatcache();						
			echo '<tr><td colspan="5" class="tbl1" align="left">'.($spam_rows>1 ? '<input type="checkbox" onClick="AllActivate(this.form.spam_id);" class="textbox"> '.$locale['cp152'].' ':'').'<input type="submit" name="del_words" class="button" value="'.$locale['black464'].'"></td></tr>';
		
		echo '</table>';
		if ($spam_rows>$show_rows) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$items_per_page,$spam_rows,3,ADMIN.FUSION_SELF.$aidlink."&amp;page=spam&amp;limit=".$limit.(isset($like) ? "&amp;like=".$like : '')."&amp;")."\n</div>";
		echo '</form>';
		}
		letter_searching();
		closetable();
		break; 
	}	
	break;
	case 'ua':
	
		switch($type) {
			case 'active':
			$ua_rows=dbcount("(ua_id)","sec_ua","ua_name!=''".(isset($like) ? " AND ua_name LIKE '".$like."%'" : '')." AND ua_active='1'");
			$ua_where=" AND ua_active='1'";
			$type='active';
			break;
			case 'deactive':
			$type='deactive';
			$ua_where =" AND ua_active='0'";
			$ua_rows=dbcount("(ua_id)","sec_ua","ua_name!=''".(isset($like) ? " AND ua_name LIKE '".$like."%'" : '')." AND ua_active='0'");
			break;
			default:
			$ua_rows=dbcount("(ua_id)","sec_ua","ua_name!=''".(isset($like) ? " AND ua_name LIKE '".$like."%'" : '')." AND ua_active='1'");
			$ua_where=" AND ua_active='1'";
			$type='active';
			break;
			
		}
	if (isset($_POST['save_ua'])) {
			$user_agents = isset($_POST['user_agent']) ? explode(",",stripinput($_POST['user_agent'])) : array();
			$user_agent_active = isset($_POST['user_agent_active']) ? '1' : '0';
			if ($user_agents!='') {
					foreach($user_agents as $ua) {
						if (dbcount('(ua_id)','sec_ua',"ua_name='".trim($ua)."'")==0) {
							$result = update_table(DB_PREFIX."sec_ua","(ua_name,ua_active) VALUES ('".trim($ua)."','".$user_agent_active."')","insert");
						}
					}
			redirect(ADMIN.FUSION_SELF.$aidlink.'&page=ua'.(isset($like) ? "&like=".$like : ''));
			}
			
		}
		
		if (isset($_POST['activate_ua'])) {
			if (isset($_POST['ua_id']) && is_array($_POST['ua_id'])) {
				foreach ($_POST['ua_id'] as $id) {
					$result = update_table(DB_PREFIX."sec_ua","SET ua_active=1 WHERE ua_id='".$id."'",'update');
				}
				redirect(ADMIN.FUSION_SELF.$aidlink."&page=ua".(isset($like) ? "&like=".$like : '')."&type=".$type);
			}
		}
		if (isset($_POST['deactivate_ua'])) {
			if (isset($_POST['ua_id']) && is_array($_POST['ua_id'])) {
				foreach ($_POST['ua_id'] as $id) {
					$result = update_table(DB_PREFIX."sec_ua","SET ua_active=0 WHERE ua_id='".$id."'",'update');
				}
				redirect(ADMIN.FUSION_SELF.$aidlink."&page=ua".(isset($like) ? "&like=".$like : '')."&type=".$type);
			}
		}
		if (isset($_POST['del_ua'])) {
			if (isset($_POST['ua_id']) && is_array($_POST['ua_id'])) {
				foreach ($_POST['ua_id'] as $id) {
					$result = update_table(DB_PREFIX."sec_ua","WHERE ua_id='".$id."'",'delete');
				}
				redirect(ADMIN.FUSION_SELF.$aidlink."&page=ua".(isset($like) ? "&like=".$like : '')."&type=".$type);
			}
		}
		echo "<script type='text/javascript'>
	function checkform(frm) {
		if(frm.user_agent.value=='') {
			alert(".js_umlaut_changer($locale['secure_032']).");
			return false;
		} 				
	}
	 
	function DeleteAgent(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_016'],$locale['secure_302'])).");
	}	
	
	function ActivateAgent(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_309'],$locale['secure_302'])).");
	}
	function DeactivateAgent(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_310'],$locale['secure_302'])).");
	}	
	</script>";
	opentable(sprintf($locale['secure_006'],$locale['secure_003']));
	echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
   echo "<td align='center' width='25%' class='".(!isset($type) || $type == "active" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo (!isset($type) || $type == "active" ? "<b>".$locale['secure_019']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=ua&type=active'>".$locale['secure_019']."</a>")."</span></td>\n";
  echo "<td align='center' width='25%' class='".(isset($type) && $type == "deactive" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo (isset($type) && $type == "deactive" ? "<b>".$locale['secure_020']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=ua&type=deactive'>".$locale['secure_020']."</a>")."</span></td>\n"; 
  echo '</tr></table>';	
  closetable();
  tablebreak();	
		
		// user-agents overview
		opentable($locale['secure_300']);
		if ($type=='active') {
		echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=ua'.(isset($like) ? "&amp;like=".$like."&amp;" : '').'&amp;type='.$type.'" method="post" onsubmit="return checkform(this);">
		<table border="0" cellspacing="1" cellpadding="0" width="100%" class="tbl-border">
		<tr><td class="tbl1">'.$locale['secure_305'].'</td></tr>
		<tr><td class="tbl2" align="center">
		<table><tr><td><b>'.$locale['secure_301'].'</b><br>
		<textarea type="text" name="user_agent" class="textbox" style="width:250px;height:60px;"></textarea><br />
		<input type="checkbox" name="user_agent_active" checked value="1" style="vertical-align:middle;"> '.sprintf($locale['secure_013'],'').'
		<br />';
		
		echo '<input type="submit" name="save_ua" class="button" value="'.$locale['black466'].'"></td></tr>
		</table></td>
		</tr></table></form>';
		tablebreak();
		}
		if ($ua_rows>0) {
	    echo '<div align="right" class="small">'.$locale['secure_024'].'<a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=ua&amp;limit=5'.(isset($like) ? "&amp;like=".$like : '').'&amp;type='.$type.'">5</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=ua&amp;limit=10'.(isset($like) ? "&amp;like=".$like : '').'&amp;type='.$type.'">10</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=ua&amp;limit=15'.(isset($like) ? "&amp;like=".$like : '').'&amp;type='.$type.'">15</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=ua&amp;limit=25'.(isset($like) ? "&amp;like=".$like : '').'&amp;type='.$type.'">25</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=ua&amp;limit=50'.(isset($like) ? "&amp;like=".$like : '').'&amp;type='.$type.'">50</a></div>';
		}
		echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=ua&amp;limit='.$limit.(isset($like) ? "&amp;like=".$like : '').'&amp;type='.$type.'" method="post">';
		echo '<table class="tbl-border" width="100%" cellspacing="1" cellpadding="0">'; 
		if (!(bool)$ua_rows) {
			echo '<tr><td class="tbl2" align="center">'.$locale['secure_032'].'</td></tr>';
		} else {
				$sresult=dbquery("SELECT ua_id as id,ua_name as word FROM ".DB_PREFIX."sec_ua WHERE ua_name!=''".(isset($like) ? " AND ua_name LIKE '".$like."%'" : '').$ua_where." ORDER BY ua_name ASC LIMIT ".$rowstart.",".$items_per_page);
			$show_rows = dbrows($sresult);
			$i=0;
			
			echo '<tr>';
			while($row=dbarray($sresult)){
				$tbl_class=$i%2==0?'tbl1':'tbl2';
				if ($i==4) {$i=0;echo '</tr><tr>';}
				echo '<td class="'.$tbl_class.'"><input type="checkbox" name="ua_id[]" id="ua_id" value="'.$row['id'].'" style="vertical-align:middle;"> '.$row['word'].'</td>';
			$i++;	
			}@mysql_free_result($sresult);@clearstatcache();						
			echo '<tr><td colspan="5" class="tbl1" align="left">'.($ua_rows>1 ? '<input type="checkbox" onClick="AllActivate(this.form.ua_id);" class="textbox"> '.$locale['cp152'].' ':'');
			
			switch($type) {
				case 'deactive':
				echo '<input type="submit" name="activate_ua" onClick="return ActivateAgent(this);" class="button" value="'.sprintf(ucfirst($locale['secure_013']),'').'" onClick="return ActivateAgent(this);"> ';
				break;
				default:
				echo '<input type="submit" name="deactivate_ua" onClick="return DeactivateAgent(this);" class="button" value="'.sprintf(ucfirst($locale['secure_014']),'').'" onClick="return DeactivateAgent(this);"> ';
				break;
			}
			echo '<input type="submit" name="del_ua" onClick="return DeleteAgent(this);" class="button" value="'.$locale['black464'].'"></td></tr>';
		
		echo '</table>';
		if ($ua_rows>$show_rows) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$items_per_page,$ua_rows,3,ADMIN.FUSION_SELF.$aidlink."&amp;page=ua&amp;limit=".$limit.(isset($like) ? "&amp;like=".$like : '')."&amp;")."\n</div>";
		echo '</form>';
		}
		letter_searching();
		closetable();
	break;
	case 'proxy':
		switch($type) {
			case 'white':
			$proxy_rows = dbcount("(proxy_id)","sec_proxy","proxy_ip!='' AND proxy_is_white='1'");
			$proxy_where = "proxy_is_white='1'";
			$proxy_is_white='1';
			$proxy_is_black='0';
			$type='white';
			$title = $locale['secure_203'];
			$info = $locale['secure_307']; 
			break;
			case 'nolist':
			$proxy_rows = dbcount("(proxy_id)","sec_proxy","proxy_ip!='' AND proxy_is_white='0' AND proxy_is_black='0'");
			$proxy_where = "proxy_is_white='0' AND proxy_is_black='0'";
			$proxy_is_white=isset($_POST['proxy_is_white']) ? '1' : '0';
			$proxy_is_black=isset($_POST['proxy_is_black']) ? '1' : '0';
			$type='nolist';
			$title = $locale['secure_206'];
			$info = $locale['secure_308']; 
			break;
			default:
			$proxy_rows = dbcount("(proxy_id)","sec_proxy","proxy_ip!='' AND proxy_is_black='1'");
			$proxy_where = "proxy_is_black='1'";
			$info = $locale['secure_306'];
			$proxy_is_white='0';
			$proxy_is_black='1';
			$type='black';
			$title = $locale['secure_204'];
			break;
		}
	if (isset($_POST['save_ip'])) {
			$ip1 = ((int)@$_POST['ip1']>0 && (int)@$_POST['ip1']<256 ? $_POST['ip1'] : null);
			$ip2 = ((int)@$_POST['ip2']>=0 && (int)@$_POST['ip2']<256 ? $_POST['ip2'] : null);
			$ip3 = ((int)@$_POST['ip3']>=0 && (int)@$_POST['ip3']<256 ? $_POST['ip3'] : null);
			$ip4 = ((int)@$_POST['ip4']>=0 && (int)@$_POST['ip4']<256 ? $_POST['ip4'] : null);
			$ip5 = ((int)@$_POST['ip5']>=0 && (int)@$_POST['ip5']<256 ? $_POST['ip5'] : null);
			$ip6 = ((int)@$_POST['ip6']>=0 && (int)@$_POST['ip6']<256 ? $_POST['ip6'] : null);
			$ip7 = ((int)@$_POST['ip7']>=0 && (int)@$_POST['ip7']<256 ? $_POST['ip7'] : null);
			$ip8 = ((int)@$_POST['ip8']>=0 && (int)@$_POST['ip8']<256 ? $_POST['ip8'] : null);
			$first_ip='';
			$second_ip='';
			if (isset($ip1) && isset($ip2) && isset($ip3) && isset($ip4)) {
				
					$hex_ip1 = dechex(ip2long($ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4) &0xffffff);
					$first_ip=$ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4;
					
			}
			if (isset($ip5) && $ip5==$ip1) {
				if (isset($ip6) && isset($ip7) && isset($ip8)) {
					if (ip2long($ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4)>ip2long($ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8)) 			  {
					$hex_ip1 = dechex(ip2long($ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8) &0xffffff);
					$first_ip=$ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8;
						
					$hex_ip2 = '/'.dechex(ip2long($ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4) &0xffffff);
					$second_ip='/'.$ip1.'.'.$ip2.'.'.$ip3.'.'.$ip4;	
					} else {
					$hex_ip2 = '/'.dechex(ip2long($ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8) &0xffffff);
					$second_ip='/'.$ip5.'.'.$ip6.'.'.$ip7.'.'.$ip8;
					}
				}
			}
			if ($first_ip!='') {
				if ($first_ip==substr($second_ip,1)) $second_ip = '';
				if ($first_ip==substr($second_ip,1)) $second_ip = '';
					
			$found = dbcount("(proxy_id)","sec_proxy","proxy_ip='".$first_ip.$second_ip."'");
			if (!(bool)$found) {
				$insert = update_table(DB_PREFIX."sec_proxy","(proxy_fip,proxy_ip,proxy_hex,proxy_is_white,proxy_is_black) VALUES('".$ip1."','".$first_ip.$second_ip."','".$hex_ip1.$hex_ip2."','".$proxy_is_white."','".$proxy_is_black."')","insert");
			}
				redirect(ADMIN.FUSION_SELF.$aidlink."&page=proxy&type=".$type); 
			} 
		}
		if (isset($_POST['proxy_is_black'])) {
			$ip_numbers = isset($_POST['proxy_id']) && is_array($_POST['proxy_id']) ? $_POST['proxy_id'] : array();
			
				if ($ip_numbers!='') {
					foreach ($ip_numbers as $ip_id) {
						$result = update_table(DB_PREFIX."sec_proxy","SET proxy_is_black=1,proxy_is_white=0 WHERE proxy_id='".$ip_id."'",'update');
					}
					redirect(ADMIN.FUSION_SELF.$aidlink."&page=proxy&limit=".$limit."&type=".$type);
				} 
		}
		if (isset($_POST['proxy_is_white'])) {
			$ip_numbers = isset($_POST['proxy_id']) && is_array($_POST['proxy_id']) ? $_POST['proxy_id'] : array();
			
				if ($ip_numbers!='') {
					foreach ($ip_numbers as $ip_id) {
						$result = update_table(DB_PREFIX."sec_proxy","SET proxy_is_black=0,proxy_is_white=1 WHERE proxy_id='".$ip_id."'",'update');
					}
					redirect(ADMIN.FUSION_SELF.$aidlink."&page=proxy&limit=".$limit."&type=".$type);
				} 
		}
		if (isset($_POST['del_ip'])) {
			$ip_numbers = isset($_POST['proxy_id']) && is_array($_POST['proxy_id']) ? $_POST['proxy_id'] : array();
			
				if ($ip_numbers!='') {
					foreach ($ip_numbers as $ip_id) {
						$result = update_table(DB_PREFIX."sec_proxy","WHERE proxy_id='".$ip_id."'",'delete');
					}
					redirect(ADMIN.FUSION_SELF.$aidlink."&page=proxy&limit=".$limit);
				} 
		}
	opentable(sprintf($locale['secure_006'],$locale['secure_004']));
	echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
   echo "<td align='center' width='25%' class='".(!isset($type) || $type == "black" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo (!isset($type) || $type == "black" ? "<b>".$locale['secure_204']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=proxy&type=black'>".$locale['secure_204']."</a>")."</span></td>\n";
   echo "<td align='center' width='25%' class='".(isset($type) && $type == "white" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo (isset($type) && $type == "white" ? "<b>".$locale['secure_203']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=proxy&type=white'>".$locale['secure_203']."</a>")."</span></td>\n";
  echo "<td align='center' width='25%' class='".(isset($type) && $type == "nolist" ? "tbl1" : "tbl2")."'><span class='small'>\n";
   echo (isset($type) && $type == "nolist" ? "<b>".$locale['secure_206']."</b>" : "<a href='".ADMIN.FUSION_SELF.$aidlink."&amp;page=proxy&type=nolist'>".$locale['secure_206']."</a>")."</span></td>\n"; 
  echo '</tr></table>';	
  closetable();
  tablebreak();
		opentable($locale['secure_205'].' :: '.$title);
echo "<script type='text/javascript'>
	function checkform(frm) {
		if(frm.ip1.value=='' || frm.ip2.value=='' || frm.ip3.value=='' || frm.ip4.value=='') {
			alert(".js_umlaut_changer('1. '.$locale['secure_411']).");
			return false;
		} else {
			if(!isNum(frm.ip1.value) || !isNum(frm.ip2.value) || !isNum(frm.ip3.value) || !isNum(frm.ip4.value)) {
			alert(".js_umlaut_changer('1. '.$locale['secure_413']).");
			return false;
			}
		}
		if(frm.ip5.value!='') {
			if(frm.ip5.value!='' && (frm.ip6.value=='' || frm.ip7.value=='' || frm.ip8.value==''))			{
			alert(".js_umlaut_changer('2. '.$locale['secure_411']).");
			return false;
			}else if(frm.ip5.value!=frm.ip1.value) {
			alert(".js_umlaut_changer($locale['secure_412']).");
			return false;
			}else if(!isNum(frm.ip5.value) || !isNum(frm.ip6.value) || !isNum(frm.ip7.value) || !isNum(frm.ip8.value)) {
			alert(".js_umlaut_changer('2. '.$locale['secure_413']).");
			return false;
			}				
		}
	}
	function isNum(val) 
   { 
      is_num=true;
      if(val.length==0)
         is_num=false;
      else 
         for(n=0;n<val.length;n++)
            {if(val.charAt(n)<\"0\"||val.charAt(n)>\"9\")is_num=false;}
      if (val<0 || val>255) is_num=false;      
   return is_num;
   } 
	function DeleteIps(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_016'],$locale['secure_205'])).");
	}
	function ChangeToBlack(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_210'],$locale['secure_204'])).");
	}		
	function ChangeToWhite(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_210'],$locale['secure_203'])).");
	}
	</script>";
	if ($type!='nolist') { 	
	echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=proxy&amp;type='.$type.'" method="post" onsubmit="return checkform(this);">
	<table border="0" cellspacing="1" cellpadding="0" width="100%" class="tbl-border">
	<tr><td class="tbl1">'.$info.'</td></tr>
	<tr><td class="tbl2" align="center">
	<table><tr><td><b>'.$locale['secure_407'].'</b><br>
	<input type="text" name="ip1" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip2" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip3" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip4" class="textbox" style="width:25px;text-align:center;" maxlength="3"></td>
	<td><br>/</td><td><b>'.$locale['secure_408'].'</b><br>
	<input type="text" name="ip5" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip6" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip7" class="textbox" style="width:25px;text-align:center;" maxlength="3">.<input type="text" name="ip8" class="textbox" style="width:25px;text-align:center;" maxlength="3">
	</td><td><br>
	<input type="submit" name="save_ip" class="button" value="'.$locale['black466'].'"></td></tr></table></td></tr></table></form>';
	tablebreak();
	}
	
	if ($proxy_rows>0) {
	    echo '<div align="right" class="small">'.$locale['secure_024'].'<a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=proxy&amp;type='.$type.'&amp;limit=5">5</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;proxy&amp;type='.$type.'&amp;limit=10">10</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;proxy&amp;type='.$type.'&amp;limit=15">15</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;proxy&amp;type='.$type.'&amp;limit=25">25</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;proxy&amp;type='.$type.'&amp;limit=50">50</a></div>';
		} 
		echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=proxy&amp;type='.$type.'&amp;limit='.$limit.'" method="post">';
		echo '<table class="tbl-border" width="100%" cellspacing="1" cellpadding="0">';
		if (!(bool)$proxy_rows) {
			echo '<tr><td class="tbl2" align="center">'.$locale['secure_032'].'</td></tr>'; 
		} else {
			$presult=dbquery("SELECT proxy_id as id,proxy_fip as fip,proxy_ip as number FROM ".DB_PREFIX."sec_proxy WHERE proxy_ip!='' AND ".$proxy_where." ORDER BY proxy_fip ASC, proxy_ip ASC LIMIT ".$rowstart.",".$items_per_page);
			$show_rows = dbrows($presult);
			$i=0;
			$current_fip='';
			
			while($ip=dbarray($presult)){
				$ip_type = strpos($ip['number'],'/')===false ? 'ip' : 'ippool';
				$tbl_class=$i%2==0?'tbl1':'tbl2';
				if ($ip_type=='ippool') {
					$ippool=explode("/",$ip['number']);
					$ip['number']='<a href="http://ipfander.de/control/'.$ippool[0].'" target="ipcheck"><strong>'.$ippool[0].'</strong></a>/<a href="http://ipfander.de/control/'.$ippool[1].'" target="ipcheck"><strong>'.$ippool[1].'</strong></a>';
				} else {
					$ip['number']='<a href="http://ipfander.de/control/'.$ip['number'].'" target="ipcheck"><strong>'.$ip['number'].'</strong></a>';
				}
				if ($current_fip!=$ip['fip']){
					$current_fip=$ip['fip'];
					echo '<tr><td class="'.$tbl_class.'" colspan="2" align="center">'.$locale['secure_414'].'<strong>'.$ip['fip'].'</strong></td></tr>';
					}
				echo '<tr><td class="'.$tbl_class.'" width="1%"><input type="checkbox" name="proxy_id[]" id="proxy_id" value="'.$ip['id'].'"></td><td class="'.$tbl_class.'">'.$ip['number'].' ('.$ip_type.')</td></tr>';
			$i++;
			}@mysql_free_result($sresult);@clearstatcache();						
			echo '<tr><td colspan="2" class="tbl1" align="left">'.($proxy_rows>1 ? '<input type="checkbox" onClick="AllActivate(this.form.proxy_id);" class="textbox"> '.$locale['cp152'].' ':'');
			if ($proxy_is_white==0) {
			echo '<input type="submit" id="white" name="proxy_is_white" class="button" value="'.$locale['secure_203'].'" onclick="return ChangeToWhite(this);"> ';
			}
			if ($proxy_is_black==0) {
			echo '<input type="submit" id="black" name="proxy_is_black" class="button" value="'.$locale['secure_204'].'" onclick="return ChangeToBlack(this);"> ';
			}
			echo '<input type="submit" id="del" name="del_ip" class="button" value="'.$locale['black464'].'" onclick="return DeleteIps(this);">';
			
			echo '</td></tr>';
		}
		
		echo '</table>';
		if ($proxy_rows>$show_rows) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$items_per_page,$proxy_rows,3,ADMIN.FUSION_SELF.$aidlink."&amp;page=proxy&amp;".(isset($type) ? "type=".$type."&amp;" :"")."limit=".$limit."&amp;")."\n</div>";
		echo '</form>';
	closetable();
	break;
	case 'safe':
	echo "<script type='text/javascript'>
	function checkform(frm) {
		if (frm.safe_folder.value=='') {
		alert(".js_umlaut_changer($locale['secure_507']).");
		return false;
		}
	}
	 
	function DeleteItem(frm) {
		return confirm(".js_umlaut_changer(sprintf($locale['secure_016'],$locale['secure_026'])).");
	}
	
	</script>";
	if (isset($_POST['del_safe'])) {
		$numbers = isset($_POST['safe_id']) && is_array($_POST['safe_id']) ? $_POST['safe_id'] : array();
			if ($numbers!='') {
				foreach ($numbers as $id) {
					$result = update_table(DB_PREFIX."sec_safe","WHERE safe_id='".$id."'",'delete');
					}
					redirect(ADMIN.FUSION_SELF.$aidlink."&page=safe&limit=".$limit);
				}
		}
	if (isset($_POST['save'])) {
		$error = '';
		$safe_folder = isset($_POST['safe_folder']) ? trim(stripinput($_POST['safe_folder'])) : '';
		$safe_file = isset($_POST['safe_file']) ? trim(stripinput($_POST['safe_file'])) : '';
		if (!empty($safe_folder)) {
				$folderlen = strlen($safe_folder);
		if (strpos($safe_folder,"/")==0) {
			if (strrpos($safe_folder,"/")==($folderlen-1)) {
				$safe_folder = $safe_folder;  
			} else {
				$safe_folder = $safe_folder."/";
			}
		} else {
				$safe_folder = '/'.$safe_folder;
				if (strrpos($safe_folder,"/")!=($folderlen-1)) {
					$safe_folder=$safe_folder."/";
				}	
			}	
		}
		  	
		if (!empty($safe_file)) {
			$filelen = strlen($safe_file);
			if (strrpos($safe_file,'.php')!=($filelen-4)) {
			  $error = $locale['secure_514'];
			}
		}
		if ($error=='') {
			if (!empty($safe_file)) {
				if (!isset($op) || $op!='edit') {
				if (dbcount("(safe_id)","sec_safe","safe_folder='".$safe_folder."' AND safe_file='".$safe_file."'")==0) 
				{
					if (dbcount("(safe_id)","sec_safe","safe_folder='".$safe_folder."' AND safe_file=''")==0) {	
				$result = update_table(DB_PREFIX."sec_safe","(safe_folder,safe_file) VALUES('".$safe_folder."','".$safe_file."')","insert");
					} else {
						$error = $locale['secure_513'];
					}
				} else {
				$error = $locale['secure_512'];	
				}
				}elseif ($op=='edit' && (int)$safe_id>0) {
				$result = update_table(DB_PREFIX."sec_safe","SET safe_folder='".$safe_folder."',safe_file='".$safe_file."' WHERE safe_id='".(int)$safe_id."'","update");
				}	
			} elseif(!empty($safe_folder)) {
				if (!isset($op) || $op!='edit') {
				if (dbcount("(safe_id)","sec_safe","safe_folder='".$safe_folder."' AND safe_file=''")==0) 
				{
					if (dbcount("(safe_id)","sec_safe","safe_folder='".$safe_folder."' AND safe_file!=''")==0) { 
					$result = update_table(DB_PREFIX."sec_safe","(safe_folder) VALUES('".$safe_folder."')","insert");
					} else {
						$error = $locale['secure_511'];
					}
					
				}
				} elseif ($op=='edit' && (int)$safe_id>0) {
				$result = update_table(DB_PREFIX."sec_safe","SET safe_folder='".$safe_folder."',,safe_file='' WHERE safe_id='".(int)$safe_id."' AND safe_reserved='0'","update");
				}	
			}
			if ($error=='')
			redirect(ADMIN.FUSION_SELF.$aidlink.'&page=safe');
		} 
	} else {
		if (isset($op) && $op=='edit') {
		$safe_id = isset($_GET['safe_id']) && (int)$_GET['safe_id']>0 ? (int)$_GET['safe_id'] : null;
		if (!isset($safe_id)) redirect(ADMIN.FUSION_SELF.$aidlink.'&page=safe');	
		if (!$data=dbarray(dbquery("SELECT safe_id,safe_folder,safe_file FROM ".DB_PREFIX."sec_safe WHERE safe_reserved='0' AND safe_id='".$safe_id."' LIMIT 0,1"))) redirect(ADMIN.FUSION_SELF.$aidlink.'&pafe=safe');
		$form_action = '&amp;op=edit&amp;safe_id='.$safe_id;	
		$safe_folder = $data['safe_folder'];
		$safe_file = $data['safe_file'];
		}else {
		$form_action = '&amp;op=add';	
		$safe_folder="";
		$safe_file="";	
		}
	}	
	$safe_rows = dbcount("(safe_id)","sec_safe","safe_reserved=0");
	
	// SECURE AREA
	opentable($locale['secure_500']);
	echo isset($error) && $error!='' ? '<div class="block error">'.$error.'</div>':'';
	echo '<form name="safeform" action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe'.$form_action.'" method="post" onsubmit="return checkform(this);"><table class="tbl-border" width="100%" cellspacing="1" cellpadding="0">
	<tr><td colspan="2" class="tbl1">'.$locale['secure_510'].'</td></tr>
	<tr>
	<td width="20%" class="tbl1">'.$locale['secure_501'].'</td>
	<td class="tbl2"><input type="text" name="safe_folder" class="textbox" style="width:250px;" value="'.$safe_folder.'"> <span class="small"><em><br>'.$locale['secure_505'].'</em></span></td>
	</tr>
	<tr>
	<td width="20%" class="tbl1">'.$locale['secure_502'].'</td>
	<td class="tbl2"><input type="text" name="safe_file" class="textbox" style="width:150px;" value="'.$safe_file.'"></td>
	</tr>
	<tr><td colspan="2" class="tbl1"><input type="submit" name="save" value="'.$locale['black466'].'" class="button">
	</table></form>';
	tablebreak();
	if ($safe_rows>0) {
		echo '<div align="right" class="small">'.$locale['secure_024'].'<a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe&amp;limit=5">5</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe&amp;limit=10">10</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe&amp;limit=15">15</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe&amp;limit=25">25</a> <a class="small" href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe&amp;limit=50">50</a></div>';
	}
	
	echo '<form action="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe&amp;limit='.$limit.'" method="post" onsubmit="return DeleteItem(this);">';
		echo '<table class="tbl-border" width="100%" cellspacing="1" cellpadding="0">'; 
		if (!(bool)$safe_rows) {
			echo '<tr><td class="tbl2" align="center">'.$locale['secure_032'].'</td></tr>'; 
	} else {
		$sresult=dbquery("SELECT safe_id,safe_folder,safe_file FROM ".DB_PREFIX."sec_safe WHERE safe_reserved='0' ORDER BY safe_folder ASC,safe_file ASC LIMIT ".$rowstart.",".$items_per_page);
		$show_rows = dbrows($sresult);
		    echo '<table class="tbl-border" width="100%" cellspacing="1" cellpadding="0">';
			$current_folder='';$files=0;
			$current_title='';
			$i=0;
			while($rows=dbarray($sresult)) {
				$tbl_class=$i%2==0?"tbl1":"tbl2";
				if ($current_folder!=$rows['safe_folder']) {
					
					$current_folder=$rows['safe_folder'];
					$files=dbcount("(safe_id)","sec_safe","safe_folder='".$current_folder."' AND safe_file!=''");
					if ($files==0) {
						if ($current_title!=$locale['secure_503']) {
							$current_title=$locale['secure_503'];
							$i=0;
							echo '<tr><td colspan="3" class="'.$tbl_class.'"><b>'.$locale['secure_503'].'</b></td></tr>';						  }
					echo '<tr><td width="1%" class="'.$tbl_class.'"><input type="checkbox" name="safe_id[]" id="safe_id" value="'.$rows['safe_id'].'"></td><td class="'.$tbl_class.'">'.$rows['safe_folder'].'</td><td class="'.$tbl_class.'" width="2%"><a href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe&amp;op=edit&amp;safe_id='.$rows['safe_id'].'"><img src="'.IMAGES.'edit.gif" alt="edit" title="edit" border="0" /></a></td></tr>';
					} else {
						if (strlen($rows['safe_folder'])==1) {
							$folder = $locale['secure_508'];
						} else {
							$folder = $rows['safe_folder'];
						}	
						  $i=0;
					   	  echo '<tr><td colspan="3"><b>'.$folder.'</b></td></tr>';
					}
				}
				if ($files>0) {
				echo '<tr><td width="1%" class="'.$tbl_class.'"><input type="checkbox" name="safe_id[]" id="safe_id" value="'.$rows['safe_id'].'"></td><td class="'.$tbl_class.'">'.$rows['safe_file'].'</td><td class="'.$tbl_class.'" width="2%"><a href="'.ADMIN.FUSION_SELF.$aidlink.'&amp;page=safe&amp;op=edit&amp;safe_id='.$rows['safe_id'].'"><img src="'.IMAGES.'edit.gif" alt="edit" title="edit" border="0" /></a></td></tr>';
				}
			$i++;	
			}@mysql_free_result($sresult);
			echo '<tr><td colspan="3" class="tbl1" align="left">'.($safe_rows>1 ? '<input type="checkbox" onClick="AllActivate(this.form.safe_id);" class="textbox"> '.$locale['cp152'].' ':'');
			echo ' <input type="submit" value="'.$locale['black464'].'" name="del_safe" class="button" />';
			echo '</td></tr>'; 
			echo '</table></form>';
	if ($safe_rows>$show_rows) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,$items_per_page,$safe_rows,3,ADMIN.FUSION_SELF.$aidlink."&amp;page=safe&amp;limit=".$limit."&amp;")."\n</div>";
	} 
	closetable();
	break;
	default:
	redirect(ADMIN.FUSION_SELF.$aidlink);
	break;
}

echo "</td>\n";
require_once ADMIN."footer.php";
?>