<?php
/*********************************************************************
 *   awForumPanel											*
 *													*
 *   Copyright (C) 2006 Artur Wiebe								*
 *   wibix@gmx.de											*
 *													*
 *   This program is free software; you can redistribute it and/or modify 		*
 *   it under the terms of the GNU General Public License as published by 		*
 *   the Free Software Foundation; either version 2 of the License, or 		*
 *   (at your option) any later version.								*
*********************************************************************/
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once("../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");
if (!iMEMBER) {redirect(BASEDIR."index.php");exit;}
require_once INCLUDES."forum_functions_include.php";

opentable($locale['AWF250']);
echo $awf_menu;
$result = dbquery("SELECT *"
	." FROM ".DB_PREFIX."threads AS tt"
	." INNER JOIN ".DB_PREFIX."forums tf USING(forum_id)"
	." LEFT OUTER JOIN ".DB_PREFIX."users tu ON tt.thread_lastuser=tu.user_id"
	." WHERE thread_author='".$userdata['user_id']."'");
$rows = dbrows($result);
if($rows != 0) {
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	$result = dbquery("SELECT t.thread_author,t.thread_replies as replies, IFNULL(fu.user_name,'') as user_name, t.thread_id,"
		." forum_name, t.forum_id, thread_subject,"
		." thread_lastuser, thread_lastpost, thread_locked,"
		." thread_lastpost_id AS last_id"
		." FROM ".DB_PREFIX."threads AS t"
		." INNER JOIN ".DB_PREFIX."forums AS f USING(forum_id)"
		." LEFT OUTER JOIN ".DB_PREFIX."users AS fu"
		." ON t.thread_lastuser=fu.user_id"
		." WHERE t.thread_author='".$userdata['user_id']."'"
		." GROUP BY t.thread_id"
		." ORDER BY t.thread_lastpost DESC LIMIT $rowstart, 20");
	echo "<p>
<table cellspacing='1' width='100%' class='tbl-border'>
<tr>
	<td class='tbl2' width='16'></td>
	<td class='tbl2' width='55%'><b>".$locale['AWF005']."</b></td>
	<td class='tbl2' width='45%'><b>".$locale['AWF004']."</b></td>
	<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['AWF006']."</b></td>
	<td align='center' colspan='2' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['AWF007']."</b></td>
</tr>\n";
	$count = 0;
	while($data = dbarray($result)) {
		$pid = $data['last_id'];
		$tbl = "tbl".(($count++ % 2)+1);

		if($data['thread_locked']) {
			$img = "folderlock.gif";
		} else if($data['thread_lastuser']==$userdata['user_id'] || $data['thread_lastpost']<$lastvisited) {
			$img = "folder.gif";
		} else{
			$img = "foldernew.gif";
		}

		echo "<tr>
	<td class='$tbl'><img src='".FORUMIMAGE."$img' alt=''></td>
	<td class='$tbl'><a href='".$tpl->url(SEO_POST,"viewthread.php","thread_id=",$data['thread_id'],"pid=",$pid,$data['thread_subject'],'forum',"_",'post_')."' title='".$data['thread_subject']."'>".trimlink($data['thread_subject'], 30)."</a></td>
	<td class='$tbl'>".$data['forum_name']."</td>
	<td align='center' width='1%' class='$tbl'>".($data['replies'])."</td>
	<td align='center' width='1%' class='$tbl' style='white-space:nowrap'>".($data['user_name']=="" ? $locale['VIEW484']:"<a href='".$tpl->url(SEO_UPROFILE,"profile.php","lookup=",$data['thread_lastuser'],null,null,$data['user_name'])."'>".$data['user_name']."</a>")."</td>
	<td align='center' class='$tbl' style='white-space:nowrap'>".showdate("forumdate", $data['thread_lastpost'])."</td>
</tr>\n";
	}
	echo "</table>\n";
	if($rows > 20) {
		echo "<p><div align='center'>"
			.makePageNav($rowstart, 20, $rows, 3)."\n</div>\n";
	}
} else {
	echo "<p><div align='center'>".$locale['AWF251']."</div>\n";
}

closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>