<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
require_once "../maincore.php";
require_once BASEDIR."subheader.php";

$forum_id = (int)@$_GET['forum_id'];
$thread_id = (int)@$_GET['thread_id'];
$action = (int)@$__GET['action'];
$step = isset($_GET['step']) ? stripinput($_GET['step']) : (isset($_POST['step']) ? stripinput($_POST['step']) : null);
if ($step=='mdel') {
	$step='tool';
	$action='1';
}	
if ($step=='medit') {
	$step='tool';
	$action='2';	
}

require_once INCLUDES."forum_functions_include.php";
$ubbvideo = $forum_settings['ubb_videos'];
$ubbgeshi = $forum_settings['ubb_geshi'];
if ($forum_settings['panel_l']) require_once BASEDIR."side_left.php"; else echo "<td valign='top' class='main-bg'>\n";
include LOCALE.LOCALESET."forum.php";

if (iMEMBER) {
	if (!isset($forum_id) || !isNum($forum_id)) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
	$data = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."forums WHERE forum_id='".$forum_id."'"));
	if (!forum_accesscontrol($userdata['user_id'],$data['forum_access'],$forum_id,"auth_mod")) {
		redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
	}
} 

define("iMOD",view_forum_mods($forum_id,true) ? true : false);
if (!iMOD) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
if (!isset($thread_id) || !isNum($thread_id)) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
if (!$step) redirect(FORUM."viewthread.php?thread_id=",$thread_id);
if (isset($_POST['canceldelete'])) redirect(FORUM."viewthread.php?thread_id=",$thread_id);

switch($step) {
	case "renew": 
	fu_f_update_thread($thread_id,"mod_renew");
	fu_f_update_forum($forum_id); 
	opentable($locale['OPTION458']);
	echo "	<div align='center'>".$locale['OPTION459']."<br><br>
		<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br>
		<a href='".FORUM."viewforum.php?forum_id=".$forum_id."'>".$locale['TOOL_010']."</a><br>
		<a href='".FORUM."viewthread.php?thread_id=".$thread_id."'>".$locale['TOOL_006']."</a><br>
		<br>\n</div>\n";
	closetable();
	break;

	case "delete": 
	opentable($locale['OPTION400']);
	if (!isset($_POST['deletethread'])) {
		echo "	<form name='delform' method='post' action='".FORUM.FUSION_SELF."?step=delete&amp;forum_id=$forum_id&amp;thread_id=$thread_id'><div align='center'><br>
			".$locale['OPTION404']."<br>
			<input type='submit' name='deletethread' value='".$locale['OPTION405']."' class='button' style='width:75px'>
			<input type='submit' name='canceldelete' value='".$locale['OPTION406']."' class='button' style='width:75px'></div>
			</form>\n";
	} else {
		delete_thread($thread_id);
		fu_f_update_forum($forum_id);
		optimize_tables();
		echo "<div align='center'>".$locale['OPTION401']."<br><br>
			<a href='".FORUM."'>".$locale['OPTION403']."</a><br>
			<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['TOOL_010']."</a><br>
			<br>\n</div>\n";
	}
	closetable();
	break;

	case "lock":
	$result = dbquery("UPDATE ".$db_prefix."threads SET thread_locked='1' WHERE thread_id='$thread_id'");
	opentable($locale['OPTION410']);
	echo "	<div align='center'>".$locale['OPTION411']."<br><br>
		<a href='".FORUM."'>".$locale['OPTION403']."</a><br>
		<a href='".FORUM."viewforum.php?forum_id=".$forum_id."'>".$locale['TOOL_010']."</a><br>
		<a href='".FORUM."viewthread.php?thread_id=".$thread_id."'>".$locale['TOOL_006']."</a><br>
		<br>\n</div>\n";
	closetable();
	break;
	case "unlock": 
	$result = dbquery("UPDATE ".$db_prefix."threads SET thread_locked='0' WHERE thread_id='$thread_id'");
	opentable($locale['OPTION420']);
	echo "	<div align='center'>".$locale['OPTION421']."<br><br>
		<a href='".FORUM."'>".$locale['OPTION403']."</a><br>
		<a href='".FORUM."viewforum.php?forum_id=".$forum_id."'>".$locale['TOOL_010']."</a><br>
		<a href='".FORUM."viewthread.php?thread_id=".$thread_id."'>".$locale['TOOL_006']."</a><br>
		<br>\n</div>\n";
	closetable();
	break;
	case "sticky":
	$result = dbquery("UPDATE ".$db_prefix."threads SET thread_sticky='1' WHERE thread_id='$thread_id'");
	opentable($locale['OPTION430']);
	echo "	<div align='center'>".$locale['OPTION431']."<br><br>
		<a href='".FORUM."'>".$locale['OPTION403']."</a><br>
		<a href='".FORUM."viewforum.php?forum_id=".$forum_id."'>".$locale['TOOL_010']."</a><br>
		<a href='".FORUM."viewthread.php?thread_id=".$thread_id."'>".$locale['TOOL_006']."</a><br>
		<br>\n</div>\n";
	closetable();
	break;
	case "nonsticky":
	$result = dbquery("UPDATE ".$db_prefix."threads SET thread_sticky='0' WHERE thread_id='$thread_id'");
	opentable($locale['OPTION440']);
	echo "	<div align='center'>".$locale['OPTION441']."<br><br>
		<a href='".FORUM."'>".$locale['OPTION403']."</a><br>
		<a href='".FORUM."viewforum.php?forum_id=".$forum_id."'>".$locale['TOOL_010']."</a><br>
		<a href='".FORUM."viewthread.php?thread_id=".$thread_id."'>".$locale['TOOL_006']."</a><br>
		<br>\n</div>\n";
	closetable();
	break;
	case "move":
	opentable($locale['OPTION450']);
	if (isset($_POST['move_thread'])) {
		$new_forum_id = $_POST['new_forum_id'];
		if (!isset($new_forum_id) || !isNum($new_forum_id)) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		if (!dbcount("(forum_id)", "forums", "forum_id='".$new_forum_id."'")) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		$tdata2 = dbarray(dbquery("SELECT thread_id,thread_lastpost,thread_lastuser FROM ".$db_prefix."threads WHERE thread_id='$thread_id'"));
	
		$result = dbquery("UPDATE ".$db_prefix."threads SET forum_id='$new_forum_id' WHERE thread_id='$thread_id'");
		$result = dbquery("UPDATE ".$db_prefix."posts SET forum_id='$new_forum_id' WHERE thread_id='$thread_id'");
		fu_f_update_forum($forum_id);
		fu_f_update_forum($new_forum_id);
		optimize_tables();
		echo "	<div align='center'>".$locale['OPTION452']."<br><br>
			<a href='".FORUM."'>".$locale['OPTION403']."</a><br>
			<a href='".FORUM."viewforum.php?forum_id=".$new_forum_id."'>".$locale['TOOL_010']."</a><br>
			<a href='".FORUM."viewthread.php?thread_id=".$thread_id."'>".$locale['TOOL_006']."</a><br>
			<br>\n</div>\n";
	} else {
		$move_list = list_foren($forum_id);
		echo "	<form name='moveform' method='post' action='".FORUM.FUSION_SELF."?step=move&forum_id=$forum_id&amp;thread_id=$thread_id'>
			<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
			<tr>
			<td>
			<table cellpadding='0' cellspacing='1' width='100%'>
			<tr>
			<td class='tbl2' width='150'>".$locale['OPTION451']."</td>
			<td class='tbl1'><select name='new_forum_id' class='textbox' style='width:250px;'>
			$move_list</select></td>
			</tr>
			<tr>
			<td colspan='2' class='tbl2' style='text-align:center;'><input type='submit' name='move_thread' value='".$locale['OPTION450']."' class='button'></td>
			</tr>
			</table>
			</td>
			</tr>
			</table>
			</form>\n";
	}
	closetable();
	break;

	/*------------------------------------------------------------+
	| Forum Multi Mod Tool Version 1 
	| (c) 2008 by MK-Websolution
	| http://www.mk-websolution.de
	+-------------------------------------------------------------+
	| This script code is copyright by MK-Websolution.
	| To change, copy and paste in other projects or print of this 
	| code is forbidden. It`s only allowed to use this tool 
	| in the ExtBoard.
	+-------------------------------------------------------------*/ 
	case "tool":
	$posts = marked_posts();
	$posts_list = array();
	if ($posts) {
		$posts_list = explode(",",$posts);
	} 
	echo "	<script type='text/javascript' language='text/javascript'>
		<!--
		function st_check(value) {
			var i = 0;
			while (document.getElementById('box' + i)) {
				if (value != '') { 
					document.getElementById('box' + i).checked = true; 
					document.getElementById('dontmark').style.display = 'inline';
					document.getElementById('mark').style.display = 'none';
					document.getElementById('dot').style.display = 'none';
					document.getElementById('sendbtn').style.display = 'inline';
				}else { 
					document.getElementById('box' + i).checked = false; 
					document.getElementById('dontmark').style.display = 'none';
					document.getElementById('mark').style.display = 'inline';
					document.getElementById('dot').style.display = 'none';
					document.getElementById('sendbtn').style.display = 'none';
				}
				i++;
			}
		}
		function box_check(value) {
			if (value != '') {
		    		if (document.getElementById('dontmark')) document.getElementById('dontmark').style.display = 'inline';
				if (document.getElementById('mark')) document.getElementById('mark').style.display = 'inline';
				if (document.getElementById('dot')) document.getElementById('dot').style.display = 'inline';
				if (document.getElementById('sendbtn')) document.getElementById('sendbtn').style.display = 'inline';
			}
		}
		function startSubmit() {
			document.getElementById('sendbtn').style.display = 'inline';
		}
		function ConfirmSubmit() {
			return confirm('".$locale['TOOL_009']."');
		}
		function CheckField(frm) {
			if(frm.split_subject.value=='' && document.getElementById('move_on').checked) {
				alert('".$locale['SPLIT_008']."');
				return false;
			} else if(document.getElementById('move_on').checked==false){
				return confirm('".$locale['TOOL_009']."');
			}
		}
		function ChangeDisplay(frm) {
			if(document.getElementById('move_on').checked) {
				if (document.getElementById('split')) document.getElementById('split').style.display = 'none';
				if (document.getElementById('split_locale')) document.getElementById('split_locale').style.display = 'none';
				if (document.getElementById('split_form')) document.getElementById('split_form').style.display = 'none';
				if (document.getElementById('search_form')) document.getElementById('search_form').style.display = 'inline';
				if (document.getElementById('search')) document.getElementById('search').style.display = 'inline';
				if (document.getElementById('search_locale')) document.getElementById('search_locale').style.display = 'inline';
				if(document.getElementById('notice_search')) document.getElementById('notice_search').style.display = 'inline';
				if (document.getElementById('search_locale')) document.getElementById('search_locale').style.display = 'none';
			} else {
				if (document.getElementById('split')) document.getElementById('split').style.display = 'inline';
				if (document.getElementById('split_locale')) document.getElementById('split_locale').style.display = 'inline';
				if (document.getElementById('split_form')) document.getElementById('split_form').style.display = 'inline';
				if (document.getElementById('search_form')) document.getElementById('search_form').style.display = 'none';
				if (document.getElementById('search')) document.getElementById('search').style.display = 'none';
				if (document.getElementById('search_locale')) document.getElementById('search_locale').style.display = 'none';
				if(document.getElementById('notice_search')) document.getElementById('notice_search').style.display = 'none';
			}
		}
		//-->
		</script>";

	switch($action) {
		// split mod
		case 0 : 
		$new_thread_id = 0;
		$old_thread_id = (int)@$_REQUEST['thread_id'];
		$forum_list = list_foren($forum_id); $sel = "";
		$send_btn = "split_thread";
		$btn_locale = $locale['SPLIT_000'];
		$mark_locale = $locale['SPLIT_003'];
		$body_hover = $locale['SPLIT_004'];
		$textarea = 0;
		$button0=0;
		break;
	
		// multidelete mod
		case 1 :
		$new_thread_id = 0;
		$old_thread_id = (int)@$_REQUEST['thread_id'];
		$send_btn = "clear_posts";
		$btn_locale = $locale['DEL_000'];
		$mark_locale = $locale['DEL_002'];
		$body_hover = $locale['DEL_003'];
		$textarea = 0;
		$button0=0;
		break;
		
		// multiedit mod
		case 2 :
		$new_thread_id = 0;
		$old_thread_id = (int)@$_REQUEST['thread_id'];
		$send_btn = "edit";
		$btn_locale = $locale['EDIT_000'];
		$mark_locale = $locale['EDIT_002'];
		$body_hover = $locale['EDIT_003'];
		$textarea = 1;
		$button0=1;
	  	break;	
	
	}
	$rowstart = (int)@$_REQUEST['rowstart'];
	$limit = isset($_REQUEST['limit']) && (int)$_REQUEST['limit']>0 ? (int)$_REQUEST['limit'] : $forum_settings['postspage']; 
	opentable($btn_locale);
	
	// Multi delete mod
	if (isset($_POST['clear_posts'])) {
		if (!empty($posts)) {
			$pids = $posts;
		} else {
			redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		}
		$result = dbquery("DELETE FROM ".$db_prefix."posts WHERE post_id IN($pids) AND thread_id='$thread_id'");
		$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE post_id IN($pids)");
		if (dbrows($result) != 0) {
			$attach = dbarray($result);
			unlink(FORUM."attachments/".$attach['attach_name']);
			$result2 = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE post_id IN($pids)");
		}
		$posts = dbcount("(post_id)", "posts", "thread_id='$thread_id'");
		if (!$posts) {
			$result = dbquery("DELETE FROM ".$db_prefix."threads WHERE thread_id='$thread_id' AND forum_id='$forum_id'");
			$result = dbquery("DELETE FROM ".$db_prefix."thread_notify WHERE thread_id='$thread_id'");
			$poll_result = dbquery("SELECT poll_id FROM ".$db_prefix."forum_polls WHERE thread_id = '".$thread_id."'");
				if (dbrows($poll_result)) {
					$poll_data=dbarray($poll_result);
					$options_del = dbquery("DELETE FROM ".DB_PREFIX."forum_poll_options WHERE poll_id='".$poll_data['poll_id']."'");	
					$votes_del = dbquery("DELETE FROM ".DB_PREFIX."forum_poll_votes WHERE poll_id='".$poll_data['poll_id']."'");
					$poll_del = dbquery("DELETE FROM ".DB_PREFIX."forum_polls WHERE thread_id='".$thread_id."'");
				}
				fu_f_update_forum($forum_id);
			} else {
				// update forum_lastpost and forum_lastuser if post_datestamp matches	
				fu_f_update_forum($forum_id);	
        			fu_f_update_thread($thread_id);		
			}
			optimize_tables();
			echo "	<div align='center'><b>".$locale['DEL_001']."</b><br><br>
				<a href='".FORUM."'>".$locale['OPTION403']."</a><br><br>
				<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['TOOL_010']."</a><br><br>
				<a href='".FORUM."viewthread.php?thread_id=$thread_id'>".$locale['TOOL_006']."</a><br>
				<br>\n</div>\n";
	    	} 
		// Multi edit mod
		elseif(isset($_POST['edit'])) {
			if (isset($_POST['post_id']) && is_array($_POST['post_id'])) {
				for($i = 0; $i < count($_POST['post_id']); $i++) {
					if (isNum($_POST['post_id'][$i])) {
						$result = dbquery("UPDATE ".DB_PREFIX."posts SET post_message='".stripinput(censorwords($_POST["message".$_POST['post_id'][$i]]))."', post_edituser='".$userdata['user_id']."', post_edittime='".time()."' WHERE post_id = '".$_POST['post_id'][$i]."'");
					}
				}
			} else {
				redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')); }
				echo "	<div align='center'><b>".$locale['EDIT_001']."</b><br><br>
					<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>
					<a href='".FORUM."viewforum.php?forum_id=".$forum_id."'>".$locale['TOOL_010']."</a><br><br>
					<a href='".FORUM."viewthread.php?thread_id=".$thread_id."'>".$locale['TOOL_006']."</a><br>
					<br>\n</div>\n";
			}
		// Split mod
		else if (isset($_REQUEST['split_thread'])) {
		$fid = isset($_POST['split_forum_id']) ? (int)$_POST['split_forum_id'] : $forum_id;
		
		if (!isset($fid) || !isNum($fid)) redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id."&thread_id=".$thread_id."&step=error&err=1");
		if (!dbcount("(forum_id)", "forums", "forum_id='$fid'")) redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id."&thread_id=".$thread_id."&step=tool");

		if (!empty($posts)) {
		$pids = $posts;			
		}
		else if (isset($_POST['post_id']) && is_array($_POST['post_id'])) {
			$pids = "";
			for($i = 0; $i < count($_POST['post_id']); $i ++) {
				if (isNum($_POST['post_id'][$i])) {
					$pids .= ($pids != "" ? ", " : "")."'".$_POST['post_id'][$i]."'";
				}
			}
		} else if (isset($_POST['pids'])) {
			$pids = $_POST['pids'];
		} else { redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id."&thread_id=".$thread_id."&step=tool&rowstart=".$rowstart); }
		// Split Starten
		if (!isset($_REQUEST['posts_move'])) {
		$new = dbcount("(post_id)", "posts", "post_id IN ($pids)");
		$old = dbcount("(post_id)", "posts", "thread_id='$thread_id'");
		if ($new < $old && $new != 0) {
			$fpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id IN ($pids) ORDER BY post_datestamp ASC LIMIT 1"));
			$lpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id IN ($pids) ORDER BY post_datestamp DESC LIMIT 1"));
			$subject = isset($_POST['split_subject']) && !empty($_POST['split_subject']) ? stripinput($_POST['split_subject']) : $fpdata['post_subject'];
			$result = dbquery("INSERT INTO ".$db_prefix."threads (forum_id, thread_subject, thread_author,
				thread_views, thread_lastpost, thread_lastuser, thread_sticky, thread_locked)
				VALUES ('$fid', '$subject', '".$fpdata['post_author']."', '0', '".$lpdata['post_datestamp']."',
				'".$lpdata['post_author']."', '0', '0')"
			);
			$new_thread_id = mysql_insert_id();
			$result = dbquery("UPDATE ".$db_prefix."posts
				SET forum_id='$fid', thread_id='$new_thread_id', post_subject='$subject'
				WHERE post_id IN ($pids)");
			if (dbcount("(thread_id)","forum_attachments","post_id IN ($pids)")) {
			$result = dbquery("UPDATE ".$db_prefix."forum_attachments
				SET thread_id='$new_thread_id' WHERE post_id IN ($pids)");
			}	
			if ($old_thread_id>0) {
			fu_f_update_thread($old_thread_id);
			}
			fu_f_update_thread($new_thread_id);
			fu_f_update_forum($forum_id);
			fu_f_update_forum($fid);
			optimize_tables();
		} else {
			redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		}
		echo "	<div align='center'><b>".$locale['SPLIT_001']."</b><br><br>
			<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>
			<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['TOOL_010']."</a><br><br>
			<a href='".FORUM."viewthread.php?thread_id=$new_thread_id'>".$locale['TOOL_006']."</a></div>\n";
		 }	
		 // Move start
		 else {
		 // Doch splitten	
		 if (isset($_POST['split_now'])) {
		 	$fid = $_POST['new_forum'];
			if (!isset($fid) || !isNum($fid)) redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
			if (!dbcount("(forum_id)", "forums", "forum_id='$fid'")) redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id."&thread_id=".$thread_id);
			if (isset($_POST['pids'])) {
			$pids = str_replace("|","'",$_POST['pids']);
		} else {
			redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id."&thread_id=".$thread_id);
		}
		$new = dbcount("(post_id)", "posts", "post_id IN ($pids)");
		$old = dbcount("(post_id)", "posts", "thread_id='$thread_id'");
		if ($new < $old && $new != 0) {
			$fpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id IN ($pids) ORDER BY post_datestamp ASC LIMIT 1"));
			$lpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id IN ($pids) ORDER BY post_datestamp DESC LIMIT 1"));
			$subject = isset($_POST['thread_new_subject']) && !empty($_POST['thread_new_subject']) ? stripinput($_POST['thread_new_subject']) : $fpdata['post_subject'];
			
			$result = dbquery("INSERT INTO ".$db_prefix."threads (forum_id, thread_subject, thread_author,
				thread_views, thread_lastpost, thread_lastuser, thread_sticky, thread_locked)
				VALUES ('$fid', '$subject', '".$fpdata['post_author']."', '0', '".$lpdata['post_datestamp']."',
				'".$lpdata['post_author']."', '0', '0')"
			);
			$new_thread_id = mysql_insert_id();
			
			$result = dbquery("UPDATE ".$db_prefix."posts
				SET forum_id='$fid', thread_id='$new_thread_id', post_subject='$subject'
				WHERE post_id IN ($pids)");
			if (dbcount("(thread_id)","forum_attachments","post_id IN ($pids)")) {
				$result = dbquery("UPDATE ".$db_prefix."forum_attachments
				SET thread_id='$new_thread_id' WHERE post_id IN ($pids)");
			}	
			if ($old_thread_id>0) {
				fu_f_update_thread($old_thread_id);
			}
			fu_f_update_thread($new_thread_id);
			fu_f_update_forum($fid);
			fu_f_update_forum($old_forum_id);
			optimize_tables();
		} else {
			redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
		}
		echo "	<div align='center'><b>".$locale['SPLIT_001']."</b><br><br>
			<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>
			<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['TOOL_010']."</a><br><br>
			<a href='".FORUM."viewthread.php?thread_id=$old_thread_id'>".$locale['TOOL_011']."<br><br>
			<a href='".FORUM."viewthread.php?thread_id=$new_thread_id'>".$locale['TOOL_006']."</a><br>\n</div>\n";
	} else if (isset($_POST['move_posts'])) {
			$pids = str_replace("|","'",$_POST['pids']);	
			$fid = (int)@$_POST['split_forum_id'];	
			$new_thread = (int)@$_POST['new_thread'];	
			if ($new_thread) {
				$pdata = dbarray(dbquery("SELECT forum_id,post_id,post_subject,post_datestamp FROM ".DB_PREFIX."posts WHERE thread_id='$new_thread' ORDER BY post_datestamp ASC"));
				$fpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id IN ($pids) ORDER BY post_datestamp ASC LIMIT 1"));
				$lpdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id IN ($pids) ORDER BY post_datestamp DESC LIMIT 1"));
	//			$subject = str_replace(array("[move]","[merge]"),"",$pdata['post_subject'])." [move]";	
				$result = dbquery("UPDATE ".DB_PREFIX."posts SET forum_id='".$pdata['forum_id']."',thread_id='".$new_thread."' WHERE post_id IN ($pids)");
				if (dbcount("(thread_id)","forum_attachments","post_id IN ($pids)")) {
					$result = dbquery("UPDATE ".$db_prefix."forum_attachments
					SET thread_id='$new_thread' WHERE post_id IN ($pids)");
				}
				$poll_result = dbquery("SELECT thread_id FROM ".$db_prefix."forum_polls WHERE thread_id='$new_thread'");
				if (dbrows($poll_result)) {
					$id_for_poll = ($pdata['post_datestamp'])>$fpdata['post_datestamp'] ? $fpdata['post_id'] : $pdata['post_id'];
					$poll_update = dbquery("UPDATE ".DB_PREFIX."forum_polls SET post_id='".$id_for_poll."' WHERE thread_id='".$new_thread."'");	
				}
				if ($old_thread_id>0) {
					fu_f_update_thread($old_thread_id);
				}
				fu_f_update_thread($new_thread);
				fu_f_update_forum($fid);
				fu_f_update_forum($tdata['forum_id']);
				optimize_tables();
				echo "	<div align='center'><b>".sprintf($locale['MOVE_001'],"")."</b><br><br>
					<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>
					<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['TOOL_010']."</a>
					<br><br>
					<a href='".FORUM."viewthread.php?thread_id=$old_thread_id'>".$locale['TOOL_011']."
					<br><br>
					<a href='".FORUM."viewthread.php?thread_id=$new_thread'>".$locale['TOOL_006']."</a><br>\n</div>\n";
			} else {
				echo "	<div align='center'>".sprintf($locale['MOVE_001'],$locale['TOOL_012'])."<br><br>
					<a href='".$tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum')."'>".$locale['OPTION403']."</a><br><br>
					<a href='".FORUM."viewforum.php?forum_id=$forum_id'>".$locale['TOOL_010']."</a>
					<br><br>
					<a href='".FORUM."viewthread.php?thread_id=$old_thread_id'>".$locale['TOOL_006']."
					</div>\n";	
			}
		} else {
		 	$max_limit = $forum_settings['postspage'];
		 	if (isset($_POST['next'])) {
		 		$search	= strstr("-",$_POST['next']);
		 		$next = str_replace($search,"",$_POST['next']);
		 		$rowstart=(int)$next-1;
		 	}
		 	$search_post_words = str_replace(array(",","+",";")," ",stripinput($_POST['split_subject']));
		 	$search_words = explode(" ",strtolower($search_post_words));
		 	$search_words = array_unique($search_words);
		 	$search_list = "";
		 	foreach($search_words as $value) {
				if (strlen($value)>3) {
					$search_list.=$value." ";
				}
			}
			$search_words = explode(" ",trim($search_list));
		 	$search_words = array_unique($search_words);
		 	sort($search_words);
		 	$words_cnt = count($search_words);
			$i=0;
			$where_query = "";
			for ($i=0;$i<$words_cnt;$i++) {
				if (strlen($search_words[$i])>3) {
					$where_query .= "thread_subject LIKE '%".$search_words[$i]."%'".($i<($words_cnt-1) ? " AND " :"");
				} 
			}
			if ($where_query!="") {
				$all_foren = false;
				$fwhere = "";
				if (!$all_foren) {
					$fwhere = " AND t.foren_id='".$fid."'";
				}	
				$sql = "SELECT thread_id,thread_subject,f.forum_name AS fname 
				FROM ".DB_PREFIX."threads AS t
				INNER JOIN ".DB_PREFIX."forums AS f USING(forum_id)
				LEFT OUTER JOIN ".DB_PREFIX."forum_groups fg ON f.forum_id=fg.forum_id 
				AND fg.auth_read='1'"." 
				WHERE (".forum_groupaccess('f.forum_access')." 
				OR ".forum_groupaccess('fg.group_id').") AND ((".$where_query.") 
				OR thread_subject='".$search_post_words."') AND thread_id<>'".$thread_id."' 
				AND f.forum_cat!=0 GROUP BY thread_id";
				$result=dbquery($sql); 
				$cnt_rows=dbrows($result);
			} else {
				$cnt_rows=0;
				$search_post_words="";	
			}
			echo "<form name='inputform' method='post' action='".FORUM.FUSION_SELF."?step=tool&amp;forum_id=$forum_id&amp;thread_id=$thread_id&amp;posts_move=1&amp;split_thread=1'><input type='hidden' name='split_forum_id' value='".$fid."'><input type='hidden' name='pids' value='".str_replace("'","|",$pids)."'>";
			echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
				<tr>
				<td>
				<table cellpadding='0' cellspacing='1' width='100%'>";
			echo "<tr>
				<td class='tbl2' width='190'>".$locale['SPLIT_006']."</td>
				<td class='tbl1'><input type='text' name='split_subject' value='".$search_post_words."' class='textbox' style='width:250px;vertical-align:middle;'> <input type='submit' value='".$locale['TOOL_015']."' class='button' style='vertical-align:middle;'><br><font style='font-size:10px;'>".$locale['SPLIT_010']."</font></td>
				</tr>";
			if ($cnt_rows) {
				echo "<tr><td class='tbl2' colspan='2' align='center'><input style='vertical-align:middle;display:none;' type='submit' name='move_posts' value='".$locale['MOVE_000']."' class='button' id='sendbtn' onclick='return ConfirmSubmit();'>";	
			}	
			echo "</td></tr></table></td></tr></table>";
			tablebreak();

			if ($cnt_rows) {
				echo "	<table cellpadding='0' cellspacing='1' width='100%'>
					<tr>
					<td class='tbl1'><span style='font-weight:bold;font-size:11px;'>".$locale['MERGE_009']."</span></td>
					</tr>
					</table>";	
			if ($cnt_rows>$max_limit) {
				$nav_cnt = round($cnt_rows/$max_limit);
				unset($j);
				$j=0;
				echo makenav($rowstart,$max_limit,$cnt_rows,4);
				tablebreak();
			}
			$cnt = $cnt_rows<=$max_limit ? $cnt_rows : $max_limit;
			$sql2 = $sql." LIMIT $rowstart,$cnt";
			$result2 = dbquery($sql2);
				while($data=dbarray($result2)) {
					$pdata=dbarray(dbquery("SELECT post_message,post_datestamp FROM ".DB_PREFIX."posts WHERE thread_id='".$data['thread_id']."' ORDER BY post_datestamp ASC LIMIT 0,1"));
					echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
						<tr>
						<td>";
					echo "<table cellpadding='0' cellspacing='1' width='100%'>\n";
					echo "<tr><td class='tbl2' style='width:5px;'><input type='radio' name='new_thread' value='".$data['thread_id']."' class='textbox' onclick='startSubmit();' title='".$locale['MOVE_000']." - ".$locale['MERGE_005']."'></td><td class='tbl2'>".$data['fname'].": <a href='viewthread.php?thread_id=".$data['thread_id']."' target='_blank'><b>".$data['thread_subject']."</b></a> (".sprintf($locale['TOOL_003'],showdate("forumdate", $pdata['post_datestamp'])).")</td></tr>";
					echo "<tr><td class='tbl2'> </td><td class='tbl1'><div style='height:100px;width:auto;max-width:680px;max-height:140px;overflow:auto'>".parseubb(nl2br($pdata['post_message']),$forum_settings['ubb_videos'].",".$forum_settings['ubb_geshi'])."</div></td></tr></table>";echo "</td></tr></table>";	tablebreak();
					$all_post_ids.=($all_post_ids ? "," : "").$pdata['post_id'];
				}
			} else {
				echo sprintf($locale['TOOL_013'],$locale['TOOL_014']);
				echo "	<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
					<tr>
					<td>
					<table cellpadding='0' cellspacing='1' width='100%'><tr>
					<td class='tbl2' width='190'>".$locale['SPLIT_002']."</td>
					<td class='tbl1'>
					<select name='split_forum_id' class='textbox' style='width:250px;' style='display:inline;' id='split_form'>
					$forum_list
					</select>
					<input type='hidden' name='new_forum' class='textbox' style='display:none;' id='search_form' value='".$forum_id."'>
					</td>
					</tr>
					<tr>
					<td class='tbl2' width='190'>".$locale['TOOL_002']."</td>
					<td class='tbl1'><input type='text' name='thread_new_subject' value='".$search_post_words."' class='textbox' style='width:250px; vertical-align:middle;'>
					<tr><td colspan='2' class='tbl2' align='center'>
					<input type='submit' name='split_now' value='".$locale['SPLIT_009']."' class='button' onclick='return ConfirmSubmit();'></td></tr></table></td></tr></table>";			
			}
		}
	}
} else {
	/*-------------------------------------------------------------------------------------------------------+
	| Standardformular
	+-------------------------------------------------------------------------------------------------------*/		
	$all_posts = dbcount("(post_id)","posts","thread_id='".$thread_id."'");
	$nrows=1;
	if ($new_thread_id) {
		$nrows = dbcount("(thread_id)", "threads", "thread_id='$new_thread_id'");	
	} 
	if ($action == 0 && $all_posts<=1) redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id."&thread_id=".$thread_id);
	if ($action == 1) {$button0 = $all_posts == 1 ? 1 : 0;}
	if ($all_posts && $nrows) {
		$display = "none";
		$display2 = "inline";
		$display3 = !empty($posts) ? "inline" : "none";
		if (isset($_POST['next'])) {
			$search	= strstr("-",$_POST['next']);
			$next = str_replace($search,"",$_POST['next']);
		 	$rowstart=(int)$next-1;
		 	if (isset($_POST['posts_move'])) {
				$display = "inline";	
				$display2 = "none";
				}
		 	}			

			// Formular beginn	
			echo "<form name='inputform' method='post' action='".FORUM.FUSION_SELF."?step=tool&amp;forum_id=$forum_id&amp;thread_id=$thread_id&amp;action=$action'>";
			echo "	<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
				<tr>
				<td>
				<table cellpadding='0' cellspacing='1' width='100%'>";
			if ($action==0) {
				echo "	<tr>
					<td class='tbl2' width='190'><span style='display:$display2;' id='split_locale'>".$locale['SPLIT_002']."</span><span style='display:$display;' id='search_locale'></span></td>
					<td class='tbl1'>
					<select name='split_forum_id' class='textbox' style='width:250px;display:$display2;' id='split_form'>
					$forum_list
					</select>
					</td>
					</tr>";
				echo "	<tr>
					<td class='tbl2' width='190'><span style='display:$display2;' id='split'>".$locale['TOOL_002']."</span><span style='display:$display;' id='search'>".$locale['SPLIT_006']."</span></td>
					<td class='tbl1'><input type='text' name='split_subject' class='textbox' style='width:250px;'>
					<br><div id='notice_search' style='display:$display;'><font style='font-size:10px;'>".$locale['SPLIT_010']."</font></div>
					</td>
					</tr>";

				echo "<tr><td class='tbl2' colspan='2'><input type='checkbox' name='posts_move' value='1' id='move_on' onclick='ChangeDisplay(this);' style='vertical-align:middle;'".(isset($_POST['posts_move']) ? " checked" : "")."> <span style='vertical-align:middle;'>".$locale['SPLIT_005']."</span></td></tr>";
			}
			echo "<tr><td colspan='3' class='tbl2' style='text-align:center;'>";
			if (!$action) {
				echo "<input type='submit' id='sendbtn' style='display:".($posts ? "inline" : "none").";' name='".$send_btn."' value='".$btn_locale."' class='button' onclick='".(($posts || isset($_POST['post_id'])) && !isset($_POST['posts_move']) ? "return ConfirmSubmit();" : "return CheckField(inputform);")."'>";
			} else {
				echo "<input type='submit' id='sendbtn' style='display:$display3;' name='".$send_btn."' value='".$btn_locale."' class='button'>";	
			}
			echo "</td></tr>";
			echo "</table></td></tr></table>";
			tablebreak();
			echo "	<table cellpadding='0' cellspacing='1' width='100%'>
				<tr>
				<td class='tbl1'><span style='font-weight:bold;font-size:11px;'>".$mark_locale."</span></td>
				<td align='right' class='tbl1'><span style='display:inline;' id='mark'><a href='javascript:void(0)' onClick=\"st_check('1');\">".$locale['TOOL_000']."</a></span><span style='display:none;' id='dontmark'> <span style='display:none;' id='dot'>/</span> <a href='javascript:void(0)' onClick=\"st_check('');\">".$locale['TOOL_001']."</a></span></td>
				</tr>
				</table>\n";
			// Seiten navigation
			if ($action!=2) {
				echo makenav($rowstart,$forum_settings['postspage'],$all_posts,4,"next","TOOL_016");
			}
			echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>
				<tr>
				<td>
				<table cellpadding='0' cellspacing='1' width='100%'>\n";
		
			$result = dbquery("SELECT p.*,u.*, u2.user_name AS edit_name FROM ".$db_prefix."posts p
			LEFT JOIN ".$db_prefix."users u ON p.post_author = u.user_id
			LEFT JOIN ".$db_prefix."users u2 ON p.post_edituser = u2.user_id AND post_edituser > '0'
			WHERE p.thread_id='$thread_id' 
			ORDER BY p.post_datestamp ASC LIMIT ".$rowstart.",".$limit);
			$i = 0;
			$j = $rowstart+1;
			$k = 0;
			$rows = dbrows($result);
			$k = !$button0 && $i==0 && $rowstart==0 ? -1 : $i;
			$all_post_ids="";
			while ($data = dbarray($result)) {
				$message = $data['post_message'];
				//if ($data['post_showsig']) { $message = $message."\n\n<hr>".$data['user_sig']; }
				if ($data['post_smileys']) { $message = parsesmileys($message); }
				$message = parseubb(nl2br($message),"1,1");
				if ($data['post_edittime'] != "0") {
					$edituser = "<a href='../profile.php?lookup=".$data['post_edituser']."'>".$data['edit_name']."</a>";
					$edittime = showdate("forumdate", $data['post_edittime']);
				}
				$all_post_ids.=($all_post_ids ? "," : "").$data['post_id'];
				echo "	<tr>
					<td width='60' align='center' class='tbl2' nowrap>".str_replace(" ","&nbsp;",($j).$locale['TOOL_017'].$all_posts)."</td>
					<td width='135' class='tbl2'>".$locale['TOOL_008']."</td>
					<td class='tbl2'><table width='100%'><tr><td><a name='post_".$data['post_id']."' id='post_".$data['post_id']."'></a>".$data['post_subject']."</td><td align='right'>".(!$button0 && $i==0 && $rowstart==0 ? "<img hspace='2' src='".FORUMIMAGE."nocheck.gif' alt='1. Post' title='1. Post'>" : "<input type='checkbox' name='post_id[]' id='box{$k}' onClick=\"box_check('{$k}');\" value='".$data['post_id']."' class='textbox' title=\"".$body_hover."\" value='".$data['post_id']."' class='textbox'".(!empty($posts_list) && in_array($data['post_id'],$posts_list) ? " checked" : "").">")."</td></tr></table></td>
					</tr>
					<tr>
					<td align='center' rowspan='2' class='tbl2'>&nbsp;</td>
					<td valign='top' width='135' rowspan='2' class='tbl1'>
					<a href='../profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br>
					<span class='alt'>".(getuserlevel($data['user_level']))."</span><br><br>\n";
				if ($data['user_avatar'] != "") {
					echo "<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$locale['TOOL_005']."'><br><br>\n";
					$height = "185";
				} else {
					$height = "70";
				}
				echo "	</td>
					<td class='tbl1'>".sprintf($locale['TOOL_003'],showdate("forumdate", $data['post_datestamp']))."</td>
					</tr>
					<tr>
					<td valign='top' height='140' class='tbl1'>";
				if(!$textarea) {
					echo "<div style='height:100px;width:auto;max-width:680px;max-height:140px;overflow:auto'>".$message."</div>";
				} else {
					echo "<div align='center'><textarea style='height:100px;width:auto;max-width:680px;max-height:140px;' name='message".$data['post_id']."' cols='87' rows='8' class='textbox'>".$data['post_message']."</textarea><br>\n";
					echo "<script language='javascript' src='".INCLUDES."forum.js' type='text/javascript'></script>";
					echo "<script language='javascript' type='text/javascript'>
						<!--
						function getposOffset(overlay, offsettype) {
							var totaloffset = offsettype == 'left' ? overlay.offsetLeft : overlay.offsetTop;
							var parentEl = overlay.offsetParent;
							while (parentEl != null) {
								totaloffset = offsettype == 'left' ? totaloffset + parentEl.offsetLeft : totaloffset + parentEl.offsetTop;
								parentEl = parentEl.offsetParent;
							}
							return totaloffset;
						}
		
						function overlay(curobj, subobjstr, opt_position) {
							if (document.getElementById) {
								var subobj = document.getElementById(subobjstr);
								subobj.style.display = subobj.style.display != 'block' ? 'block' : 'none';
								var xpos = getposOffset(curobj, 'left') + ((typeof opt_position != 'undefined' && opt_position.indexOf('right') !=-1) ? -(subobj.offsetWidth - curobj.offsetWidth) : 0);
								var ypos = getposOffset(curobj, 'top') + ((typeof opt_position != 'undefined' && opt_position.indexOf('bottom') !=-1) ? curobj.offsetHeight : 0);
								subobj.style.left = xpos + 'px';
								subobj.style.top = ypos + 'px';
								return false;
							} else {
								return true;
							}
						}
		
						function overlayclose(subobj) {
							document.getElementById(subobj).style.display = 'none';
						}
						//-->
						</script>";
					
					$message_field="message".$data['post_id']; $formname='inputform'; $helpline=false; $smiley_id="smiley".$data['post_id'];
					include_once(INCLUDES."bbcode_forum.php");
					show_bbcode($message_field);
		
				}
				if ($data['post_edittime'] != "0") {
					echo "<br><br><hr />\n".sprintf($locale['TOOL_004'],$edituser,$edittime);
				}
				echo "</td></tr>\n";
				$k++;
				$i++;
				$j++;
			}
			echo "<input type='hidden' name='post_all_this' value='$all_post_ids'>";
			echo "<input type='hidden' name='posts' value='$posts'>";
			echo "</table></td></tr></table></form>";
		} else redirect($tpl->url(SEO_FORUM,"index.php",null,null,null,null,null,'forum'));
	}
	closetable();
	break;
	case "mdel":
	redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id."&thread_id=".$thread_id."&step=tool&action=1&rowstart=".$rowstart);
	break;
	case "medit":
	redirect(FORUM.FUSION_SELF."?forum_id=".$forum_id."&thread_id=".$thread_id."&step=tool&action=2&rowstart=".$rowstart);
	break;
	default:
	redirect(FORUM."viewthread.php?thread_id=".$thread_id);
	break;
}
if ($forum_settings['panel_r']) require_once BASEDIR."side_right.php"; else echo "</td>";
require_once BASEDIR."footer.php";
?>