<?php
/*********************************************************************
 *   awForumPanel											*
 *													*
 *   Copyright (C) 2006 Artur Wiebe								*
 *   wibix@gmx.de											*
 *													*
 *   This program is free software; you can redistribute it and/or modify 		*
 *   it under the terms of the GNU General Public License as published by 		*
 *   the Free Software Foundation; either version 2 of the License, or 		*
 *   (at your option) any later version.								*
 *********************************************************************/
 /*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
require_once("../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");
require_once INCLUDES."forum_functions_include.php";

if(isset($_POST['stext'])) {
	$stext = trim(stripinput($_POST['stext']));
} else {
	$stext = "";
}
 
if(isset($_POST['linkage']) && isset($locale['AWF106'][$_POST['linkage']])) {
	$slinkage = $_POST['linkage'];
} else {
	$slinkage = "OR";
}
 
if(isset($_POST['stype']) && isset($locale['AWF113'][$_POST['stype']])) {
	$stype = $_POST['stype'];
} else {
	$stype = "both";
}
 
$suser = "";
if(isset($_POST['suser'])) {
	$suser = trim(stripinput($_POST['suser']));
}
 
 
 
$sdays = 0;
if(isset($_POST['sdays']) && isNum($_POST['sdays'])) {
	$sdays = $_POST['sdays'];
}
 
$swhere = array(0);
if(isset($_POST['swhere'])) {
	$swhere = array();
	foreach($_POST['swhere'] as $fid) {
		$swhere[] = $fid+0;
	}
}
 
if(isset($_POST['ssort_dir']) && isset($locale['AWF120'][$_POST['ssort_dir']])){
	$ssort_dir = $_POST['ssort_dir'];
} else {
	$ssort_dir = "DESC";
}
 
 
/*
 * CREATE
 */
$radio_linkage = "";
foreach($locale['AWF106'] as $key => $val) {
	$radio_linkage .= "<input type='radio' name='linkage' value='$key'"
		.($key==$slinkage ? " checked" : "").">$val<br>";
}
 
 
$radio_stype = "";
foreach($locale['AWF113'] as $key => $val) {
	$radio_stype .= "<input type='radio' name='stype' value='$key'"
		.($key==$stype ? " checked" : "").">$val<br>";
}
 
$radio_ssort_dir = "";
foreach($locale['AWF120'] as $key => $val) {
	$radio_ssort_dir .= "<input type='radio' name='ssort_dir' value='$key'"
		.($key==$ssort_dir ? " checked" : "").">$val<br>";
}
 
 
/*
 * GET
 */
$sel_where = list_foren($swhere);
opentable($locale['AWF100']);
//echo $awf_menu;
 
echo "
<form method='post' action='".FORUM."search_results.php'>
<table class='tbl-border' width='100%' cellspacing='1'>
<colgroup>
	<col width='50%'>
	<col width='50%'>
</colgroup>
<tr>
	<td class='tbl2' valign='top'>".$locale['AWF110'].":</td>
	<td class='tbl1' colspan='2'><input type='text' size='30'"
		." class='textbox' name='stext' value='$stext'><br>"
		.$radio_linkage."</td>
</tr>
<tr>
	<td class='tbl2'>".$locale['AWF116'].":</td>
	<td class='tbl1' colspan='2'><input type='text' class='textbox'"
		." name='suser' size='30' value='$suser'></td>
</tr>
<tr>
	<td colspan='3' class='forum-caption'>".$locale['AWF111']."</td>
</tr>
<tr>
	<td valign='top' class='tbl2'>".$locale['AWF109'].":</td>
	<td valign='top' class='tbl2'>".$locale['AWF112'].":</td>
</tr>
<tr>
	<td valign='top' class='tbl1' rowspan='5'><select name='swhere[]'"
		." class='textbox' size='9' multiple='multiple'>"
		.$sel_where."</select><br>
		<span class='small2'>".$locale['AWF101']."</span></td>
	<td valign='top' class='tbl1'>$radio_stype</td>
</tr>
<tr>
	<td valign='top' class='tbl2'>".$locale['AWF119'].":</td>
</tr>
<tr>
	<td valign='top' class='tbl1'>$radio_ssort_dir</td>
</tr>
<tr>
	<td valign='top' class='tbl2'>".$locale['AWF117'].":</td>
</tr>
<tr>
	<td valign='top' class='tbl1'><input type='text' class='textbox'"
		." name='days' value='$sdays' size='3' maxlength='3'> "
		.$locale['AWF118']."</td>
</tr>
<tr>
	<td colspan='3' class='tbl2' align='center'><input type='submit'"
		." class='button' value='".$locale['AWF100']."'></td>
</tr>
</table>
</form>\n";
closetable();

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");

?>