<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
@require_once("../maincore.php");
@require_once(INCLUDES."forum_functions_include.php");

$searchtext = isset($_POST['stext']) ? trim(strtolower(strip_tags($_POST['stext']))) : (isset($_GET['stext']) ? trim(strtolower(strip_tags($_GET['stext']))) : "");

$searchtext = str_replace(array("\\","}","{","!","","/",")","(",".",":","'","\"","[","]","+",",",";","&amp;","&nbsp;"," "),",",$searchtext);
$sthread_id = (int)@$_REQUEST['sthread_id'];
$sforum_id = (int)@$_REQUEST['sforum_id'];
$rowstart = (int)@$_REQUEST['rowstart'];
$rstart = (int)@$_REQUEST['srow'];
$spid = (int)@$_REQUEST['spid'];

if ($sthread_id==0) {redirect(FORUM."index.php");exit;}
elseif (empty($searchtext))  {redirect(FORUM."viewthread.php?thread_id=".$sthread_id);exit;}

$tdata=dbarray(dbquery("SELECT t.*,f.forum_access FROM ".DB_PREFIX."threads t 
LEFT OUTER JOIN ".DB_PREFIX."forums f ON f.forum_id=t.forum_id WHERE t.thread_id='".$sthread_id."'")); 

if (!forum_accesscontrol($userdata['user_id'],$tdata['forum_access'],$tdata['forum_id'], "auth_read")) {redirect(FORUM."index.php");exit;}

$words_array = $searchtext=="" ? array() : explode(",",$searchtext);
$word_cnt = $words_array=="" ? "0" : strval(count($words_array,COUNT_RECURSIVE));
$cnt_res = 0; $thsql=""; $thsql2="";
$rlimit = $forum_settings['postspage'];

if ($word_cnt>1) {
	$words_array = array_unique($words_array);
	sort($words_array);
	$correct_words="";
	$i=0;
	for ($i=0;$i<$word_cnt;$i++) {
		if (strlen($words_array[$i])>=4) {
		$correct_words.=($correct_words ? ",":"").$words_array[$i];
		}
	}
	$search_words = explode(",",$correct_words);	
	$search_cnt = count($search_words);
	if ($search_cnt>1) {
	sort($search_words);
	$j=0;
	$where_query="";
	$cnt_query="";
		for ($j=0;$j<$search_cnt;$j++) {
		$where_query.= "p.post_message  LIKE '%".$search_words[$j]."%'".($j<$search_cnt-1 ? " OR " : "");
		$cnt_query.= "post_message  LIKE '%".$search_words[$j]."%'".($j<$search_cnt-1 ? " OR " : "");
		}
	$cnt_res = dbcount("(thread_id)","posts","(".$cnt_query.") AND thread_id='".$sthread_id."'");		
	$thsql = "SELECT p.*,u.user_name as author, u2.user_name as editor FROM ".DB_PREFIX."posts p
	LEFT OUTER JOIN ".DB_PREFIX."users u ON p.post_author=u.user_id 
	LEFT OUTER JOIN ".DB_PREFIX."users u2 ON p.post_edituser=u2.user_id 
	WHERE (".$where_query.") AND thread_id='".$sthread_id."'";
	$swords = $search_words;
	$stext = $correct_words;
	} else {
	$cnt_res = dbcount("(thread_id)","posts","post_message LIKE '%".$correct_words."%' AND thread_id='".$sthread_id."'");
	$thsql = "SELECT p.*,u.user_name as author, u2.user_name as editor FROM ".DB_PREFIX."posts p
	LEFT OUTER JOIN ".DB_PREFIX."users u ON p.post_author=u.user_id 
	LEFT OUTER JOIN ".DB_PREFIX."users u2 ON p.post_edituser=u2.user_id 
	WHERE p.post_message LIKE '%".$correct_words."%' AND thread_id='".$sthread_id."'";	
	$swords = $correct_words;
	$stext = $swords;
	}

} else {
	if (strlen($searchtext)<4) redirect(FORUM."viewthread.php?thread_id=".$sthread_id);
    $cnt_res = dbcount("(thread_id)","posts","post_message LIKE '%".$searchtext."%' AND thread_id='".$sthread_id."'");
    
	$thsql = "SELECT p.*,u.user_name as author, u2.user_name as editor FROM ".DB_PREFIX."posts p
	LEFT OUTER JOIN ".DB_PREFIX."users u ON p.post_author=u.user_id 
	LEFT OUTER JOIN ".DB_PREFIX."users u2 ON p.post_edituser=u2.user_id 
	WHERE p.post_message LIKE '%".$searchtext."%' AND thread_id='".$sthread_id."'";	
	$swords = $searchtext;
	$stext = $swords;
}

if (!empty($thsql) && $cnt_res>0) {

// Ausgabe starten
@require_once(BASEDIR."subheader.php");
if ($forum_settings['panel_l']) require_once BASEDIR."side_left.php"; else echo "<td valign='top' class='main-bg'>\n";	
$count = 1;	
opentable($locale['AWF150'].": ".$tdata['thread_subject']);
echo "<table cellspacing='0' cellpadding='0' border='0' width='100%'>\n";
echo "<tr><td align='left'>";
if ($cnt_res>dbrows($result)) {
echo makepagenav($rowstart,$rlimit,$cnt_res,3,FORUM.FUSION_SELF."?sthread_id=".$sthread_id."&amp;stext=".str_replace(array(" ",","),"+",$stext)."&amp;");
}
echo "</td><td align='right'>";
// ZOC
if($spid) echo "<a href='".FORUM."viewthread.php?thread_id=".$sthread_id."&amp;pid=".$spid."#post_".$spid."'>".$locale['AWF154']."</a>\n";
elseif ($rstart) echo "<a href='".FORUM."viewthread.php?thread_id=".$sthread_id."&amp;rowstart=".$rstart."'>".$locale['AWF154']."</a>\n";
else echo "<a href='".FORUM."viewthread.php?thread_id=".$sthread_id."'>".$locale['AWF154']."</a>\n";
echo "</td></tr></table>\n";

echo "<table cellspacing='1' width='100%' class='tbl-border'>\n";
if(!@include_once(INCLUDES."ubbparser.class.php")) {die("Parser not found!");}	
	$thsql2 = $thsql." ORDER BY p.post_datestamp DESC LIMIT ".$rowstart.",".$rlimit;
	$result = dbquery($thsql2); 
			while ($data=dbarray($result)) {
			$tbl = "tbl".(1 + ++$count%2);
			$text_all = nl2br($data['post_message']);	
			$ubb = new ubbParser(INCLUDES.'plugins/');
			$ubb->ubbcode_allowed=array('b','i','u','s','size','color','colorize','geshi','code','quote','img','url','mail','center','sub','sup','googlevideo','myvideo','clipfish','youtube','flash','list','ulist','iurl','small','li');
			$ubb->highlight_words=$swords;
			$text_frag = parsesmileys($text_all);
			$text_frag = descript($ubb->getHTML($text_all),false);
			$subj_c = 0;
			$text_c = 0;
			echo "<tr><td class='$tbl' style='border: solid 1px #000000;'>";				
			echo "<a href='".FORUM."viewthread.php?highlight=".str_replace(array(" ",","),"+",$stext)."&amp;thread_id=".$sthread_id."&amp;pid=".$data['post_id']."#post_".$data['post_id']."'><b>".$data['post_subject']."</b></a>\n<hr>";
			echo '<div class="quote" style="word-wrap:break-word;width:auto;height:auto;overflow:auto">' . $text_frag . '</div><br>';
			echo "<span class='small'>".$locale['040']."<a href='profile.php?lookup=".$data['post_author']."'>".$data['author']."</a>\n";
            echo $locale['041'].showdate("longdate", $data['post_datestamp'])."</span><br>\n";	
			echo" </td></tr>\n";

	$tbl = ($tbl=="tbl2" ? "tbl1" : "tbl2");
			}
echo "</table>\n";

closetable();
 
if ($forum_settings['panel_r']) require_once BASEDIR."side_right.php"; else echo "</td>";
require_once BASEDIR."footer.php";
// Ausgabe Ende
} else {
	if ($rstart) {redirect(FORUM."viewthread.php?thread_id=".$sthread_id."&rowstart=".$rstart);exit;}
	else redirect(FORUM."viewthread.php?thread_id=".$sthread_id);exit;
}

?>