<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;

// Admindaten
$uf_name=$locale['uf_user_aim'];
$uf_desc=$locale['uf_user_aim_desc'];

// Tabellenfeldname
$uf_dbfield="user_aim";
// Eigenschaften des Tabellenfeld
$uf_dbdata="VARCHAR(16) NOT NULL DEFAULT ''"; 
// Leer lassen wenn kein Tabellenfeld erstellt werden muss

// Wo soll das Feld eingebunden werden?
$uf_group=2;
// 1 = Information, 2=Kontakt, 3=Sonstige Informationen

$uf_user_aim_mandory=0; // Pflichtfeld? 0=Nein, 1=Ja

 
switch($uf_methode) {
	case 'display':
	if ($data['user_aim']!='') {
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe	
	$uf_display[2].='<tr><td width="35%">'.$locale['uf_user_aim'].':</td><td><a href="aim:goim?screenname='.str_replace(" ", "+", $data['user_aim']).'" target="_blank">'.$data['user_aim'].'</a></td></tr>';
	}
	break;
	case 'admin':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_aim'].(!$uf_user_aim_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_aim' class='textbox' value='".$data['user_aim']."' style='width:200px;'></td>
</tr>";
	break;
	case 'input':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_aim'].(!$uf_user_aim_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_aim' class='textbox' value='".$userdata['user_aim']."' style='width:200px;'></td>
</tr>";
	break;
	case 'register':
	// Wenn Pflichtfeld
	if ($uf_user_aim_mandory) {
			$uf_display[0].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_aim'].(!$uf_user_aim_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_aim' class='textbox' style='width:200px;'></td>
</tr>";
	} else {
		$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_aim'].":</td>
<td class='tbl2' align='left'><input type='text' name='user_aim' class='textbox' style='width:200px;'></td>
</tr>";
	}
$javascript.=$uf_user_aim_mandory?"if(frm.user_aim.value=='') {alert('".$locale['uf_user_aim_mandory']."');
		return false;}":"";
	break;
	case 'validate_update':
	$user_aim = isset($_POST['user_aim']) && strlen($_POST['user_aim'])<=16 ? stripinput(trim($_POST['user_aim'])) : '';
		if ($uf_user_aim_mandory && $user_aim=='' && !iADMIN) {
			$error.=$locale['uf_user_aim_mandory'];
		}   
	$usr_db_values.=",user_aim='".$user_aim."'";	 
	break;
	case 'validate_insert':
	$user_aim = isset($_POST['user_aim']) && strlen($_POST['user_aim'])<=16 ? stripinput(trim($_POST['user_aim'])) : '';
		if ($uf_user_aim_mandory && $user_aim=='') {
			$error.=$locale['uf_user_aim_mandory'];
		}   
	$usr_db_fields.= ',user_aim';
	$usr_db_values.= ",'".$user_aim."'";
	$usr_register[] = array("user_aim"=>$user_aim);
	break;
	default:
	break;
}
?>