<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;

// Admindaten
$uf_name=$locale['uf_user_gender'];
$uf_desc=$locale['uf_user_gender_desc'];

// Tabellenfeldname
$uf_dbfield="user_gender";
// Eigenschaften des Tabellenfeld
$uf_dbdata="CHAR(1) NOT NULL DEFAULT ''";  
// Leer lassen wenn kein Tabellenfeld erstellt werden muss

// Wo soll das Feld eingebunden werden?
$uf_group=1;
// 1 = Information, 2=Kontakt, 3=Sonstige Informationen

$uf_user_gender_mandory=0; // Pflichtfeld? 0=Nein, 1=Ja

 
switch($uf_methode) {
	case 'display':
	if ($data['user_gender']!='') {
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe	
	$uf_display[$uf_group].='<tr><td width="35%">'.$locale['uf_user_gender'].':</td><td>'.($data['user_gender']=='M' ? $locale['uf_user_gender_male'] : $locale['uf_user_gender_female']).'</td></tr>';
	}
	break;
	case 'admin':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_gender'].(!$uf_user_gender_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><select name='user_gender' class='textbox'>
<option value=''>---</option>
<option value='M'".(isset($data) && $data['user_gender']=="M" ? " selected='selected'" : "").">".$locale['uf_user_gender_male']."</option>
<option value='F'".(isset($data) && $data['user_gender']=="F" ? " selected='selected'" : "").">".$locale['uf_user_gender_female']."</option>
</select>
</td>
</tr>";
	break;
	case 'input':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_gender'].(!$uf_user_gender_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><select name='user_gender' class='textbox'>
<option value=''>---</option>
<option value='M'".(isset($userdata) && $userdata['user_gender']=="M" ? " selected='selected'" : "").">".$locale['uf_user_gender_male']."</option>
<option value='F'".(isset($userdata) && $userdata['user_gender']=="F" ? " selected='selected'" : "").">".$locale['uf_user_gender_female']."</option>
</select>
</td>
</tr>";
	break;
	case 'register':
	// Wenn Pflichtfeld
	if ($uf_user_gender_mandory) {
	$uf_display[0] = "<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_gender'].(!$uf_user_gender_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><select name='user_gender' class='textbox'>
<option value=''>---</option>
<option value='M'>".$locale['uf_user_gender_male']."</option>
<option value='F'>".$locale['uf_user_gender_female']."</option>
</select>
</td>
</tr>";
	} else {
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_gender'].":</td>
<td class='tbl2' align='left'><select name='user_gender' class='textbox'>
<option value=''>---</option>
<option value='M'>".$locale['uf_user_gender_male']."</option>
<option value='F'>".$locale['uf_user_gender_female']."</option>
</select>
</td>
</tr>";
	}
    $javascript.=$uf_user_gender_mandory?"if(frm.user_gender.value=='') {alert('".$locale['uf_user_gender_mandory']."');
		return false;}":"";
	break;
	case 'validate_update':
	$user_gender = isset($_POST['user_gender']) && ($_POST['user_gender']=='M' || $_POST['user_gender']=='F') ? $_POST['user_gender'] : '';
		if ($uf_user_gender_mandory && $user_gender=='' && !iADMIN) {
			$error.=$locale['uf_user_gender_mandory'];
		}   
	$usr_db_values.=",user_gender='".$user_gender."'";	 
	break;
	case 'validate_insert':
	$user_gender = isset($_POST['user_gender']) && ($_POST['user_gender']=='M' || $_POST['user_gender']=='F') ? $_POST['user_gender'] : '';
		if ($uf_user_gender_mandory && $user_gender=='') {
			$error.=$locale['uf_user_gender_mandory'];
		}   
	$usr_db_fields.= ',user_gender';
	$usr_db_values.= ",'".$user_gender."'";
	$usr_register[] = array("user_gender"=>$user_gender);	
	break;
	default:
	break;
}

?>