<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;

// Admindaten
$uf_name=$locale['uf_user_location'];
$uf_desc=$locale['uf_user_location_desc'];

// Tabellenfeldname
$uf_dbfield="user_location";

// Eigenschaften des Tabellenfeld
$uf_dbdata="VARCHAR(50) NOT NULL DEFAULT ''";  
// Leer lassen wenn kein Tabellenfeld erstellt werden muss

// Wo soll das Feld eingebunden werden?
$uf_group=1;
// 1 = Information, 2=Kontakt, 3=Sonstige Informationen

$uf_user_location_mandory=0; // Pflichtfeld? 0=Nein, 1=Ja

 
switch($uf_methode) {
	case 'display':
	if ($data['user_location']!='') {
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe	
	$uf_display[$uf_group].='<tr><td width="35%">'.$locale['uf_user_location'].'</td><td>'.$data['user_location'].'</td></tr>';
	}
	break;
	case 'admin':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_location'].(!$uf_user_location_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_location' class='textbox' value='".$data['user_location']."' style='width:200px;'></td>
</tr>";
	break;
	case 'input':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_location'].(!$uf_user_location_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_location' class='textbox' value='".$userdata['user_location']."' style='width:200px;'></td>
</tr>";
	break;
	case 'register':
	if ($uf_user_location_mandory) {
		$uf_display[0].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_location'].(!$uf_user_location_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_location' class='textbox' style='width:200px;'></td>
</tr>";	
	} else {
		$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_location'].":</td>
<td class='tbl2' align='left'><input type='text' name='user_location' class='textbox' style='width:200px;'></td>
</tr>";
	}
$javascript.=$uf_user_location_mandory?"if(frm.user_location.value=='') {alert('".$locale['uf_user_location_mandory']."');
		return false;}":"";
	break;
	case 'validate_update':
	$user_location = isset($_POST['user_location']) && preg_match("/^[0-9A-Z-\s]{3,50}+$/i",$_POST['user_location']) ? stripinput(trim($_POST['user_location'])) : '';
		if ($uf_user_location_mandory && $user_location=='' && !iADMIN) {
			$error.=$locale['uf_user_location_mandory'];
		}   
	$usr_db_values.=",user_location='".$user_location."'";	 
	break;
	case 'validate_insert':
	$user_location = isset($_POST['user_location']) && preg_match("/^[0-9A-Za-z-\s]{3,40}+$/i",$_POST['user_location']) ? stripinput(trim($_POST['user_location'])) : '';
		if ($uf_user_location_mandory && $user_location=='') {
			$error.=$locale['uf_user_location_mandory'];
		}   
	$usr_db_fields.= ',user_location';
	$usr_db_values.= ",'".$user_location."'";
	$usr_register[] = array("user_location"=>$user_location);
	break;
	default:
	break;
}
?>