<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;

// Admindaten
$uf_name=$locale['uf_user_realname'];
$uf_desc=$locale['uf_user_realname_desc'];

// Wo soll das Feld eingebunden werden?
$uf_group=1;
// 1 = Information, 2=Kontakt, 3=Sonstige Informationen

// Tabellenfeldname
$uf_dbfield="user_realname"; 
// Eigenschaften des Tabellenfeld
$uf_dbdata="VARCHAR(255) NOT NULL DEFAULT ''"; 
// Leer lassen wenn kein Tabellenfeld erstellt werden muss

$uf_user_realname_mandory=0; // Pflichtfeld? 0=Nein, 1=Ja

 
switch($uf_methode) {
	case 'display':
	if ($data['user_realname']!='') {
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe	
	$uf_display[$uf_group].='<tr><td width="35%">'.$locale['uf_user_realname'].'</td><td>'.$data['user_realname'].'</td></tr>';
	}
	break;
	case 'admin':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_realname'].(!$uf_user_realname_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_realname' class='textbox' value='".$data['user_realname']."' style='width:200px;'></td>
</tr>";
	break;
	case 'input':
	// Die Ziffer im Array entspricht der Benutzerfeldgruppe
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_realname'].(!$uf_user_realname_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_realname' class='textbox' value='".$userdata['user_realname']."' style='width:200px;'></td>
</tr>";
	break;
	case 'register':
	// Wenn Pflichtfeld
	if ($uf_user_realname_mandory) {
	$uf_display[0].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_realname'].(!$uf_user_realname_mandory ? '' : '<span style="color:#ff0000">*</span>').":</td>
<td class='tbl2' align='left'><input type='text' name='user_realname' class='textbox' style='width:200px;'></td>
</tr>";
	} else {
	$uf_display[$uf_group].="<tr>
<td class='tbl1' align='left' style='width:30%;'>".$locale['uf_user_realname'].":</td>
<td class='tbl2' align='left'><input type='text' name='user_realname' class='textbox' style='width:200px;'></td>
</tr>";
	}
$javascript.=$uf_user_realname_mandory?"if(frm.user_realname.value=='') {alert('".$locale['uf_user_realname_mandory']."');
		return false;}":"";
	break;
	case 'validate_update':
	$user_realname = isset($_POST['user_realname']) && preg_match("/^[0-9A-Z-\s]{3,255}+$/i",$_POST['user_realname']) ? stripinput(trim($_POST['user_realname'])) : '';
		if ($uf_user_realname_mandory && $user_realname=='' && !iADMIN) {
			$error.=$locale['uf_user_realname_mandory'];
		}   
	$usr_db_values.=",user_realname='".$user_realname."'";	 
	break;
	case 'validate_insert':
	$user_realname = isset($_POST['user_realname']) && preg_match("/^[0-9A-Za-z-\s]{3,255}+$/i",$_POST['user_realname']) ? stripinput(trim($_POST['user_realname'])) : '';
		if ($uf_user_realname_mandory && $user_realname=='') {
			$error.=$locale['uf_user_realname_mandory'];
		}   
	$usr_db_fields.= ',user_realname';
	$usr_db_values.= ",'".$user_realname."'";
	$usr_register[] = array("user_realname"=>$user_realname);
	break;
	default:
	break;
}
?>