<?php
// bs-fusion, copyright by silvermoon
// english locale modified by ZOC, Feb-April 2009
if (!defined("IN_FUSION")) exit;

// Locale Settings
setlocale(LC_TIME, "en","GB"); // Linux Server (Windows may differ)
$locale['charset'] = "iso-8859-1";
$locale['tinymce'] = "en";
$locale['phpmailer'] = "en";

// Full & Short Months
$locale['days'] = "&nbsp|Monday|Tuesday|Wednesday|Thursday|Friday|Saturday|Sunday";
$locale['shortdays'] = "&nbsp|Mo|Tu|We|Th|Fr|Sa|Su";
$locale['months'] = "&nbsp|January|February|March|April|May|June|July|August|September|October|November|December";
$locale['shortmonths'] = "&nbsp|Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sept|Oct|Nov|Dec";

// Standard User Levels
$locale['user0'] = "Public";
$locale['user1'] = "Member";
$locale['user2'] = "Administrator";
$locale['user3'] = "Super Administrator";
$locale['user4'] = "Group";

// Forum Moderator Level(s)
$locale['userf1'] = "Moderator";

// Navigation
$locale['001'] = "Navigation";
$locale['002'] = "No links defined\n";
$locale['003'] = "Members only";
$locale['004'] = "There is no content for this panel yet";
$locale['005'] = "fwd";
$locale['006'] = "rev";
$locale['007'] = "Category";
$locale['008'] = "Up";

// Users Online
$locale['010'] = "Users Online";
$locale['011'] = "Guests Online: ";
$locale['012'] = "Members Online: ";
$locale['013'] = "No Members Online";
$locale['014'] = "Registered Members: ";
$locale['015'] = "Unactivated Members: ";
$locale['016'] = "Newest Member: ";

// Sidebar & Other Titles
$locale['020'] = "Forum Threads";
$locale['021'] = "Newest Threads";
$locale['022'] = "Hottest Threads";
$locale['023'] = "Latest Articles";
$locale['024'] = "Welcome";
$locale['025'] = "Latest Active Forum Threads";
$locale['026'] = "My Recent Threads";
$locale['027'] = "My Recent Posts";
$locale['028'] = "New Posts";
// Forum List Texts
$locale['030'] = "Forum";
$locale['031'] = "Thread";
$locale['032'] = "Views";
$locale['033'] = "Replies";
$locale['034'] = "Last Post";
$locale['035'] = "Subject";
$locale['036'] = "Posted";
$locale['037'] = "You have not started any forum threads yet.";
$locale['038'] = "You have not posted any forum messages yet.";
$locale['039'] = "There are %u new posts since your last visit.";

// Prev-Next Bar
$locale['050'] = "Prev";
$locale['051'] = "Next";
$locale['052'] = "Page ";
$locale['053'] = " of ";
// User Menu
$locale['060'] = "Login";
$locale['061'] = "Username";
$locale['062'] = "Password";
$locale['063'] = "Remember Me";
$locale['064'] = "Login";
$locale['065'] = "<a href='".BASEURL."register.php' class='side'>Register Now!</a>";
$locale['066'] = "<a href='".BASEDIR."lostpassword.php' class='side'>Forgot your password?</a>";
$locale['067'] = "Enable cookies for this website, please!";
//
$locale['080'] = "Edit Profile";
$locale['081'] = "Private Messages";
$locale['082'] = "Members List";
$locale['083'] = "Administration";
$locale['084'] = "Logout";
$locale['085'] = "You have %u new ";
$locale['086'] = "message";
$locale['087'] = "messages";

$locale['090'] = "Good Morning ";
$locale['091'] = "Good Afternoon ";
$locale['092'] = "Good Evening ";

// Poll
$locale['100'] = "Member Poll";
$locale['101'] = "Submit Vote";
$locale['102'] = "You must login to vote.";
$locale['103'] = "Vote";
$locale['104'] = "Votes";
$locale['105'] = "Votes: ";
$locale['106'] = "Started: ";
$locale['107'] = "Ended: ";
$locale['108'] = "Polls Archive";
$locale['109'] = "Select a Poll to view from the list:";
$locale['110'] = "View";
$locale['111'] = "View Poll";
// Shoutbox
$locale['120'] = "Shoutbox";
$locale['121'] = "Name:";
$locale['122'] = "Message:";
$locale['123'] = "Shout";
$locale['124'] = "Help";
$locale['125'] = "You must login to post a message.";
$locale['126'] = "Shoutbox Archive";
$locale['127'] = "No messages have been posted.";
// Footer Counter
$locale['140'] = "Unique Visit";
$locale['141'] = "Unique Visits";
// Admin Navigation
$locale['150'] = "Admin Home";
$locale['151'] = "Return to Site";
$locale['152'] = "Admin Panels";
// Miscellaneous
$locale['190'] = "Maintenance Mode Activated";
$locale['191'] = "Your IP address is currently blacklisted.";
$locale['192'] = "Logging out as ";
$locale['193'] = "Logging in as ";
$locale['194'] = "This account is currently suspended.";
$locale['195'] = "This account has not been activated.";
$locale['196'] = "Invalid username or password.";
$locale['197'] = "Please wait while we transfer you...<br><br>
[ <a href='index.php'>Or click here if you do not wish to wait</a> ]";
$locale['198'] = "<b>Warning:</b> setup.php detected, please delete it immediately!";
############################################################################
$locale['199'] = "Date";

// News & Articles
$locale['040'] = "Posted by ";
$locale['041'] = "on ";
$locale['042'] = "Read More";
$locale['043'] = " Comments";
$locale['044'] = " Reads";
$locale['045'] = "Print";
$locale['046'] = "News";
$locale['047'] = "No News has been posted yet";
$locale['048'] = "Edit";
$locale['049'] = "Delete";

$locale['global001'] = "[NEW]";
$locale['global002'] = "Yes";
$locale['global003'] = "No";

// ARTICLES
$locale['articles400'] = "Articles";
$locale['articles401'] = "No Article Categories defined";
$locale['articles402'] = $locale['global001'];
$locale['articles403'] = "No Articles have been added to this Category";
$locale['articles404'] = "Total Articles: ";
$locale['articles405'] = "Newest Article: ";
$locale['articles406'] = "Most popular Article: ";
// DOWNLOADS
$locale['down400'] = "Downloads";
$locale['down410'] = $locale['global001'];
$locale['down411'] = "License:";
$locale['down412'] = "O/S:";
$locale['down413'] = "Version:";
$locale['down414'] = "Added:";
$locale['down415'] = "Downloads:";
$locale['down416'] = "Download";
$locale['down430'] = "No Download Categories defined";
$locale['down431'] = "No Downloads have been added to this Category";
$locale['down432'] = "Downloads total: ";
$locale['down433'] = "Newest Download: ";
$locale['down434'] = "Most popular Download: ";
$locale['down435'] = "Hits";
$locale['down436'] = "Screenshot";

// WEBLINKS
$locale['web400'] = "Web Links";
$locale['web410'] = $locale['global001'];
$locale['web411'] = "";
$locale['web412'] = "Visits";
$locale['web413'] = "Weblinks total: ";
$locale['web414'] = "Newest Weblink: ";
$locale['web415'] = "Most popular Weblink: ";
$locale['web416'] = "Weblink";

$locale['web430'] = "No Web Link Categories defined";
$locale['web431'] = "No Web Links have been added to this Category";

// NEWS-CATS
$locale['newscats400'] = "News Categories";
$locale['newscats401'] = "Category:";
$locale['newscats402'] = "Number of Items:";
$locale['newscats403'] = "None-Categorised News";
$locale['newscats404'] = "There are no news items in this category.";
$locale['newscats405'] = "More";
$locale['newscats406'] = "Show All Categories";
$locale['newscats407'] = "No News Categories defined";
$locale['newscats408'] = "Visits";
$locale['newscats409'] = "News total: ";
$locale['newscats410'] = "Newest News: ";
$locale['newscats411'] = "Most popular News: ";

// MEMBER
$locale['u001'] = $locale['061'].":";
$locale['u002'] = $locale['062'].":";
$locale['u003'] = "New Password:";
$locale['u004'] = "Confirm Password:";
$locale['u005'] = "Email Address:";
$locale['u006'] = "Deactivate E-Mail contact";
$locale['u007'] = " Yes ";
$locale['u008'] = " No";
$locale['u009'] = "Location:";
$locale['u010'] = "Birthdate:";
$locale['u011'] = "ICQ#:";
$locale['u012'] = "MSN ID:";
$locale['u013'] = "Yahoo ID:";
$locale['u014'] = "Website:";
$locale['u015'] = "Theme:";
$locale['u016'] = "Time Offset:";
$locale['u017'] = "Avatar";
$locale['u018'] = "Click <i>Browse</i> to upload an image";
$locale['u019'] = "Delete";
$locale['u020'] = "Signature:";
$locale['u021'] = "AIM ID:";
$locale['u022'] = "Max. filesize: %s / Max. size: %ux%u pixels";
$locale['u023'] = "Global Moderator?";
$locale['u024'] = "Hide age";
$locale['u025'] = "Deactivate PM contact";
$locale['u026'] = "Current Password:";
$locale['u027'] = "For changing your password or eMail,<br>you have to enter your current password!";
$locale['u028'] = "No changes have been made. Your input password is not correct!";
$locale['u029'] = "This birthdate is not valid: %s:";
$locale['u030'] = "Language:";
$locale['u031'] = "Sent a Email";
$locale['u032'] = "Securitycode:";
$locale['u033'] = "Confirm Securitycode:";
$locale['u034'] = "Insert Securitycode!";
$locale['u035'] = "Email is sended!";
$locale['u036'] = "Email not sended!";
$locale['u037'] = "Wrong formular data!";
$locale['u038'] = "New Adminpassword:";
$locale['u039'] = "Confirm Adminpassword:";

// Items shown in profiles
$locale['u040'] = "Date Joined:";
$locale['u041'] = "Shoutbox Posts:";
$locale['u042'] = "Comments Posted:";
$locale['u043'] = "Forum Posts:";
$locale['u044'] = "Last Visit:";
$locale['u045'] = "Member Status:";
$locale['u046'] = "No Avatar";
$locale['u047'] = "Hidden by Request";
$locale['u048'] = "Not Specified";
$locale['u049'] = "Never";
$locale['u050'] = "Last IP Address:";
$locale['u051'] = "Email";
$locale['u052'] = "Website";
$locale['u053'] = "PM";
$locale['u054'] = "Forum Threads:";
$locale['u055'] = "Infos";
$locale['u056'] = "Memberaccount";
$locale['u057'] = "Adminaccount";

// Profile Options
$locale['u060'] = "Send a Private Message";

// Members List
$locale['u400'] = "Members List";
$locale['u401'] = "User Name";
$locale['u402'] = "User Type";
$locale['u403'] = "There are no user names beginning with ";
$locale['u404'] = "Show All";
// View User Groups
$locale['u410'] = "View User Group";
$locale['u411'] = "%u user";
$locale['u412'] = "%u users";
// User Profile
$locale['u420'] = "Member Profile";
$locale['u422'] = "Statistics";
$locale['u423'] = "User Groups";
// Edit Profile
$locale['u440'] = "Edit Profile";
$locale['u441'] = "Profile successfully updated";
$locale['u442'] = "Unable to update Profile:";
// Edit Profile Form
$locale['u460'] = "Update Profile";
// Update Profile Errors
$locale['u480'] = "You must enter a user name & email address.";
$locale['u481'] = "User name contains invalid characters.";
$locale['u482'] = "The user name ".(isset($_POST['user_name']) ? $_POST['user_name'] : "")." is in use.";
$locale['u483'] = "Invalid email address.";
$locale['u484'] = "The email address ".(isset($_POST['user_email']) ? $_POST['user_email'] : "")." is in use.";
$locale['u485'] = "New passwords do not match.";
$locale['u486'] = "Invalid password, use alpha numeric characters only.<br>
Password must be a minimum of 6 characters long.";
$locale['u487'] = "<b>Warning:</b> unexpected script execution.";
$locale['u489'] = "Please enter your Birthday!";
$locale['u490'] = "The avatar has an invalid size!";
$locale['u491'] = "The avatar has an invalid format!";
$locale['u492'] = "Image could not be determined!";
$locale['u493'] = "Image extension or image size are not valid!";
$locale['u494'] = "You must enter an admin password!";
// CONTACT
// Contact Form
$locale['contact400'] = "Contact";
$locale['contact401'] = "";
$locale['contact402'] = "Name:";
$locale['contact403'] = "Email Address:";
$locale['contact404'] = "Subject:";
$locale['contact405'] = "Message:";
$locale['contact406'] = "Send Message";
// Contact Errors
$locale['contact420'] = "You must enter a Name";
$locale['contact421'] = "You must enter an Email Address";
$locale['contact422'] = "You must enter a Subject";
$locale['contact423'] = "You must enter a Message";
// Message Sent
$locale['contact440'] = "Your Message has been sent.";
$locale['contact441'] = "Thank You!";
$locale['contact442'] = "Your message was not sent for the following reason(s):";
$locale['contact443'] = "Please try again!";

// LOSTPASSWORD
$locale['lostpw400'] = "Lost Password";
$locale['lostpw401'] = "A confirmation email has been sent to your email address.";
$locale['lostpw402'] = "Your new password has been sent to your email address.";
$locale['lostpw403'] = "Return to Main Site";
$locale['lostpw404'] = "The email address you entered could not be found!";
$locale['lostpw405'] = "The email address you entered is invalid!";
$locale['lostpw406'] = "Please try again!";
$locale['lostpw407'] = "Please enter the email address your account is registered with below.<br>
A new password will be created and sent to this address.";
$locale['lostpw408'] = "Send Password";
$locale['lostpw409'] = "New password for ";
$locale['lostpw410'] = "Hello [USER_NAME],\n
You have or someone has requested a new password to access your [SITE_NAME] account.\n
To change your password please click the following link:\n
[NEW_PASS_LINK]\n
Regards,
[SITE_USER]";
$locale['lostpw411'] = "Hello [USER_NAME],\n
Your new password to access your [SITE_NAME] account is:\n
[NEW_PASS]\n
Regards,
[SITE_USER]";


// REGISTER
$locale['reg400'] = "Register";
$locale['reg401'] = "Activate Account";
// Registration Errors
$locale['reg402'] = "You must enter a user name, password & email address.";
$locale['reg403'] = "User name contains invalid characters.";
$locale['reg404'] = "Your two Passwords do not match.";
$locale['reg405'] = "Invalid password, use alpha numeric characters only.<br>
Password must be a minimum of 6 characters long.";
$locale['reg406'] = "Your email address does not appear to be valid.";
$locale['reg407'] = "Sorry, the user name ".(isset($_POST['username']) ? $_POST['username'] : "")." is in use.";
$locale['reg408'] = "Sorry, the email address ".(isset($_POST['email']) ? $_POST['email'] : "")." is in use.";
$locale['reg409'] = "An inactive account has been registered with the email address.";
$locale['reg410'] = "Incorrect validation code!";
$locale['reg411'] = "Your email address or email domain is blacklisted.";
$locale['reg412'] = "The selected user name contains content that is not allowed.";
$locale['reg413'] = "A T T E N T I O N !!<br>
Our system sends you to the security check an activation mail to your above email address.<br>Therefore it should be ensured that the reception of emails to the address below is allowed!";
$locale['reg414'] = "Mandatory information";
$locale['reg415'] = "Contact details";
$locale['reg416'] = "More data";
$locale['reg417'] = "Securitycheck";

// Email Message
$locale['reg449'] = "Welcome to %s";
$locale['reg450'] = "Hello ".(isset($_POST['username']) ? $_POST['username'] : "").",\n
Welcome to %s. Here are your login details:\n
Username: ".(isset($_POST['username']) ? $_POST['username'] : "")."
Password: ".(isset($_POST['password1']) ? $_POST['password1'] : "")."\n
Please activate your account via the following link:\n";
// Registration Success/Fail
$locale['reg451'] = "Registration complete";
$locale['reg452'] = "You can now log in.";
$locale['reg453'] = "An administrator will activate your account shortly.";
$locale['reg454'] = "Your registration is almost complete, you will receive an email containing your login details along with a link to verify your account.";
$locale['reg455'] = "Your account has been verified.";
$locale['reg456'] = "Registration Failed";
$locale['reg457'] = "Send mail failed, please contact the <a href='mailto:".$settings['siteemail']."'>Site Administrator</a>.";
$locale['reg458'] = "Registration failed for the following reason(s):";
$locale['reg459'] = "Please Try Again";
// Register Form
$locale['reg500'] = "Please enter your details below. ";
$locale['reg501'] = "A verification email will be sent to your specified email address. ";
$locale['reg502'] = "Fields marked <span style='color:#ff0000;'>*</span> must be completed.
Your user name and password is case-sensitive.";
$locale['reg503'] = " You can enter additional information by going to Edit Profile once you are logged in.";
$locale['reg504'] = "Validation Code:";
$locale['reg505'] = "Enter Validation Code:";
$locale['reg506'] = "Register";
$locale['reg507'] = "The registration system is currently disabled.";
// Validation Errors
$locale['reg550'] = "Please enter a user name.";
$locale['reg551'] = "Please enter a password.";
$locale['reg552'] = "Please enter an email address.";
$locale['reg553'] = "The selected password is weak. Please use a securer password by selecting a mix of different characters, to include mixing upper and lower case characters within the password!";
$locale['reg554'] = "Please insert the security code!";
$locale['reg555'] = "Password check is failed!";
$locale['reg556'] = "Please insert your birthday!";


// FAQ
$locale['faq400'] = "FAQ";
$locale['faq401'] = "FAQs";
// Notices
$locale['faq410'] = "No FAQ Categories defined.";
$locale['faq411'] = "No FAQs have been added to this category.";

// RATINGS
$locale['r100'] = "Ratings";
$locale['r101'] = "No Ratings have been Posted.";
$locale['r102'] = "Remove Rating";
$locale['r103'] = "now vote";
$locale['r104'] = "Rating is available to Members only.<br><br>Please login or register to vote.";
$locale['r105'] = "You rated this as <b>%s</b> on %s";
$locale['r106'] = "Please select your Rating";
$locale['r107'] = "Choose Rating:";
$locale['r108'] = "No Votes";
$locale['r109'] = "Vote";
$locale['r110'] = "Votes";
// Rating Options
$locale['r120'] = "Awesome!";
$locale['r121'] = "Very Good";
$locale['r122'] = "Good";
$locale['r123'] = "Average";
$locale['r124'] = "Poor";

// COMMENTS
$locale['c100'] = "Comments";
$locale['c101'] = "No Comments have been Posted.";
$locale['c102'] = "Post Comment";
$locale['c103'] = "Name:";
$locale['c104'] = "Message:";
$locale['c105'] = "Please Login to Post a Comment.";
$locale['c106'] = "Manage Comments";
$locale['c107'] = " Disable smileys in this comment";

// SHOUTBOX HELP
$locale['shout400'] = "Shoutbox Help";
$locale['shout401'] = "The Shoutbox allows visitors and members to post short messages. HTML is stripped since poorly formatted code could cause the site layout to break. The maximum length message allowed is 200 characters, anything exceeding the maximum will be chopped.<br><br>Please <b>do not</b>:<br>
 Flame, Abuse, Attack or other unacceptable language to other visitors or Members.<br>
 Flood or Spam by posting multiple messages.<br>
<br>
You may advertise your website, or any other website as long is it does not contain any explicit or copyright
infringing material. You must provide both a name and message or your post will be rejected. <br><br>The following
smileys are also available. A small selection is listed here:";
$locale['shout402'] = "Code";
$locale['shout403'] = "Smiley";
$locale['shout404'] = "The Admins reserve the right to remove any questionable material at their discretion.<br /><br />For questions regarding this policy, please use the <a href='".BASEDIR."contact.php'>Contact Form</a>.";
$locale['shout405'] = "Shout";
$locale['shout406'] = "Max. number of characters";
$locale['shout407'] = "Bold";
$locale['shout408'] = "Italic";
$locale['shout409'] = "Underline";
$locale['shout410'] = "All User Shoutbox Entries";
$locale['shout411'] = "All Shoutbox Entries";

// PRINT
$locale['p400'] = "Posted by ";
$locale['p401'] = " on ";
$locale['p402'] = "Extended News";

// PHOTOGALLERY
$locale['photo400'] = "Photo Albums";
$locale['photo401'] = "Open Album";
$locale['photo402'] = "No thumbnail";
$locale['photo403'] = "Date: ";
$locale['photo404'] = "Created by: ";
$locale['photo405'] = "Photos: ";
$locale['photo406'] = "No Photo Albums defined.";

$locale['photo420'] = "Album Information";
$locale['photo421'] = "Album: ";
$locale['photo422'] = "Number of photos: ";
$locale['photo423'] = "Latest photo added by ";
$locale['photo424'] = " on ";
$locale['photo425'] = "No photos have been added to this album.";

$locale['photo430'] = "View Album";
$locale['photo431'] = "Click to view";
$locale['photo432'] = "No thumbnail";
$locale['photo433'] = "Date: ";
$locale['photo434'] = "Added by: ";
$locale['photo435'] = "Views: ";
$locale['photo436'] = "Comments: ";
$locale['photo437'] = "Rating: ";
$locale['photo438'] = "None";

$locale['photo450'] = "View Photo";
$locale['photo451'] = "Previous Photo";
$locale['photo452'] = "Next Photo";
$locale['photo453'] = "Click to view full image";
$locale['photo454'] = "Dimensions: ";
$locale['photo455'] = "pixels";
$locale['photo456'] = "Filesize: ";
$locale['photo457'] = "Number of views: ";
$locale['photo458'] = "Click to close";

// SEARCH
// Search form
$locale['search400'] = "Search ".$settings['sitename'];
$locale['search401'] = "Search for:";
$locale['search402'] = "Articles";
$locale['search403'] = "News";
$locale['search403a'] = "Custom Pages";
$locale['search404'] = "Forum Posts";
$locale['search405'] = "Downloads";
$locale['search406'] = "Web Links";
$locale['search407'] = "Members";
$locale['search407a'] = "Photos";
$locale['search407b'] = "Overall";
$locale['search408'] = "Search";
$locale['search409'] = "Search Results";
// Category matches
$locale['search410'] = "Article";
$locale['search411'] = "Articles";
$locale['search412'] = "News item";
$locale['search413'] = "News items";
$locale['search413a'] = "Custom Page";
$locale['search413b'] = "Custom Pages";
$locale['search414'] = "Photo";
$locale['search415'] = "Photos";
$locale['search416'] = "Download";
$locale['search417'] = "Downloads";
$locale['search418'] = "Weblink";
$locale['search419'] = "Weblinks";
$locale['search420'] = "Member";
$locale['search421'] = "Members";
$locale['search422'] = " found";
// Standard search results
$locale['search430'] = "Match";
$locale['search431'] = "Matches";
$locale['search432'] = " found in ";
$locale['search433'] = "article subject";
$locale['search434'] = "article text";
$locale['search435'] = "news subject";
$locale['search436'] = "news text";
$locale['search437'] = "extended news text";
$locale['search438'] = "post subject";
$locale['search439'] = "post message";
$locale['search439a'] = "Page Title";
$locale['search439b'] = "Page Content";
//matches
$locale['search445'] = "Hit";
$locale['search446'] = "Hits";
//AND - OR
$locale['search447'] = "search for any items";
$locale['search448'] = "search for all items";
// Download & Web link search results
$locale['search450'] = "[NEW]";
$locale['search451'] = "License:";
$locale['search452'] = "O/S:";
$locale['search453'] = "Version:";
$locale['search454'] = "Date Added:";
$locale['search455'] = "Downloads:";
$locale['search456'] = "Visits:";
// No results
$locale['search470'] = "No matches found.";
$locale['search471'] = "Search text must be at least 3 characters long.";
//Descriptions
$locale['search480'] = "Where:";
$locale['search481'] = "Options:";
//=======
//Options
$locale['search490'] = "Search in:";
$locale['search491'] = "all";
$locale['search492'] = "1 Day";
$locale['search493'] = "1 Week";
$locale['search494'] = "2 Weeks";
$locale['search495'] = "1 Month";
$locale['search496'] = "3 Months";
$locale['search497'] = "6 Months";
//
$locale['search498'] = "Subject and Content";
$locale['search499'] = "only Content";
$locale['search500'] = "only Title";
//
$locale['search505'] = "Sort by:";
$locale['search506'] = "Date";
$locale['search507'] = "Title";
$locale['search508'] = "Author";
//
$locale['search515'] = "descending";
$locale['search516'] = "ascending";
//
$locale['search520'] = "Show:";
$locale['search521'] = "Results";


// SUBMIT
$locale['submit400'] = "Submit Link";
// Submit Link Success
$locale['submit410'] = "Thank you for submitting your Link";
$locale['submit411'] = "Submit another Link";
$locale['submit412'] = "Return to ".$settings['sitename'];
// Submit Link Form
$locale['submit420'] = "Use the following form to submit a Link. Your submission will be verified by an
Administrator. Links deemed unsuitable will not be accepted.";
$locale['submit421'] = "Link Category:";
$locale['submit422'] = "Link Name:";
$locale['submit423'] = "Link URL:";
$locale['submit424'] = "Link Description:";
$locale['submit425'] = "Submit Link";
// Submit News
$locale['submit450'] = "Submit News";
// Submit News Success
$locale['submit460'] = "Thank you for submitting your News";
$locale['submit461'] = "Submit another News item";
// Submit News Form
$locale['submit470'] = "Use the following form to submit News. Your submission will be reviewed by an
Administrator. ".$settings['sitename']." reserves the right to amend or edit any submission. News
should be applicable to the content of this site. Unsuitable submissions will be deleted.";
$locale['submit471'] = "Subject:";
$locale['submit472'] = "News:";
$locale['submit473'] = " Enable Automatic Line-Breaks";
$locale['submit474'] = "Preview News";
$locale['submit475'] = "Submit News";
$locale['submit476'] = "Category:";
$locale['submit477'] = "- None -";
// Submit Article
$locale['submit500'] = "Submit Article";
// Submit Article Success
$locale['submit510'] = "Thank you for submitting your Article";
$locale['submit511'] = "Submit another Article";
// Submit Article Form
$locale['submit520'] = "Use the following form to submit an Article. Your submission will be reviewed by an
Administrator. ".$settings['sitename']." reserves the right to amend or edit any submission. Articles
should be applicable to the content of this site. Unsuitable submissions will be deleted.";
$locale['submit521'] = "Category:";
$locale['submit522'] = "Subject:";
$locale['submit523'] = "Snippet:";
$locale['submit524'] = "Article:";
$locale['submit525'] = " Enable Automatic Line-Breaks";
$locale['submit526'] = "Preview Article";
$locale['submit527'] = "Submit Article";
// Submit Error
$locale['submit550'] = "Please complete the form.";
$locale['submit551'] = "There are no categories defined.";
// Submit Photo
$locale['submit570'] = "Submit Photo";
// Submit Photo Success
$locale['submit580'] = "Thank you for submitting your Photo";
$locale['submit581'] = "Submit another Photo";
// Submit Photo Error
$locale['submit600'] = "Your Photo could not be submitted";
$locale['submit601'] = "Invalid image filename.";
$locale['submit602'] = "Image must be less than %u bytes.";
$locale['submit603'] = "Image must be a GIF, JPEG or PNG file.";
$locale['submit604'] = "Image must be no bigger than %uw x %uh pixels.";
// Submit Photo Form
$locale['submit620'] = "Use the following form to submit a Photo. Your submission will be reviewed by an
Administrator. ".$settings['sitename']." reserves the right to amend or edit any submission. Photos
should be applicable to the content of this site. Submissions deemed unsuitable will be rejected.";
$locale['submit621'] = "Title:";
$locale['submit622'] = "Description:";
$locale['submit623'] = "Image: ";
$locale['submit624'] = "Max. filesize: %s / Max. size: %ux%u pixels";
$locale['submit625'] = "Album:";
$locale['submit626'] = "Submit Photo";

// MESSAGES / PM
// Standard
$locale['pm400'] = "Private Messages";
$locale['pm401'] = "Write new message";
$locale['pm402'] = "Inbox";
$locale['pm403'] = "Outbox";
$locale['pm404'] = "Archive";
$locale['pm405'] = "Subject";
$locale['pm406'] = "From";
$locale['pm407'] = "Date";
$locale['pm408'] = "Site Owner";
$locale['pm409'] = "Checked items:";
$locale['pm410'] = "Check all";
$locale['pm411'] = "Uncheck all";
$locale['pm412'] = "Save";
$locale['pm413'] = "Unsave";
$locale['pm414'] = "Read";
$locale['pm415'] = "Unread";
$locale['pm416'] = "Delete";
$locale['pm417'] = "Show sender with Letters:";
$locale['pm418'] = "All";
$locale['pm419'] = "You have no Private Messages";
$locale['pm420'] = "Send Private Message";
$locale['pm421'] = "To";
$locale['pm422'] = "Message";
$locale['pm423'] = "BB Code";
$locale['pm424'] = "Smileys";
$locale['pm425'] = "Options";
$locale['pm426'] = "Send";
$locale['pm427'] = "Disable Smileys in Message";
$locale['pm428'] = "Show Signature in Message";
$locale['pm429'] = "Preview";
$locale['pm430'] = "Send";
$locale['pm431'] = "Read Private Message";
$locale['pm432'] = "Close";
$locale['pm433'] = "Reply";
$locale['pm434'] = "Send to All";
$locale['pm435'] = "Cancel";
$locale['pm436'] = "Preview Reply";
$locale['pm437'] = "Send";
$locale['pm438'] = "Preview Message";
$locale['pm439'] = "Reply";
$locale['pm440'] = "(received %s)";
$locale['pm441'] = "Write as Site Owner";
$locale['pm442'] = "User Levels";
$locale['pm443'] = "Groups";

// Search Options
$locale['pm450'] = "Search and Sort Options";
$locale['pm451'] = "Search / Sort";
$locale['pm452'] = "Clear";
$locale['pm453'] = "Nothing was found during your search";
$locale['pm454'] = "Search for";
$locale['pm455'] = "in";
$locale['pm456'] = "Sort by";
$locale['pm457'] = "(Use ? and * as Wildcards)";
$locale['pm458'] = "Currently displaying Members with '%s' in '%s' ";
$locale['pm459'] = "Sender Beginning with '%s' ";
$locale['pm460'] = "Sort by '%s'";
$locale['pm461'] = "This Message box is empty";
$locale['pm462'] = "Subject";
$locale['pm463'] = "Message";
$locale['pm464'] = "Sender";
$locale['pm465'] = "Date/Time received";

// Error Messages
$locale['pm480'] = "Error";
$locale['pm481'] = "Wrong Message ID";
$locale['pm482'] = "Wrong Member ID";
$locale['pm483'] = "For Members only";
$locale['pm484'] = "Your Private Messaging facility has been withdrawn due to misuse.";
$locale['pm485'] = "Please select at least one message";
$locale['pm486'] = "You must complete all fields: Subject and Message";

// Tooltips
$locale['pm500'] = "Click to write a new message";
$locale['pm501'] = "Click to view your received messages";
$locale['pm502'] = "Click to view your sent messages";
$locale['pm503'] = "Click to view your saved messages";
$locale['pm504'] = "Click to mark this message";
$locale['pm505'] = "Click to view this message";
$locale['pm506'] = "Click to view the senders profile";
$locale['pm507'] = "Click to mark all messages";
$locale['pm508'] = "Click to unmark all messages";
$locale['pm509'] = "Click to view messages from all senders";
$locale['pm510'] = "Click to view messages from senders beginning with %s";
$locale['pm511'] = "Click to move the marked messages to your savebox";
$locale['pm512'] = "Click to move the marked messages to your inbox";
$locale['pm513'] = "Click to set the marked messages as read";
$locale['pm514'] = "Click to set the marked messages as unread";
$locale['pm515'] = "Click to delete the marked messages";
$locale['pm516'] = "Click to make configuration changes";

// Options
$locale['pm620'] = "Options";
$locale['pm621'] = "Notify me via email when I receive a new PM:";
$locale['pm622'] = "Automatically save sent messages:";
$locale['pm623'] = "Save Options";
$locale['pm624'] = "Options saved";
$locale['pm625'] = "You have a new private message waiting at ".$settings['sitename'];
$locale['pm626'] = ",\r\n\r\nYou have received a new Private Message at ".$settings['sitename'].".\nYou can read your private message at ".$settings['siteurl']."messages.php.\r\n\r\nYou can disable email notification through the options panel of the Private Message page if you no longer wish to be notified of new messages.\r\n\r\nBest regards ...\r\n\r\nDon't reply at this mail.";
$locale['pm627'] = "Error";
$locale['pm628'] = "Unable to send the Private Message. The user's inbox is full.";
$locale['pm629'] = "You can't move the selected message(s) into the specified folder as it will exceed the maximum message limit.";
$locale['pm630'] = " Message Limit";
$locale['pm631'] = "Yes";
$locale['pm632'] = "No";

// memberlist
$locale['mop100'] = "Members Online Panel";
$locale['mop101'] = "Display all members, online/offline, ";
$locale['mop102'] = "Name";
$locale['mop103'] = "On/Off";
$locale['mop104'] = "Usergroup";
$locale['mop105'] = "B-Day";
$locale['mop106'] = "Member since";
$locale['mop107'] = "LastVisit";
$locale['mop108'] = "Posts";
$locale['mop109'] = "Mail";
$locale['mop110'] = "PM";
$locale['mop111'] = "Website";
$locale['mop112'] = "Profil";
$locale['mop113'] = "View all";
$locale['mop114'] = "Sent PM";
$locale['mop115'] = "Sent Mail";
$locale['mop116'] = "To Website";
$locale['mop117'] = "Membersearch";
$locale['mop118'] = "start search";
$locale['mop119'] = "Member is not banned";
$locale['mop120'] = "Member is banned";
$locale['mop121'] = "Member is offline";
$locale['mop122'] = "Member is online";
$locale['mop123'] = "Member is waiting for activation";

$locale['LSUP_000'] = "Last Seen Users";
$locale['LSUP_001'] = "<font color='green'><b>Online Now</b></font>";
$locale['LSUP_002'] = "<font color='red'>< 5 mins</font>";
$locale['LSUP_003'] = "week";
$locale['LSUP_004'] = "weeks";
$locale['LSUP_005'] = "day";
$locale['LSUP_006'] = "days";
$locale['LSUP_007'] = "Never Online";
$locale['LSUP_008'] = "Not Specified";
$locale['LSUP_009'] = "Display More Users";
$locale['LSUP_010'] = "Display Less Users";

// SECURITY PROXY
$locale['PR01']="Proxy registration";
$locale['PR02']="Hello proxy user,<br><br>
You're using a proxy ip to view this site. Unfortunately you through the use of proxies and the registration Log on this site is not permitted.<br>
The only way it is this proxy ip in our whitelist. After successful registration, we will seek your proxy ip unlock soon.<br><br>
<li><u>Rules for a successful activation</u></li>
- The proxy IP is a company ip,<br>
- There is no hack attempts,<br>
- There is no spam or attempts to flood the portal.<br><br>
Should against one of the above rules, the proxy ip from the whitelist, in the black list, and a visit to our portal about this proxy is then no longer possible.
<br><br>";
$locale['PR03']="I have the rules read, understood and agree with them in full.";
$locale['PR04']="Insert proxy"; 
$locale['PR05']="<b>There were rules are not accepted.</b>";
$locale['PR06']="It was a mistake in the registration and needs to be repeated later"; 
$locale['PR07']="We have received your proxy successfully in the White List and will soon check this and if all the tests were successful, and activate.";
$locale['PR08']="Your proxy has already been registered but not yet activated. Please be patient.";
$locale['PR09']="Your proxy ip";

?>