<?php
// bs-fusion, copyright by silvermoon
// english locale modified by ZOC, Feb-April 2009

$locale['title'] = "PHP-Fusion Setup";
$locale['charset'] = "iso-8859-1";
$locale['install'] = "NEW Installation";
$locale['phpf2bsf'] = "Konvert PHP-Fusion to BS-Fusion";
$locale['upgrade'] = "Upgrade";

$locale['400'] = "Select a locale";
$locale['401'] = "Unable to establish database connection.<br><br>
Please ensure you have entered the correct details.";
$locale['402'] = "Unable to select the database table.<br><br>
Please ensure you have entered the correct details.";
// Step 0 - Welcome
$locale['410'] = "Welcome to BS-Fusion setup";
$locale['411'] = "Write permissions check passed";
$locale['412'] = "Write permissions check failed";
$locale['413'] = "Please ensure you have chmodded the required folders.";
$locale['414'] = "Please complete the following form and click Next.";
// Step 0 - Access criteria
$locale['420'] = "Database access settings";
$locale['421'] = "Database Hostname:";
$locale['422'] = "Database Username:";
$locale['423'] = "Database Password:";
$locale['424'] = "Database Name:";
$locale['425'] = "Table Prefix:";
$locale['426'] = "Next";
$locale['427'] = "Cookie Prefix";
$locale['428'] = "Site Key";
$locale['429'] = "After installation, this may not be changed!";

// Step 1 - Write to config / Create database tables
$locale['430'] = "Unable to write to config<br>\nPlease check write permissions and restart setup.";
$locale['431'] = "Setup was unable to create one or more database tables.<br><br>
Please restart setup and try again.<br><br>
If you are unable to resolve this problem please visit our<br>
local support site at <a href='http://www.php-fusion.co.uk' target='blank'>php-fusion.co.uk</a>";
$locale['432'] = "The config has been written successfully.<br><br>\n";
$locale['433'] = "The database tables have been created.<br><br>
Please complete the following form and click Next.";
// Step 1 - Super Admin login
$locale['440'] = "Super Admin login details";
$locale['441'] = "Username:";
$locale['442'] = "Password:";
$locale['443'] = "Repeat password:";
$locale['444'] = "Email address:";
$locale['445'] = "Admin password:";
$locale['446'] = "Repeat admin password:";
$locale['447'] = "Site name:";
$locale['448'] = "Site language:";
$locale['449'] = "Site url:";
$locale['462'] = "Absolute path:";
$locale['463'] = "Relative path:";
$locale['464'] = "(Path of the site without document root)";
$locale['465'] = "(Example: /subfolder/ or /subfolder/subfolder2/, etc.)";
$locale['466'] = "(Example: /var/www/vhosts/webXX/htdocs/subfolder/)";
$locale['467'] = "Document root:";
$locale['468'] = "Global settings";

// Step 2 - User details validation
$locale['450'] = "User name contains invalid characters.";
$locale['451'] = "Your two Passwords do not match.";
$locale['452'] = "Invalid password, please use alpha numeric characters only.<br>
Password must be a minimum of 6 characters long.";
$locale['453'] = "Your email address does not appear to be valid.";
$locale['454'] = "There is an error in your user settings:";
$locale['455'] = "The Admin password can not equal the user password."; 
$locale['456'] = "The Admin passwords does not match.";
$locale['457'] = "Incorrect admin password, please use only alphanumeric characters.<br>The password must be at least 6 characters.";
$locale['458'] = "Administration";
$locale['459'] = "Login is not correct!";
$locale['460'] = "No admin password!";
$locale['461'] = "Log file could not be written!";

// Step 2 - Navigation Links
$locale['500'] = "Home";
$locale['501'] = "Articles";
$locale['502'] = "Downloads";
$locale['503'] = "FAQ";
$locale['504'] = "Discussion Forum";
$locale['505'] = "Contact Me";
$locale['507'] = "Web Links";
$locale['508'] = "Photo Gallery";
$locale['509'] = "Search";
$locale['510'] = "Submit Link";
$locale['511'] = "Submit News";
$locale['512'] = "Submit Article";
$locale['513'] = "Submit Photo";
// Stage 2 - Panels
$locale['520'] = "Navigation";
$locale['521'] = "Online Users";
$locale['522'] = "Forum Threads";
$locale['523'] = "Latest Articles";
$locale['524'] = "Welcome Message";
$locale['525'] = "Forum Threads List";
$locale['526'] = "User Info";
$locale['527'] = "Last Online Users";
$locale['528'] = "Shoutbox";

// Installierte Infusionen
$locale['INF_001'] = "Forum Poll";
$locale['INF_002'] = "Forum Ignore";

// Forum ranks
$locale['RANK_001'] = "Site Admin";
$locale['RANK_002'] = "Admin";
$locale['RANK_003'] = "Moderator";
$locale['RANK_004'] = "Beginner";
$locale['RANK_005'] = "Amateur";
$locale['RANK_006'] = "Scientist";
$locale['RANK_007'] = "Specialist";
$locale['RANK_008'] = "Guru";

// Final message
$locale['580'] = "The Setup is complete, BS-Fusion is now ready for use.<br /><br />
<a href='index.php'>Click here</a> to go to your BS-Fusion powered site.<br /><br />
Thank you for using BS-Fusion ...";

$locale['550'] = "System requirements";
$locale['551'] = "PHP >= 4.3.0 ";
$locale['552'] = "MySQL >= 4.0.10a ";
$locale['553'] = "GD-Bibliothek ";
$locale['554'] = "Theme";

$locale['560'] = "Refresh";
$locale['561'] = "Back to start";
$locale['561b'] = "Back";
$locale['562'] = "FEHLER/ERROR!";
$locale['563'] = "Delete";
$locale['564'] = "Convert Database";
$locale['565'] = "No conversion can be carried out, because old config.php was not found!";
$locale['566'] = "Conversion done.";
$locale['567'] = "Please remove the old Security System!";
$locale['568'] = "Please remove the old config.php!";
$locale['569'] = "The config.inc.php file has wrong rights. Please give only rights to read (chmod 0644).";

$locale['570'] = "Adminarea .htaccess Protection";
$locale['571'] = "Please, inform all Admins of the page after end of the conversion about the fact that these must create an Adminpasswort. This is possible about edit the profile.";

?>