<?php
// Readme
$readme = array(
######### License ###############
'license' => 'Lizenzbedingungen',
'license_text' => 'BS-Fusion ist ein einfaches Open-Source Content Management System (CMS), geschrieben in PHP.
                <br>
                Es basiert auf der Software PHP-Fusion v6 und benutzt eine MySQL Datenbank um den Inhalt einer Homepage zu speichern.
                <br>
                BS-Fusion besitzt ein einfaches aber umfangreiches Administrations-System und enth&auml;lt alle wichtigen Funktionen die auch in anderen CMS zu finden sind.
                <br>
                <br>
                BS-Fusion ist ein Open-Source Softwarepaket und unterliegt den Bedingungen der AGPL v3.
                <br>
                Weitere Informationen finden Sie auf <a href="http://www.gnu.org/" target="_blank">www.gnu.org</a> oder im agpl-3.0.txt, welche dem CMS-Paket beigef&uuml;gt ist.
                <br>
                Es steht ihnen frei den Code f&uuml;r die eigenen Bed&uuml;rfnisse anzupassen. Bei Anpassungen am Code d&uuml;rfen sichtbare und unsichtbare Copyrights und deren Links nicht entfernt werden. In eigene Themes mu in der render_footer die Funktion showcopyright() verwendet werden. Diese Funktion regelt die Darstellung des Copyrights vom BS-Fusion CMS. Der darin enthaltene Text darf nicht ge&auml;ndert werden.<br>
                Das Entfernen der Copyrights wird strafrechtlich verfolgt.
                <br>
                <br>
                <strong>Hinweis:</strong> Die Verbreitung der Software ist nur im Originalzustand und als OpenSource Software gestattet.
                <br>
                <br>
                Mit dem Starten der Installation stimmen Sie diesen Bedingungen im vollem Umfang zu.
                <br>
                <br>',
######### Installation #############
'install' => 'Installation',
'install_text' => '<ol>
<li>Lade den Inhalt des &quot;upload-files&quot;-Ordner auf deinen Server.</li>
<li>Folgende Dateien und Ordner sind auf den chmod 777 zu setzen, wenn noch nicht gemacht:
	      <ul>
	      <li>.htaccess</li>
	      <li>config.inc.php</li>
	      <li>administration/.htaccess</li>
	      <li>administration/.httpasswd</li>
	      <li>administration/db_backup/config.php
		  <li>administration/db_backup/work/ &nbsp;&nbsp;<u>und alle Unterverzeichnisse</u></li>
		  <li>downloads/</li>
		  <li>downloads/screens/</li>
		  <li>forum/attachments/</li>
		  <li>jscripts/tiny_mce/plugins/ajaxfilemanager/session/ &nbsp;&nbsp;<u>inkl. aller Dateien</u></li>
          <li>images/ &nbsp;&nbsp;<u>und alle Unterverzeichnisse und Dateien (auer der index.php)</u></li>
          <li>security/logs/</li>
		  <li>security/config/</li>
          </ul><br />
<li>&quot;Neuinstallation&quot; w&auml;hlen und den Setupprozess entsprechend den Anweisungen durchlaufen.</li>
<li>Die <i>config.inc.php</i> chmod auf 644 setzen und die <i>setup.php</i> zu l&ouml;schen!</li>
<li>Nun kann man sich auf das Portal einloggen.</li>
<li>Installation des MySQL-Dumpers durchf&uuml;hren (/administration/db_backup/install.php aufrufen) und danach die <i>install.php</i> l&ouml;schen.</li>
</ol>',

######### PHP-Fusion zu BS-Fusion ########
'phpf2bsf' => 'PHP-Fusion v6 zu BS-Fusion konvertieren',
'phpf2bsf_text' => 'Sie haben bereits eine PHP-Fusion v6 (mind. 6.01.12) ohne eigene Modifikationen in Betrieb,<br>dann befolgen Sie bitte genau die nachfolgenden Schritte:<br />
<ol>
<li>Erstellen Sie ein komplettes Backup aller Dateien und Datenbanktabellen.</li>
<li>Alle Dateien, ausser der <strong>config.php</strong>, der alten PHP-Fusion Version l&ouml;schen.</li>
<li>Alle Verzeichnisse und deren Inhalte, ausser dem images/, themes/ und forum/attachments/ l&ouml;schen.</li>
<li>Sollten Sie bereits weitere Infusionen installiert haben, welche nicht Bestandteil des Standardpaketes waren, dann darf das Verzeichnis infusions/ nicht gel&ouml;scht werden</li>
<li>Hochladen der neuen Dateien aus dem Verzeichnis &quot;upload_files&quot;.</li>
<li>Befolgen Sie Schritt 2 aus der Installation wenn noch nicht gemacht.</li>
<li>Mit der Auswahl &quot;PHP-Fusion zu BS-Fusion konvertieren&quot; starten Sie die Konvertierung.
Befolgen Sie hier genau alle Schritte.</li>
<li>Werden keine Fehlermeldungen ausgegeben und der Prozess endet mit der Nachricht &quot;Erfolgreich abgeschlossen&quot;, ist BS-Fusion einsatzbereit. Die <i>setup.php</i>, die alte <i>config.php</i> sind zu l&ouml;schen und die<i>config.inc.php</i> auf chmod 644 zu setzen.</li>
<li>Zum Schluss befolgen Sie dann noch den Punkt 6 aus der Neuinstallation.</li>
</ol>',
######## Upgrade #######################
'upgrade' => 'Upgrade',
'upgrade_text' => 'Es ist nur eine Neuinstallation oder eine Konvertierung m&ouml;glich!'
);
?>