<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
require_once INCLUDES."forum_functions_include.php"; 

/*******************************************************************
* Set minimum and maximum number of users you want displayed on each level
*******************************************************************/

$min = 5;	// 
$max = 10;	// 
$days = 5;   // maximum days of lastvisit

/******************************************************************/

echo "<script type='text/javascript'>
<!--
function toggle_lsup() {
	var smu = document.getElementById('show_more_users');
	var smutxt = document.getElementById('show_more_users_text');
	if (smu.style.display == 'none') {
		smu.style.display = 'block';
		smutxt.innerHTML = '".$locale['LSUP_010']."';
	} else {
		smu.style.display = 'none';
		smutxt.innerHTML = '".$locale['LSUP_009']."';
	}
}
//-->
</script>";

openside($locale['LSUP_000']);

echo "<table cellpadding='0' cellspacing='0' width='98%'>";
$result = dbquery("SELECT u.user_id,u.user_name,u.user_level,u.user_global_mod, u.user_lastvisit, IFNULL(COUNT(o.online_user),0) as ison FROM ".DB_PREFIX."users AS u LEFT OUTER JOIN ".DB_PREFIX."online AS o ON o.online_user=u.user_id WHERE u.user_status='0' AND u.user_lastvisit BETWEEN '".(time()-(3600*24*$days))."' AND ".time()." AND u.user_level>0 GROUP BY u.user_id ORDER BY u.user_lastvisit DESC,u.user_level DESC  LIMIT ".($min + $max));
if (dbrows($result) != 0) {
	$user_count = 0;
	while ($data = dbarray($result)) {

/*******************************************************************
* Begin show more feature.
********************************************************************/

if ($user_count == $min) {
echo "</table>
<div align='center'>
<img alt='' border='0' src='".THEME."images/bullet.gif'>&nbsp;
<a href=\"javascript:void(0)\" onClick=\"toggle_lsup();\"><span class='small' id='show_more_users_text'>".$locale['LSUP_009']."</span></a>&nbsp;
<img alt='' border='0' src='".THEME."images/bulletb.gif'>
</div>
<div id='show_more_users' style='display: none;'>
<table cellpadding='0' cellspacing='0' width='98%'>";
}

/*******************************************************************
* End show more feature.
********************************************************************/

		// Check if user has ever logged in
		if ($data['user_lastvisit'] != 0) {
			$lastseen = time() - $data['user_lastvisit'];
			$iW=sprintf("%2d",floor($lastseen/604800));
			$iD=sprintf("%2d",floor($lastseen/(60*60*24)));
			$iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
			$iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
			$iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));
			if ($lastseen < 60 && $data['ison']>0){
				$lastseen="".$locale['LSUP_001']."";
			} elseif($lastseen < 60 && $data['ison']==0){
				$lastseen="".$locale['LSUP_002']."";
			}
			 elseif ($lastseen < 360){
				$lastseen="".$locale['LSUP_002']."";
			} elseif ($iW > 0){
				if ($iW == 1) {
					$Text = $locale['LSUP_003'];
				} else {
					$Text = $locale['LSUP_004'];
				}
				$lastseen = "".$iW." ".$Text."";
			} elseif ($iD > 0){
				if ($iD == 1) {
					$Text = $locale['LSUP_005'];
				} else {
					$Text = $locale['LSUP_006'];
				}
				$lastseen = "".$iD." ".$Text."";
			} else {
				$lastseen = $iH.":".$iM.":".$iS;
			}
		} else {
			$lastseen = $locale['LSUP_007'];
		}
echo "<tr>
<td class='small' align='left'>";
if (!iGUEST) {
echo "<a href='".$tpl->url(SEO_UPROFILE,"profile.php","lookup=",$data['user_id'],null,null,$data['user_name'])."'>".colorize_user($data['user_name'],$data['user_level'],$data['user_global_mod'],$data['user_id'])."</a>
";
} else {
echo colorize_user($data['user_name'],$data['user_level'],$data['user_global_mod'],$data['user_id']);	
}
echo "</td>
<td class='small2' align='right' nowrap='nowrap'>".$lastseen."</td>
</tr>";
		$user_count ++;
	}
}
echo "</table>";
if ($user_count > $min) { echo "</div>\n"; }

closeside();
?>