<?php
//OS:mFusionME
//version:4.01.24
//type:CORE
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
require_once "maincore.php";

$tpl->add_to_title($locale['search400']);
require_once "subheader.php";
require_once "side_left.php";

$news_per_page = 11; $posts_per_page = 20;
$loc_switcher = !(bool)$settings['locale_switcher'] ? false : true;
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

if (isset($stype)) $stype = $stype;
if (isset($stext)) $stext = stripinput($stext);

if (!isset($stype)) $stype = isset($_POST['stype']) ? $_POST['stype'] : "a";
if (!isset($stext)) $stext = isset($_POST['stext']) ? $_POST['stext'] : "";

//Options
if (!isset($method)) $method = isset($_POST['method']) ? (($_POST['method']=="OR" || $_POST['method']=="AND") ? $_POST['method'] : "OR") : "OR";
if (!isset($datelimit)) $datelimit = isset($_POST['datelimit']) ? (isNum($_POST['datelimit']) ? $_POST['datelimit'] : 0) : 0;
if (!isset($fields)) $fields = isset($_POST['fields']) ? (isNum($_POST['fields']) ? $_POST['fields'] : 2) : 2;
if (!isset($sort)) $sort = isset($_POST['sort']) ? (($_POST['sort']=="datestamp" || $_POST['sort']=="subject" || $_POST['sort']=="author") ? $_POST['sort'] : "datestamp") : "datestamp";
if (!isset($order)) $order = isset($_POST['order']) ? (isNum($_POST['order']) ? $_POST['order'] : 0) : 0;
if (!isset($chars)) $chars = isset($_POST['chars']) ? (isNum($_POST['chars']) ? $_POST['chars'] : 200) : 200;

function highlight_words($searchw,$text){
	if (is_array($searchw)) {
		$i=0;
		$color=array("#FFFF00","#FBB205","#F0450D","#FA8072","#EE82EE");
		foreach($searchw as $value) {
			$svalue = rawurldecode($value);
			if (strlen($svalue)>3) {
			if ($i==5) $i=0;
		$text = preg_replace('/(' . $svalue . ')/i', '<span style="background-color:'.$color[$i].';font-weight:bold;padding-left:1px;padding-right:0px">$1</span>', $text);		
		$i++;
			}
		}	
	} else {
		if (strlen($searchw)>3) {
		$search = $searchw;
		if ($search) {
			$search = rawurldecode($search);
			$text = preg_replace('/(' . $search . ')/i', '<span style="background-color:yellow;font-weight:bold;padding-left:1px;padding-right:0px">$1</span>', $text);
			}
		}	
	}
return $text;	
}
$composevars = "method=$method&amp;datelimit=$datelimit&amp;fields=$fields&amp;sort=$sort&amp;order=$order&amp;chars=$chars&amp;";

opentable($locale['search400']);
echo "<script type='text/javascript'>

function display(val) {
	switch (val) {
		case 'a':
	      document.searchform.datelimit.disabled = false;
	      document.searchform.fields.disabled = false;
	      document.searchform.sort.disabled = false;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = false;
		break;
		case 'n':
	      document.searchform.datelimit.disabled = false;
	      document.searchform.fields.disabled = false;
	      document.searchform.sort.disabled = false;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = false;
		break;
		case 'c':
	      document.searchform.datelimit.disabled = true;
	      document.searchform.fields.disabled = false;
	      document.searchform.sort.disabled = true;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = false;
		break;
		case 'd':
	      document.searchform.datelimit.disabled = false;
	      document.searchform.fields.disabled = false;
	      document.searchform.sort.disabled = false;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = false;
		break;
		case 'w':
	      document.searchform.datelimit.disabled = false;
	      document.searchform.fields.disabled = false;
	      document.searchform.sort.disabled = false;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = false;
		break;
		case 'q':
	      document.searchform.datelimit.disabled = false;
	      document.searchform.fields.disabled = false;
	      document.searchform.sort.disabled = false;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = false;
		break;
		case 'p':
	      document.searchform.datelimit.disabled = false;
	      document.searchform.fields.disabled = false;
	      document.searchform.sort.disabled = false;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = false;
		break;
		case 'm':
	      document.searchform.datelimit.disabled = true;
	      document.searchform.fields.disabled = true;
	      document.searchform.sort.disabled = true;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = true;
		break;
		case 'all':
	      document.searchform.datelimit.disabled = false;
	      document.searchform.fields.disabled = false;
	      document.searchform.sort.disabled = false;
	      document.searchform.order.disabled = false;
	      document.searchform.chars.disabled = false;
		break;
	}
}
</script>";

echo "<center>
<form name='searchform' method='post' action='".FUSION_SELF."'>
<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td class='tbl2' colspan='2'><b>".$locale['search401']."</b></td>
</tr>
<tr>
<td class='tbl1' align='center' width='50%'>
<input type='text' name='stext' value='$stext' class='textbox' style='width:200px'>
<input type='submit' name='search' value='".$locale['search408']."' class='button'>
</td>
<td class='tbl1' align='left' width='50%'>
<input type='radio' name='method' value='OR'".($method == "OR" ? " checked='checked'" : "")."> ".$locale['search447']."<br>
<input type='radio' name='method' value='AND'".($method == "AND" ? " checked='checked'" : "")."> ".$locale['search448']."</td>
</tr>
<tr>
<td class='tbl2'><b>".$locale['search480']."</b></td>
<td class='tbl2'><b>".$locale['search481']."</b></td>
</tr>
<tr>
<td class='tbl1' align='left'>
	<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
	<td>
	<input type='radio' name='stype' value='a'".($stype == "a" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['search402']."
	</td>
	<td>&nbsp;</td>
	</tr>
	<tr>
	<td>
	<input type='radio' name='stype' value='n'".($stype == "n" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['search403']."
	</td>
	<td>&nbsp;</td>
	</tr>
	<tr>
	<td>
	<input type='radio' name='stype' value='c'".($stype == "c" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['search403a']."
	</td>
	<td>&nbsp;</td>
	</tr>
	<tr>
	<td>
	<input type='radio' name='stype' value='q'".($stype == "q" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['faq401']."
	</td>
	<td>&nbsp;</td>
	</tr>
	<tr>
	<td>
	<input type='radio' name='stype' value='d'".($stype == "d" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['search405']."
	</td>
	<td>&nbsp;</td>
	</tr>
	<tr>
	<td>
	<input type='radio' name='stype' value='w'".($stype == "w" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['search406']."
	</td>
	<td>&nbsp;</td>
	</tr>
	<tr>
	<td>
	<input type='radio' name='stype' value='p'".($stype == "p" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['search407a']."
	</td>
	<td>&nbsp;</td>
	</tr>";
	if (!iGUEST) {
	echo "<tr>
	<td>
	<input type='radio' name='stype' value='m'".($stype == "m" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['search407']."
	</td>
	<td>&nbsp;</td>
	</tr>";
	}
	echo "<tr>
	<td>
	<input type='radio' name='stype' value='all'".($stype == "all" ? " checked='checked'" : "")." onClick=\"display(this.value)\"> ".$locale['search407b']."
	</td>
	<td>&nbsp;</td>
	</tr>
	</table>
</td>
<td class='tbl1' align='left' valign='top'>
	<table cellpadding='2' cellspacing='0'>
	<tr>
	<td>
	".$locale['search490']."
	</td>
	<td>
	<select name='datelimit' class='textbox'>
	<option value='0'".($datelimit==0?" selected='selected'":"").">".$locale['search491']."</option>
	<option value='86400'".($datelimit==86400?" selected='selected'":"").">".$locale['search492']."</option>
	<option value='604800'".($datelimit==604800?" selected='selected'":"").">".$locale['search493']."</option>
	<option value='1209600'".($datelimit==1209600?" selected='selected'":"").">".$locale['search494']."</option>
	<option value='2419200'".($datelimit==2419200?" selected='selected'":"").">".$locale['search495']."</option>
	<option value='7257600'".($datelimit==7257600?" selected='selected'":"").">".$locale['search496']."</option>
	<option value='14515200'".($datelimit==14515200?" selected='selected'":"").">".$locale['search497']."</option>
	</select>
	</td>
	</tr>
	<tr>
	<td>&nbsp;</td>
	<td>
	<input type='radio' name='fields' value='2'".($fields==2?" checked='checked'":"")."> ".$locale['search498']."<br>
	<input type='radio' name='fields' value='1'".($fields==1?" checked='checked'":"")."> ".$locale['search499']."
<br>
	<input type='radio' name='fields' value='0'".($fields==0?" checked='checked'":"")."> ".$locale['search500']."
	</td>
	</tr>
	<tr>
	<td>
	".$locale['search505']."&nbsp;
	</td>
	<td>
	<select name='sort' class='textbox'>
	<option value='datestamp'".($sort=="datestamp"?" selected='selected'":"").">".$locale['search506']."</option>
	<option value='subject'".($sort=="subject"?" selected='selected'":"").">".$locale['search507']."</option>
	<option value='author'".($sort=="author"?" selected='selected'":"").">".$locale['search508']."</option>
	</select>
	<td>
	</tr>
	<tr>
	<td>&nbsp;</td>
	<td>
	<input type='radio' name='order' value='0'".($order==0?" checked='checked'":"")."> ".$locale['search515']."<br>
	<input type='radio' name='order' value='1'".($order==1?" checked='checked'":"")."> ".$locale['search516']."<br>
	</td>
	</tr>
	</table>
<br>
".$locale['search520']." <select name='chars' class='textbox'>
<option value='50'".($chars==50?" selected='selected'":"").">50</option>
<option value='100'".($chars==100?" selected='selected'":"").">100</option>
<option value='200'".($chars==200?" selected='selected'":"").">200</option>
<option value='500'".($chars==500?" selected='selected'":"").">500</option>
<option value='1000'".($chars==1000?" selected='selected'":"").">1000</option>
<option value='0'".($chars==0?" selected='selected'":"").">".$locale['search491']."</option>
</select> ".$locale['search521']."
</td>
</tr>
</table>
</form>
</center>\n";
closetable();


if ($stext != "" && strlen($stext)>="3") {
	tablebreak();
	opentable($locale['search409']);
   $fswords = explode(' ', $stext);
   $swords = array();
   for ($i=0;$i<sizeof($fswords);$i++) {
   	if (strlen($fswords[$i])>=3) {
   		$swords[] = $fswords[$i];
   	}
   }
   unset($fswords);

   if (sizeof($swords)==0) redirect(FUSION_SELF);

	if ($stype == "a" || $stype=="all") {
		if ($sort=="datestamp") {
			$sortby = "article_datestamp";
		} else if ($sort=="subject") {
			$sortby = "article_subject";
		} else if ($sort=="author") {
			$sortby = "article_name";
		} else {
			$sortby = "";
		}
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "article_subject LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "article_article LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
		if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") || (".$smessage."))";
		} else {
			$fieldsvar = "";
		}
      $result = dbquery(
         "SELECT ta.*,tac.* FROM ".$db_prefix."articles ta
         INNER JOIN ".$db_prefix."article_cats tac ON ta.article_cat=tac.article_cat_id
         WHERE ".groupaccess('article_cat_access').(!$loc_switcher ? "" : " AND (tac.article_cat_locale='all' OR tac.article_cat_locale='".LANGUAGE."')")." AND ".$fieldsvar);
		$rows = dbrows($result);
		// articles found
		if ($rows != 0) {
			echo '<fieldset><legend>'.$rows." ".($rows == 1 ? $locale['search410'] : $locale['search411']).$locale['search422'].":</legend>\n";
         $result = dbquery(
            "SELECT ta.*,tac.*, tu.user_id,user_name FROM ".$db_prefix."articles ta
            INNER JOIN ".$db_prefix."article_cats tac ON ta.article_cat=tac.article_cat_id
            LEFT JOIN ".$db_prefix."users tu ON ta.article_name=tu.user_id
            WHERE ".groupaccess('article_cat_access').(!$loc_switcher ? "" : " AND (tac.article_cat_locale='all' OR tac.article_cat_locale='".LANGUAGE."')")." AND ".$fieldsvar."
            ".($datelimit!=0?" AND ta.article_datestamp>=".(time()-$datelimit):"")."
            ORDER BY ".$sortby." ".($order==1?"ASC":"DESC")." LIMIT $rowstart,10"
         );
         $j=1;$numrows=dbrows($result);
			while ($data = dbarray($result)) {
            $text_all = $data['article_article'];
            $text_all = preg_replace("[\[(.*?)\]]", "", $text_all);
            $text_all = preg_replace("<\<(.*?)\>>", "", $text_all);
            if ($chars!=0) {
	            $text_frag = substr($text_all, 0, $chars);
	         } else {
	            $text_frag = $text_all;
	         }
	         $text_frag = nl2br(stripslashes($text_frag));
	         $subj_c = 0;
	         $text_c = 0;
	         for ($i=0;$i<sizeof($swords);$i++) {
               $text_frag = highlight_words($swords[$i], $text_frag);
               $subj_c += substr_count(strtolower($data['article_subject']), strtolower($swords[$i]));
               $text_c += substr_count(strtolower($data['article_article']), strtolower($swords[$i]));
	         }
	        echo (($subj_c!=0&&$fields!=1)?"<span style='background-color:red;font-weight:bold;padding-left:2px;padding-right:2px'>":"")."<a href='articles.php?id=".$data['article_id']."'>".$data['article_subject']."</a>".(($subj_c!=0&&$fields!=1)?"</span>":"")."<br><br>\n";
            echo "<div style='word-wrap:break-word;width:auto;height:auto;overflow:auto'>".$text_frag."</div><br>";
            echo "<span class='small2'>".$locale['040']."<a href='profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>\n";
            echo $locale['041'].showdate("longdate", $data['article_datestamp'])."</span><br>\n";
            if($j<$numrows) echo '<hr />';
            $j++;
			}
			echo '</fieldset>';
		} else {
			echo "<center>0 ".$locale['search411'].$locale['search422'].".</center>\n";
		}
		if ($stype!="all") closetable();
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?stype=a&amp;stext=$stext&amp;".$composevars)."\n</div>\n";
		if ($stype=="all") echo "<br><br>";
	}
	
if ($stype == "q" || $stype=="all") {
		if ($sort=="datestamp") {
			$sortby = "f.faq_question";
		} else if ($sort=="subject") {
			$sortby = "f.faq_question";
		} else if ($sort=="author") {
			$sortby = "f.faq_question";
		} else {
			$sortby = "f.faq_question";
		}
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "f.faq_question LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "f.faq_answer LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
		if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") || (".$smessage."))";
		} else {
			$fieldsvar = "";
		}
      $result = dbquery(
         "SELECT count(f.faq_id) FROM ".$db_prefix."faqs f
         INNER JOIN ".$db_prefix."faq_cats fc ON f.faq_cat_id=fc.faq_cat_id
         WHERE ".(!(bool)$settings['locale_switcher'] ? '': "(fc.faq_cat_locale='all' OR fc.faq_cat_locale='".LANGUAGE."') AND ").$fieldsvar);
		$rows = dbresult($result,0);
		// faq found
		if ((bool)$rows) {
			echo '<fieldset><legend>'.$rows." ".($rows == 1 ? $locale['faq400'] : $locale['faq401']).$locale['search422'].":</legend>\n";
         $result = dbquery(
            "SELECT f.faq_id,f.faq_cat_id,f.faq_question,f.faq_answer,fc.faq_cat_name FROM ".$db_prefix."faqs f
         INNER JOIN ".$db_prefix."faq_cats fc ON f.faq_cat_id=fc.faq_cat_id
         WHERE ".(!(bool)$settings['locale_switcher'] ? '': "(fc.faq_cat_locale='all' OR fc.faq_cat_locale='".LANGUAGE."') AND ").$fieldsvar."         ORDER BY ".$sortby." ".($order==1?"ASC":"DESC")." LIMIT $rowstart,10"
         );
         $numrows=dbrows($result);
         $j=1;
			while ($data = dbarray($result)) {
            $text_all = $data['faq_answer'];
            $text_all = preg_replace("[\[(.*?)\]]", "", $text_all);
            $text_all = preg_replace("<\<(.*?)\>>", "", $text_all);
            if ($chars!=0) {
	            $text_frag = substr($text_all, 0, $chars);
	         } else {
	            $text_frag = $text_all;
	         }
	         $text_frag = nl2br(stripslashes($text_frag));
	         $subj_c = 0;
	         $text_c = 0;
	         for ($i=0;$i<sizeof($swords);$i++) {
               $text_frag = highlight_words($swords[$i], $text_frag);
               $subj_c += substr_count(strtolower($data['faq_question']), strtolower($swords[$i]));
               $text_c += substr_count(strtolower($data['faq_answer']), strtolower($swords[$i]));
	         }
            echo (($subj_c!=0&&$fields!=1)?"<span style='background-color:red;font-weight:bold;padding-left:2px;padding-right:2px'>":"")."<a href='".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."#faq".$data['faq_id']."'>".$data['faq_question']."</a>".(($subj_c!=0&&$fields!=1)?"</span>":"")."<br><br>\n";
            echo "<div style='word-wrap:break-word;width:auto;height:auto;overflow:auto'>".$text_frag."</div>";
            if ($j<$numrows) echo '<hr />';
            $j++;
            
			}
			echo '</fieldset>';
		} else {
			echo "<center>0 ".$locale['faq401'].$locale['search422'].".</center>\n";
		}
		if ($stype!="all") closetable();
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,BASEDIR.FUSION_SELF."?stype=q&amp;stext=$stext&amp;".$composevars)."\n</div>\n";
		if ($stype=="all") echo "<br><br>";
	}
	if ($stype == "n" || $stype=="all") {
		if ($sort=="datestamp") {
			$sortby = "news_datestamp";
		} else if ($sort=="subject") {
			$sortby = "news_subject";
		} else if ($sort=="author") {
			$sortby = "news_name";
		} else {
			$sortby = "";
		}
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "news_subject LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "news_news LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $sextended .= "news_extended LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
		if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "((".$smessage.") || (".$sextended."))";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") || (".$smessage.") || (".$sextended."))";
		} else {
			$fieldsvar = "";
		}
      $rows = dbcount("(news_id)", "news", groupaccess('news_visibility')." AND ".$fieldsvar);
	// news found
	  if ($rows != 0) {
			echo "<fieldset><legend>".$rows." ".($rows == 1 ? $locale['search412'] : $locale['search413']).$locale['search422'].":</legend>\n";
         $result = dbquery(
            "SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn
            LEFT JOIN ".$db_prefix."news_cats as tc ON tc.news_cat_id=tn.news_cat 
			LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
            WHERE ".groupaccess('news_visibility').((bool)$settings['locale_switcher']?" AND (tc.news_cat_locale='all' OR tc.news_cat_locale='".LANGUAGE."')":'')." AND (news_start='0'||news_start<=".time().")
            AND (news_end='0'||news_end>=".time().")
            AND ".$fieldsvar."
            ".($datelimit!=0?" AND news_datestamp>=".(time()-$datelimit):"")."
            ORDER BY ".$sortby." ".($order==1?"ASC":"DESC")." LIMIT $rowstart,10"
         );
         $j=0;
         $numrows=dbrows($result);
			while ($data = dbarray($result)) {
            $text_all = $data['news_news']." ".$data['news_extended'];
            $text_all = preg_replace("[\[(.*?)\]]", "", $text_all);
            $text_all = preg_replace("<\<(.*?)\>>", "", $text_all);
            if ($chars!=0) {
	            $text_frag = substr($text_all, 0, $chars);
	         } else {
	            $text_frag = $text_all;
	         }
	         $text_frag = nl2br(stripslashes($text_frag));
	         $subj_c = 0;
	         $text_c = 0;
	         $text_c2 = 0;
	         for ($i=0;$i<sizeof($swords);$i++) {
               $text_frag = highlight_words($swords[$i], $text_frag);
               $subj_c += substr_count(strtolower($data['news_subject']), strtolower($swords[$i]));
               $text_c += substr_count(strtolower($data['news_news']), strtolower($swords[$i]));
               $text_c2 += substr_count(strtolower($data['news_extended']), strtolower($swords[$i]));
	         }
            echo (($subj_c!=0&&$fields!=1)?"<span style='background-color:red;font-weight:bold;padding-left:2px;padding-right:2px'>":"")."<a href='news.php?readmore=".$data['news_id']."'>".$data['news_subject']."</a>".(($subj_c!=0&&$fields!=1)?"</span>":"")."<br><br>\n";
            echo "<div style='word-wrap:break-word;width:auto;height:auto;overflow:auto'>".$text_frag."</div><br>";
            echo "<span class='small2'>".$locale['040']."<a href='profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>\n";
            echo $locale['041'].showdate("longdate", $data['news_datestamp'])."</span><br>\n";
			if ($j<($numrows-1)) echo '<hr />';
			$j++;
			}
			echo '</fieldset>';
		} else {
			echo "<center>0 ".$locale['search413'].$locale['search422'].".</center>\n";
		}
		if ($stype!="all") closetable();
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?stype=n&amp;stext=$stext&amp;".$composevars)."\n</div>\n";
		if ($stype=="all") echo "<br><br>";
	}

	if ($stype == "d" || $stype=="all") {
		if ($sort=="datestamp") {
			$sortby = "download_datestamp";
		} else if ($sort=="subject") {
			$sortby = "download_title";
		} else {
			$sortby = "download_datestamp";
		}
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "download_title LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "download_description LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
		if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") || (".$smessage."))";
		} else {
			$fieldsvar = "";
		}
      $result = dbquery(
         "SELECT td.*,tdc.* FROM ".$db_prefix."downloads td
         INNER JOIN ".$db_prefix."download_cats tdc ON td.download_cat=tdc.download_cat_id
         WHERE ".groupaccess('tdc.download_cat_access')." AND ".$fieldsvar."
         ".($datelimit!=0?" AND download_datestamp>=".(time()-$datelimit):"")
      );
		$rows = dbrows($result);
		// downloads found
		if ($rows != 0) {
			echo "<fieldset><legend>".$rows." ".($rows == 1 ? $locale['search416'] : $locale['search417']).$locale['search422'].":</legend>\n";
         $dresult = dbquery(
            "SELECT td.*,tdc.* FROM ".$db_prefix."downloads td
            INNER JOIN ".$db_prefix."download_cats tdc ON td.download_cat=tdc.download_cat_id
            WHERE ".groupaccess('tdc.download_cat_access')." AND ".$fieldsvar."
            ".($datelimit!=0?" AND download_datestamp>=".(time()-$datelimit):"")."
            ORDER BY ".$sortby." ".($order==1?"ASC":"DESC")." LIMIT $rowstart,10"
         );
         $numrows=dbrows($dresult);
			$i = 0;$j=0;
			while ($data = dbarray($dresult)) {
				if ($data['download_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
					$new = " <span class='small'>".$locale['global001']."</span>";
				} else {
					$new = "";
				}
            $text_all = $data['download_description'];
            $text_all = preg_replace("[\[(.*?)\]]", "", $text_all);
            $text_all = preg_replace("<\<(.*?)\>>", "", $text_all);
            if ($chars!=0) {
	            $text_frag = substr($text_all, 0, $chars);
	         } else {
	            $text_frag = $text_all;
	         }
	         $text_frag = nl2br(stripslashes($text_frag));
	         $subj_c = 0;
	         $text_c = 0;
	         for ($i=0;$i<sizeof($swords);$i++) {
               $text_frag = highlight_words($swords[$i], $text_frag);
               $subj_c += substr_count(strtolower($data['download_title']), strtolower($swords[$i]));
               $text_c += substr_count(strtolower($data['download_description']), strtolower($swords[$i]));
	         }
				echo (($subj_c!=0&&$fields!=1)?"<span style='background-color:red;font-weight:bold;padding-left:2px;padding-right:2px'>":"")."<a href='downloads.php?cat_id=".$data['download_cat']."&amp;download_id=".$data['download_id']."' target='_blank'>".$data['download_title']."</a>".($data['download_filesize']>0 ? ' - '.parsebytesize($data['download_filesize'],2):'')." $new".(($subj_c!=0&&$fields!=1)?"</span>":"")."<br><br>\n";
            if ($text_frag != "") echo "<div style='word-wrap:break-word;width:auto;height:auto;overflow:auto'>".$text_frag."</div><br>";
            
				echo "<span class='small'>";
				if ($data['download_license']!=''){
				echo "<font class='alt'>".$locale['down411']."</font> ".$data['download_license'];
				}
				if ($data['download_os']!='') {
				echo " |
<font class='alt'>".$locale['down412']."</font> ".$data['download_os'];
				}
				if ($data['download_version']!='') {
				echo " |
<font class='alt'>".$locale['down413']."</font> ".$data['download_version'];
				}
				echo "<br>
<font class='alt'>".$locale['down414']."</font> ".showdate("%d.%m.%y", $data['download_datestamp'])." |
<font class='alt'>".$locale['down435']."</font> ".$data['download_count']."</span>\n";
				if($j<$numrows-1) {echo '<hr />';}
				$j++;
			}
			
			echo '</fieldset>';	
		} else {
			echo "<center>0 ".$locale['search417'].$locale['search422'].".</center>\n";
		}
		if ($stype!="all") closetable();
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?stype=d&amp;stext=$stext&amp;".$composevars)."\n</div>\n";
		if ($stype=="all") echo "<br><br>";
	}

	if ($stype == "w" || $stype=="all") {
		if ($sort=="datestamp") {
			$sortby = "weblink_datestamp";
		} else if ($sort=="subject") {
			$sortby = "weblink_name";
		} else {
			$sortby = "weblink_datestamp";
		}
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "weblink_name LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "weblink_description LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
		if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") || (".$smessage."))";
		} else {
			$fieldsvar = "";
		}
      $result = dbquery(
         "SELECT tw.*,twc.* FROM ".$db_prefix."weblinks tw
         INNER JOIN ".$db_prefix."weblink_cats twc ON tw.weblink_cat=twc.weblink_cat_id
         WHERE ".groupaccess('weblink_cat_access')." AND ".$fieldsvar."
         ".($datelimit!=0?" AND post_datestamp>=".(time()-$datelimit):"")
      );
		$rows = dbrows($result);
		// weblinks found	
		if ($rows != 0) {
			echo '<fieldset><legend>'.$rows." ".($rows == 1 ? $locale['search418'] : $locale['search419']).$locale['search422'].":</legend>\n";
			
         $result = dbquery(
            "SELECT tw.*,twc.* FROM ".$db_prefix."weblinks tw
            INNER JOIN ".$db_prefix."weblink_cats twc ON tw.weblink_cat=twc.weblink_cat_id
            WHERE ".groupaccess('weblink_cat_access')." AND ".$fieldsvar."
            ".($datelimit!=0?" AND post_datestamp>=".(time()-$datelimit):"")."
            ORDER BY ".$sortby." ".($order==1?"ASC":"DESC")." LIMIT $rowstart,10"
         );
 		$j=1;$numrows=dbrows($result);        
			$i = 1;
			while ($data = dbarray($result)) {
				if ($data['weblink_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
					$new = " <span class='small'>".$locale['global001']."</span>";
				} else {
					$new = "";
				}
            $text_all = $data['weblink_description'];
            $text_all = preg_replace("[\[(.*?)\]]", "", $text_all);
            $text_all = preg_replace("<\<(.*?)\>>", "", $text_all);
            if ($chars!=0) {
	            $text_frag = substr($text_all, 0, $chars);
	         } else {
	            $text_frag = $text_all;
	         }
	         $text_frag = nl2br(stripslashes($text_frag));
	         $subj_c = 0;
	         $text_c = 0;
	         for ($i=0;$i<sizeof($swords);$i++) {
               $text_frag = highlight_words($swords[$i], $text_frag);
               $subj_c += substr_count(strtolower($data['weblink_name']), strtolower($swords[$i]));
               $text_c += substr_count(strtolower($data['weblink_description']), strtolower($swords[$i]));
	         }
				echo (($subj_c!=0&&$fields!=1)?"<span style='background-color:red;font-weight:bold;padding-left:2px;padding-right:2px'>":"")."<a href='weblinks.php?cat_id=".$data['weblink_cat']."&amp;weblink_id=".$data['weblink_id']."' target='_blank'>".$data['weblink_name']."</a>$new".(($subj_c!=0&&$fields!=1)?"</span>":"")."<br><br>\n";
            if ($text_frag != "") echo "<div style='word-wrap:break-word;width:auto;height:auto;overflow:auto'>".$text_frag."</div><br>";
				echo "<span class='small'><font class='alt'>".$locale['down414']."</font> ".showdate("%d.%m.%y", $data['weblink_datestamp'])." |
<span class='alt'>".$locale['down435']."</span> ".$data['weblink_count']."</span>";
				echo ($j < $numrows ? "<hr />\n" : "\n"); $j++;
			}
			echo '</fieldset>';
		} else {
			echo "<center>0 ".$locale['search419'].$locale['search422'].".</center>\n";
		}
		if ($stype!="all") closetable();
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?stype=w&amp;stext=$stext&amp;".$composevars)."\n</div>\n";
		if ($stype=="all") echo "<br><br>";
	}

	
	if (!iGUEST && ($stype == "m" || $stype=="all" )) {
		if (!iMEMBER) $rows=0; else
		$rows = dbcount("(user_id)", "users", "user_name LIKE '%$stext%'");
		// users found
		if ($rows != 0) {
			echo '<fieldset><legend>'.$rows." ".($rows == 1 ? $locale['search420'] : $locale['search421']).$locale['search422'].":</legend>\n";
			$result = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_name LIKE '%$stext%' ORDER BY user_name");
			while ($data = dbarray($result)) {
				echo "<a href='profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br>\n";
			}
			echo '</fieldset>';
		} else {
			echo "<center>0 ".$locale['search421'].$locale['search422'].".</center>\n";
		}
		if ($stype!="all") closetable();
		if ($stype=="all") echo "<br><br>";
	}

	if ($stype == "p" || $stype=="all") {
		if ($sort=="datestamp") {
			$sortby = "photo_datestamp";
		} else if ($sort=="subject") {
			$sortby = "photo_title";
		} else if ($sort=="author") {
			$sortby = "photo_user";
		} else {
			$sortby = "";
		}
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "photo_title LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "photo_description LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
		if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") || (".$smessage."))";
		} else {
			$fieldsvar = "";
		}
      $result = dbquery(
         "SELECT tp.*,ta.* FROM ".$db_prefix."photos tp
         INNER JOIN ".$db_prefix."photo_albums ta ON tp.album_id=ta.album_id
         WHERE ".groupaccess('album_access').
         " AND ".$fieldsvar."
         ".($datelimit!=0?" AND photo_datestamp>=".(time()-$datelimit):"")
      );
		$rows = dbrows($result);
		// photos found
		if ($rows != 0) {
			echo '<fieldset><legend>'.$rows." ".($rows == 1 ? $locale['search414'] : $locale['search415']).$locale['search422'].":</legend>\n";
         $result = dbquery(
            "SELECT tp.*,ta.* FROM ".$db_prefix."photos tp
            INNER JOIN ".$db_prefix."photo_albums ta ON tp.album_id=ta.album_id
            WHERE ".groupaccess('album_access').
            " AND ".$fieldsvar."
            ".($datelimit!=0?" AND photo_datestamp>=".(time()-$datelimit):"")."
            ORDER BY ".$sortby." ".($order==1?"ASC":"DESC")." LIMIT $rowstart,10"
         );
         $numrows=dbrows($result);$j=1;
			$i = 1;
			while ($data = dbarray($result)) {
				if ($data['photo_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
					$new = " <span class='small'>".$locale['global001']."</span>";
				} else {
					$new = "";
				}
            $text_all = $data['photo_description'];
            $text_all = preg_replace("[\[(.*?)\]]", "", $text_all);
            $text_all = preg_replace("<\<(.*?)\>>", "", $text_all);
            if ($chars!=0) {
	            $text_frag = substr($text_all, 0, $chars);
	         } else {
	            $text_frag = $text_all;
	         }
	         $text_frag = nl2br(stripslashes($text_frag));
	         $subj_c = 0;
	         $text_c = 0;
	         for ($i=0;$i<sizeof($swords);$i++) {
               $text_frag = highlight_words($swords[$i], $text_frag);
               $subj_c += substr_count(strtolower($data['photo_title']), strtolower($swords[$i]));
               $text_c += substr_count(strtolower($data['photo_description']), strtolower($swords[$i]));
	         }
				echo "<table width='100%'>";
				echo "<tr><td width='".$settings['thumb_w']."'>";
				if ($data['photo_thumb1']!='' && file_exists(PHOTOS."album_".$data['album_id']."/".$data['photo_thumb1'])) {
					echo "<img src='".PHOTOS."album_".$data['album_id']."/".$data['photo_thumb1']."' style='border:none' alt='".$data['photo_title']."'>";
				} else if ($data['photo_thumb2']!='' && file_exists(PHOTOS."album_".$data['album_id']."/".$data['photo_thumb2'])) {
					echo "<img src='".PHOTOS."album_".$data['album_id']."/".$data['photo_thumb2']."' style='border:none' alt='".$data['photo_title']."'>";
				}
				echo "</td><td>";
				echo (($subj_c!=0&&$fields!=1)?"<span style='background-color:red;font-weight:bold;padding-left:2px;padding-right:2px'>":"")."<a href='photogallery.php?photo_id=".$data['photo_id']."'>".$data['photo_title']."</a>$new".(($subj_c!=0&&$fields!=1)?"</span>":"")."<br><br>\n";
            if ($text_frag != "") echo "<div style='word-wrap:break-word;width:auto;height:auto;overflow:auto'>".$text_frag."</div><br>";
				echo "<span class='small'><font class='alt'>".$locale['down414']."</font> ".showdate("%d.%m.%y", $data['photo_datestamp'])." |
<span class='alt'>".$locale['down435']."</span> ".$data['photo_views']."</span>";
				echo "</td></tr></table>";
				echo ($j < $numrows ? "<hr />\n" : "\n"); $j++;
			}
			echo '</fieldset>';
		} else {
			echo "<center>0 ".$locale['search415'].$locale['search422'].".</center>\n";
		}
		if ($stype!="all") closetable();
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?stype=p&amp;stext=$stext&amp;".$composevars)."\n</div>\n";
		if ($stype=="all") echo "<br><br>";
	}

	if ($stype == "c" || $stype=="all") {
      $sortby = "page_title";
		$ssubject = "";
		$smessage = "";
      for ($i=0;$i<sizeof($swords);$i++) {
         $ssubject .= "page_title LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
         $smessage .= "page_content LIKE '%".$swords[$i]."%'".($i<sizeof($swords)-1?" ".$method." ":"");
      }
		if ($fields==0) {
			$fieldsvar = "(".$ssubject.")";
		} else if ($fields==1) {
			$fieldsvar = "(".$smessage.")";
		} else if ($fields==2) {
			$fieldsvar = "((".$ssubject.") || (".$smessage."))";
		} else {
			$fieldsvar = "";
		}
      $result = dbquery(
         "SELECT * FROM ".$db_prefix."custom_pages
         WHERE ".groupaccess('page_access').((bool)$loc_switcher ? " AND (page_locale='".LANGUAGE."' OR page_locale='all')":"").
         " AND ".$fieldsvar
      );
		$rows = dbrows($result);
		// custom pages found
		if ($rows != 0) {
			echo '<fieldset><legend>'.$rows." ".($rows == 1 ? $locale['search413a'] : $locale['search413b']).$locale['search422'].":</legend>\n";
         $result = dbquery(
            "SELECT * FROM ".$db_prefix."custom_pages
            WHERE ".groupaccess('page_access').
            ((bool)$loc_switcher ? " AND (page_locale='".LANGUAGE."' OR page_locale='all')":"").
            " AND ".$fieldsvar
         );
         $numrows=dbrows($result);
         $j=1;
			while ($data = dbarray($result)) {
            $text_all = stripslashes($data['page_content']);
	         ob_start();
	         eval ('?>'.$text_all.'<?php ');
	         $text_all = ob_get_contents();
	         ob_end_clean();
            $text_all = preg_replace("[\[(.*?)\]]", "", $text_all);
            $text_all = preg_replace("<\<(.*?)\>>", "", $text_all);
            if ($chars!=0) {
	            $text_frag = substr($text_all, 0, $chars);
	         } else {
	            $text_frag = $text_all;
	         }
	         $text_frag = nl2br(stripslashes($text_frag));
	         $subj_c = 0;
	         $text_c = 0;
	         for ($i=0;$i<sizeof($swords);$i++) {
               $text_frag = highlight_words($swords[$i], $text_frag);
               $subj_c += substr_count(strtolower($data['page_title']), strtolower($swords[$i]));
               $text_c += substr_count(strtolower($data['page_content']), strtolower($swords[$i]));
	         }
            echo (($subj_c!=0&&$fields!=1)?"<span style='background-color:red;font-weight:bold;padding-left:2px;padding-right:2px'>":"")."<a href='viewpage.php?page_id=".$data['page_id']."'>".$data['page_title']."</a>".(($subj_c!=0&&$fields!=1)?"</span>":"")."<br><br>\n";
            echo "<div style='word-wrap:break-word;width:auto;height:auto;overflow:auto'>".$text_frag."</div><br>";
           
            if($j<$numrows) echo '<hr />';
            $j++;
			}
			echo '</fieldset>';
		} else {
			echo "<center>0 ".$locale['search413b'].$locale['search422'].".</center>\n";
		}
		if ($stype!="all") closetable();
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?stype=c&amp;stext=$stext&amp;".$composevars)."\n</div>\n";
		if ($stype=="all") echo "<br><br>";
	}

   if ($stype=="all") closetable();

}

require_once "side_right.php";
require_once "footer.php";
?>