<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+---------------------------------------------------------*/
if (preg_match("/bs_protection.inc.php/i",$_SERVER['PHP_SELF'])) {exit;}
// Schtzen der Superglobalen Variblen, wenn register_globals auf on steht
if ((bool)REGISTER_GLOBALS) {
	$superglobals = array($_ENV, $_GET, $_POST, $_COOKIE, $_FILES, $_SERVER);
	
	if (isset($_SESSION)) {
		array_unshift($superglobals, $_SESSION);
	}
	$knownglobals = array(
		'_ENV',	'HTTP_ENV_VARS',
		'_GET',	'HTTP_GET_VARS',
		'_POST',	'HTTP_POST_VARS',
		'_COOKIE',	'HTTP_COOKIE_VARS',
		'_FILES',	'HTTP_FILES_VARS',
		'_SERVER',	'HTTP_SERVER_VARS',
		'_SESSION',	'HTTP_SESSION_VARS',
		'_REQUEST',

		'$superglobals',
		'$knownglobals',
		'$superglobal',
		'global',
		'void'
	);

	foreach($superglobals as $superglobal) {
		foreach($superglobal as $global => $void) {
			if (!in_array($global, $knownglobals)) {
			unset($GLOBALS[$global]);
			}
		}
	}
}
$search_sz = array("","","","","","","","","","","{","}","@","!","\"","","$","%","(",")","`","","*","^","","","","","","[","]","'","%00","\n","\t","\r");
$replace_sz = array("oe","ae","ue","ss","e","e","u","u","a","a","","","","","","","","","","","","","","","","","","","","","","","","","","");

function cleantags($string) {
	if (!isset($string)){$string="";}
	else {
	$string=preg_replace("[\[(.*?)\]]","", rawurldecode(urldecode($string)));
	$string=preg_replace("<\<(.*?)\>>","", rawurldecode(urldecode($string)));
	}
return $string;
}

$_SERVER['QUERY_STRING']=!$_SERVER['QUERY_STRING'] ? "" : cleantags($_SERVER['QUERY_STRING']);
if (!isset($_GET)) {}
else {$_GET=array_map('cleantags',$_GET);}
// Sicherheitskonfiguration 
if (!file_exists(SECURITY."config/config.php")) {
$secure_config = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."sec_config WHERE conf_id='1'"));	
} else {
	include_once(SECURITY."config/config.php");
}	

// Kontrollprfung  
if (isset($_SESSION['user_id']) && (int)$_SESSION['user_level']>0) {
	if (isset($_SESSION['user_level']) && (int)$_SESSION['user_level']<$secure_config['safe_level']) {
		if (isset($_SESSION['user_groups']) && $_SESSION['user_groups']!='' && $secure_config['safe_groups']!='') {
			$chgrp=str_replace(explode(".",$secure_config['safe_groups']),"SAFEGRP",$_SESSION['user_groups']);
			if (!in_array("SAFEGRP",explode(".",$chgrp))) {
				define("CHECKING",TRUE);
			} else {
				
				$settings['flood_interval']= (!preg_match("/security.php/i",$_SERVER['PHP_SELF']) ? 0 : $settings['flood_interval']);
				define("CHECKING",FALSE);
			}
		} else {
		define("CHECKING",TRUE);	
		}
	} else {
		$settings['flood_interval']=(!preg_match("/security.php/i",$_SERVER['PHP_SELF']) ? 0 : $settings['flood_interval']);
		define("CHECKING",FALSE);
	}
} else {
define("CHECKING",TRUE);	
}

// Funktion zum Abbruch des Vorgangs falls ein Hackversuch stattfindet 
function bs_critical_stop($what="query",$reason_output="",$die=true) {
global $secure_config;	
if ((bool)CHECKING) {
$user_info="";$ipinfo="";
// Get some server/environment variables values
if (!empty($_SERVER) && isset($_SERVER['REMOTE_ADDR'])) {
$REMOTE_ADDR = htmlentities($_SERVER['REMOTE_ADDR']);
$user_info .="USER IP: <b>".$REMOTE_ADDR."</b><br>";
}
if (!empty($_SERVER) && isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
$HTTP_X_FORWARDED_FOR = htmlentities($_SERVER['HTTP_X_FORWARDED_FOR']);
$user_info.="X FORWARDED FOR: <b>".$HTTP_X_FORWARDED_FOR."</b><br>";
$ipinfo.=$HTTP_X_FORWARDED_FOR;
} 

if (!empty($_SERVER) && isset($_SERVER['QUERY_STRING'])) {
$QUERY_STRING = htmlentities(rawurldecode($_SERVER['QUERY_STRING']));
$user_info.="QUERY STRING: <b>".$QUERY_STRING."</b><br>";
}
if (!empty($_SERVER) && isset($_SERVER['HTTP_USER_AGENT'])) {
$HTTP_USER_AGENT = htmlentities($_SERVER['HTTP_USER_AGENT']);
$user_info.="USER AGENT: <b>".$HTTP_USER_AGENT."</b><br>";
}
if (!empty($_SERVER) && isset($_SERVER['SCRIPT_NAME'])) {
$SCRIPT_NAME = htmlentities($_SERVER['SCRIPT_NAME']);
$user_info.="FILE NAME: <b>".$SCRIPT_NAME."</b><br>";
}
if (!empty($_SERVER) && isset($_SERVER['HTTP_REFERER'])) {
$REFERER = htmlentities($_SERVER['HTTP_REFERER']);
$user_info.="REFERER: <b>".$REFERER."</b><br>";
}
$q=0;$g=0;$ua=0;$pr=0;$co=0;$sp=0;$fl=0;
switch ($what) {
	case "query":
	$reason=$reason_output ? $reason_output : 'Query String';
	$q=1;
	break;
	case "get":
	$reason=$reason_output ? $reason_output : '$_GET';
	$g=1;
	break;
	case "user_agent":
	$reason=$reason_output ? $reason_output : 'User Agent';
	$ua=1;
	break;
	case "proxy":
	$reason=$reason_output ? $reason_output : 'Proxy IP';
	$pr=1;
	break; 
	case "cookie":
	$reason = $reason_output ? $reason_output : '$_COOKIE';
	$co=1;
	break;
	case "spam":
	$sp=1;
	$reason = $reason_output ? $reason_output : 'Web Spam';
	break;
	case "flood":
	$fl=1;
	$reason = $reason_output ? $reason_output : 'Flooding';
	break;
	default:
	$reason="";
	break;
}
if (!empty($reason)) {
$log_files=makefilelist(LOG_DIR,'.|..|.htaccess|.index.php|index.php|stats.txt');
$logs_rows = count($log_files);
if ($logs_rows>0) {
	if ($logs_rows>$secure_config['max_logs']) {
		$log_oldtime=(time()-(3600*24*$secure_config['max_logs']));
			foreach($log_files as $logs) {
				if (@filemtime(LOG_DIR.$logs)<=$log_oldtime) {
					@unlink(LOG_DIR.$logs);
				}
			}		
	} else {
		$log_oldtime=(time()-(3600*24*$secure_config['logs_expired']));
			foreach($log_files as $logs) {
				if (@filemtime(LOG_DIR.$logs)<=$log_oldtime) {
					@unlink(LOG_DIR.$logs);
				}
			}		
	}
}	
$fname = LOG_DIR."logfile_".date("dmY",time()).".txt";
$fopen = fopen($fname,"a+");
$logstring = date("H:i:s",time())."|".$REMOTE_ADDR."|".$SCRIPT_NAME."|".$reason."|".$QUERY_STRING."|".$HTTP_USER_AGENT."|".$ipinfo."\n"; 
$fwrite = fwrite($fopen,$logstring);
chmod($fname,0777);
fclose($fopen); 
$sname = LOG_DIR."stats.txt";
if (file_exists($sname)) $content = explode("|",file_get_contents($sname));
else $content="";
$sopen = fopen($sname,"w+");
if ($content!='') { 
$statstring = ($content[0]+$q)."|".($content[1]+$g)."|".($content[2]+$ua)."|".($content[3]+$pr)."|".($content[4]+$co)."|".($content[5]+$sp)."|".($content[6]+$fl); 
} else {
$statstring = $q."|".$g."|".$ua."|".$pr."|".$co."|".$sp.'|'.$fl;	
}
$swrite = fwrite($sopen,$statstring);
chmod($sname,0777);
fclose($sopen);
@clearstatcache(); 	
$reason= "<div align='center'>
<font style='font-family:Arial,Verdana,Sans-Serif;color:#000000;font-weight:normal;font-size:15px;'>Grund des Abbruchs / Reason for abort:</font> <font style='font-family:Arial,Verdana,Sans-Serif;color:#CC0000;font-weight:bold;font-size:15px;text-decoration:underline;'>".$reason."</font></div><br>";	
}
$info = <<<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html style="height:100%">
<head>
<title>Critical Error / Kritischer Fehler</title>
<meta name="robots" content="NOINDEX,NOFOLLOW">
<meta name="expired" content="0">
</head>
<body bgcolor="#393b47" text="#AAB5D0" style="height:90%;vertical-align:middle;">
<table height="100%" width="80%" align="center"><tr><td><table width="100%"><tr><td>
<div style="padding:3px;border:1px #aaa dashed;vertical-align:middle;background:#eee;"> 
<h1 style="text-decoration:underline overline; font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:16px;color:#FF0000;font-weight:800;text-align:center;letter-spacing:2.5px;">CRITICAL ERROR / KRITISCHER FEHLER</h1>$reason
<span style="font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:14px;color:#000000;font-weight:normal;"><center>The Security System stopped an attack of the System. <br>We've written the user data in a log system.<hr width="20%" noshade size=1>Das Security System hat einen Angriff auf das System gestoppt<br>Wir haben diesen Vorfall protokolliert.</center></span><br><div style="padding:3px;border-top:1px #aaa dashed;">
<span style="font-family:Verdana,Arial,Helvetica,Sans-Serif;font-size:11px;color:#444;font-weight:normal;">
<u><b>Your data / Ihre Daten</b></u><br>
<i>
$user_info
</i>
</span></div>
<span style="font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:10px;color:#BBBBBB;font-weight:normal;">BS-Fusion Security
</div>
</td></tr></table>
</td></tr></table>
</body>
</html>
EOF;
if (!empty($reason) && (bool)$secure_config['user_auto_lock']) {
$user_id=!isset($_SESSION['user_id']) ? 0 : (int)$_SESSION['user_id'];
$lock_where = !(bool)$user_id ? "lock_ip='".USER_IP."'" : "lock_user='".$user_id."'";
$lock_result = dbquery("SELECT lock_attempts FROM ".DB_PREFIX."sec_userlock WHERE ".$lock_where);
$lock_rows = dbrows($lock_result);
	if (!(bool)$lock_rows) 
	{
	$insert = update_table(DB_PREFIX.'sec_userlock',"(lock_user,lock_ip,lock_attempts,lock_true,lock_expired) VALUES ('".$user_id."','".USER_IP."','1','0','".(time()+$secure_config['user_lock_expired'])."')","insert");
	} else {
	$row=dbarray($lock_result);
		if ($row['lock_attempts']>=$secure_config['user_attempts']) {
			$update = update_table(DB_PREFIX.'sec_userlock',"SET lock_true='1',lock_expired='".(time()+$secure_config['user_lock_expired'])."' WHERE ".$lock_where);
		} else {
			$update = update_table(DB_PREFIX.'sec_userlock',"SET lock_attempts=lock_attempts+1,lock_expired='".(time()+$secure_config['user_lock_expired'])."' WHERE ".$lock_where,"update");
		}	
	}
}

$_SERVER=array();$_REQUEST=array();$_GET=array();$_COOKIE=array();$_POST=array();$_ENV=array();
if ((bool)$die) {
	@ob_end_clean();
	die($info);
}
else {
	return true;
} 
}
} // end of function


function user_unlock() {
global $secure_config;
if ((bool)$secure_config['security_system']) {
if (!(bool)CHECKING) $result = update_table(DB_PREFIX."sec_userlock","WHERE lock_ip='".USER_IP."' AND lock_ip!=''","delete");
	
	$result = update_table(DB_PREFIX."sec_userlock","WHERE lock_expired<='".time()."' AND lock_expired!=''","delete");
	$result = update_table(DB_PREFIX."sec_userlock","WHERE lock_true='0' AND lock_expired<='".(time()-3600*24)."' AND lock_expired!=''","delete");
	return $result;
} else {return false;}		
}

function user_locked() {
	global $secure_config;
user_unlock();	
if ((bool)$secure_config['security_system'] && (bool)CHECKING) {
	$user_id=!isset($_SESSION['user_id']) ? 0 : (int)$_SESSION['user_id'];
$lock_where = !(bool)$user_id ? "lock_user='0' AND lock_ip='".USER_IP."'" : "lock_user='".$user_id."'";
	$result = dbcount("(lock_id)","sec_userlock","lock_true='1' AND ".$lock_where);
	if ((bool)$result) {
		$data = dbarray(dbquery("SELECT lock_expired FROM ".DB_PREFIX."sec_userlock WHERE lock_true='1' AND ".$lock_where));
	$expired = date("d.m.Y - H:i:s",$data['lock_expired']);	
$info = <<<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html style="height:100%">
<head>
<title>Sie wurden gesperrt / Your are locked</title>
<meta name="robots" content="NOINDEX,NOFOLLOW">
<meta name="expired" content="0">
</head>
<body bgcolor="#393b47" text="#AAB5D0" style="height:90%;vertical-align:middle;">
<table height="100%" width="80%" align="center"><tr><td><table width="100%"><tr><td>
<div style="padding:3px;border:1px #aaa dashed;vertical-align:middle;background:#eee;"> 
<h1 style="text-decoration:underline overline; font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:16px;color:#FF0000;font-weight:800;text-align:center;letter-spacing:2.5px;">Sie wurden gesperrt / You`re locked</h1>
<span style="font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:14px;color:#000000;font-weight:normal;"><center>You`re locked from the Security System until $expired.<hr width="20%" noshade size=1>Sie wurden vom Sicherheits System bis $expired gesperrt.</center></span><span style="font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:10px;color:#BBBBBB;font-weight:normal;">BS-Fusion Security
</div>
</td></tr></table>
</td></tr></table>
</body>
</html>
EOF;
@mysql_close();
@ob_end_clean();    
	die($info);
	} 
}		
}
function setup_file() {
$info = <<<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html style="height:100%">
<head>
<title>Setup Datei gefunden / Found setup file</title>
<meta name="robots" content="NOINDEX,NOFOLLOW">
<meta name="expired" content="0">
</head>
<body bgcolor="#393b47" text="#AAB5D0" style="height:90%;vertical-align:middle;">
<table height="100%" width="80%" align="center"><tr><td><table width="100%"><tr><td>
<div style="padding:3px;border:1px #aaa dashed;vertical-align:middle; background:#eee;"> 
<h1 style="text-decoration:underline overline; font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:16px;color:#FF0000;font-weight:800;text-align:center;letter-spacing:2.5px;">Setup Datei gefunden / Found setup file</h1>
<span style="font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:14px;color:#000000;font-weight:normal;"><center>Das Sicherheitssystem hat die setup.php gefunden und verhindert &Auml;nderungen am Portal vorzunehmen.<br>Bitte entferne die setup.php aus dem Rootverzeichnis, danach ist das Portal voll zugnglich.<hr width="20%" noshade size=1>The security system has found the setup.php and prevents changes made at the portal.
Please remove the setup.php from the root, then the portal is fully accessible.</center></span><span style="font-family:Arial,Verdana,Helvetica,Sans-Serif;font-size:10px;color:#BBBBBB;font-weight:normal;">BS-Fusion Security
</div>
</td></tr></table>
</td></tr></table>
</body>
</html>
EOF;
@mysql_close();
@ob_end_clean();    
	die($info);
} 
user_locked();

// Proxykontrolle
function proxy_check() {
$REMOTE_ADDR = $HTTP_X_FORWARDED_FOR = null;
$proxy_found = false;	
// Get some server/environment variables values
if (!empty($_SERVER) && isset($_SERVER['REMOTE_ADDR'])) {
$REMOTE_ADDR = htmlentities($_SERVER['REMOTE_ADDR']);
}

if (!empty($_SERVER) && isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
$HTTP_X_FORWARDED_FOR = htmlentities($_SERVER['HTTP_X_FORWARDED_FOR']);
} 

if (isset($REMOTE_ADDR)) { 
		if (!isset($HTTP_X_FORWARDED_FOR)) {
			$proxy_found = false;
		} else {
			$proxy_found= true;
		}		
}
return $proxy_found; 
}

function proxy_block() {
$REMOTE_ADDR = null;
// Get some server/environment variables values
if (!empty($_SERVER) && isset($_SERVER['REMOTE_ADDR'])) {
$REMOTE_ADDR = htmlentities($_SERVER['REMOTE_ADDR']);
}
$google_ip=false;
$google_ips=array("558001|55fffe","ec001|efffe","ef2001|ef3ffe","e9a001|e9bffe","f94001|f95ffe","660001|660ffe","445001|4457fe","ee001|ee7fe","63001|637fe","971400|9715ff","ba88c1|ba88fe","54bee1|54befe","d67061|d6707e","5a9441|5a944e","f79f91|f79f9e","b35231|b3523e","217fd0|217fdf","80cfa1|80cfae","9ab2d1|9ab2de","c4eb21|c4eb2e","d238d1|d238de","d3c261|d3c26e","d6ff61|d6ff6e","dd85b1|dd85be","df0831|df083e","c08621|c0862e","f5b889|f5b88e","f94941|f94946","ac7080|ac7087","15c419|15c41e","31a629|31a62e","6309e1|6309e6","d3c849|d3c84e","7c7019|7c701e","7ce5a9|7ce5ae","ca6399|ca639e","f51809|f5180e","7e6409|7e640e","451a11|451a16","6f8d99|6f8d9e","6f8da1|6f8da6","e015d1|e015d6","e01f69|e01f6e","e01f59|e01f5e","e446d9|e446de","e446e1|e446e6","e446e9|e446ee","e446f9|e446fe","e44c69|e44c6e","ec2141|ec2146","ed78e1|ed78e6","826711|826716","826719|82671e","826721|826726","826729|82672e","826709|82670e","8222e1|8222e6","8222e9|8222ee","8222f1|8222f6","7d1000|7d10ff","1130c9|1130ce","1739b9|1739be","25fdb9|25fdbe");
foreach ($google_ips as $ippool){
	$gip = explode("|",$ippool);
	if (LONG_IP>=hexdec($gip[0]) && LONG_IP<=hexdec($gip[1])) {
		$google_ip=true;
		break;
	}	
}

if (!(bool)$google_ip) {
	if ((bool)proxy_check()) {
		$proxy_white = dbcount("(proxy_id)","sec_proxy","proxy_fip='".FIP."' AND proxy_is_white='1'");
		$proxy_black = dbcount("(proxy_id)","sec_proxy","proxy_ip='".FIP."' AND proxy_is_black='1'");
		$proxy_wait = dbcount("(proxy_id)","sec_proxy","proxy_ip='".FIP."' AND proxy_is_black='0' AND proxy_is_white='0'");
		if (!(bool)$proxy_white) {
			if (!(bool)$proxy_black) {
				if (!(bool)$proxy_wait) {
					$block = 'proxy';
				} else {
					$block = 'wait';
				}
			} else {
				$black = dbquery("SELECT proxy_ip,proxy_hex FROM ".DB_PREFIX."sec_proxy WHERE proxy_fip='".FIP."' AND proxy_is_black='1'");
				while($ip=dbarray($black)) {
					$pip = explode("|",$ip['proxy_hex']);
					if (count($pip)==2) {
						if (LONG_IP>=hexdec($pip[0]) && LONG_IP<=hexdec($pip[1])) {
						$block='black';
						break;
						}
					} else {
						if (HEX_IP==$proxy_hex) {
						$block='black';
						break;
						}
					}		
				}@mysql_free_result($black);
			}
		} else {
			$white = dbquery("SELECT proxy_ip,proxy_hex FROM ".DB_PREFIX."sec_proxy WHERE proxy_fip='".FIP."' AND proxy_is_white='1'");
				while($ip=dbarray($white)) {
					$pip = explode("|",$ip['proxy_hex']);
					if (count($pip)==2) {
						if (LONG_IP>=hexdec($pip[0]) && LONG_IP<=hexdec($pip[1])) {
						$block='white';
						break;
						}
					} else {
						if (HEX_IP==$proxy_hex) {
						$block='white';
						break;
						}
					}		
				}@mysql_free_result($black);
		}
	} else {
		$block = 'no';
	}
} else {
	$block = "google";
}
@clearstatcache();	
return $block;	
}

function spam_control($field=null) {
global $secure_config,$settings;
//@include_once(SECURITY.'config/spam_ips.php');	
$ugroups = '';$i=0;$spam_found=false;
$spam_user = false;$spam_ip = false;$reason="";
$REMOTE_ADDR = null;
// Get some server/environment variables values
if (!empty($_SERVER) && isset($_SERVER['REMOTE_ADDR'])) {
$REMOTE_ADDR = htmlentities($_SERVER['REMOTE_ADDR']);
}

if ((bool)$secure_config['spam_control'] && (bool)CHECKING) {
	
		$spam_db_ip = dbcount("(ip_id)","sec_spam_ips","ip_fip='".FIP."'");
		if ((bool)$spam_db_ip) {
		$ip_result = dbquery("SELECT ip_hex FROM ".DB_PREFIX."sec_spam_ips WHERE ip_fip='".FIP."'");
			while($ip=dbarray($ip_result)) {
				$sip = explode("/",$ip['ip_hex']);
					if (count($sip)==2) {
						if (LONG_IP>=hexdec($sip[0]) && LONG_IP<=hexdec($sip[1])) {
						$reason= "IP-POOL: ".FIP.'.'.substr(long2ip(hexdec($sip[0])),2).'/'.FIP.'.'.substr(long2ip(hexdec($sip[1])),2);	
						$spam_found=true;
						break;
						}	
					} else {
						if (HEX_IP==$sip[0]) {
						$reason= "IP: ".FIP.'.'.substr(long2ip(hexdec($sip[0])),2);	
						$spam_found=true;
						break;
						}	
					}
			}@mysql_free_result($ip_result); 
		} else {	
	$fields_words = str_word_count(str_replace(array(".",":","_","!","?","\"","`","","'",")","(","}","{","[","]","&",";",",",'/',"%","\\","","#",'*','=','~','^',''),' ',$field));	
	if (!(bool)$spam_found && $fields_words>=$secure_config['found_spams']) {		
	$sresult = dbquery("SELECT spam_word FROM ".DB_PREFIX."sec_spam WHERE spam_word!=''");
	$wordsnum = dbrows($sresult);
	$spamwords = "";$count=0;
	$spamwords_highlight="";
	
		
			$words_arr = explode(" ",str_replace(array(".",":","_","!","?","\"","`","","'",")","(","}","{","[","]","&",";",",",'/',"%","\\","","#",'*','=','~','^',''),' ',$field));
			$words_arr = array_map('strtolower',$words_arr);
			if ($wordsnum>0) {
				while($row=dbarray($sresult)) {
					foreach($words_arr as $chkword) {
						if (strpos($chkword, strtolower($row['spam_word']))!==false) {
						$i++;
						$spamwords.=($spamwords==''?'':', ').$row['spam_word'];
						$spamwords_highlight.=($spamwords_highlight==''?'':', ').'<strong>'.$row['spam_word'].'</strong>';
						}
					if ($i>=$secure_config['found_spams']) {
						if (isset($spamwords) && $spamwords=='');$reason = 'Web-Spam: <br>'.$spamwords;
	
						$spam_found=true;
						break;
					}
					} 	
				}@mysql_free_result($sresult);
				
			}
		}
		}	
}	
if (!(bool)$spam_found) {
	return $field;
} else {
	$_POST=array();
	bs_critical_stop("spam",$reason);
}
}
function flood_control($table,$field,$datestampfield) {
global $secure_config,$settings;
$found=false;
if ((bool)CHECKING && (bool)$secure_config['flood_control'] && (bool)$secure_config['security_system']) {
	$found = dbresult(dbquery("SELECT MAX(".$datestampfield.") FROM ".DB_PREFIX.$table." WHERE ".$field."='".USER_IP."' AND ".$datestampfield.">'".(time()-$settings['flood_interval'])."'"),0);
	if ((bool)$found) {
		$found = bs_critical_stop('flood','',false);
	}
}
return $found;	
}
function correct_count($data,$min,$max,$type="var") {
switch($type) {
	case "var":
	if (strlen($data)<$min || strlen($data)>$max) {
	unset($data);
	return false;
	} else {
	return true;	
	}
	break;
	case "array":
	if (count($data,COUNT_RECURSIVE)<$min || count($data,COUNT_RECURSIVE)>$max) {
	unset($data);
	return false;
	} else {
	return true;
	}
	break;	
	default:
	return false;
	break;
}	
}
function pw_generate($length=8, $modus='standard', $grossklein='grossklein') {

        switch($modus) {
         case "buchstaben":
          if($grossklein == "grossklein") {
            $chars_for_pw  = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            $chars_for_pw .= "abcdefghijklmnopqrstuvwxyz";
            }
         if($grossklein == "gross") {
            $chars_for_pw  = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            }
         if($grossklein == "klein") {
            $chars_for_pw .= "abcdefghijklmnopqrstuvwxyz";
            }
         break;
         case "zahlen":
            $chars_for_pw  = "0123456789";
         break;
         case "standard":
          if($grossklein == "grossklein") {
            $chars_for_pw  = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            $chars_for_pw .= "abcdefghijklmnopqrstuvwxyz";
            $chars_for_pw .= "0123456789";
            $chars_for_pw .= "!$%&/?";
            }
         if($grossklein == "gross") {
            $chars_for_pw  = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            $chars_for_pw .= "0123456789";
            }
         if($grossklein == "klein") {
            $chars_for_pw  = "abcdefghijklmnopqrstuvwxyz";
            $chars_for_pw .= "0123456789";
            }
         break;
         }
           
        $char_control  = "";
        for($i = 0;$i < 50;$i++) {
            $number = rand(0, strlen($chars_for_pw)-1);
            $char_control .= $chars_for_pw[$number];
        }
        $char_control = substr($char_control, 0, $length);
        return $char_control;
}

function secure_pw($pw_candidate) {
	if (!correct_count($pw_candidate,6,20)) {
		return false;
	} else if (preg_match("/^[a-z]+$/",$pw_candidate)) {
		return false;
	} else if (preg_match("/^[A-Z]+$/",$pw_candidate)) {
		return false;
	} else if (preg_match("/^[0-9]+$/",$pw_candidate)) {
		return false;
	} else if (count(count_chars($pw_candidate,1)) < 5) {
		return false;
	} else {
		return true;
	}	
}


$_SERVER['PHP_SELF'] = trim(htmlspecialchars(strip_tags(rawurldecode($_SERVER['PHP_SELF']))));
$PHP_SELF = $_SERVER['PHP_SELF'];

// Wenn Sicherheitssystem eingeschaltet
if ((bool)$secure_config['security_system'] && (bool)CHECKING) {
if (!(bool)$secure_config['flood_control']) {$settings['flood_control']=0;}	
if ((bool)$secure_config['sql_injector']) {
$no_stop=false;	
$no_res = dbquery("SELECT safe_folder,safe_file FROM ".DB_PREFIX."sec_safe");	
$no_rows = dbrows($no_res);
if ($no_rows>0) {
	while($no=dbarray($no_res)) {
		if (preg_match("/".str_replace("/","\/",$no['safe_folder'].$no['safe_file'])."/i",$_SERVER['PHP_SELF'])) 
		{
			$no_stop=true;
			break;
		}
	}@mysql_free_result($no_res);
}

if (!(bool)$no_stop) {			
// Kontrolle auf SQL-Injektionen im Query-String
define("BS_QUERY",$_SERVER['QUERY_STRING']);

if (preg_match("[_(GET|REQUEST|SERVER|SESSION|ENV|POST|COOKIE)\[]",BS_QUERY)) {
	bs_critical_stop("query");
}
if (strip_tags(BS_QUERY)!=BS_QUERY) {bs_critical_stop('query');}
if (strlen(BS_QUERY)>250){bs_critical_stop('query');}
$bs_allow_scheme = array("http","https");
$bs_allow_hosts =  array();
$bs_search = array("?","(",")","[","]","<",">","{","}","'","\"","\\","$","\n","\r","%00");
$bs_query_string = "";
if ((strlen($_SERVER['PHP_SELF'])-strrpos($_SERVER['PHP_SELF'],"/"))==1) {
	$_SERVER['QUERY_STRING']=$_SERVER['PHP_SELF'];
	bs_critical_stop("query");
}

// Kontrolle auf SQL-Injektionen durch $_GET
if (isset($_GET) && !empty($_GET) && is_array($_GET)) {
foreach ($_GET as $bs_key=>$bs_value) {
	if (!is_array($bs_value) && !is_array($bs_key)) {
	if (str_replace($bs_search,"",$bs_key)!=$bs_key) {bs_critical_stop('get');}
	$bs_url_keychk = parse_url($bs_key);
	if (isset($bs_url_keychk['scheme']) && isset($bs_url_keychk['host'])) {bs_critical_stop('get');}
	$chkbsvalue = str_replace($bs_search,"",$bs_value);
	if ($chkbsvalue!=$bs_value) {bs_critical_stop('get');}
		$bs_value = stripslashes(strip_tags(rawurldecode(urldecode($bs_value))));
		$bs_url_chk = parse_url($bs_value);
			if (isset($bs_url_chk['scheme']) && isset($bs_url_chk['host'])) {
				if (in_array($bs_url_chk['scheme'],$bs_allow_scheme)) {
					if (in_array($bs_url_chk['host'],$bs_allow_hosts)) {
						$bs_value = $bs_url_chk['scheme']."//".$bs_url_chk['host'].($bs_url_chk['path'] ? $bs_url_chk['path'] : "");
					} else {
					bs_critical_stop('get');
					}	
				} 
				else {
				bs_critical_stop('get');
				}
			} else {
				if ($bs_value!=str_replace("/","",$bs_value)) {bs_critical_stop('get');}
			}
			
		
		if (!empty($bs_value)) {
		$_GET[$bs_key] = mysql_escape_string(rawurldecode($bs_value));
		$_REQUEST[$bs_key] = mysql_escape_string(rawurldecode($bs_value));
		if (!preg_match("/(theme|loc|".session_name()."|aid|rowstart|limits|sortby)/i",$bs_key)) {
		$bs_query_string.=($bs_query_string!="" ? "&" : "").$bs_key."=".$bs_value;
		}
		}
		} else {
		bs_critical_stop('get');	
		}
} // Ende der Schleife
}


// Kontrolle auf SQL-Injektionen durch $_COOKIE
if (isset($_COOKIE) && !empty($_COOKIE) && is_array($_COOKIE)) {	
foreach ($_COOKIE as $bs_cokey=>$bs_covalue) {
	if (!is_array($bs_covalue)) {
		if (preg_match("/".COOKIE_PREFIX."/i",$bs_cokey) || preg_match("/fusion/i",$bs_cokey) || preg_match("/sid/i",$bs_cokey)) {
	if (str_replace($bs_search,"",$bs_cokey)!=$bs_cokey) {bs_critical_stop('cookie',htmlentities($bs_cokey));}
	$bs_url_cokeychk = parse_url($bs_cokey);
	if (isset($bs_url_cokeychk['scheme']) && isset($bs_url_cokeychk['host'])) {bs_critical_stop('cookie');}
	$chkbscovalue = str_replace($bs_search,"",$bs_covalue);
	if ($chkbscovalue!=$bs_covalue) {bs_critical_stop('cookie');}
	if (preg_match("[_(GET|REQUEST|SERVER|SESSION|ENV|POST|COOKIE)\[]",$bs_covalue)) 
	{setcookie($bs_cokey,"",time()-7200,"/","","0");bs_critical_stop("cookie");}
		$bs_covalue = stripslashes(strip_tags(rawurldecode(urldecode($bs_covalue))));
		$bs_courl_chk = parse_url($bs_covalue);
			if (isset($bs_courl_chk['scheme']) && isset($bs_courl_chk['host'])) {
				bs_critical_stop('cookie');
			} 
			
		if (!empty($bs_covalue)) {
		$_COOKIE[$bs_cokey] = mysql_escape_string(rawurldecode($bs_covalue));
		}
		}
		} else {
		bs_critical_stop('cookie');	
		}
} // Ende der Schleife
}

$_SERVER['QUERY_STRING'] = mysql_escape_string($bs_query_string);
}
}

		
if ((bool)$secure_config['ua_control']) {
$google_ip=false;
$google_ips=array("558001|55fffe","ec001|efffe","ef2001|ef3ffe","e9a001|e9bffe","f94001|f95ffe","660001|660ffe","445001|4457fe","ee001|ee7fe","63001|637fe","971400|9715ff","ba88c1|ba88fe","54bee1|54befe","d67061|d6707e","5a9441|5a944e","f79f91|f79f9e","b35231|b3523e","217fd0|217fdf","80cfa1|80cfae","9ab2d1|9ab2de","c4eb21|c4eb2e","d238d1|d238de","d3c261|d3c26e","d6ff61|d6ff6e","dd85b1|dd85be","df0831|df083e","c08621|c0862e","f5b889|f5b88e","f94941|f94946","ac7080|ac7087","15c419|15c41e","31a629|31a62e","6309e1|6309e6","d3c849|d3c84e","7c7019|7c701e","7ce5a9|7ce5ae","ca6399|ca639e","f51809|f5180e","7e6409|7e640e","451a11|451a16","6f8d99|6f8d9e","6f8da1|6f8da6","e015d1|e015d6","e01f69|e01f6e","e01f59|e01f5e","e446d9|e446de","e446e1|e446e6","e446e9|e446ee","e446f9|e446fe","e44c69|e44c6e","ec2141|ec2146","ed78e1|ed78e6","826711|826716","826719|82671e","826721|826726","826729|82672e","826709|82670e","8222e1|8222e6","8222e9|8222ee","8222f1|8222f6","7d1000|7d10ff","1130c9|1130ce","1739b9|1739be","25fdb9|25fdbe");
foreach ($google_ips as $ippool){
	$gip = explode("|",$ippool);
	if (LONG_IP>=hexdec($gip[0]) && LONG_IP<=hexdec($gip[1])) {
		$google_ip=true;
		break;
	}	
}
if ((bool)$google_ip) {define("GOOGLE_VIEW",true);}	
if (!empty($_SERVER['HTTP_USER_AGENT'])) {
	
  $control_ua = strtolower($_SERVER['HTTP_USER_AGENT']);
   if (strpos($control_ua, strtolower('googlebot'))!==false) {
   	if (!(bool)$google_ip) {
  	bs_critical_stop('user_agent');
  	}
  }
  $ua_list = dbquery("SELECT ua_name FROM ".DB_PREFIX."sec_ua WHERE ua_active='1'");
  $ua_rows = dbrows($ua_list);
  	if ($ua_rows>0) {
  			while($ua=dbarray($ua_list)) {
    			if (strpos($control_ua, strtolower($ua['ua_name']))!==false) {
        		bs_critical_stop('user_agent');
      			}
    		}@mysql_free_result($ua_list);
  }
  }
}

	if ((bool)$secure_config['proxy_control']) {
		if (proxy_block()!='white' && proxy_block()!='no') {
			if (proxy_block()=='black') {
				bs_critical_stop('proxy');
			}	
				define("IP_OK",false);
			} else if (proxy_block()=='white' || proxy_block()=='no') {
				define("IP_OK",true);	
			}
	} else {
			define("IP_OK",TRUE);	
	}
} else {
define("IP_OK",TRUE);	
} 
if (!CHECKING || !$secure_config['security_system']) {
$bs_query_string="";	
// Kontrolle auf SQL-Injektionen durch $_GET
if (isset($_GET) && !empty($_GET) && is_array($_GET)) {
foreach ($_GET as $bs_key=>$bs_value) {
	if (!is_array($bs_value) && !is_array($bs_key)) {
	
		if (!empty($bs_value)) {
		$_GET[$bs_key] = mysql_escape_string(rawurldecode($bs_value));
		$_REQUEST[$bs_key] = mysql_escape_string(rawurldecode($bs_value));
		if (!preg_match("/(theme|loc|aid|".session_name()."|rowstart|limits|sortby)/i",$bs_key)) {
		$bs_query_string.=($bs_query_string!="" ? "&" : "").$bs_key."=".$bs_value;
		}
		}
		} else {
		bs_critical_stop('get');	
		}
} // Ende der Schleife
}
$_SERVER['QUERY_STRING']=$bs_query_string;
}
$_SERVER['QUERY_STRING'] = !isset($_SERVER['QUERY_STRING']) || empty($_SERVER['QUERY_STRING']) ? '' : trim(htmlspecialchars(strip_tags(rawurldecode($_SERVER['QUERY_STRING']))));

$_SERVER['HTTP_USER_AGENT'] = !isset($_SERVER['HTTP_USER_AGENT']) || empty($_SERVER['HTTP_USER_AGENT']) ? '' : mysql_escape_string(htmlentities(strip_tags(rawurldecode($_SERVER['HTTP_USER_AGENT']))));

$_SERVER['HTTP_REFERER'] = !isset($_SERVER['HTTP_REFERER']) || empty($_SERVER['HTTP_REFERER']) ? '' : mysql_escape_string(htmlentities(strip_tags(rawurldecode($_SERVER['HTTP_REFERER']))));
$_SERVER['HTTP_REFERER'] = str_replace(array("aid=".$aid."&amp;","aid=".$aid),"",$_SERVER['HTTP_REFERER']);

$_SERVER['REDIRECT_URL'] = $PHP_SELF;
// Sanitise $_SERVER globals

$_SERVER['SCRIPT_NAME'] = $PHP_SELF;
$_SERVER['REQUEST_URI']=$PHP_SELF.($_SERVER['QUERY_STRING']=='' ? '':'?'.$_SERVER['QUERY_STRING']);


define("FUSION_REQUEST", $_SERVER['REQUEST_URI']);
define("FUSION_QUERY", $_SERVER['QUERY_STRING']);
define("FUSION_SELF", basename($PHP_SELF));
define("PHP_SELF",$PHP_SELF);
define("FUSION_REFERER",$_SERVER['HTTP_REFERER']);


if (!defined("GOOGLE_VIEW")) {
// Proxykontrolle Login/Register
if ((bool)$secure_config['security_system'] && (bool)CHECKING) {
define("USER_LOGIN",((bool)$secure_config['proxy_control'] && (!(bool)$secure_config['proxy_login'] && (bool)IP_OK || (bool)$secure_config['proxy_login']) || !(bool)$secure_config['proxy_control']) ? true : false);
define("USER_REGISTER",((bool)$secure_config['proxy_control'] && (!(bool)$secure_config['proxy_register'] && (bool)IP_OK || (bool)$secure_config['proxy_register']) || !(bool)$secure_config['proxy_control']) ? true : false);
} else {
define("USER_LOGIN",true);
define("USER_REGISTER",true);	
}
} else {
define("USER_LOGIN",false);
define("USER_REGISTER",false);	
}
if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
if(isset($_SESSION['user_id']) && $_SESSION['user_id']==$settings['master_id'])
if (defined("iSETUP") && iSETUP && $bs_session->get('user_id')==$settings['master_id']) setup_file();
?>