<?php
/*--------------------------------------------|
| BS-Fusion 1 - Content Management System     |
| Copyright  2009 Manuel Kurz                |
| http://www.bs-fusion.de	                    |
| http://www.bs-fusion.com	                  |
| http://www.bs-fusion.org/                   |
|---------------------------------------------|
| Code based on PHP-Fusion                    |
| http://www.php-fusion.co.uk/                |
|---------------------------------------------|
| Theme based on Everton Duo by Nick Jones    |
| rebuild by Volker Meier (Jumper78)          |
| Date:	27-06-2009                            |
| http://www.bs-f.de          	              |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 3)  |
| http://www.gnu.org/licenses/agpl-3.0.txt    |
|--------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

// theme settings
$body_text = "#555555";
$body_bg = "#ffffff";
$theme_width = "940";
$theme_width_l = "165px";
$theme_width_r = "165px";

$wztool['border_width'] = '1';
$wztool['border_color'] = '#666';
$wztool['bgcolor'] = '#eee';
$wztool['width'] = '0';
$wztool['title_padding'] = '2';
$wztool['padding'] = '2';
$wztool['fcolor'] = '#666';


// Email-Picture
// text color
$etext_color = array('223','224','225'); // RGB Colors
// background color
$ebg_color = array('0','0','0');		// RGB Colors

define("LEFT_PANEL_START",'<td class="side-border-left" valign="top"><div class="image-left"><img src="'.THEME.'images/blank.gif" style="width:'.$theme_width_l.';height:0px;border:0px;" alt="" /></div>');
define("LEFT_PANEL_END",'</td>');
define("CONTENT_START",'<td class="main-bg" width="100%" valign="top">');
define("CONTENT_END","</td>");
define("RIGHT_PANEL_START",'<td class="side-border-right" style="width:'.$theme_width_r.';" valign="top"><div class="image-right"><img src="'.THEME.'images/blank.gif" style="width:'.$theme_width_r.';height:0px;" alt="" /></div>');
define("RIGHT_PANEL_END","</td>");

function stripchar($ord) {
$boxname="";
for ($i=0; $i<strlen($ord);$i++) {
if (($ord[$i] >="A" and $ord[$i] <= "Z") or ($ord[$i] >="a" and $ord[$i] <= "z") ) {
$boxname=$boxname.$ord[$i];
}
}
return $boxname;
}

function render_header($header_content=null) {
global $theme_width, $settings;
echo "<table class='outer-border' width='".$theme_width."' cellspacing='0' cellpadding='0' align='center'>\n";
echo '<tr><td colspan="2" class="full-header">'.$header_content.'</td></tr>
<tr><td class="white-header">
'.showsublinks("","sublinks_block").'</td><td width="15%" nowrap="nowrap" class="white-header" style="text-align: right; padding-right: 8px;">
'.showsubdate().'</td></tr>
<tr><td colspan="2">';
echo '<table cellpadding="0" cellspacing="0" width="100%">
<tr>';
}

function render_admin_header() {
global $theme_width, $settings,$aidlink,$locale;
echo "<table class='outer-border' width='".$theme_width."' cellspacing='0' cellpadding='0' align='center'>\n";
echo '<tr><td colspan="2" class="full-header">'.$header_content.'</td></tr>
<tr><td class="white-header">
'.showsublinks("", "sublinks_block").'</td><td width="15%" nowrap="nowrap" class="white-header" style="text-align: right; padding-right: 8px;">
'.showsubdate().'</td></tr>
<tr><td colspan="2">';
echo '<table cellpadding="0" cellspacing="0" width="100%">
<tr>';
}

function render_footer($license=false) {
global $theme_width,$settings;
echo "\n</tr></table>\n";
echo "<table class='footer' width='100%' cellpadding='1' cellspacing='1'><tr>";
echo "<td align='center'>".stripslashes($settings['footer'])."<br>\n";
echo showcopyright('footerlink','text')." - ".showcounter()."<br>Theme based on Everton Duo by <a href='http://www.digital-dominion.co.uk/news.php' class='footerlink' target='_blank'>Nick Jones</a> rebuild by <a href='http://www.bs-f.de' class='footerlink' target='_blank'>V.M.</a><br>";
echo "<br>".SERVER_STATS."</td>"; 
echo "</tr></table>"; 

echo "</td></tr>";
echo "</table>\n";
}

function render_news($subject, $news, $info) {
echo"<center><hr width='50%' /></center>
<div style='width:100%' class='border'>
<div class='capmain'>".$subject."</div>
<div class='main-body'>".$news."</div>
<div  class='news-footer'>
".openform("N",$info['news_id']).newsposter($info," - ").newsopts($info,"&middot;").closeform("N",$info['news_id'])."
</div>
</div>";
}


function opentable($title) {
echo "<table width='100%' class='border'>
<tr><td class='capmain'>".$title."</td></tr>
<tr><td class='main-body'>\n";
}

function closetable() {
echo "</td>
</tr>
</table>\n";
}

function openside($title) {	
echo "<div style='width:100%' class='border'>
<div><table width='100%' cellspacing='1' cellpadding='1' class='scapmain'><tr><td>".$title."</td><td width='1%'></td></tr></table></div>
<div class='side-body'>\n";
}

function closeside() {
echo "</div>
</div>\n";
tablebreak();
}

function opensidex($title,$state="on") {
$boxname=stripchar($title);
echo "<div style='width:100%' class='border'>
<div onclick=\"javascript:flipBox('$boxname')\" style='cursor:pointer;' />
<table width='100%' cellspacing='1' cellpadding='1' class='scapmain'><tr><td>".$title."</td><td width='1%'>".panelbutton_div($state,$boxname)."</td></tr></table></div>
<div class='side-body' id='box_".$boxname."'".($state=="off" ? " style='display:none'" :"")." />\n";
}

function closesidex() {
echo "</div>
</div>\n";
tablebreak();
}

function opentablex($title,$state="on") {
$boxname=stripchar($title);
echo "<div style='width:100%' class='border'>
<div onclick=\"javascript:flipBox('$boxname')\" style='cursor:pointer;' /><table width='100%' cellspacing='1' cellpadding='1' class='scapmain'><tr><td width='1%'>".panelbutton_div($state,$boxname)."</td><td>".$title."</td></tr></table></div>
<div class='side-body' id='box_".$boxname."'".($state=="off" ? " style='display:none'" :"")." />\n";
}

function closetablex() {
echo "</div>
</div>\n";
tablebreak();
}

function tablebreak() {
echo "<div style='width:100%; height:5px'>\n</div>\n";
}
?>