<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
require_once "maincore.php";

$weblink_id = isset($_GET['weblink_id']) && isNum($_GET['weblink_id']) ? (int)$_GET['weblink_id'] : false;
$id = isset($_GET['id']) && isNum($_GET['id']) ? (int)$_GET['id'] : false;

$cat_id = isset($_GET['cat_id']) && isNum($_GET['cat_id']) ? (int)$_GET['cat_id'] : false;
$rowstart = isset($_GET['rowstart']) && isNum($_GET['rowstart']) ? $_GET['rowstart'] : 0;
$tpl->includeTemplateFile("weblinks.tpl.php");

$items_per_page = defined("ITEMS_PER_PAGE") && (int)ITEMS_PER_PAGE>0 ? (int)ITEMS_PER_PAGE : 15;
if (!$weblink_id && !$cat_id) {
$mdata=array();$ndata=array();
$cols=0;$i=0;

$tpl->add_to_title($locale['web400']);
require_once "subheader.php";
require_once "side_left.php";

$rows = dbresult(dbquery("SELECT count(wl.weblink_id) FROM ".DB_PREFIX."weblinks AS wl LEFT OUTER JOIN ".DB_PREFIX."weblink_cats AS wc ON (".groupaccess('wc.weblink_cat_access').") WHERE wl.weblink_cat=wc.weblink_cat_id"),0);
if ($rows>0) {
$result = dbquery("SELECT wc.weblink_cat_id,wc.weblink_cat_name,weblink_cat_description,wc.weblink_cat_sorting,COUNT(wl.weblink_id) as weblinks FROM ".DB_PREFIX."weblinks wl 
LEFT OUTER JOIN ".DB_PREFIX."weblink_cats AS wc ON wl.weblink_cat=wc.weblink_cat_id GROUP BY wc.weblink_cat_id ORDER BY wc.weblink_cat_name");
$rows2 = dbrows($result);
$limit = " LIMIT 0,".$items_per_page;
$result2 = dbquery("SELECT wl.weblink_id,wl.weblink_name,wl.weblink_cat,wl.weblink_count FROM ".DB_PREFIX."weblinks wl 
LEFT OUTER JOIN ".DB_PREFIX."weblink_cats wc ON wl.weblink_cat=wc.weblink_cat_id 
WHERE ".groupaccess('wc.weblink_cat_access')." ORDER BY wl.weblink_count DESC LIMIT 0,1");	
$result3 = dbquery("SELECT wl.weblink_id,wl.weblink_name,wl.weblink_cat,wl.weblink_count FROM ".DB_PREFIX."weblinks wl 
LEFT OUTER JOIN ".DB_PREFIX."weblink_cats wc ON wl.weblink_cat=wc.weblink_cat_id 
WHERE ".groupaccess('wc.weblink_cat_access')." ORDER BY wl.weblink_datestamp DESC LIMIT 0,1");	
$found_most_link = (bool)$result2 && dbrows($result2)==1 ? 1 : 0;
	if ($found_most_link==0) $mdata=""; else $mdata=dbarray($result2);
	$found_newest_link = (bool)$result3 && dbrows($result3)==1 ? 1 : 0;
	if ($found_newest_link==0) $ndata=""; else $ndata=dbarray($result3);
}
weblinks_header($mdata,$ndata,$rows);
if ($rows>0) {
	$weblinks_cat=array();
		while($data=dbarray($result)) {
		if ($i%2==0) $tbl_class="tbl1"; else $tbl_class="tbl2";
				
				if ($data['weblinks']>0 && isset($data['weblink_cat_id'])) {	
				$wl_result=dbquery("SELECT weblink_id,weblink_cat,weblink_name,weblink_description,weblink_datestamp,weblink_count FROM ".DB_PREFIX."weblinks WHERE weblink_cat='".$data['weblink_cat_id']."' ORDER BY ".$data['weblink_cat_sorting'].$limit);
				 	   
		    while($wldata = dbarray($wl_result)) {
		    	$weblinks_cat[$data['weblink_cat_id']].=weblinks_weblink($wldata);
		    } mysql_free_result($wl_result);
			$fArray['WEBLINKS']=$weblinks_cat[$data['weblink_cat_id']];
			weblinks_content($data,$fArray);
			}	
		} mysql_free_result($result);
	}
// Beginn der Ausgabe
weblinks_footer();
require_once "side_right.php";
require_once("footer.php");
exit;	
// Ende der Ausgabe	
} elseif($cat_id>0 && !$weblink_id) {
	
if ($wcdata=dbarray(dbquery("SELECT wc.weblink_cat_id,wc.weblink_cat_name,wc.weblink_cat_description,wc.weblink_cat_sorting,COUNT(wl.weblink_id) as weblinks FROM ".DB_PREFIX."weblinks wl 
LEFT OUTER JOIN ".DB_PREFIX."weblink_cats wc ON wl.weblink_cat=wc.weblink_cat_id WHERE ".groupaccess("wc.weblink_cat_access")." AND wc.weblink_cat_id='".$cat_id."' GROUP BY wc.weblink_cat_id LIMIT 0,1")) or redirect(BASEDIR.FUSION_SELF));
	$limit = " LIMIT ".$rowstart.",".$items_per_page;	
	$i=0;
$tpl->add_to_title($locale['web400'].' '.$locale['007'].": ".$wcdata['weblink_cat_name']);
require_once "subheader.php";
require_once "side_left.php";
weblink_cat_header($wcdata);
$wlresult = dbquery("SELECT weblink_id,weblink_cat,weblink_name,weblink_description,weblink_datestamp, weblink_count FROM ".DB_PREFIX."weblinks WHERE weblink_cat='".$wcdata['weblink_cat_id']."' ORDER BY ".$wcdata['weblink_cat_sorting'].$limit);

			while($wldata=dbarray($wlresult)) {
				if ($i%2==0) $tbl_class="tbl2"; else $tbl_class="tbl1";
				weblink_cat_weblinks($wldata);
			$i++;	
			} mysql_free_result($wlresult);
weblink_cat_footer($wcdata,$wcdata['weblinks']);
require_once "side_right.php";
require_once("footer.php");
exit;	
// Ende der Ausgabe	
} elseif ($cat_id>0 && $weblink_id>0) {
$result = dbquery("SELECT wl.weblink_url FROM ".DB_PREFIX."weblinks wl 
LEFT OUTER JOIN ".DB_PREFIX."weblink_cats wc ON wl.weblink_cat=wc.weblink_cat_id 
WHERE wl.weblink_id='".$weblink_id."' AND wl.weblink_cat = '".$cat_id."' AND ".groupaccess('wc.weblink_cat_access')." LIMIT 0,1");		
$wlfound = dbrows($result);
	if ($wlfound==0) {redirect(BASEDIR.FUSION_SELF."?cat_id=".$cat_id);}
	else {$update = dbquery("UPDATE ".$db_prefix."weblinks SET weblink_count=weblink_count+1 WHERE weblink_id='".$weblink_id."'");
	$data=dbarray($result);
	redirect($data['weblink_url']);}
}
?>